/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1
 Source Server Type    : MySQL
 Source Server Version : 50727
 Source Host           : localhost:3306
 Source Schema         : unimall

 Target Server Type    : MySQL
 Target Server Version : 50727
 File Encoding         : 65001

 Date: 25/12/2019 22:27:44
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data` (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(4) DEFAULT '0' COMMENT '字典排序',
  `dict_label` varchar(100) DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8mb4 COMMENT='字典数据表';

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
BEGIN;
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 1, '新增', 'add', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '新增操作');
INSERT INTO `sys_dict_data` VALUES (19, 2, '修改', 'update', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '修改操作');
INSERT INTO `sys_dict_data` VALUES (20, 3, '删除', 'delete', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '删除操作');
INSERT INTO `sys_dict_data` VALUES (21, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '授权操作');
INSERT INTO `sys_dict_data` VALUES (22, 5, '导出', 'export', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2018-03-16 11:33:00', 'admin', '2019-12-22 14:44:17', '导出操作');
INSERT INTO `sys_dict_data` VALUES (23, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '导入操作');
INSERT INTO `sys_dict_data` VALUES (24, 7, '强退', 'forceLogout', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2018-03-16 11:33:00', 'admin', '2019-12-22 14:45:21', '强退操作');
INSERT INTO `sys_dict_data` VALUES (25, 8, '生成代码', 'gen', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '生成操作');
INSERT INTO `sys_dict_data` VALUES (26, 9, '清空数据', 'clean', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '清空操作');
INSERT INTO `sys_dict_data` VALUES (27, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '正常状态');
INSERT INTO `sys_dict_data` VALUES (28, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '停用状态');
COMMIT;

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type` (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) DEFAULT '' COMMENT '字典类型',
  `status` char(1) DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE KEY `dict_type` (`dict_type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COMMENT='字典类型表';

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
BEGIN;
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2018-03-16 11:33:00', 'admin', '2019-12-25 21:46:36', '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2018-03-16 11:33:00', 'admin', '2019-12-24 23:30:21', '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '登录状态列表');
COMMIT;

-- ----------------------------
-- Table structure for sys_gen_table
-- ----------------------------
DROP TABLE IF EXISTS `sys_gen_table`;
CREATE TABLE `sys_gen_table` (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) DEFAULT '' COMMENT '表描述',
  `class_name` varchar(100) DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) DEFAULT NULL COMMENT '生成功能作者',
  `options` varchar(1000) DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COMMENT='代码生成业务表';

-- ----------------------------
-- Records of sys_gen_table
-- ----------------------------
BEGIN;
INSERT INTO `sys_gen_table` VALUES (8, 'app_user', '用户表', 'User', 'crud', 'com.jlb.project.client', 'client', 'user', '会员', 'jlb', '{}', 'admin', '2019-12-17 22:09:58', 'admin', '2019-12-24 23:31:28', NULL);
INSERT INTO `sys_gen_table` VALUES (21, 'sys_dict_data', '字典数据表', 'SysDictData', 'crud', 'com.iotechn.unimall', 'sys.dict', 'sysDictData', '字典数据', 'jlb', NULL, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10', NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `sys_gen_table_column`;
CREATE TABLE `sys_gen_table_column` (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) DEFAULT '' COMMENT '字典类型',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=251 DEFAULT CHARSET=utf8mb4 COMMENT='代码生成业务表字段';

-- ----------------------------
-- Records of sys_gen_table_column
-- ----------------------------
BEGIN;
INSERT INTO `sys_gen_table_column` VALUES (88, '8', 'id', '主键id', 'bigint(20)', 'Long', 'id', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (89, '8', 'phone', '手机号', 'varchar(255)', 'String', 'phone', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (90, '8', 'password', '密码', 'varchar(255)', 'String', 'password', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (91, '8', 'login_type', '登陆类型', 'int(11)', 'Long', 'loginType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 4, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (92, '8', 'open_id', '微信openid', 'varchar(255)', 'String', 'openId', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (93, '8', 'nickname', '微信昵称', 'varchar(255)', 'String', 'nickname', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 6, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (94, '8', 'avatar_url', '微信头像', 'varchar(255)', 'String', 'avatarUrl', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (95, '8', 'level', '0.普通会员 1.VIP会员', 'int(11)', 'Long', 'level', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (96, '8', 'birthday', '生日', 'date', 'Date', 'birthday', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 9, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (97, '8', 'gender', '性别', 'int(11)', 'Long', 'gender', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (98, '8', 'last_login_time', '最后登陆时间', 'datetime', 'Date', 'lastLoginTime', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'datetime', '', 11, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (99, '8', 'last_login_ip', '最后登陆ip', 'varchar(255)', 'String', 'lastLoginIp', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (100, '8', 'status', '状态', 'int(11)', 'Long', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 13, 'admin', '2019-12-17 22:09:58', '', '2019-12-17 22:11:22');
INSERT INTO `sys_gen_table_column` VALUES (101, '12', 'dict_code', '字典编码', 'bigint(20)', 'Long', 'dictCode', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 21:58:15', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (102, '12', 'dict_sort', '字典排序', 'int(4)', 'Integer', 'dictSort', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2019-12-24 21:58:18', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (103, '12', 'dict_label', '字典标签', 'varchar(100)', 'String', 'dictLabel', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (104, '12', 'dict_value', '字典键值', 'varchar(100)', 'String', 'dictValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (105, '12', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (106, '12', 'css_class', '样式属性（其他样式扩展）', 'varchar(100)', 'String', 'cssClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (107, '12', 'list_class', '表格回显样式', 'varchar(100)', 'String', 'listClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (108, '12', 'is_default', '是否默认（Y是 N否）', 'char(1)', 'String', 'isDefault', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (109, '12', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (110, '12', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (111, '12', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (112, '12', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (113, '12', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (114, '12', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2019-12-24 21:58:23', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (115, '13', 'dict_code', '字典编码', 'bigint(20)', 'Long', 'dictCode', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (116, '13', 'dict_sort', '字典排序', 'int(4)', 'Integer', 'dictSort', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (117, '13', 'dict_label', '字典标签', 'varchar(100)', 'String', 'dictLabel', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (118, '13', 'dict_value', '字典键值', 'varchar(100)', 'String', 'dictValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (119, '13', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (120, '13', 'css_class', '样式属性（其他样式扩展）', 'varchar(100)', 'String', 'cssClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (121, '13', 'list_class', '表格回显样式', 'varchar(100)', 'String', 'listClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (122, '13', 'is_default', '是否默认（Y是 N否）', 'char(1)', 'String', 'isDefault', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (123, '13', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (124, '13', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (125, '13', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (126, '13', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (127, '13', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (128, '13', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2019-12-24 21:58:43', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (129, '14', 'dict_id', '字典主键', 'bigint(20)', 'Long', 'dictId', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 21:58:44', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (130, '14', 'dict_name', '字典名称', 'varchar(100)', 'String', 'dictName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2019-12-24 21:58:44', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (131, '14', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2019-12-24 21:58:44', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (132, '14', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2019-12-24 21:58:44', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (133, '14', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2019-12-24 21:58:44', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (134, '14', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2019-12-24 21:58:44', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (135, '14', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2019-12-24 21:58:44', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (136, '14', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2019-12-24 21:58:44', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (137, '14', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2019-12-24 21:58:44', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (138, '15', 'dict_code', '字典编码', 'bigint(20)', 'Long', 'dictCode', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (139, '15', 'dict_sort', '字典排序', 'int(4)', 'Integer', 'dictSort', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (140, '15', 'dict_label', '字典标签', 'varchar(100)', 'String', 'dictLabel', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (141, '15', 'dict_value', '字典键值', 'varchar(100)', 'String', 'dictValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (142, '15', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (143, '15', 'css_class', '样式属性（其他样式扩展）', 'varchar(100)', 'String', 'cssClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (144, '15', 'list_class', '表格回显样式', 'varchar(100)', 'String', 'listClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (145, '15', 'is_default', '是否默认（Y是 N否）', 'char(1)', 'String', 'isDefault', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (146, '15', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (147, '15', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (148, '15', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (149, '15', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (150, '15', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (151, '15', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (152, '16', 'dict_id', '字典主键', 'bigint(20)', 'Long', 'dictId', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (153, '16', 'dict_name', '字典名称', 'varchar(100)', 'String', 'dictName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (154, '16', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (155, '16', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (156, '16', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (157, '16', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (158, '16', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (159, '16', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (160, '16', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2019-12-24 22:03:29', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (161, '17', 'dict_code', '字典编码', 'bigint(20)', 'Long', 'dictCode', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (162, '17', 'dict_sort', '字典排序', 'int(4)', 'Integer', 'dictSort', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (163, '17', 'dict_label', '字典标签', 'varchar(100)', 'String', 'dictLabel', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (164, '17', 'dict_value', '字典键值', 'varchar(100)', 'String', 'dictValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (165, '17', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (166, '17', 'css_class', '样式属性（其他样式扩展）', 'varchar(100)', 'String', 'cssClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (167, '17', 'list_class', '表格回显样式', 'varchar(100)', 'String', 'listClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (168, '17', 'is_default', '是否默认（Y是 N否）', 'char(1)', 'String', 'isDefault', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (169, '17', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (170, '17', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (171, '17', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (172, '17', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (173, '17', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (174, '17', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (175, '18', 'dict_id', '字典主键', 'bigint(20)', 'Long', 'dictId', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (176, '18', 'dict_name', '字典名称', 'varchar(100)', 'String', 'dictName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (177, '18', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (178, '18', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (179, '18', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (180, '18', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (181, '18', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (182, '18', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (183, '18', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2019-12-24 22:04:20', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (184, '19', 'dict_code', '字典编码', 'bigint(20)', 'Long', 'dictCode', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (185, '19', 'dict_sort', '字典排序', 'int(4)', 'Integer', 'dictSort', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (186, '19', 'dict_label', '字典标签', 'varchar(100)', 'String', 'dictLabel', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (187, '19', 'dict_value', '字典键值', 'varchar(100)', 'String', 'dictValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (188, '19', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (189, '19', 'css_class', '样式属性（其他样式扩展）', 'varchar(100)', 'String', 'cssClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (190, '19', 'list_class', '表格回显样式', 'varchar(100)', 'String', 'listClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (191, '19', 'is_default', '是否默认（Y是 N否）', 'char(1)', 'String', 'isDefault', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (192, '19', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (193, '19', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (194, '19', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (195, '19', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (196, '19', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (197, '19', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (198, '20', 'dict_id', '字典主键', 'bigint(20)', 'Long', 'dictId', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (199, '20', 'dict_name', '字典名称', 'varchar(100)', 'String', 'dictName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (200, '20', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (201, '20', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (202, '20', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (203, '20', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (204, '20', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (205, '20', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (206, '20', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2019-12-24 22:05:22', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (207, '21', 'dict_code', '字典编码', 'bigint(20)', 'Long', 'dictCode', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (208, '21', 'dict_sort', '字典排序', 'int(4)', 'Integer', 'dictSort', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (209, '21', 'dict_label', '字典标签', 'varchar(100)', 'String', 'dictLabel', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (210, '21', 'dict_value', '字典键值', 'varchar(100)', 'String', 'dictValue', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (211, '21', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 5, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (212, '21', 'css_class', '样式属性（其他样式扩展）', 'varchar(100)', 'String', 'cssClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (213, '21', 'list_class', '表格回显样式', 'varchar(100)', 'String', 'listClass', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (214, '21', 'is_default', '是否默认（Y是 N否）', 'char(1)', 'String', 'isDefault', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (215, '21', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 9, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (216, '21', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (217, '21', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (218, '21', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (219, '21', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (220, '21', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 14, 'admin', '2019-12-24 22:13:56', 'admin', '2019-12-25 15:15:10');
INSERT INTO `sys_gen_table_column` VALUES (221, '22', 'dict_id', '字典主键', 'bigint(20)', 'Long', 'dictId', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-24 22:13:56', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (222, '22', 'dict_name', '字典名称', 'varchar(100)', 'String', 'dictName', '0', '0', NULL, '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2019-12-24 22:13:56', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (223, '22', 'dict_type', '字典类型', 'varchar(100)', 'String', 'dictType', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2019-12-24 22:13:56', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (224, '22', 'status', '状态（0正常 1停用）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2019-12-24 22:13:56', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (225, '22', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2019-12-24 22:13:56', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (226, '22', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2019-12-24 22:13:56', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (227, '22', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2019-12-24 22:13:56', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (228, '22', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2019-12-24 22:13:56', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (229, '22', 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 9, 'admin', '2019-12-24 22:13:56', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (230, '22', 'job_id', '任务ID', 'bigint(20)', 'Long', 'jobId', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (231, '22', 'job_name', '任务名称', 'varchar(64)', 'String', 'jobName', '1', '0', NULL, '1', NULL, NULL, NULL, 'LIKE', 'input', '', 2, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (232, '22', 'job_group', '任务组名', 'varchar(64)', 'String', 'jobGroup', '1', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 3, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (233, '22', 'invoke_target', '调用目标字符串', 'varchar(500)', 'String', 'invokeTarget', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 4, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (234, '22', 'cron_expression', 'cron执行表达式', 'varchar(255)', 'String', 'cronExpression', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (235, '22', 'misfire_policy', '计划执行错误策略（1立即执行 2执行一次 3放弃执行）', 'varchar(20)', 'String', 'misfirePolicy', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (236, '22', 'concurrent', '是否并发执行（0允许 1禁止）', 'char(1)', 'String', 'concurrent', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (237, '22', 'status', '状态（0正常 1暂停）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 8, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (238, '22', 'create_by', '创建者', 'varchar(64)', 'String', 'createBy', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (239, '22', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (240, '22', 'update_by', '更新者', 'varchar(64)', 'String', 'updateBy', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (241, '22', 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', NULL, '1', '1', NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (242, '22', 'remark', '备注信息', 'varchar(500)', 'String', 'remark', '0', '0', NULL, '1', '1', '1', NULL, 'EQ', 'textarea', '', 13, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (243, '23', 'job_log_id', '任务日志ID', 'bigint(20)', 'Long', 'jobLogId', '1', '1', NULL, '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (244, '23', 'job_name', '任务名称', 'varchar(64)', 'String', 'jobName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (245, '23', 'job_group', '任务组名', 'varchar(64)', 'String', 'jobGroup', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (246, '23', 'invoke_target', '调用目标字符串', 'varchar(500)', 'String', 'invokeTarget', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 4, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (247, '23', 'job_message', '日志信息', 'varchar(500)', 'String', 'jobMessage', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'textarea', '', 5, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (248, '23', 'status', '执行状态（0正常 1失败）', 'char(1)', 'String', 'status', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'radio', '', 6, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (249, '23', 'exception_info', '异常信息', 'varchar(2000)', 'String', 'exceptionInfo', '0', '0', NULL, '1', '1', '1', '1', 'EQ', 'textarea', '', 7, 'admin', '2019-12-25 12:04:03', '', NULL);
INSERT INTO `sys_gen_table_column` VALUES (250, '23', 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', NULL, '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2019-12-25 12:04:03', '', NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job` (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`,`job_name`,`job_group`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COMMENT='定时任务调度表';

-- ----------------------------
-- Records of sys_job
-- ----------------------------
BEGIN;
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2018-03-16 11:33:00', 'ry', '2018-03-16 11:33:00', '');
COMMIT;

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log` (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) DEFAULT NULL COMMENT '日志信息',
  `status` char(1) DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) DEFAULT '' COMMENT '异常信息',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='定时任务调度日志表';

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor` (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(50) DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) DEFAULT '' COMMENT '操作系统',
  `status` char(1) DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) DEFAULT '' COMMENT '提示消息',
  `login_time` datetime DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8mb4 COMMENT='系统访问记录';

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
BEGIN;
INSERT INTO `sys_logininfor` VALUES (5, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '1', '密码错误', '2019-12-22 18:17:40');
INSERT INTO `sys_logininfor` VALUES (6, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '0', '登陆成功', '2019-12-22 18:17:44');
INSERT INTO `sys_logininfor` VALUES (7, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '0', '登陆成功', '2019-12-22 18:23:03');
INSERT INTO `sys_logininfor` VALUES (8, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '0', '登陆成功', '2019-12-23 21:36:24');
INSERT INTO `sys_logininfor` VALUES (9, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '0', '登陆成功', '2019-12-23 22:31:02');
INSERT INTO `sys_logininfor` VALUES (10, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '1', '系统未知异常', '2019-12-24 21:12:18');
INSERT INTO `sys_logininfor` VALUES (11, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '0', '登陆成功', '2019-12-24 21:13:13');
INSERT INTO `sys_logininfor` VALUES (12, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '0', '登陆成功', '2019-12-24 21:26:49');
INSERT INTO `sys_logininfor` VALUES (28, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '0', '登陆成功', '2019-12-25 21:53:15');
INSERT INTO `sys_logininfor` VALUES (29, 'admin', '127.0.0.1', '内网IP', 'Chrome(79.0.3945.88)', 'Mac OS X', '0', '登陆成功', '2019-12-25 21:53:35');
COMMIT;

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log` (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) DEFAULT '' COMMENT '模块标题',
  `business_type` varchar(20) DEFAULT '0' COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) DEFAULT '' COMMENT '请求方式',
  `operator_type` int(1) DEFAULT '0' COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(50) DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) DEFAULT '' COMMENT '操作地点',
  `oper_param` json DEFAULT NULL COMMENT '请求参数',
  `json_result` json DEFAULT NULL COMMENT '返回参数',
  `status` int(1) DEFAULT '0' COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`oper_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=648 DEFAULT CHARSET=utf8mb4 COMMENT='操作日志记录';

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
BEGIN;
INSERT INTO `sys_oper_log` VALUES (306, '操作日志管理', 'clean', 'com.iotechn.unimall.admin.api.log.operLog.OperLogServiceImpl.clean()', 'POST', 1, '代运来', '', 'admin.log.operlog.clean', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.log.operlog\"], \"_mt\": [\"clean\"]}', 'true', 0, '', '2019-12-22 18:23:18');
INSERT INTO `sys_oper_log` VALUES (307, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"8\"]}', 'null', 0, '', '2019-12-23 23:40:52');
INSERT INTO `sys_oper_log` VALUES (308, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data\"]}', NULL, 1, '导入表失败', '2019-12-24 21:42:14');
INSERT INTO `sys_oper_log` VALUES (309, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data\"]}', NULL, 1, '导入表失败', '2019-12-24 21:44:35');
INSERT INTO `sys_oper_log` VALUES (310, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data\"]}', NULL, 1, '导入表失败', '2019-12-24 21:49:27');
INSERT INTO `sys_oper_log` VALUES (311, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"9\"]}', 'true', 0, '', '2019-12-24 21:50:09');
INSERT INTO `sys_oper_log` VALUES (312, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data\"]}', NULL, 1, '导入表失败', '2019-12-24 21:50:15');
INSERT INTO `sys_oper_log` VALUES (313, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data\"]}', 'true', 0, '', '2019-12-24 21:50:33');
INSERT INTO `sys_oper_log` VALUES (314, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data\"]}', 'true', 0, '', '2019-12-24 21:50:52');
INSERT INTO `sys_oper_log` VALUES (315, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"10\"]}', 'true', 0, '', '2019-12-24 21:51:22');
INSERT INTO `sys_oper_log` VALUES (316, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data\"]}', NULL, 1, '导入表失败', '2019-12-24 21:52:22');
INSERT INTO `sys_oper_log` VALUES (317, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"11\"]}', 'true', 0, '', '2019-12-24 21:57:52');
INSERT INTO `sys_oper_log` VALUES (318, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data\"]}', 'true', 0, '', '2019-12-24 21:58:23');
INSERT INTO `sys_oper_log` VALUES (319, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"12\"]}', 'true', 0, '', '2019-12-24 21:58:38');
INSERT INTO `sys_oper_log` VALUES (320, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data,sys_dict_type\"]}', 'true', 0, '', '2019-12-24 21:58:44');
INSERT INTO `sys_oper_log` VALUES (321, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"13\"]}', 'true', 0, '', '2019-12-24 22:03:15');
INSERT INTO `sys_oper_log` VALUES (322, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"14\"]}', 'true', 0, '', '2019-12-24 22:03:19');
INSERT INTO `sys_oper_log` VALUES (323, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_type,sys_dict_data\"]}', 'true', 0, '', '2019-12-24 22:03:29');
INSERT INTO `sys_oper_log` VALUES (324, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"15\"]}', 'true', 0, '', '2019-12-24 22:04:11');
INSERT INTO `sys_oper_log` VALUES (325, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"16\"]}', 'true', 0, '', '2019-12-24 22:04:14');
INSERT INTO `sys_oper_log` VALUES (326, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data,sys_dict_type\"]}', 'true', 0, '', '2019-12-24 22:04:20');
INSERT INTO `sys_oper_log` VALUES (327, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"17\"]}', 'true', 0, '', '2019-12-24 22:05:14');
INSERT INTO `sys_oper_log` VALUES (328, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"18\"]}', 'true', 0, '', '2019-12-24 22:05:16');
INSERT INTO `sys_oper_log` VALUES (329, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data,sys_dict_type\"]}', 'true', 0, '', '2019-12-24 22:05:22');
INSERT INTO `sys_oper_log` VALUES (330, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"20,19\"]}', 'true', 0, '', '2019-12-24 22:13:48');
INSERT INTO `sys_oper_log` VALUES (331, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_dict_data,sys_dict_type\"]}', 'true', 0, '', '2019-12-24 22:13:56');
INSERT INTO `sys_oper_log` VALUES (332, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"22\"]}', 'true', 0, '', '2019-12-24 22:26:25');
INSERT INTO `sys_oper_log` VALUES (333, '代码生成', 'get', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.get()', 'GET', 1, '代运来', '', 'admin.tools.gen.get', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"get\"], \"tableId\": [\"8\"]}', NULL, 1, '参数校验失败', '2019-12-24 22:36:30');
INSERT INTO `sys_oper_log` VALUES (334, '字典管理', 'update', 'com.iotechn.unimall.admin.api.dict.DictTypeServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.dictType.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.dictType\"], \"_mt\": [\"update\"], \"dictType\": [\"{\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1521171180000,\\\"dictId\\\":1,\\\"dictName\\\":\\\"用户性别\\\",\\\"dictType\\\":\\\"sys_user_sex\\\",\\\"remark\\\":\\\"用户性别列表a\\\",\\\"status\\\":\\\"0\\\",\\\"updateBy\\\":\\\"ry\\\",\\\"updateTime\\\":1521171180000}\"]}', 'true', 0, '', '2019-12-24 22:52:13');
INSERT INTO `sys_oper_log` VALUES (335, '字典管理', 'update', 'com.iotechn.unimall.admin.api.dict.DictTypeServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.dictType.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.dictType\"], \"_mt\": [\"update\"], \"dictType\": [\"{\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1521171180000,\\\"dictId\\\":1,\\\"dictName\\\":\\\"用户性别\\\",\\\"dictType\\\":\\\"sys_user_sex\\\",\\\"remark\\\":\\\"用户性别列表a\\\",\\\"status\\\":\\\"0\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577199133000}\"]}', 'true', 0, '', '2019-12-24 23:28:01');
INSERT INTO `sys_oper_log` VALUES (336, '字典管理', 'update', 'com.iotechn.unimall.admin.api.dict.DictTypeServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.dictType.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.dictType\"], \"_mt\": [\"update\"], \"dictType\": [\"{\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1521171180000,\\\"dictId\\\":2,\\\"dictName\\\":\\\"菜单状态\\\",\\\"dictType\\\":\\\"sys_show_hide\\\",\\\"remark\\\":\\\"菜单状态列表\\\",\\\"status\\\":\\\"0\\\",\\\"updateBy\\\":\\\"ry\\\",\\\"updateTime\\\":1521171180000}\"]}', 'true', 0, '', '2019-12-24 23:30:21');
INSERT INTO `sys_oper_log` VALUES (337, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"user\\\",\\\"className\\\":\\\"User\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1576591798000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"会员\\\",\\\"moduleName\\\":\\\"client\\\",\\\"options\\\":\\\"{}\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"用户表\\\",\\\"tableId\\\":8,\\\"tableName\\\":\\\"app_user\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"\\\",\\\"updateTime\\\":1576591882000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:31:02');
INSERT INTO `sys_oper_log` VALUES (338, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"user\\\",\\\"className\\\":\\\"User\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1576591798000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"会员\\\",\\\"moduleName\\\":\\\"client\\\",\\\"options\\\":\\\"{}\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"用户表\\\",\\\"tableId\\\":8,\\\"tableName\\\":\\\"app_user\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"\\\",\\\"updateTime\\\":1576591882000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:31:28');
INSERT INTO `sys_oper_log` VALUES (339, '代码生成', 'get', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.get()', 'GET', 1, '代运来', '', 'admin.tools.gen.get', '127.0.0.1', '内网IP', '{\"id\": [\"8\"], \"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"get\"]}', NULL, 1, '系统未知异常', '2019-12-24 23:33:08');
INSERT INTO `sys_oper_log` VALUES (340, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"\\\",\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:39:55');
INSERT INTO `sys_oper_log` VALUES (341, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577201995000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:40:40');
INSERT INTO `sys_oper_log` VALUES (342, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577201995000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:41:02');
INSERT INTO `sys_oper_log` VALUES (343, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202062000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:41:56');
INSERT INTO `sys_oper_log` VALUES (344, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202116000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:43:19');
INSERT INTO `sys_oper_log` VALUES (345, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202199000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:43:40');
INSERT INTO `sys_oper_log` VALUES (346, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202220000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:43:54');
INSERT INTO `sys_oper_log` VALUES (347, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202234000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:47:19');
INSERT INTO `sys_oper_log` VALUES (348, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202439000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:47:56');
INSERT INTO `sys_oper_log` VALUES (349, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202476000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:51:41');
INSERT INTO `sys_oper_log` VALUES (350, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202701000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:54:44');
INSERT INTO `sys_oper_log` VALUES (351, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202884000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-24 23:55:22');
INSERT INTO `sys_oper_log` VALUES (352, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"]}', NULL, 1, '参数校验失败', '2019-12-25 00:04:18');
INSERT INTO `sys_oper_log` VALUES (353, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"%5Bobject%20Object%5D\"]}', NULL, 1, '系统未知异常', '2019-12-25 11:26:55');
INSERT INTO `sys_oper_log` VALUES (354, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577202922000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 11:35:14');
INSERT INTO `sys_oper_log` VALUES (355, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据a\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577244914000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (356, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (357, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (358, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (359, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (360, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (361, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (362, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (363, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (364, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (365, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (366, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (367, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (368, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (369, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"\\\",\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:39:20');
INSERT INTO `sys_oper_log` VALUES (370, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据1\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (371, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (372, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (373, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (374, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (375, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (376, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (377, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (378, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (379, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (380, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (381, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (382, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (383, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (384, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245160000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:03');
INSERT INTO `sys_oper_log` VALUES (385, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (386, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (387, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (388, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (389, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (390, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (391, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (392, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (393, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (394, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (395, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (396, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (397, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (398, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (399, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245203000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:40:47');
INSERT INTO `sys_oper_log` VALUES (400, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (401, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (402, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (403, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (404, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (405, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (406, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (407, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (408, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (409, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (410, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (411, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (412, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (413, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (414, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245247000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:43:31');
INSERT INTO `sys_oper_log` VALUES (415, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (416, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (417, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (418, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (419, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (420, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (421, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (422, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (423, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (424, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (425, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (426, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (427, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (428, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (429, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245411000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:44:37');
INSERT INTO `sys_oper_log` VALUES (430, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (431, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (432, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (433, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (434, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (435, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (436, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (437, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (438, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (439, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (440, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (441, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (442, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (443, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (444, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245477000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:10');
INSERT INTO `sys_oper_log` VALUES (445, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (446, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (447, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (448, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (449, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (450, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (451, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (452, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (453, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (454, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (455, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (456, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (457, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (458, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (459, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245510000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:45:49');
INSERT INTO `sys_oper_log` VALUES (460, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (461, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (462, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (463, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (464, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (465, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (466, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (467, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (468, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (469, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (470, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (471, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (472, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (473, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (474, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245549000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 11:46:08');
INSERT INTO `sys_oper_log` VALUES (475, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"data\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"client\\\",\\\"packageName\\\":\\\"com.jlb.project.client\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (476, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (477, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (478, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (479, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (480, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (481, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (482, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (483, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (484, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (485, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (486, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (487, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (488, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (489, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577245568000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 12:03:00');
INSERT INTO `sys_oper_log` VALUES (490, '代码生成', 'importTableSave', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.importTableSave()', 'POST', 1, '代运来', '', 'admin.tools.gen.importTableSave', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"importTableSave\"], \"tables\": [\"sys_job,sys_job_log\"]}', 'true', 0, '', '2019-12-25 12:04:03');
INSERT INTO `sys_oper_log` VALUES (491, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"22\"]}', 'true', 0, '', '2019-12-25 12:04:11');
INSERT INTO `sys_oper_log` VALUES (492, '代码生成', 'delete', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.tools.gen.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"delete\"], \"tableIds\": [\"23\"]}', 'true', 0, '', '2019-12-25 12:04:15');
INSERT INTO `sys_oper_log` VALUES (493, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', 'null', 0, '', '2019-12-25 13:40:07');
INSERT INTO `sys_oper_log` VALUES (494, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"8\"]}', 'null', 0, '', '2019-12-25 13:40:17');
INSERT INTO `sys_oper_log` VALUES (495, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 13:47:34');
INSERT INTO `sys_oper_log` VALUES (496, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 13:47:47');
INSERT INTO `sys_oper_log` VALUES (497, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 13:48:13');
INSERT INTO `sys_oper_log` VALUES (498, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 13:49:30');
INSERT INTO `sys_oper_log` VALUES (499, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 13:49:48');
INSERT INTO `sys_oper_log` VALUES (500, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    private String remark;\\r\\n\\r\\n    public void setDictCode(Long dictCode) \\r\\n    {\\r\\n        this.dictCode = dictCode;\\r\\n    }\\r\\n\\r\\n    public Long getDictCode() \\r\\n    {\\r\\n        return dictCode;\\r\\n    }\\r\\n    public void setDictSort(Integer dictSort) \\r\\n    {\\r\\n        this.dictSort = dictSort;\\r\\n    }\\r\\n\\r\\n    public Integer getDictSort() \\r\\n    {\\r\\n        return dictSort;\\r\\n    }\\r\\n    public void setDictLabel(String dictLabel) \\r\\n    {\\r\\n        this.dictLabel = dictLabel;\\r\\n    }\\r\\n\\r\\n    public String getDictLabel() \\r\\n    {\\r\\n        return dictLabel;\\r\\n    }\\r\\n    public void setDictValue(String dictValue) \\r\\n    {\\r\\n        this.dictValue = dictValue;\\r\\n    }\\r\\n\\r\\n    public String getDictValue() \\r\\n    {\\r\\n        return dictValue;\\r\\n    }\\r\\n    public void setDictType(String dictType) \\r\\n    {\\r\\n        this.dictType = dictType;\\r\\n    }\\r\\n\\r\\n    public String getDictType() \\r\\n    {\\r\\n        return dictType;\\r\\n    }\\r\\n    public void setCssClass(String cssClass) \\r\\n    {\\r\\n        this.cssClass = cssClass;\\r\\n    }\\r\\n\\r\\n    public String getCssClass() \\r\\n    {\\r\\n        return cssClass;\\r\\n    }\\r\\n    public void setListClass(String listClass) \\r\\n    {\\r\\n        this.listClass = listClass;\\r\\n    }\\r\\n\\r\\n    public String getListClass() \\r\\n    {\\r\\n        return listClass;\\r\\n    }\\r\\n    public void setIsDefault(String isDefault) \\r\\n    {\\r\\n        this.isDefault = isDefault;\\r\\n    }\\r\\n\\r\\n    public String getIsDefault() \\r\\n    {\\r\\n        return isDefault;\\r\\n    }\\r\\n    public void setStatus(String status) \\r\\n    {\\r\\n        this.status = status;\\r\\n    }\\r\\n\\r\\n    public String getStatus() \\r\\n    {\\r\\n        return status;\\r\\n    }\\r\\n    public void setCreateBy(String createBy) \\r\\n    {\\r\\n        this.createBy = createBy;\\r\\n    }\\r\\n\\r\\n    public String getCreateBy() \\r\\n    {\\r\\n        return createBy;\\r\\n    }\\r\\n    public void setCreateTime(Date createTime) \\r\\n    {\\r\\n        this.createTime = createTime;\\r\\n    }\\r\\n\\r\\n    public Date getCreateTime() \\r\\n    {\\r\\n        return createTime;\\r\\n    }\\r\\n    public void setUpdateBy(String updateBy) \\r\\n    {\\r\\n        this.updateBy = updateBy;\\r\\n    }\\r\\n\\r\\n    public String getUpdateBy() \\r\\n    {\\r\\n        return updateBy;\\r\\n    }\\r\\n    public void setUpdateTime(Date updateTime) \\r\\n    {\\r\\n        this.updateTime = updateTime;\\r\\n    }\\r\\n\\r\\n    public Date getUpdateTime() \\r\\n    {\\r\\n        return updateTime;\\r\\n    }\\r\\n    public void setRemark(String remark) \\r\\n    {\\r\\n        this.remark = remark;\\r\\n    }\\r\\n\\r\\n    public String getRemark() \\r\\n    {\\r\\n        return remark;\\r\\n    }\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 13:52:21');
INSERT INTO `sys_oper_log` VALUES (501, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    private String remark;\\r\\n\\r\\n    public void setDictCode(Long dictCode) \\r\\n    {\\r\\n        this.dictCode = dictCode;\\r\\n    }\\r\\n\\r\\n    public Long getDictCode() \\r\\n    {\\r\\n        return dictCode;\\r\\n    }\\r\\n    public void setDictSort(Integer dictSort) \\r\\n    {\\r\\n        this.dictSort = dictSort;\\r\\n    }\\r\\n\\r\\n    public Integer getDictSort() \\r\\n    {\\r\\n        return dictSort;\\r\\n    }\\r\\n    public void setDictLabel(String dictLabel) \\r\\n    {\\r\\n        this.dictLabel = dictLabel;\\r\\n    }\\r\\n\\r\\n    public String getDictLabel() \\r\\n    {\\r\\n        return dictLabel;\\r\\n    }\\r\\n    public void setDictValue(String dictValue) \\r\\n    {\\r\\n        this.dictValue = dictValue;\\r\\n    }\\r\\n\\r\\n    public String getDictValue() \\r\\n    {\\r\\n        return dictValue;\\r\\n    }\\r\\n    public void setDictType(String dictType) \\r\\n    {\\r\\n        this.dictType = dictType;\\r\\n    }\\r\\n\\r\\n    public String getDictType() \\r\\n    {\\r\\n        return dictType;\\r\\n    }\\r\\n    public void setCssClass(String cssClass) \\r\\n    {\\r\\n        this.cssClass = cssClass;\\r\\n    }\\r\\n\\r\\n    public String getCssClass() \\r\\n    {\\r\\n        return cssClass;\\r\\n    }\\r\\n    public void setListClass(String listClass) \\r\\n    {\\r\\n        this.listClass = listClass;\\r\\n    }\\r\\n\\r\\n    public String getListClass() \\r\\n    {\\r\\n        return listClass;\\r\\n    }\\r\\n    public void setIsDefault(String isDefault) \\r\\n    {\\r\\n        this.isDefault = isDefault;\\r\\n    }\\r\\n\\r\\n    public String getIsDefault() \\r\\n    {\\r\\n        return isDefault;\\r\\n    }\\r\\n    public void setStatus(String status) \\r\\n    {\\r\\n        this.status = status;\\r\\n    }\\r\\n\\r\\n    public String getStatus() \\r\\n    {\\r\\n        return status;\\r\\n    }\\r\\n    public void setCreateBy(String createBy) \\r\\n    {\\r\\n        this.createBy = createBy;\\r\\n    }\\r\\n\\r\\n    public String getCreateBy() \\r\\n    {\\r\\n        return createBy;\\r\\n    }\\r\\n    public void setCreateTime(Date createTime) \\r\\n    {\\r\\n        this.createTime = createTime;\\r\\n    }\\r\\n\\r\\n    public Date getCreateTime() \\r\\n    {\\r\\n        return createTime;\\r\\n    }\\r\\n    public void setUpdateBy(String updateBy) \\r\\n    {\\r\\n        this.updateBy = updateBy;\\r\\n    }\\r\\n\\r\\n    public String getUpdateBy() \\r\\n    {\\r\\n        return updateBy;\\r\\n    }\\r\\n    public void setUpdateTime(Date updateTime) \\r\\n    {\\r\\n        this.updateTime = updateTime;\\r\\n    }\\r\\n\\r\\n    public Date getUpdateTime() \\r\\n    {\\r\\n        return updateTime;\\r\\n    }\\r\\n    public void setRemark(String remark) \\r\\n    {\\r\\n        this.remark = remark;\\r\\n    }\\r\\n\\r\\n    public String getRemark() \\r\\n    {\\r\\n        return remark;\\r\\n    }\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 13:53:06');
INSERT INTO `sys_oper_log` VALUES (502, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    private String remark;\\r\\n\\r\\n    public void setDictCode(Long dictCode) \\r\\n    {\\r\\n        this.dictCode = dictCode;\\r\\n    }\\r\\n\\r\\n    public Long getDictCode() \\r\\n    {\\r\\n        return dictCode;\\r\\n    }\\r\\n    public void setDictSort(Integer dictSort) \\r\\n    {\\r\\n        this.dictSort = dictSort;\\r\\n    }\\r\\n\\r\\n    public Integer getDictSort() \\r\\n    {\\r\\n        return dictSort;\\r\\n    }\\r\\n    public void setDictLabel(String dictLabel) \\r\\n    {\\r\\n        this.dictLabel = dictLabel;\\r\\n    }\\r\\n\\r\\n    public String getDictLabel() \\r\\n    {\\r\\n        return dictLabel;\\r\\n    }\\r\\n    public void setDictValue(String dictValue) \\r\\n    {\\r\\n        this.dictValue = dictValue;\\r\\n    }\\r\\n\\r\\n    public String getDictValue() \\r\\n    {\\r\\n        return dictValue;\\r\\n    }\\r\\n    public void setDictType(String dictType) \\r\\n    {\\r\\n        this.dictType = dictType;\\r\\n    }\\r\\n\\r\\n    public String getDictType() \\r\\n    {\\r\\n        return dictType;\\r\\n    }\\r\\n    public void setCssClass(String cssClass) \\r\\n    {\\r\\n        this.cssClass = cssClass;\\r\\n    }\\r\\n\\r\\n    public String getCssClass() \\r\\n    {\\r\\n        return cssClass;\\r\\n    }\\r\\n    public void setListClass(String listClass) \\r\\n    {\\r\\n        this.listClass = listClass;\\r\\n    }\\r\\n\\r\\n    public String getListClass() \\r\\n    {\\r\\n        return listClass;\\r\\n    }\\r\\n    public void setIsDefault(String isDefault) \\r\\n    {\\r\\n        this.isDefault = isDefault;\\r\\n    }\\r\\n\\r\\n    public String getIsDefault() \\r\\n    {\\r\\n        return isDefault;\\r\\n    }\\r\\n    public void setStatus(String status) \\r\\n    {\\r\\n        this.status = status;\\r\\n    }\\r\\n\\r\\n    public String getStatus() \\r\\n    {\\r\\n        return status;\\r\\n    }\\r\\n    public void setCreateBy(String createBy) \\r\\n    {\\r\\n        this.createBy = createBy;\\r\\n    }\\r\\n\\r\\n    public String getCreateBy() \\r\\n    {\\r\\n        return createBy;\\r\\n    }\\r\\n    public void setCreateTime(Date createTime) \\r\\n    {\\r\\n        this.createTime = createTime;\\r\\n    }\\r\\n\\r\\n    public Date getCreateTime() \\r\\n    {\\r\\n        return createTime;\\r\\n    }\\r\\n    public void setUpdateBy(String updateBy) \\r\\n    {\\r\\n        this.updateBy = updateBy;\\r\\n    }\\r\\n\\r\\n    public String getUpdateBy() \\r\\n    {\\r\\n        return updateBy;\\r\\n    }\\r\\n    public void setUpdateTime(Date updateTime) \\r\\n    {\\r\\n        this.updateTime = updateTime;\\r\\n    }\\r\\n\\r\\n    public Date getUpdateTime() \\r\\n    {\\r\\n        return updateTime;\\r\\n    }\\r\\n    public void setRemark(String remark) \\r\\n    {\\r\\n        this.remark = remark;\\r\\n    }\\r\\n\\r\\n    public String getRemark() \\r\\n    {\\r\\n        return remark;\\r\\n    }\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 13:53:21');
INSERT INTO `sys_oper_log` VALUES (503, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    private String remark;\\r\\n\\r\\n    public void setDictCode(Long dictCode) \\r\\n    {\\r\\n        this.dictCode = dictCode;\\r\\n    }\\r\\n\\r\\n    public Long getDictCode() \\r\\n    {\\r\\n        return dictCode;\\r\\n    }\\r\\n    public void setDictSort(Integer dictSort) \\r\\n    {\\r\\n        this.dictSort = dictSort;\\r\\n    }\\r\\n\\r\\n    public Integer getDictSort() \\r\\n    {\\r\\n        return dictSort;\\r\\n    }\\r\\n    public void setDictLabel(String dictLabel) \\r\\n    {\\r\\n        this.dictLabel = dictLabel;\\r\\n    }\\r\\n\\r\\n    public String getDictLabel() \\r\\n    {\\r\\n        return dictLabel;\\r\\n    }\\r\\n    public void setDictValue(String dictValue) \\r\\n    {\\r\\n        this.dictValue = dictValue;\\r\\n    }\\r\\n\\r\\n    public String getDictValue() \\r\\n    {\\r\\n        return dictValue;\\r\\n    }\\r\\n    public void setDictType(String dictType) \\r\\n    {\\r\\n        this.dictType = dictType;\\r\\n    }\\r\\n\\r\\n    public String getDictType() \\r\\n    {\\r\\n        return dictType;\\r\\n    }\\r\\n    public void setCssClass(String cssClass) \\r\\n    {\\r\\n        this.cssClass = cssClass;\\r\\n    }\\r\\n\\r\\n    public String getCssClass() \\r\\n    {\\r\\n        return cssClass;\\r\\n    }\\r\\n    public void setListClass(String listClass) \\r\\n    {\\r\\n        this.listClass = listClass;\\r\\n    }\\r\\n\\r\\n    public String getListClass() \\r\\n    {\\r\\n        return listClass;\\r\\n    }\\r\\n    public void setIsDefault(String isDefault) \\r\\n    {\\r\\n        this.isDefault = isDefault;\\r\\n    }\\r\\n\\r\\n    public String getIsDefault() \\r\\n    {\\r\\n        return isDefault;\\r\\n    }\\r\\n    public void setStatus(String status) \\r\\n    {\\r\\n        this.status = status;\\r\\n    }\\r\\n\\r\\n    public String getStatus() \\r\\n    {\\r\\n        return status;\\r\\n    }\\r\\n    public void setCreateBy(String createBy) \\r\\n    {\\r\\n        this.createBy = createBy;\\r\\n    }\\r\\n\\r\\n    public String getCreateBy() \\r\\n    {\\r\\n        return createBy;\\r\\n    }\\r\\n    public void setCreateTime(Date createTime) \\r\\n    {\\r\\n        this.createTime = createTime;\\r\\n    }\\r\\n\\r\\n    public Date getCreateTime() \\r\\n    {\\r\\n        return createTime;\\r\\n    }\\r\\n    public void setUpdateBy(String updateBy) \\r\\n    {\\r\\n        this.updateBy = updateBy;\\r\\n    }\\r\\n\\r\\n    public String getUpdateBy() \\r\\n    {\\r\\n        return updateBy;\\r\\n    }\\r\\n    public void setUpdateTime(Date updateTime) \\r\\n    {\\r\\n        this.updateTime = updateTime;\\r\\n    }\\r\\n\\r\\n    public Date getUpdateTime() \\r\\n    {\\r\\n        return updateTime;\\r\\n    }\\r\\n    public void setRemark(String remark) \\r\\n    {\\r\\n        this.remark = remark;\\r\\n    }\\r\\n\\r\\n    public String getRemark() \\r\\n    {\\r\\n        return remark;\\r\\n    }\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 13:57:38');
INSERT INTO `sys_oper_log` VALUES (504, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    private String remark;\\r\\n\\r\\n    public void setDictCode(Long dictCode) \\r\\n    {\\r\\n        this.dictCode = dictCode;\\r\\n    }\\r\\n\\r\\n    public Long getDictCode() \\r\\n    {\\r\\n        return dictCode;\\r\\n    }\\r\\n    public void setDictSort(Integer dictSort) \\r\\n    {\\r\\n        this.dictSort = dictSort;\\r\\n    }\\r\\n\\r\\n    public Integer getDictSort() \\r\\n    {\\r\\n        return dictSort;\\r\\n    }\\r\\n    public void setDictLabel(String dictLabel) \\r\\n    {\\r\\n        this.dictLabel = dictLabel;\\r\\n    }\\r\\n\\r\\n    public String getDictLabel() \\r\\n    {\\r\\n        return dictLabel;\\r\\n    }\\r\\n    public void setDictValue(String dictValue) \\r\\n    {\\r\\n        this.dictValue = dictValue;\\r\\n    }\\r\\n\\r\\n    public String getDictValue() \\r\\n    {\\r\\n        return dictValue;\\r\\n    }\\r\\n    public void setDictType(String dictType) \\r\\n    {\\r\\n        this.dictType = dictType;\\r\\n    }\\r\\n\\r\\n    public String getDictType() \\r\\n    {\\r\\n        return dictType;\\r\\n    }\\r\\n    public void setCssClass(String cssClass) \\r\\n    {\\r\\n        this.cssClass = cssClass;\\r\\n    }\\r\\n\\r\\n    public String getCssClass() \\r\\n    {\\r\\n        return cssClass;\\r\\n    }\\r\\n    public void setListClass(String listClass) \\r\\n    {\\r\\n        this.listClass = listClass;\\r\\n    }\\r\\n\\r\\n    public String getListClass() \\r\\n    {\\r\\n        return listClass;\\r\\n    }\\r\\n    public void setIsDefault(String isDefault) \\r\\n    {\\r\\n        this.isDefault = isDefault;\\r\\n    }\\r\\n\\r\\n    public String getIsDefault() \\r\\n    {\\r\\n        return isDefault;\\r\\n    }\\r\\n    public void setStatus(String status) \\r\\n    {\\r\\n        this.status = status;\\r\\n    }\\r\\n\\r\\n    public String getStatus() \\r\\n    {\\r\\n        return status;\\r\\n    }\\r\\n    public void setCreateBy(String createBy) \\r\\n    {\\r\\n        this.createBy = createBy;\\r\\n    }\\r\\n\\r\\n    public String getCreateBy() \\r\\n    {\\r\\n        return createBy;\\r\\n    }\\r\\n    public void setCreateTime(Date createTime) \\r\\n    {\\r\\n        this.createTime = createTime;\\r\\n    }\\r\\n\\r\\n    public Date getCreateTime() \\r\\n    {\\r\\n        return createTime;\\r\\n    }\\r\\n    public void setUpdateBy(String updateBy) \\r\\n    {\\r\\n        this.updateBy = updateBy;\\r\\n    }\\r\\n\\r\\n    public String getUpdateBy() \\r\\n    {\\r\\n        return updateBy;\\r\\n    }\\r\\n    public void setUpdateTime(Date updateTime) \\r\\n    {\\r\\n        this.updateTime = updateTime;\\r\\n    }\\r\\n\\r\\n    public Date getUpdateTime() \\r\\n    {\\r\\n        return updateTime;\\r\\n    }\\r\\n    public void setRemark(String remark) \\r\\n    {\\r\\n        this.remark = remark;\\r\\n    }\\r\\n\\r\\n    public String getRemark() \\r\\n    {\\r\\n        return remark;\\r\\n    }\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:00:48');
INSERT INTO `sys_oper_log` VALUES (505, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    private String remark;\\r\\n\\r\\n    public void setDictCode(Long dictCode) \\r\\n    {\\r\\n        this.dictCode = dictCode;\\r\\n    }\\r\\n\\r\\n    public Long getDictCode() \\r\\n    {\\r\\n        return dictCode;\\r\\n    }\\r\\n    public void setDictSort(Integer dictSort) \\r\\n    {\\r\\n        this.dictSort = dictSort;\\r\\n    }\\r\\n\\r\\n    public Integer getDictSort() \\r\\n    {\\r\\n        return dictSort;\\r\\n    }\\r\\n    public void setDictLabel(String dictLabel) \\r\\n    {\\r\\n        this.dictLabel = dictLabel;\\r\\n    }\\r\\n\\r\\n    public String getDictLabel() \\r\\n    {\\r\\n        return dictLabel;\\r\\n    }\\r\\n    public void setDictValue(String dictValue) \\r\\n    {\\r\\n        this.dictValue = dictValue;\\r\\n    }\\r\\n\\r\\n    public String getDictValue() \\r\\n    {\\r\\n        return dictValue;\\r\\n    }\\r\\n    public void setDictType(String dictType) \\r\\n    {\\r\\n        this.dictType = dictType;\\r\\n    }\\r\\n\\r\\n    public String getDictType() \\r\\n    {\\r\\n        return dictType;\\r\\n    }\\r\\n    public void setCssClass(String cssClass) \\r\\n    {\\r\\n        this.cssClass = cssClass;\\r\\n    }\\r\\n\\r\\n    public String getCssClass() \\r\\n    {\\r\\n        return cssClass;\\r\\n    }\\r\\n    public void setListClass(String listClass) \\r\\n    {\\r\\n        this.listClass = listClass;\\r\\n    }\\r\\n\\r\\n    public String getListClass() \\r\\n    {\\r\\n        return listClass;\\r\\n    }\\r\\n    public void setIsDefault(String isDefault) \\r\\n    {\\r\\n        this.isDefault = isDefault;\\r\\n    }\\r\\n\\r\\n    public String getIsDefault() \\r\\n    {\\r\\n        return isDefault;\\r\\n    }\\r\\n    public void setStatus(String status) \\r\\n    {\\r\\n        this.status = status;\\r\\n    }\\r\\n\\r\\n    public String getStatus() \\r\\n    {\\r\\n        return status;\\r\\n    }\\r\\n    public void setCreateBy(String createBy) \\r\\n    {\\r\\n        this.createBy = createBy;\\r\\n    }\\r\\n\\r\\n    public String getCreateBy() \\r\\n    {\\r\\n        return createBy;\\r\\n    }\\r\\n    public void setCreateTime(Date createTime) \\r\\n    {\\r\\n        this.createTime = createTime;\\r\\n    }\\r\\n\\r\\n    public Date getCreateTime() \\r\\n    {\\r\\n        return createTime;\\r\\n    }\\r\\n    public void setUpdateBy(String updateBy) \\r\\n    {\\r\\n        this.updateBy = updateBy;\\r\\n    }\\r\\n\\r\\n    public String getUpdateBy() \\r\\n    {\\r\\n        return updateBy;\\r\\n    }\\r\\n    public void setUpdateTime(Date updateTime) \\r\\n    {\\r\\n        this.updateTime = updateTime;\\r\\n    }\\r\\n\\r\\n    public Date getUpdateTime() \\r\\n    {\\r\\n        return updateTime;\\r\\n    }\\r\\n    public void setRemark(String remark) \\r\\n    {\\r\\n        this.remark = remark;\\r\\n    }\\r\\n\\r\\n    public String getRemark() \\r\\n    {\\r\\n        return remark;\\r\\n    }\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:04:43');
INSERT INTO `sys_oper_log` VALUES (506, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    private String remark;\\r\\n\\r\\n    public void setDictCode(Long dictCode) \\r\\n    {\\r\\n        this.dictCode = dictCode;\\r\\n    }\\r\\n\\r\\n    public Long getDictCode() \\r\\n    {\\r\\n        return dictCode;\\r\\n    }\\r\\n    public void setDictSort(Integer dictSort) \\r\\n    {\\r\\n        this.dictSort = dictSort;\\r\\n    }\\r\\n\\r\\n    public Integer getDictSort() \\r\\n    {\\r\\n        return dictSort;\\r\\n    }\\r\\n    public void setDictLabel(String dictLabel) \\r\\n    {\\r\\n        this.dictLabel = dictLabel;\\r\\n    }\\r\\n\\r\\n    public String getDictLabel() \\r\\n    {\\r\\n        return dictLabel;\\r\\n    }\\r\\n    public void setDictValue(String dictValue) \\r\\n    {\\r\\n        this.dictValue = dictValue;\\r\\n    }\\r\\n\\r\\n    public String getDictValue() \\r\\n    {\\r\\n        return dictValue;\\r\\n    }\\r\\n    public void setDictType(String dictType) \\r\\n    {\\r\\n        this.dictType = dictType;\\r\\n    }\\r\\n\\r\\n    public String getDictType() \\r\\n    {\\r\\n        return dictType;\\r\\n    }\\r\\n    public void setCssClass(String cssClass) \\r\\n    {\\r\\n        this.cssClass = cssClass;\\r\\n    }\\r\\n\\r\\n    public String getCssClass() \\r\\n    {\\r\\n        return cssClass;\\r\\n    }\\r\\n    public void setListClass(String listClass) \\r\\n    {\\r\\n        this.listClass = listClass;\\r\\n    }\\r\\n\\r\\n    public String getListClass() \\r\\n    {\\r\\n        return listClass;\\r\\n    }\\r\\n    public void setIsDefault(String isDefault) \\r\\n    {\\r\\n        this.isDefault = isDefault;\\r\\n    }\\r\\n\\r\\n    public String getIsDefault() \\r\\n    {\\r\\n        return isDefault;\\r\\n    }\\r\\n    public void setStatus(String status) \\r\\n    {\\r\\n        this.status = status;\\r\\n    }\\r\\n\\r\\n    public String getStatus() \\r\\n    {\\r\\n        return status;\\r\\n    }\\r\\n    public void setCreateBy(String createBy) \\r\\n    {\\r\\n        this.createBy = createBy;\\r\\n    }\\r\\n\\r\\n    public String getCreateBy() \\r\\n    {\\r\\n        return createBy;\\r\\n    }\\r\\n    public void setCreateTime(Date createTime) \\r\\n    {\\r\\n        this.createTime = createTime;\\r\\n    }\\r\\n\\r\\n    public Date getCreateTime() \\r\\n    {\\r\\n        return createTime;\\r\\n    }\\r\\n    public void setUpdateBy(String updateBy) \\r\\n    {\\r\\n        this.updateBy = updateBy;\\r\\n    }\\r\\n\\r\\n    public String getUpdateBy() \\r\\n    {\\r\\n        return updateBy;\\r\\n    }\\r\\n    public void setUpdateTime(Date updateTime) \\r\\n    {\\r\\n        this.updateTime = updateTime;\\r\\n    }\\r\\n\\r\\n    public Date getUpdateTime() \\r\\n    {\\r\\n        return updateTime;\\r\\n    }\\r\\n    public void setRemark(String remark) \\r\\n    {\\r\\n        this.remark = remark;\\r\\n    }\\r\\n\\r\\n    public String getRemark() \\r\\n    {\\r\\n        return remark;\\r\\n    }\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:40:20');
INSERT INTO `sys_oper_log` VALUES (507, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    private String remark;\\r\\n\\r\\n    public void setDictCode(Long dictCode) \\r\\n    {\\r\\n        this.dictCode = dictCode;\\r\\n    }\\r\\n\\r\\n    public Long getDictCode() \\r\\n    {\\r\\n        return dictCode;\\r\\n    }\\r\\n    public void setDictSort(Integer dictSort) \\r\\n    {\\r\\n        this.dictSort = dictSort;\\r\\n    }\\r\\n\\r\\n    public Integer getDictSort() \\r\\n    {\\r\\n        return dictSort;\\r\\n    }\\r\\n    public void setDictLabel(String dictLabel) \\r\\n    {\\r\\n        this.dictLabel = dictLabel;\\r\\n    }\\r\\n\\r\\n    public String getDictLabel() \\r\\n    {\\r\\n        return dictLabel;\\r\\n    }\\r\\n    public void setDictValue(String dictValue) \\r\\n    {\\r\\n        this.dictValue = dictValue;\\r\\n    }\\r\\n\\r\\n    public String getDictValue() \\r\\n    {\\r\\n        return dictValue;\\r\\n    }\\r\\n    public void setDictType(String dictType) \\r\\n    {\\r\\n        this.dictType = dictType;\\r\\n    }\\r\\n\\r\\n    public String getDictType() \\r\\n    {\\r\\n        return dictType;\\r\\n    }\\r\\n    public void setCssClass(String cssClass) \\r\\n    {\\r\\n        this.cssClass = cssClass;\\r\\n    }\\r\\n\\r\\n    public String getCssClass() \\r\\n    {\\r\\n        return cssClass;\\r\\n    }\\r\\n    public void setListClass(String listClass) \\r\\n    {\\r\\n        this.listClass = listClass;\\r\\n    }\\r\\n\\r\\n    public String getListClass() \\r\\n    {\\r\\n        return listClass;\\r\\n    }\\r\\n    public void setIsDefault(String isDefault) \\r\\n    {\\r\\n        this.isDefault = isDefault;\\r\\n    }\\r\\n\\r\\n    public String getIsDefault() \\r\\n    {\\r\\n        return isDefault;\\r\\n    }\\r\\n    public void setStatus(String status) \\r\\n    {\\r\\n        this.status = status;\\r\\n    }\\r\\n\\r\\n    public String getStatus() \\r\\n    {\\r\\n        return status;\\r\\n    }\\r\\n    public void setCreateBy(String createBy) \\r\\n    {\\r\\n        this.createBy = createBy;\\r\\n    }\\r\\n\\r\\n    public String getCreateBy() \\r\\n    {\\r\\n        return createBy;\\r\\n    }\\r\\n    public void setCreateTime(Date createTime) \\r\\n    {\\r\\n        this.createTime = createTime;\\r\\n    }\\r\\n\\r\\n    public Date getCreateTime() \\r\\n    {\\r\\n        return createTime;\\r\\n    }\\r\\n    public void setUpdateBy(String updateBy) \\r\\n    {\\r\\n        this.updateBy = updateBy;\\r\\n    }\\r\\n\\r\\n    public String getUpdateBy() \\r\\n    {\\r\\n        return updateBy;\\r\\n    }\\r\\n    public void setUpdateTime(Date updateTime) \\r\\n    {\\r\\n        this.updateTime = updateTime;\\r\\n    }\\r\\n\\r\\n    public Date getUpdateTime() \\r\\n    {\\r\\n        return updateTime;\\r\\n    }\\r\\n    public void setRemark(String remark) \\r\\n    {\\r\\n        this.remark = remark;\\r\\n    }\\r\\n\\r\\n    public String getRemark() \\r\\n    {\\r\\n        return remark;\\r\\n    }\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:42:22');
INSERT INTO `sys_oper_log` VALUES (508, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:47:29');
INSERT INTO `sys_oper_log` VALUES (509, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n\\t@TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n\\t@TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n\\t@TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n\\t@TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n\\t@TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n\\t@TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n\\t@TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n\\t@TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n\\t@TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n\\t@TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n\\t@TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n\\t@TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n\\t@TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n\\t@TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:55:41');
INSERT INTO `sys_oper_log` VALUES (510, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"8\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员\', \'3\', \'1\', \'user\', \'client/user/index\', 1, \'C\', \'0\', \'client:user:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'会员菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询会员列表\\r\\nexport function listUser(query) {\\r\\n  return request({\\r\\n    url: \'/client/user/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询会员详细\\r\\nexport function getUser(id) {\\r\\n  return request({\\r\\n    url: \'/client/user/\' + id,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增会员\\r\\nexport function addUser(data) {\\r\\n  return request({\\r\\n    url: \'/client/user\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改会员\\r\\nexport function updateUser(data) {\\r\\n  return request({\\r\\n    url: \'/client/user\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除会员\\r\\nexport function delUser(id) {\\r\\n  return request({\\r\\n    url: \'/client/user/\' + id,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出会员\\r\\nexport function exportUser(query) {\\r\\n  return request({\\r\\n    url: \'/client/user/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"phone\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.phone\\\"\\r\\n          placeholder=\\\"请输入手机号\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"密码\\\" prop=\\\"password\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.password\\\"\\r\\n          placeholder=\\\"请输入密码\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"登陆类型\\\" prop=\\\"loginType\\\">\\r\\n        <el-select v-model=\\\"queryParams.loginType\\\" placeholder=\\\"请选择登陆类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信openid\\\" prop=\\\"openId\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.openId\\\"\\r\\n          placeholder=\\\"请输入微信openid\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信昵称\\\" prop=\\\"nickname\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.nickname\\\"\\r\\n          placeholder=\\\"请输入微信昵称\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信头像\\\" prop=\\\"avatarUrl\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.avatarUrl\\\"\\r\\n          placeholder=\\\"请输入微信头像\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"0.普通会员 1.VIP会员\\\" prop=\\\"level\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.level\\\"\\r\\n          placeholder=\\\"请输入0.普通会员 1.VIP会员\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"生日\\\" prop=\\\"birthday\\\">\\r\\n        <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n          v-model=\\\"queryParams.birthday\\\"\\r\\n          type=\\\"date\\\"\\r\\n          value-format=\\\"yyyy-MM-dd\\\"\\r\\n          placeholder=\\\"选择生日\\\">\\r\\n        </el-date-picker>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"性别\\\" prop=\\\"gender\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.gender\\\"\\r\\n          placeholder=\\\"请输入性别\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"最后登陆时间\\\" prop=\\\"lastLoginTime\\\">\\r\\n        <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n          v-model=\\\"queryParams.lastLoginTime\\\"\\r\\n          type=\\\"date\\\"\\r\\n          value-format=\\\"yyyy-MM-dd\\\"\\r\\n          placeholder=\\\"选择最后登陆时间\\\">\\r\\n        </el-date-picker>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"最后登陆ip\\\" prop=\\\"lastLoginIp\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.lastLoginIp\\\"\\r\\n          placeholder=\\\"请输入最后登陆ip\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"userList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"主键id\\\" align=\\\"center\\\" prop=\\\"id\\\" />\\r\\n      <el-table-column label=\\\"手机号\\\" align=\\\"center\\\" prop=\\\"phone\\\" />\\r\\n      <el-table-column label=\\\"密码\\\" align=\\\"center\\\" prop=\\\"password\\\" />\\r\\n      <el-table-column label=\\\"登陆类型\\\" align=\\\"center\\\" prop=\\\"loginType\\\" />\\r\\n      <el-table-column label=\\\"微信openid\\\" align=\\\"center\\\" prop=\\\"openId\\\" />\\r\\n      <el-table-column label=\\\"微信昵称\\\" align=\\\"center\\\" prop=\\\"nickname\\\" />\\r\\n      <el-table-column label=\\\"微信头像\\\" align=\\\"center\\\" prop=\\\"avatarUrl\\\" />\\r\\n      <el-table-column label=\\\"0.普通会员 1.VIP会员\\\" align=\\\"center\\\" prop=\\\"level\\\" />\\r\\n      <el-table-column label=\\\"生日\\\" align=\\\"center\\\" prop=\\\"birthday\\\" width=\\\"180\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <span>{{ parseTime(scope.row.birthday) }}</span>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n      <el-table-column label=\\\"性别\\\" align=\\\"center\\\" prop=\\\"gender\\\" />\\r\\n      <el-table-column label=\\\"最后登陆时间\\\" align=\\\"center\\\" prop=\\\"lastLoginTime\\\" width=\\\"180\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <span>{{ parseTime(scope.row.lastLoginTime) }}</span>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n      <el-table-column label=\\\"最后登陆ip\\\" align=\\\"center\\\" prop=\\\"lastLoginIp\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:user:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:user:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改会员对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"手机号\\\" prop=\\\"phone\\\">\\r\\n          <el-input v-model=\\\"form.phone\\\" placeholder=\\\"请输入手机号\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"密码\\\" prop=\\\"password\\\">\\r\\n          <el-input v-model=\\\"form.password\\\" placeholder=\\\"请输入密码\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"登陆类型\\\">\\r\\n          <el-select v-model=\\\"form.loginType\\\" placeholder=\\\"请选择登陆类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信openid\\\" prop=\\\"openId\\\">\\r\\n          <el-input v-model=\\\"form.openId\\\" placeholder=\\\"请输入微信openid\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信昵称\\\" prop=\\\"nickname\\\">\\r\\n          <el-input v-model=\\\"form.nickname\\\" placeholder=\\\"请输入微信昵称\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信头像\\\" prop=\\\"avatarUrl\\\">\\r\\n          <el-input v-model=\\\"form.avatarUrl\\\" placeholder=\\\"请输入微信头像\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"0.普通会员 1.VIP会员\\\" prop=\\\"level\\\">\\r\\n          <el-input v-model=\\\"form.level\\\" placeholder=\\\"请输入0.普通会员 1.VIP会员\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"生日\\\" prop=\\\"birthday\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.birthday\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择生日\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"性别\\\" prop=\\\"gender\\\">\\r\\n          <el-input v-model=\\\"form.gender\\\" placeholder=\\\"请输入性别\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"最后登陆时间\\\" prop=\\\"lastLoginTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.lastLoginTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择最后登陆时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"最后登陆ip\\\" prop=\\\"lastLoginIp\\\">\\r\\n          <el-input v-model=\\\"form.lastLoginIp\\\" placeholder=\\\"请输入最后登陆ip\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listUser, getUser, delUser, addUser, updateUser, exportUser } from \\\"@/api/client/user\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 会员表格数据\\r\\n      userList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        phone: undefined,\\r\\n        password: undefined,\\r\\n        loginType: undefined,\\r\\n        openId: undefined,\\r\\n        nickname: undefined,\\r\\n        avatarUrl: undefined,\\r\\n        level: undefined,\\r\\n        birthday: undefined,\\r\\n        gender: undefined,\\r\\n        lastLoginTime: undefined,\\r\\n        lastLoginIp: undefined,\\r\\n        status: undefined\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n        loginType: [\\r\\n          { required: true, message: \\\"登陆类型不能为空\\\", trigger: \\\"blur\\\" }\\r\\n        ],        level: [\\r\\n          { required: true, message: \\\"0.普通会员 1.VIP会员不能为空\\\", trigger: \\\"blur\\\" }\\r\\n        ],      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询会员列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listUser(this.queryParams).then(response => {\\r\\n        this.userList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        id: undefined,\\r\\n        phone: undefined,\\r\\n        password: undefined,\\r\\n        loginType: undefined,\\r\\n        openId: undefined,\\r\\n        nickname: undefined,\\r\\n        avatarUrl: undefined,\\r\\n        level: undefined,\\r\\n        birthday: undefined,\\r\\n        gender: undefined,\\r\\n        lastLoginTime: undefined,\\r\\n        lastLoginIp: undefined,\\r\\n        status: \\\"0\\\"\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.id)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加会员\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const id = row.id || this.ids\\r\\n      getUser(id).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改会员\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.id != undefined) {\\r\\n            updateUser(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addUser(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const ids = row.id || this.ids;\\r\\n      this.$confirm(\'是否确认删除会员编号为\\\"\' + ids + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delUser(ids);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有会员数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportUser(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.UserMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"User\\\" id=\\\"UserResult\\\">\\r\\n        <result property=\\\"id\\\"    column=\\\"id\\\"    />\\r\\n        <result property=\\\"phone\\\"    column=\\\"phone\\\"    />\\r\\n        <result property=\\\"password\\\"    column=\\\"password\\\"    />\\r\\n        <result property=\\\"loginType\\\"    column=\\\"login_type\\\"    />\\r\\n        <result property=\\\"openId\\\"    column=\\\"open_id\\\"    />\\r\\n        <result property=\\\"nickname\\\"    column=\\\"nickname\\\"    />\\r\\n        <result property=\\\"avatarUrl\\\"    column=\\\"avatar_url\\\"    />\\r\\n        <result property=\\\"level\\\"    column=\\\"level\\\"    />\\r\\n        <result property=\\\"birthday\\\"    column=\\\"birthday\\\"    />\\r\\n        <result property=\\\"gender\\\"    column=\\\"gender\\\"    />\\r\\n        <result property=\\\"lastLoginTime\\\"    column=\\\"last_login_time\\\"    />\\r\\n        <result property=\\\"lastLoginIp\\\"    column=\\\"last_login_ip\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 会员对象 app_user\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"app_user\\\")\\r\\npublic class User\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 主键id */\\r\\n@TableId(\\\"id\\\")\\r\\n    private Long id;\\r\\n\\r\\n    /** 手机号 */\\r\\n    @Excel(name = \\\"手机号\\\")\\r\\n@TableField(\\\"phone\\\")\\r\\n    private String phone;\\r\\n\\r\\n    /** 密码 */\\r\\n    @Excel(name = \\\"密码\\\")\\r\\n@TableField(\\\"password\\\")\\r\\n    private String password;\\r\\n\\r\\n    /** 登陆类型 */\\r\\n    @Excel(name = \\\"登陆类型\\\")\\r\\n@TableField(\\\"login_type\\\")\\r\\n    private Long loginType;\\r\\n\\r\\n    /** 微信openid */\\r\\n    @Excel(name = \\\"微信openid\\\")\\r\\n@TableField(\\\"open_id\\\")\\r\\n    private String openId;\\r\\n\\r\\n    /** 微信昵称 */\\r\\n    @Excel(name = \\\"微信昵称\\\")\\r\\n@TableField(\\\"nickname\\\")\\r\\n    private String nickname;\\r\\n\\r\\n    /** 微信头像 */\\r\\n    @Excel(name = \\\"微信头像\\\")\\r\\n@TableField(\\\"avatar_url\\\")\\r\\n    private String avatarUrl;\\r\\n\\r\\n    /** 0.普通会员 1.VIP会员 */\\r\\n    @Excel(name = \\\"0.普通会员 1.VIP会员\\\")\\r\\n@TableField(\\\"level\\\")\\r\\n    private Long level;\\r\\n\\r\\n    /** 生日 */\\r\\n    @Excel(name = \\\"生日\\\", width = 30, dateFormat = \\\"yyyy-MM-dd\\\")\\r\\n@TableField(\\\"birthday\\\")\\r\\n    private Date birthday;\\r\\n\\r\\n    /** 性别 */\\r\\n    @Excel(name = \\\"性别\\\")\\r\\n@TableField(\\\"gender\\\")\\r\\n    private Long gender;\\r\\n\\r\\n    /** 最后登陆时间 */\\r\\n    @Excel(name = \\\"最后登陆时间\\\", width = 30, dateFormat = \\\"yyyy-MM-dd\\\")\\r\\n@TableField(\\\"last_login_time\\\")\\r\\n    private Date lastLoginTime;\\r\\n\\r\\n    /** 最后登陆ip */\\r\\n    @Excel(name = \\\"最后登陆ip\\\")\\r\\n@TableField(\\\"last_login_ip\\\")\\r\\n    private String lastLoginIp;\\r\\n\\r\\n    /** 状态 */\\r\\n    @Excel(name = \\\"状态\\\")\\r\\n@TableField(\\\"status\\\")\\r\\n    private Long status;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"id\\\", getId())\\r\\n            .append(\\\"phone\\\", getPhone())\\r\\n            .append(\\\"password\\\", getPassword())\\r\\n            .append(\\\"loginType\\\", getLoginType())\\r\\n            .append(\\\"openId\\\", getOpenId())\\r\\n            .append(\\\"nickname\\\", getNickname())\\r\\n            .append(\\\"avatarUrl\\\", getAvatarUrl())\\r\\n            .append(\\\"level\\\", getLevel())\\r\\n            .append(\\\"birthday\\\", getBirthday())\\r\\n            .append(\\\"gender\\\", getGender())\\r\\n            .append(\\\"lastLoginTime\\\", getLastLoginTime())\\r\\n            .append(\\\"lastLoginIp\\\", getLastLoginIp())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 会员Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface UserMapper extends BaseMapper<User>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 会员Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface IUserService extends IService<User>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.jlb.project.client.service.IUserService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 会员Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"会员管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/user\\\")\\r\\npublic class UserController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private IUserService userService;\\r\\n\\r\\n    /**\\r\\n     * 查询会员列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询会员列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(User user)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<User> queryWrapper = new QueryWrapper<User>(user);\\r\\n        List<User> list = userService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询会员无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询会员无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:user:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<User> list = userService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出会员列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出会员列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:export\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(User user)\\r\\n    {\\r\\n        QueryWrapper<User> queryWrapper = new QueryWrapper<User>(user);\\r\\n        List<User> list = userService.list(queryWrapper);\\r\\n        ExcelUtil<User> util = new ExcelUtil<User>(User.class);\\r\\n        return util.exportExcel(list, \\\"user\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取会员详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取会员详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{id}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"id\\\") Long id)\\r\\n    {\\r\\n        return AjaxResult.success(userService.getById(id));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增会员\\r\\n     */\\r\\n    @ApiOperation(\\\"新增会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:add\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody User user)\\r\\n    {\\r\\n        return toAjax(userService.save(user)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改会员\\r\\n     */\\r\\n    @ApiOperation(\\\"修改会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:edit\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody User user)\\r\\n    {\\r\\n        return toAjax(userService.updateById(user)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除会员\\r\\n     */\\r\\n    @ApiOperation(\\\"删除会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:remove\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{ids}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] ids)\\r\\n    {\\r\\n        return toAjax(userService.removeByIds(Arrays.asList(ids))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.UserMapper;\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.jlb.project.client.service.IUserService;\\r\\n\\r\\n/**\\r\\n * 会员Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class UserServiceImpl extends ServiceImpl<UserMapper, User> implements IUserService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:55:59');
INSERT INTO `sys_oper_log` VALUES (511, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"8\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员\', \'3\', \'1\', \'user\', \'client/user/index\', 1, \'C\', \'0\', \'client:user:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'会员菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询会员列表\\r\\nexport function listUser(query) {\\r\\n  return request({\\r\\n    url: \'/client/user/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询会员详细\\r\\nexport function getUser(id) {\\r\\n  return request({\\r\\n    url: \'/client/user/\' + id,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增会员\\r\\nexport function addUser(data) {\\r\\n  return request({\\r\\n    url: \'/client/user\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改会员\\r\\nexport function updateUser(data) {\\r\\n  return request({\\r\\n    url: \'/client/user\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除会员\\r\\nexport function delUser(id) {\\r\\n  return request({\\r\\n    url: \'/client/user/\' + id,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出会员\\r\\nexport function exportUser(query) {\\r\\n  return request({\\r\\n    url: \'/client/user/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"phone\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.phone\\\"\\r\\n          placeholder=\\\"请输入手机号\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"密码\\\" prop=\\\"password\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.password\\\"\\r\\n          placeholder=\\\"请输入密码\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"登陆类型\\\" prop=\\\"loginType\\\">\\r\\n        <el-select v-model=\\\"queryParams.loginType\\\" placeholder=\\\"请选择登陆类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信openid\\\" prop=\\\"openId\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.openId\\\"\\r\\n          placeholder=\\\"请输入微信openid\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信昵称\\\" prop=\\\"nickname\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.nickname\\\"\\r\\n          placeholder=\\\"请输入微信昵称\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信头像\\\" prop=\\\"avatarUrl\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.avatarUrl\\\"\\r\\n          placeholder=\\\"请输入微信头像\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"0.普通会员 1.VIP会员\\\" prop=\\\"level\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.level\\\"\\r\\n          placeholder=\\\"请输入0.普通会员 1.VIP会员\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"生日\\\" prop=\\\"birthday\\\">\\r\\n        <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n          v-model=\\\"queryParams.birthday\\\"\\r\\n          type=\\\"date\\\"\\r\\n          value-format=\\\"yyyy-MM-dd\\\"\\r\\n          placeholder=\\\"选择生日\\\">\\r\\n        </el-date-picker>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"性别\\\" prop=\\\"gender\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.gender\\\"\\r\\n          placeholder=\\\"请输入性别\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"最后登陆时间\\\" prop=\\\"lastLoginTime\\\">\\r\\n        <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n          v-model=\\\"queryParams.lastLoginTime\\\"\\r\\n          type=\\\"date\\\"\\r\\n          value-format=\\\"yyyy-MM-dd\\\"\\r\\n          placeholder=\\\"选择最后登陆时间\\\">\\r\\n        </el-date-picker>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"最后登陆ip\\\" prop=\\\"lastLoginIp\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.lastLoginIp\\\"\\r\\n          placeholder=\\\"请输入最后登陆ip\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"userList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"主键id\\\" align=\\\"center\\\" prop=\\\"id\\\" />\\r\\n      <el-table-column label=\\\"手机号\\\" align=\\\"center\\\" prop=\\\"phone\\\" />\\r\\n      <el-table-column label=\\\"密码\\\" align=\\\"center\\\" prop=\\\"password\\\" />\\r\\n      <el-table-column label=\\\"登陆类型\\\" align=\\\"center\\\" prop=\\\"loginType\\\" />\\r\\n      <el-table-column label=\\\"微信openid\\\" align=\\\"center\\\" prop=\\\"openId\\\" />\\r\\n      <el-table-column label=\\\"微信昵称\\\" align=\\\"center\\\" prop=\\\"nickname\\\" />\\r\\n      <el-table-column label=\\\"微信头像\\\" align=\\\"center\\\" prop=\\\"avatarUrl\\\" />\\r\\n      <el-table-column label=\\\"0.普通会员 1.VIP会员\\\" align=\\\"center\\\" prop=\\\"level\\\" />\\r\\n      <el-table-column label=\\\"生日\\\" align=\\\"center\\\" prop=\\\"birthday\\\" width=\\\"180\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <span>{{ parseTime(scope.row.birthday) }}</span>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n      <el-table-column label=\\\"性别\\\" align=\\\"center\\\" prop=\\\"gender\\\" />\\r\\n      <el-table-column label=\\\"最后登陆时间\\\" align=\\\"center\\\" prop=\\\"lastLoginTime\\\" width=\\\"180\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <span>{{ parseTime(scope.row.lastLoginTime) }}</span>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n      <el-table-column label=\\\"最后登陆ip\\\" align=\\\"center\\\" prop=\\\"lastLoginIp\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:user:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:user:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改会员对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"手机号\\\" prop=\\\"phone\\\">\\r\\n          <el-input v-model=\\\"form.phone\\\" placeholder=\\\"请输入手机号\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"密码\\\" prop=\\\"password\\\">\\r\\n          <el-input v-model=\\\"form.password\\\" placeholder=\\\"请输入密码\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"登陆类型\\\">\\r\\n          <el-select v-model=\\\"form.loginType\\\" placeholder=\\\"请选择登陆类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信openid\\\" prop=\\\"openId\\\">\\r\\n          <el-input v-model=\\\"form.openId\\\" placeholder=\\\"请输入微信openid\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信昵称\\\" prop=\\\"nickname\\\">\\r\\n          <el-input v-model=\\\"form.nickname\\\" placeholder=\\\"请输入微信昵称\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信头像\\\" prop=\\\"avatarUrl\\\">\\r\\n          <el-input v-model=\\\"form.avatarUrl\\\" placeholder=\\\"请输入微信头像\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"0.普通会员 1.VIP会员\\\" prop=\\\"level\\\">\\r\\n          <el-input v-model=\\\"form.level\\\" placeholder=\\\"请输入0.普通会员 1.VIP会员\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"生日\\\" prop=\\\"birthday\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.birthday\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择生日\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"性别\\\" prop=\\\"gender\\\">\\r\\n          <el-input v-model=\\\"form.gender\\\" placeholder=\\\"请输入性别\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"最后登陆时间\\\" prop=\\\"lastLoginTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.lastLoginTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择最后登陆时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"最后登陆ip\\\" prop=\\\"lastLoginIp\\\">\\r\\n          <el-input v-model=\\\"form.lastLoginIp\\\" placeholder=\\\"请输入最后登陆ip\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listUser, getUser, delUser, addUser, updateUser, exportUser } from \\\"@/api/client/user\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 会员表格数据\\r\\n      userList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        phone: undefined,\\r\\n        password: undefined,\\r\\n        loginType: undefined,\\r\\n        openId: undefined,\\r\\n        nickname: undefined,\\r\\n        avatarUrl: undefined,\\r\\n        level: undefined,\\r\\n        birthday: undefined,\\r\\n        gender: undefined,\\r\\n        lastLoginTime: undefined,\\r\\n        lastLoginIp: undefined,\\r\\n        status: undefined\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n        loginType: [\\r\\n          { required: true, message: \\\"登陆类型不能为空\\\", trigger: \\\"blur\\\" }\\r\\n        ],        level: [\\r\\n          { required: true, message: \\\"0.普通会员 1.VIP会员不能为空\\\", trigger: \\\"blur\\\" }\\r\\n        ],      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询会员列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listUser(this.queryParams).then(response => {\\r\\n        this.userList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        id: undefined,\\r\\n        phone: undefined,\\r\\n        password: undefined,\\r\\n        loginType: undefined,\\r\\n        openId: undefined,\\r\\n        nickname: undefined,\\r\\n        avatarUrl: undefined,\\r\\n        level: undefined,\\r\\n        birthday: undefined,\\r\\n        gender: undefined,\\r\\n        lastLoginTime: undefined,\\r\\n        lastLoginIp: undefined,\\r\\n        status: \\\"0\\\"\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.id)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加会员\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const id = row.id || this.ids\\r\\n      getUser(id).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改会员\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.id != undefined) {\\r\\n            updateUser(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addUser(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const ids = row.id || this.ids;\\r\\n      this.$confirm(\'是否确认删除会员编号为\\\"\' + ids + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delUser(ids);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有会员数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportUser(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.UserMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"User\\\" id=\\\"UserResult\\\">\\r\\n        <result property=\\\"id\\\"    column=\\\"id\\\"    />\\r\\n        <result property=\\\"phone\\\"    column=\\\"phone\\\"    />\\r\\n        <result property=\\\"password\\\"    column=\\\"password\\\"    />\\r\\n        <result property=\\\"loginType\\\"    column=\\\"login_type\\\"    />\\r\\n        <result property=\\\"openId\\\"    column=\\\"open_id\\\"    />\\r\\n        <result property=\\\"nickname\\\"    column=\\\"nickname\\\"    />\\r\\n        <result property=\\\"avatarUrl\\\"    column=\\\"avatar_url\\\"    />\\r\\n        <result property=\\\"level\\\"    column=\\\"level\\\"    />\\r\\n        <result property=\\\"birthday\\\"    column=\\\"birthday\\\"    />\\r\\n        <result property=\\\"gender\\\"    column=\\\"gender\\\"    />\\r\\n        <result property=\\\"lastLoginTime\\\"    column=\\\"last_login_time\\\"    />\\r\\n        <result property=\\\"lastLoginIp\\\"    column=\\\"last_login_ip\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 会员对象 app_user\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"app_user\\\")\\r\\npublic class User\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 主键id */\\r\\n\\t@TableId(\\\"id\\\")\\r\\n    private Long id;\\r\\n\\r\\n    /** 手机号 */\\r\\n    @Excel(name = \\\"手机号\\\")\\r\\n\\t@TableField(\\\"phone\\\")\\r\\n    private String phone;\\r\\n\\r\\n    /** 密码 */\\r\\n    @Excel(name = \\\"密码\\\")\\r\\n\\t@TableField(\\\"password\\\")\\r\\n    private String password;\\r\\n\\r\\n    /** 登陆类型 */\\r\\n    @Excel(name = \\\"登陆类型\\\")\\r\\n\\t@TableField(\\\"login_type\\\")\\r\\n    private Long loginType;\\r\\n\\r\\n    /** 微信openid */\\r\\n    @Excel(name = \\\"微信openid\\\")\\r\\n\\t@TableField(\\\"open_id\\\")\\r\\n    private String openId;\\r\\n\\r\\n    /** 微信昵称 */\\r\\n    @Excel(name = \\\"微信昵称\\\")\\r\\n\\t@TableField(\\\"nickname\\\")\\r\\n    private String nickname;\\r\\n\\r\\n    /** 微信头像 */\\r\\n    @Excel(name = \\\"微信头像\\\")\\r\\n\\t@TableField(\\\"avatar_url\\\")\\r\\n    private String avatarUrl;\\r\\n\\r\\n    /** 0.普通会员 1.VIP会员 */\\r\\n    @Excel(name = \\\"0.普通会员 1.VIP会员\\\")\\r\\n\\t@TableField(\\\"level\\\")\\r\\n    private Long level;\\r\\n\\r\\n    /** 生日 */\\r\\n    @Excel(name = \\\"生日\\\", width = 30, dateFormat = \\\"yyyy-MM-dd\\\")\\r\\n\\t@TableField(\\\"birthday\\\")\\r\\n    private Date birthday;\\r\\n\\r\\n    /** 性别 */\\r\\n    @Excel(name = \\\"性别\\\")\\r\\n\\t@TableField(\\\"gender\\\")\\r\\n    private Long gender;\\r\\n\\r\\n    /** 最后登陆时间 */\\r\\n    @Excel(name = \\\"最后登陆时间\\\", width = 30, dateFormat = \\\"yyyy-MM-dd\\\")\\r\\n\\t@TableField(\\\"last_login_time\\\")\\r\\n    private Date lastLoginTime;\\r\\n\\r\\n    /** 最后登陆ip */\\r\\n    @Excel(name = \\\"最后登陆ip\\\")\\r\\n\\t@TableField(\\\"last_login_ip\\\")\\r\\n    private String lastLoginIp;\\r\\n\\r\\n    /** 状态 */\\r\\n    @Excel(name = \\\"状态\\\")\\r\\n\\t@TableField(\\\"status\\\")\\r\\n    private Long status;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"id\\\", getId())\\r\\n            .append(\\\"phone\\\", getPhone())\\r\\n            .append(\\\"password\\\", getPassword())\\r\\n            .append(\\\"loginType\\\", getLoginType())\\r\\n            .append(\\\"openId\\\", getOpenId())\\r\\n            .append(\\\"nickname\\\", getNickname())\\r\\n            .append(\\\"avatarUrl\\\", getAvatarUrl())\\r\\n            .append(\\\"level\\\", getLevel())\\r\\n            .append(\\\"birthday\\\", getBirthday())\\r\\n            .append(\\\"gender\\\", getGender())\\r\\n            .append(\\\"lastLoginTime\\\", getLastLoginTime())\\r\\n            .append(\\\"lastLoginIp\\\", getLastLoginIp())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 会员Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface UserMapper extends BaseMapper<User>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 会员Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface IUserService extends IService<User>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.jlb.project.client.service.IUserService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 会员Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"会员管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/user\\\")\\r\\npublic class UserController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private IUserService userService;\\r\\n\\r\\n    /**\\r\\n     * 查询会员列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询会员列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(User user)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<User> queryWrapper = new QueryWrapper<User>(user);\\r\\n        List<User> list = userService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询会员无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询会员无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:user:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<User> list = userService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出会员列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出会员列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:export\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(User user)\\r\\n    {\\r\\n        QueryWrapper<User> queryWrapper = new QueryWrapper<User>(user);\\r\\n        List<User> list = userService.list(queryWrapper);\\r\\n        ExcelUtil<User> util = new ExcelUtil<User>(User.class);\\r\\n        return util.exportExcel(list, \\\"user\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取会员详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取会员详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{id}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"id\\\") Long id)\\r\\n    {\\r\\n        return AjaxResult.success(userService.getById(id));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增会员\\r\\n     */\\r\\n    @ApiOperation(\\\"新增会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:add\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody User user)\\r\\n    {\\r\\n        return toAjax(userService.save(user)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改会员\\r\\n     */\\r\\n    @ApiOperation(\\\"修改会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:edit\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody User user)\\r\\n    {\\r\\n        return toAjax(userService.updateById(user)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除会员\\r\\n     */\\r\\n    @ApiOperation(\\\"删除会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:remove\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{ids}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] ids)\\r\\n    {\\r\\n        return toAjax(userService.removeByIds(Arrays.asList(ids))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.UserMapper;\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.jlb.project.client.service.IUserService;\\r\\n\\r\\n/**\\r\\n * 会员Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class UserServiceImpl extends ServiceImpl<UserMapper, User> implements IUserService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:56:21');
INSERT INTO `sys_oper_log` VALUES (512, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"8\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员\', \'3\', \'1\', \'user\', \'client/user/index\', 1, \'C\', \'0\', \'client:user:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'会员菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询会员列表\\r\\nexport function listUser(query) {\\r\\n  return request({\\r\\n    url: \'/client/user/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询会员详细\\r\\nexport function getUser(id) {\\r\\n  return request({\\r\\n    url: \'/client/user/\' + id,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增会员\\r\\nexport function addUser(data) {\\r\\n  return request({\\r\\n    url: \'/client/user\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改会员\\r\\nexport function updateUser(data) {\\r\\n  return request({\\r\\n    url: \'/client/user\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除会员\\r\\nexport function delUser(id) {\\r\\n  return request({\\r\\n    url: \'/client/user/\' + id,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出会员\\r\\nexport function exportUser(query) {\\r\\n  return request({\\r\\n    url: \'/client/user/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"phone\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.phone\\\"\\r\\n          placeholder=\\\"请输入手机号\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"密码\\\" prop=\\\"password\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.password\\\"\\r\\n          placeholder=\\\"请输入密码\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"登陆类型\\\" prop=\\\"loginType\\\">\\r\\n        <el-select v-model=\\\"queryParams.loginType\\\" placeholder=\\\"请选择登陆类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信openid\\\" prop=\\\"openId\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.openId\\\"\\r\\n          placeholder=\\\"请输入微信openid\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信昵称\\\" prop=\\\"nickname\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.nickname\\\"\\r\\n          placeholder=\\\"请输入微信昵称\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信头像\\\" prop=\\\"avatarUrl\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.avatarUrl\\\"\\r\\n          placeholder=\\\"请输入微信头像\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"0.普通会员 1.VIP会员\\\" prop=\\\"level\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.level\\\"\\r\\n          placeholder=\\\"请输入0.普通会员 1.VIP会员\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"生日\\\" prop=\\\"birthday\\\">\\r\\n        <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n          v-model=\\\"queryParams.birthday\\\"\\r\\n          type=\\\"date\\\"\\r\\n          value-format=\\\"yyyy-MM-dd\\\"\\r\\n          placeholder=\\\"选择生日\\\">\\r\\n        </el-date-picker>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"性别\\\" prop=\\\"gender\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.gender\\\"\\r\\n          placeholder=\\\"请输入性别\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"最后登陆时间\\\" prop=\\\"lastLoginTime\\\">\\r\\n        <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n          v-model=\\\"queryParams.lastLoginTime\\\"\\r\\n          type=\\\"date\\\"\\r\\n          value-format=\\\"yyyy-MM-dd\\\"\\r\\n          placeholder=\\\"选择最后登陆时间\\\">\\r\\n        </el-date-picker>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"最后登陆ip\\\" prop=\\\"lastLoginIp\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.lastLoginIp\\\"\\r\\n          placeholder=\\\"请输入最后登陆ip\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"userList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"主键id\\\" align=\\\"center\\\" prop=\\\"id\\\" />\\r\\n      <el-table-column label=\\\"手机号\\\" align=\\\"center\\\" prop=\\\"phone\\\" />\\r\\n      <el-table-column label=\\\"密码\\\" align=\\\"center\\\" prop=\\\"password\\\" />\\r\\n      <el-table-column label=\\\"登陆类型\\\" align=\\\"center\\\" prop=\\\"loginType\\\" />\\r\\n      <el-table-column label=\\\"微信openid\\\" align=\\\"center\\\" prop=\\\"openId\\\" />\\r\\n      <el-table-column label=\\\"微信昵称\\\" align=\\\"center\\\" prop=\\\"nickname\\\" />\\r\\n      <el-table-column label=\\\"微信头像\\\" align=\\\"center\\\" prop=\\\"avatarUrl\\\" />\\r\\n      <el-table-column label=\\\"0.普通会员 1.VIP会员\\\" align=\\\"center\\\" prop=\\\"level\\\" />\\r\\n      <el-table-column label=\\\"生日\\\" align=\\\"center\\\" prop=\\\"birthday\\\" width=\\\"180\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <span>{{ parseTime(scope.row.birthday) }}</span>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n      <el-table-column label=\\\"性别\\\" align=\\\"center\\\" prop=\\\"gender\\\" />\\r\\n      <el-table-column label=\\\"最后登陆时间\\\" align=\\\"center\\\" prop=\\\"lastLoginTime\\\" width=\\\"180\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <span>{{ parseTime(scope.row.lastLoginTime) }}</span>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n      <el-table-column label=\\\"最后登陆ip\\\" align=\\\"center\\\" prop=\\\"lastLoginIp\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:user:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:user:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改会员对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"手机号\\\" prop=\\\"phone\\\">\\r\\n          <el-input v-model=\\\"form.phone\\\" placeholder=\\\"请输入手机号\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"密码\\\" prop=\\\"password\\\">\\r\\n          <el-input v-model=\\\"form.password\\\" placeholder=\\\"请输入密码\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"登陆类型\\\">\\r\\n          <el-select v-model=\\\"form.loginType\\\" placeholder=\\\"请选择登陆类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信openid\\\" prop=\\\"openId\\\">\\r\\n          <el-input v-model=\\\"form.openId\\\" placeholder=\\\"请输入微信openid\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信昵称\\\" prop=\\\"nickname\\\">\\r\\n          <el-input v-model=\\\"form.nickname\\\" placeholder=\\\"请输入微信昵称\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信头像\\\" prop=\\\"avatarUrl\\\">\\r\\n          <el-input v-model=\\\"form.avatarUrl\\\" placeholder=\\\"请输入微信头像\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"0.普通会员 1.VIP会员\\\" prop=\\\"level\\\">\\r\\n          <el-input v-model=\\\"form.level\\\" placeholder=\\\"请输入0.普通会员 1.VIP会员\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"生日\\\" prop=\\\"birthday\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.birthday\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择生日\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"性别\\\" prop=\\\"gender\\\">\\r\\n          <el-input v-model=\\\"form.gender\\\" placeholder=\\\"请输入性别\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"最后登陆时间\\\" prop=\\\"lastLoginTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.lastLoginTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择最后登陆时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"最后登陆ip\\\" prop=\\\"lastLoginIp\\\">\\r\\n          <el-input v-model=\\\"form.lastLoginIp\\\" placeholder=\\\"请输入最后登陆ip\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listUser, getUser, delUser, addUser, updateUser, exportUser } from \\\"@/api/client/user\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 会员表格数据\\r\\n      userList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        phone: undefined,\\r\\n        password: undefined,\\r\\n        loginType: undefined,\\r\\n        openId: undefined,\\r\\n        nickname: undefined,\\r\\n        avatarUrl: undefined,\\r\\n        level: undefined,\\r\\n        birthday: undefined,\\r\\n        gender: undefined,\\r\\n        lastLoginTime: undefined,\\r\\n        lastLoginIp: undefined,\\r\\n        status: undefined\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n        loginType: [\\r\\n          { required: true, message: \\\"登陆类型不能为空\\\", trigger: \\\"blur\\\" }\\r\\n        ],        level: [\\r\\n          { required: true, message: \\\"0.普通会员 1.VIP会员不能为空\\\", trigger: \\\"blur\\\" }\\r\\n        ],      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询会员列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listUser(this.queryParams).then(response => {\\r\\n        this.userList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        id: undefined,\\r\\n        phone: undefined,\\r\\n        password: undefined,\\r\\n        loginType: undefined,\\r\\n        openId: undefined,\\r\\n        nickname: undefined,\\r\\n        avatarUrl: undefined,\\r\\n        level: undefined,\\r\\n        birthday: undefined,\\r\\n        gender: undefined,\\r\\n        lastLoginTime: undefined,\\r\\n        lastLoginIp: undefined,\\r\\n        status: \\\"0\\\"\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.id)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加会员\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const id = row.id || this.ids\\r\\n      getUser(id).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改会员\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.id != undefined) {\\r\\n            updateUser(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addUser(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const ids = row.id || this.ids;\\r\\n      this.$confirm(\'是否确认删除会员编号为\\\"\' + ids + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delUser(ids);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有会员数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportUser(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.UserMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"User\\\" id=\\\"UserResult\\\">\\r\\n        <result property=\\\"id\\\"    column=\\\"id\\\"    />\\r\\n        <result property=\\\"phone\\\"    column=\\\"phone\\\"    />\\r\\n        <result property=\\\"password\\\"    column=\\\"password\\\"    />\\r\\n        <result property=\\\"loginType\\\"    column=\\\"login_type\\\"    />\\r\\n        <result property=\\\"openId\\\"    column=\\\"open_id\\\"    />\\r\\n        <result property=\\\"nickname\\\"    column=\\\"nickname\\\"    />\\r\\n        <result property=\\\"avatarUrl\\\"    column=\\\"avatar_url\\\"    />\\r\\n        <result property=\\\"level\\\"    column=\\\"level\\\"    />\\r\\n        <result property=\\\"birthday\\\"    column=\\\"birthday\\\"    />\\r\\n        <result property=\\\"gender\\\"    column=\\\"gender\\\"    />\\r\\n        <result property=\\\"lastLoginTime\\\"    column=\\\"last_login_time\\\"    />\\r\\n        <result property=\\\"lastLoginIp\\\"    column=\\\"last_login_ip\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 会员对象 app_user\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"app_user\\\")\\r\\npublic class User\\r\\n{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 主键id */\\r\\n\\t@TableId(\\\"id\\\")\\r\\n\\tprivate Long id;\\r\\n\\r\\n    /** 手机号 */\\r\\n    @Excel(name = \\\"手机号\\\")\\r\\n\\t@TableField(\\\"phone\\\")\\r\\n\\tprivate String phone;\\r\\n\\r\\n    /** 密码 */\\r\\n    @Excel(name = \\\"密码\\\")\\r\\n\\t@TableField(\\\"password\\\")\\r\\n\\tprivate String password;\\r\\n\\r\\n    /** 登陆类型 */\\r\\n    @Excel(name = \\\"登陆类型\\\")\\r\\n\\t@TableField(\\\"login_type\\\")\\r\\n\\tprivate Long loginType;\\r\\n\\r\\n    /** 微信openid */\\r\\n    @Excel(name = \\\"微信openid\\\")\\r\\n\\t@TableField(\\\"open_id\\\")\\r\\n\\tprivate String openId;\\r\\n\\r\\n    /** 微信昵称 */\\r\\n    @Excel(name = \\\"微信昵称\\\")\\r\\n\\t@TableField(\\\"nickname\\\")\\r\\n\\tprivate String nickname;\\r\\n\\r\\n    /** 微信头像 */\\r\\n    @Excel(name = \\\"微信头像\\\")\\r\\n\\t@TableField(\\\"avatar_url\\\")\\r\\n\\tprivate String avatarUrl;\\r\\n\\r\\n    /** 0.普通会员 1.VIP会员 */\\r\\n    @Excel(name = \\\"0.普通会员 1.VIP会员\\\")\\r\\n\\t@TableField(\\\"level\\\")\\r\\n\\tprivate Long level;\\r\\n\\r\\n    /** 生日 */\\r\\n    @Excel(name = \\\"生日\\\", width = 30, dateFormat = \\\"yyyy-MM-dd\\\")\\r\\n\\t@TableField(\\\"birthday\\\")\\r\\n\\tprivate Date birthday;\\r\\n\\r\\n    /** 性别 */\\r\\n    @Excel(name = \\\"性别\\\")\\r\\n\\t@TableField(\\\"gender\\\")\\r\\n\\tprivate Long gender;\\r\\n\\r\\n    /** 最后登陆时间 */\\r\\n    @Excel(name = \\\"最后登陆时间\\\", width = 30, dateFormat = \\\"yyyy-MM-dd\\\")\\r\\n\\t@TableField(\\\"last_login_time\\\")\\r\\n\\tprivate Date lastLoginTime;\\r\\n\\r\\n    /** 最后登陆ip */\\r\\n    @Excel(name = \\\"最后登陆ip\\\")\\r\\n\\t@TableField(\\\"last_login_ip\\\")\\r\\n\\tprivate String lastLoginIp;\\r\\n\\r\\n    /** 状态 */\\r\\n    @Excel(name = \\\"状态\\\")\\r\\n\\t@TableField(\\\"status\\\")\\r\\n\\tprivate Long status;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"id\\\", getId())\\r\\n            .append(\\\"phone\\\", getPhone())\\r\\n            .append(\\\"password\\\", getPassword())\\r\\n            .append(\\\"loginType\\\", getLoginType())\\r\\n            .append(\\\"openId\\\", getOpenId())\\r\\n            .append(\\\"nickname\\\", getNickname())\\r\\n            .append(\\\"avatarUrl\\\", getAvatarUrl())\\r\\n            .append(\\\"level\\\", getLevel())\\r\\n            .append(\\\"birthday\\\", getBirthday())\\r\\n            .append(\\\"gender\\\", getGender())\\r\\n            .append(\\\"lastLoginTime\\\", getLastLoginTime())\\r\\n            .append(\\\"lastLoginIp\\\", getLastLoginIp())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 会员Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface UserMapper extends BaseMapper<User>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 会员Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface IUserService extends IService<User>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.jlb.project.client.service.IUserService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 会员Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"会员管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/user\\\")\\r\\npublic class UserController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private IUserService userService;\\r\\n\\r\\n    /**\\r\\n     * 查询会员列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询会员列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(User user)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<User> queryWrapper = new QueryWrapper<User>(user);\\r\\n        List<User> list = userService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询会员无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询会员无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:user:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<User> list = userService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出会员列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出会员列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:export\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(User user)\\r\\n    {\\r\\n        QueryWrapper<User> queryWrapper = new QueryWrapper<User>(user);\\r\\n        List<User> list = userService.list(queryWrapper);\\r\\n        ExcelUtil<User> util = new ExcelUtil<User>(User.class);\\r\\n        return util.exportExcel(list, \\\"user\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取会员详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取会员详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{id}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"id\\\") Long id)\\r\\n    {\\r\\n        return AjaxResult.success(userService.getById(id));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增会员\\r\\n     */\\r\\n    @ApiOperation(\\\"新增会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:add\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody User user)\\r\\n    {\\r\\n        return toAjax(userService.save(user)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改会员\\r\\n     */\\r\\n    @ApiOperation(\\\"修改会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:edit\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody User user)\\r\\n    {\\r\\n        return toAjax(userService.updateById(user)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除会员\\r\\n     */\\r\\n    @ApiOperation(\\\"删除会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:remove\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{ids}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] ids)\\r\\n    {\\r\\n        return toAjax(userService.removeByIds(Arrays.asList(ids))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.UserMapper;\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.jlb.project.client.service.IUserService;\\r\\n\\r\\n/**\\r\\n * 会员Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class UserServiceImpl extends ServiceImpl<UserMapper, User> implements IUserService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:56:34');
INSERT INTO `sys_oper_log` VALUES (513, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 14:57:12');
INSERT INTO `sys_oper_log` VALUES (514, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'data\', \'client/data/index\', 1, \'C\', \'0\', \'client:data:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:data:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateData(data) {\\r\\n  return request({\\r\\n    url: \'/client/data\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/client/data/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportData(query) {\\r\\n  return request({\\r\\n    url: \'/client/data/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:data:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"dataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:data:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listData, getData, delData, addData, updateData, exportData } from \\\"@/api/client/data\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      dataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listData(this.queryParams).then(response => {\\r\\n        this.dataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Excel;\\r\\nimport com.jlb.framework.web.domain.BaseEntity;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.mapper;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.core.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.service;\\r\\n\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/data\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:data:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"data\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:data:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.jlb.project.client.mapper.SysDictDataMapper;\\r\\nimport com.jlb.project.client.domain.SysDictData;\\r\\nimport com.jlb.project.client.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:01:49');
INSERT INTO `sys_oper_log` VALUES (515, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"sysData\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"sys\\\",\\\"packageName\\\":\\\"com.iotechn.unimall\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (516, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (517, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (518, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (519, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (520, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (521, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (522, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (523, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (524, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (525, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (526, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (527, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:08');
INSERT INTO `sys_oper_log` VALUES (528, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:09');
INSERT INTO `sys_oper_log` VALUES (529, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577246580000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:12:09');
INSERT INTO `sys_oper_log` VALUES (530, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysData\', \'sys/sysData/index\', 1, \'C\', \'0\', \'sys:sysData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys:sysData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys:sysData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys:sysData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys:sysData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys:sysData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysData(query) {\\r\\n  return request({\\r\\n    url: \'/sys/sysData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys/sysData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysData(data) {\\r\\n  return request({\\r\\n    url: \'/sys/sysData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysData(data) {\\r\\n  return request({\\r\\n    url: \'/sys/sysData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys/sysData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysData(query) {\\r\\n  return request({\\r\\n    url: \'/sys/sysData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys:sysData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys:sysData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys:sysData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys:sysData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys:sysData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys:sysData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysData, getSysData, delSysData, addSysData, updateSysData, exportSysData } from \\\"@/api/sys/sysData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysData(this.queryParams).then(response => {\\r\\n        this.sysDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.mapper;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.service;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface ISysDictDataService extends IService<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys/sysData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys:sysData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys:sysData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys:sysData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys:sysData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys:sysData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys:sysData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys:sysData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:12:11');
INSERT INTO `sys_oper_log` VALUES (531, '字典管理', 'optionselect', 'com.iotechn.unimall.admin.api.dict.DictTypeServiceImpl.optionselect()', 'GET', 1, '代运来', '', 'admin.dictType.optionselect', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.dictType\"], \"_mt\": [\"optionselect\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 15:13:18');
INSERT INTO `sys_oper_log` VALUES (532, '代码生成', 'get', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.get()', 'GET', 1, '代运来', '', 'admin.tools.gen.get', '127.0.0.1', '内网IP', '{\"id\": [\"21\"], \"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"get\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 15:13:18');
INSERT INTO `sys_oper_log` VALUES (533, '管理员信息', 'info', 'com.iotechn.unimall.admin.api.admin.AdminServiceImpl.info()', 'POST', 1, '代运来', '', 'admin.info', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin\"], \"_mt\": [\"info\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 15:13:25');
INSERT INTO `sys_oper_log` VALUES (534, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"sysDictData\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"dict\\\",\\\"packageName\\\":\\\"com.iotechn.unimall.sys\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (535, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (536, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (537, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (538, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (539, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (540, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (541, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (542, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (543, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (544, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (545, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (546, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257929000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (547, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257929000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (548, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577257928000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:14:06');
INSERT INTO `sys_oper_log` VALUES (549, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'dict/sysDictData/index\', 1, \'C\', \'0\', \'dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.sys.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.sys.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.sys.mapper;\\r\\n\\r\\nimport com.iotechn.unimall.sys.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.sys.service;\\r\\npackage com.iotechn.unimall.admin.api.tools.gen;\\r\\n\\r\\nimport com.iotechn.unimall.sys.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.tools.gen\\\", description = \\\"代码生成\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.sys.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.sys.domain.SysDictData;\\r\\nimport com.iotechn.unimall.sys.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.sys.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.sys.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.sys.domain.SysDictData;\\r\\nimport com.iotechn.unimall.sys.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:14:08');
INSERT INTO `sys_oper_log` VALUES (550, '代码生成', 'update', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.tools.gen.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"update\"], \"genTable\": [\"{\\\"businessName\\\":\\\"sysDictData\\\",\\\"className\\\":\\\"SysDictData\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"functionAuthor\\\":\\\"jlb\\\",\\\"functionName\\\":\\\"字典数据\\\",\\\"moduleName\\\":\\\"sys.dict\\\",\\\"packageName\\\":\\\"com.iotechn.unimall\\\",\\\"tableComment\\\":\\\"字典数据表\\\",\\\"tableId\\\":21,\\\"tableName\\\":\\\"sys_dict_data\\\",\\\"tplCategory\\\":\\\"crud\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"params\\\":{}}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (551, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典编码\\\",\\\"columnId\\\":207,\\\"columnName\\\":\\\"dict_code\\\",\\\"columnType\\\":\\\"bigint(20)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":true,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"1\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictCode\\\",\\\"javaType\\\":\\\"Long\\\",\\\"list\\\":false,\\\"pk\\\":true,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":1,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (552, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典键值\\\",\\\"columnId\\\":210,\\\"columnName\\\":\\\"dict_value\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictValue\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":4,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (553, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"表格回显样式\\\",\\\"columnId\\\":213,\\\"columnName\\\":\\\"list_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"listClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":7,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (554, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典标签\\\",\\\"columnId\\\":209,\\\"columnName\\\":\\\"dict_label\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictLabel\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":3,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (555, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典类型\\\",\\\"columnId\\\":211,\\\"columnName\\\":\\\"dict_type\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"select\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictType\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":5,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (556, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"字典排序\\\",\\\"columnId\\\":208,\\\"columnName\\\":\\\"dict_sort\\\",\\\"columnType\\\":\\\"int(4)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"dictSort\\\",\\\"javaType\\\":\\\"Integer\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":2,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (557, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"是否默认（Y是 N否）\\\",\\\"columnId\\\":214,\\\"columnName\\\":\\\"is_default\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"isDefault\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":8,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (558, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"样式属性（其他样式扩展）\\\",\\\"columnId\\\":212,\\\"columnName\\\":\\\"css_class\\\",\\\"columnType\\\":\\\"varchar(100)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"cssClass\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":6,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (559, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"状态（0正常 1停用）\\\",\\\"columnId\\\":215,\\\"columnName\\\":\\\"status\\\",\\\"columnType\\\":\\\"char(1)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"radio\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"isQuery\\\":\\\"1\\\",\\\"javaField\\\":\\\"status\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":true,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":9,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (560, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建者\\\",\\\"columnId\\\":216,\\\"columnName\\\":\\\"create_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":10,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (561, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"创建时间\\\",\\\"columnId\\\":217,\\\"columnName\\\":\\\"create_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":false,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"createTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":11,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (562, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新时间\\\",\\\"columnId\\\":219,\\\"columnName\\\":\\\"update_time\\\",\\\"columnType\\\":\\\"datetime\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"datetime\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateTime\\\",\\\"javaType\\\":\\\"Date\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":13,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (563, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"更新者\\\",\\\"columnId\\\":218,\\\"columnName\\\":\\\"update_by\\\",\\\"columnType\\\":\\\"varchar(64)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"input\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"updateBy\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":false,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":12,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (564, '代码生成', 'updateColumn', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.updateColumn()', 'POST', 1, '代运来', '', 'admin.tools.gen.updateColumn', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"updateColumn\"], \"genTableColumn\": [\"{\\\"columnComment\\\":\\\"备注\\\",\\\"columnId\\\":220,\\\"columnName\\\":\\\"remark\\\",\\\"columnType\\\":\\\"varchar(500)\\\",\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1577196836000,\\\"dictType\\\":\\\"\\\",\\\"edit\\\":true,\\\"htmlType\\\":\\\"textarea\\\",\\\"increment\\\":false,\\\"insert\\\":true,\\\"isEdit\\\":\\\"1\\\",\\\"isIncrement\\\":\\\"0\\\",\\\"isInsert\\\":\\\"1\\\",\\\"isList\\\":\\\"1\\\",\\\"isPk\\\":\\\"0\\\",\\\"javaField\\\":\\\"remark\\\",\\\"javaType\\\":\\\"String\\\",\\\"list\\\":true,\\\"pk\\\":false,\\\"query\\\":false,\\\"queryType\\\":\\\"EQ\\\",\\\"required\\\":false,\\\"sort\\\":14,\\\"superColumn\\\":false,\\\"tableId\\\":21,\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577258046000,\\\"usableColumn\\\":false}\"]}', 'true', 0, '', '2019-12-25 15:15:10');
INSERT INTO `sys_oper_log` VALUES (565, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.domain;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.mapper;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.service;\\r\\npackage com.iotechn.unimall.admin.api.tools.gen;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.tools.gen\\\", description = \\\"代码生成\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:15:12');
INSERT INTO `sys_oper_log` VALUES (566, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.mapper;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.service;\\r\\npackage com.iotechn.unimall.admin.api.tools.gen;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.tools.gen\\\", description = \\\"代码生成\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:18:49');
INSERT INTO `sys_oper_log` VALUES (567, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.mapper;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.service;\\r\\npackage com.iotechn.unimall.admin.api.tools.gen;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.tools.gen\\\", description = \\\"代码生成\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:20:07');
INSERT INTO `sys_oper_log` VALUES (568, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.service;\\r\\npackage com.iotechn.unimall.admin.api.tools.gen;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.tools.gen\\\", description = \\\"代码生成\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:21:26');
INSERT INTO `sys_oper_log` VALUES (569, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>\\r\\n{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.service;\\r\\npackage com.iotechn.unimall.admin.api.tools.gen;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.tools.gen\\\", description = \\\"代码生成\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:24:01');
INSERT INTO `sys_oper_log` VALUES (570, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.api.service.sys.dict;\\r\\npackage com.iotechn.unimall.admin.api.tools.gen;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.tools.gen\\\", description = \\\"代码生成\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:37:13');
INSERT INTO `sys_oper_log` VALUES (571, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\npackage com.iotechn.unimall.admin.api.tools.gen;\\r\\n\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.baomidou.mybatisplus.extension.service.IService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.tools.gen\\\", description = \\\"代码生成\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:39:18');
INSERT INTO `sys_oper_log` VALUES (572, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.tools.gen\\\", description = \\\"代码生成\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:42:37');
INSERT INTO `sys_oper_log` VALUES (573, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 15:46:02');
INSERT INTO `sys_oper_log` VALUES (574, '管理员信息', 'info', 'com.iotechn.unimall.admin.api.admin.AdminServiceImpl.info()', 'POST', 1, '代运来', '', 'admin.info', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin\"], \"_mt\": [\"info\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 15:46:04');
INSERT INTO `sys_oper_log` VALUES (575, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:46:11');
INSERT INTO `sys_oper_log` VALUES (576, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionParentName = \\\"系统管理\\\", permissionName = \\\"字典管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:dictData:list\\\", permissionParentName = \\\"系统管理\\\", permissionName = \\\"字典管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态\\\") String status,\\r\\n\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:dictData:delete\\\", permissionParentName = \\\"系统管理\\\", permissionName = \\\"字典管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典Id\\\") String dictCodes)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:dictData:update\\\", permissionParentName = \\\"系统管理\\\", permissionName = \\\"字典管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:dictData:get\\\", permissionParentName = \\\"系统管理\\\", permissionName = \\\"字典管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:51:39');
INSERT INTO `sys_oper_log` VALUES (577, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态\\\") String status,\\r\\n\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典Id\\\") String dictCodes)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:56:19');
INSERT INTO `sys_oper_log` VALUES (578, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态\\\") String status,\\r\\n\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典Id\\\") String dictCodes)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 15:56:49');
INSERT INTO `sys_oper_log` VALUES (579, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"${$column.javaField}\\\", type = HttpParamType.COMMON, description = \\\"${$column.columnComment}\\\") ${$column.javaType} ${$column.javaField},\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"${$column.javaField}\\\", type = HttpParamType.COMMON, description = \\\"${$column.columnComment}\\\") ${$column.javaType} ${$column.javaField},\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"${$column.javaField}\\\", type = HttpParamType.COMMON, description = \\\"${$column.columnComment}\\\") ${$column.javaType} ${$column.javaField},\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"${$column.javaField}\\\", type = HttpParamType.COMMON, description = \\\"${$column.columnComment}\\\") ${$column.javaType} ${$column.javaField},\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"${$column.javaField}\\\", type = HttpParamType.COMMON, description = \\\"${$column.columnComment}\\\") ${$column.javaType} ${$column.javaField},\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"${$column.javaField}\\\", type = HttpParamType.COMMON, description = \\\"${$column.columnComment}\\\") ${$column.javaType} ${$column.javaField},\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"${$column.javaField}\\\", type = HttpParamType.COMMON, description = \\\"${$column.columnComment}\\\") ${$column.javaType} ${$column.javaField},\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"${$column.javaField}\\\", type = HttpParamType.COMMON, description = \\\"${$column.columnComment}\\\") ${$column.javaType} ${$column.javaField},\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典Id\\\") String dictCodes)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:02:49');
INSERT INTO `sys_oper_log` VALUES (580, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典Id\\\") String dictCodes)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:03:44');
INSERT INTO `sys_oper_log` VALUES (581, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典Id\\\") String dictCodes)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:04:21');
INSERT INTO `sys_oper_log` VALUES (582, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典Id\\\") String dictCodes)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:04:47');
INSERT INTO `sys_oper_log` VALUES (583, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典Id\\\") String dictCodes)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:05:11');
INSERT INTO `sys_oper_log` VALUES (584, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictData\\\", type = HttpParamType.COMMON, description = \\\"字典信息\\\") SysDictData dictData)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:06:39');
INSERT INTO `sys_oper_log` VALUES (585, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode+\'s\')\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:08:22');
INSERT INTO `sys_oper_log` VALUES (586, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long $column.javaFields)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:08:34');
INSERT INTO `sys_oper_log` VALUES (587, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode+s)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:09:29');
INSERT INTO `sys_oper_log` VALUES (588, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long ${$column.javaField}s)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:09:45');
INSERT INTO `sys_oper_log` VALUES (589, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 16:10:53');
INSERT INTO `sys_oper_log` VALUES (590, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:11:35');
INSERT INTO `sys_oper_log` VALUES (591, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode + \'s\')\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典ID\\\") String dictCode)\\r\\n\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:11:55');
INSERT INTO `sys_oper_log` VALUES (592, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:12:46');
INSERT INTO `sys_oper_log` VALUES (593, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:13:24');
INSERT INTO `sys_oper_log` VALUES (594, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:14:13');
INSERT INTO `sys_oper_log` VALUES (595, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:14:26');
INSERT INTO `sys_oper_log` VALUES (596, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 16:14:34');
INSERT INTO `sys_oper_log` VALUES (597, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.service.impl;\\r\\n\\r\\nimport java.util.List;\\r\\nimport com.jlb.common.utils.DateUtils;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;\\r\\nimport com.iotechn.unimall.mapper.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:29:09');
INSERT INTO `sys_oper_log` VALUES (598, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl extends ServiceImpl<SysDictDataMapper, SysDictData> implements ISysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:36:20');
INSERT INTO `sys_oper_log` VALUES (599, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService\\r\\n{\\r\\n\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:37:47');
INSERT INTO `sys_oper_log` VALUES (600, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)\\r\\n\\t\\t\\tthrows ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t}\\r\\n\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\twrapper.like(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t}\\r\\n\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\twrapper.like(\\\"status\\\", status);\\r\\n\\t\\t}\\r\\n\\t\\tList<SysDictData> SysDictDataS = dictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = dictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(SysDictDataS, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(String dictCodes) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCodes.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn dictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData dictData) throws ServiceException {\\r\\n\\t\\treturn dictDataMapper.updateById(dictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(String dictCode) throws ServiceException {\\r\\n\\t\\treturn dictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:41:15');
INSERT INTO `sys_oper_log` VALUES (601, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t Integer page, Integer limit)\\r\\n\\t\\t\\tthrows ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t}\\r\\n\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\twrapper.like(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t}\\r\\n\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\twrapper.like(\\\"status\\\", status);\\r\\n\\t\\t}\\r\\n\\t\\tList<SysDictData> SysDictDataS = dictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = dictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(SysDictDataS, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(String dictCodes) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCodes.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn dictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData dictData) throws ServiceException {\\r\\n\\t\\treturn dictDataMapper.updateById(dictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(String dictCode) throws ServiceException {\\r\\n\\t\\treturn dictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:42:07');
INSERT INTO `sys_oper_log` VALUES (602, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(String dictCodes) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCodes.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn dictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData dictData) throws ServiceException {\\r\\n\\t\\treturn dictDataMapper.updateById(dictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(String dictCode) throws ServiceException {\\r\\n\\t\\treturn dictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:45:22');
INSERT INTO `sys_oper_log` VALUES (603, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\tdictCodes\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t) throws ServiceException {\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tString[] ids=[Ljava.lang.String;@34b0034;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tLong dictCode\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t) throws ServiceException {\\r\\n\\t\\t\\t\\t\\t\\t\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:51:42');
INSERT INTO `sys_oper_log` VALUES (604, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\tdictCodes\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t) throws ServiceException {\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tString[] ids=[Ljava.lang.String;@15e120f1;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\t\\t\\t\\t\\t\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:52:37');
INSERT INTO `sys_oper_log` VALUES (605, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 20:53:36');
INSERT INTO `sys_oper_log` VALUES (606, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\tdictCodes\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t) throws ServiceException {\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tString[] ids=[Ljava.lang.String;@67f8e5cb;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:54:08');
INSERT INTO `sys_oper_log` VALUES (607, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tString[] ids=[Ljava.lang.String;@1050e5ae;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:58:02');
INSERT INTO `sys_oper_log` VALUES (608, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tString[] ids=[Ljava.lang.String;@4e828954;\\r\\n\\t\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:59:09');
INSERT INTO `sys_oper_log` VALUES (609, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\t\\t\\t\\tString[] ids=[Ljava.lang.String;@71ac1bb5;\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 20:59:27');
INSERT INTO `sys_oper_log` VALUES (610, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"8\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员\', \'3\', \'1\', \'user\', \'client/user/index\', 1, \'C\', \'0\', \'client:user:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'会员菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'会员导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'client:user:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询会员列表\\r\\nexport function listUser(query) {\\r\\n  return request({\\r\\n    url: \'/client/user/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询会员详细\\r\\nexport function getUser(id) {\\r\\n  return request({\\r\\n    url: \'/client/user/\' + id,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增会员\\r\\nexport function addUser(data) {\\r\\n  return request({\\r\\n    url: \'/client/user\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改会员\\r\\nexport function updateUser(data) {\\r\\n  return request({\\r\\n    url: \'/client/user\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除会员\\r\\nexport function delUser(id) {\\r\\n  return request({\\r\\n    url: \'/client/user/\' + id,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出会员\\r\\nexport function exportUser(query) {\\r\\n  return request({\\r\\n    url: \'/client/user/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"手机号\\\" prop=\\\"phone\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.phone\\\"\\r\\n          placeholder=\\\"请输入手机号\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"密码\\\" prop=\\\"password\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.password\\\"\\r\\n          placeholder=\\\"请输入密码\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"登陆类型\\\" prop=\\\"loginType\\\">\\r\\n        <el-select v-model=\\\"queryParams.loginType\\\" placeholder=\\\"请选择登陆类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信openid\\\" prop=\\\"openId\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.openId\\\"\\r\\n          placeholder=\\\"请输入微信openid\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信昵称\\\" prop=\\\"nickname\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.nickname\\\"\\r\\n          placeholder=\\\"请输入微信昵称\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"微信头像\\\" prop=\\\"avatarUrl\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.avatarUrl\\\"\\r\\n          placeholder=\\\"请输入微信头像\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"0.普通会员 1.VIP会员\\\" prop=\\\"level\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.level\\\"\\r\\n          placeholder=\\\"请输入0.普通会员 1.VIP会员\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"生日\\\" prop=\\\"birthday\\\">\\r\\n        <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n          v-model=\\\"queryParams.birthday\\\"\\r\\n          type=\\\"date\\\"\\r\\n          value-format=\\\"yyyy-MM-dd\\\"\\r\\n          placeholder=\\\"选择生日\\\">\\r\\n        </el-date-picker>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"性别\\\" prop=\\\"gender\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.gender\\\"\\r\\n          placeholder=\\\"请输入性别\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"最后登陆时间\\\" prop=\\\"lastLoginTime\\\">\\r\\n        <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n          v-model=\\\"queryParams.lastLoginTime\\\"\\r\\n          type=\\\"date\\\"\\r\\n          value-format=\\\"yyyy-MM-dd\\\"\\r\\n          placeholder=\\\"选择最后登陆时间\\\">\\r\\n        </el-date-picker>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"最后登陆ip\\\" prop=\\\"lastLoginIp\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.lastLoginIp\\\"\\r\\n          placeholder=\\\"请输入最后登陆ip\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'client:user:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"userList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"主键id\\\" align=\\\"center\\\" prop=\\\"id\\\" />\\r\\n      <el-table-column label=\\\"手机号\\\" align=\\\"center\\\" prop=\\\"phone\\\" />\\r\\n      <el-table-column label=\\\"密码\\\" align=\\\"center\\\" prop=\\\"password\\\" />\\r\\n      <el-table-column label=\\\"登陆类型\\\" align=\\\"center\\\" prop=\\\"loginType\\\" />\\r\\n      <el-table-column label=\\\"微信openid\\\" align=\\\"center\\\" prop=\\\"openId\\\" />\\r\\n      <el-table-column label=\\\"微信昵称\\\" align=\\\"center\\\" prop=\\\"nickname\\\" />\\r\\n      <el-table-column label=\\\"微信头像\\\" align=\\\"center\\\" prop=\\\"avatarUrl\\\" />\\r\\n      <el-table-column label=\\\"0.普通会员 1.VIP会员\\\" align=\\\"center\\\" prop=\\\"level\\\" />\\r\\n      <el-table-column label=\\\"生日\\\" align=\\\"center\\\" prop=\\\"birthday\\\" width=\\\"180\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <span>{{ parseTime(scope.row.birthday) }}</span>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n      <el-table-column label=\\\"性别\\\" align=\\\"center\\\" prop=\\\"gender\\\" />\\r\\n      <el-table-column label=\\\"最后登陆时间\\\" align=\\\"center\\\" prop=\\\"lastLoginTime\\\" width=\\\"180\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <span>{{ parseTime(scope.row.lastLoginTime) }}</span>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n      <el-table-column label=\\\"最后登陆ip\\\" align=\\\"center\\\" prop=\\\"lastLoginIp\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:user:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'client:user:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改会员对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"手机号\\\" prop=\\\"phone\\\">\\r\\n          <el-input v-model=\\\"form.phone\\\" placeholder=\\\"请输入手机号\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"密码\\\" prop=\\\"password\\\">\\r\\n          <el-input v-model=\\\"form.password\\\" placeholder=\\\"请输入密码\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"登陆类型\\\">\\r\\n          <el-select v-model=\\\"form.loginType\\\" placeholder=\\\"请选择登陆类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信openid\\\" prop=\\\"openId\\\">\\r\\n          <el-input v-model=\\\"form.openId\\\" placeholder=\\\"请输入微信openid\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信昵称\\\" prop=\\\"nickname\\\">\\r\\n          <el-input v-model=\\\"form.nickname\\\" placeholder=\\\"请输入微信昵称\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"微信头像\\\" prop=\\\"avatarUrl\\\">\\r\\n          <el-input v-model=\\\"form.avatarUrl\\\" placeholder=\\\"请输入微信头像\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"0.普通会员 1.VIP会员\\\" prop=\\\"level\\\">\\r\\n          <el-input v-model=\\\"form.level\\\" placeholder=\\\"请输入0.普通会员 1.VIP会员\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"生日\\\" prop=\\\"birthday\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.birthday\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择生日\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"性别\\\" prop=\\\"gender\\\">\\r\\n          <el-input v-model=\\\"form.gender\\\" placeholder=\\\"请输入性别\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"最后登陆时间\\\" prop=\\\"lastLoginTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.lastLoginTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择最后登陆时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"最后登陆ip\\\" prop=\\\"lastLoginIp\\\">\\r\\n          <el-input v-model=\\\"form.lastLoginIp\\\" placeholder=\\\"请输入最后登陆ip\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listUser, getUser, delUser, addUser, updateUser, exportUser } from \\\"@/api/client/user\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 会员表格数据\\r\\n      userList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        phone: undefined,\\r\\n        password: undefined,\\r\\n        loginType: undefined,\\r\\n        openId: undefined,\\r\\n        nickname: undefined,\\r\\n        avatarUrl: undefined,\\r\\n        level: undefined,\\r\\n        birthday: undefined,\\r\\n        gender: undefined,\\r\\n        lastLoginTime: undefined,\\r\\n        lastLoginIp: undefined,\\r\\n        status: undefined\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n        loginType: [\\r\\n          { required: true, message: \\\"登陆类型不能为空\\\", trigger: \\\"blur\\\" }\\r\\n        ],        level: [\\r\\n          { required: true, message: \\\"0.普通会员 1.VIP会员不能为空\\\", trigger: \\\"blur\\\" }\\r\\n        ],      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询会员列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listUser(this.queryParams).then(response => {\\r\\n        this.userList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        id: undefined,\\r\\n        phone: undefined,\\r\\n        password: undefined,\\r\\n        loginType: undefined,\\r\\n        openId: undefined,\\r\\n        nickname: undefined,\\r\\n        avatarUrl: undefined,\\r\\n        level: undefined,\\r\\n        birthday: undefined,\\r\\n        gender: undefined,\\r\\n        lastLoginTime: undefined,\\r\\n        lastLoginIp: undefined,\\r\\n        status: \\\"0\\\"\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.id)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加会员\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const id = row.id || this.ids\\r\\n      getUser(id).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改会员\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.id != undefined) {\\r\\n            updateUser(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addUser(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const ids = row.id || this.ids;\\r\\n      this.$confirm(\'是否确认删除会员编号为\\\"\' + ids + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delUser(ids);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有会员数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportUser(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.jlb.project.client.mapper.UserMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"User\\\" id=\\\"UserResult\\\">\\r\\n        <result property=\\\"id\\\"    column=\\\"id\\\"    />\\r\\n        <result property=\\\"phone\\\"    column=\\\"phone\\\"    />\\r\\n        <result property=\\\"password\\\"    column=\\\"password\\\"    />\\r\\n        <result property=\\\"loginType\\\"    column=\\\"login_type\\\"    />\\r\\n        <result property=\\\"openId\\\"    column=\\\"open_id\\\"    />\\r\\n        <result property=\\\"nickname\\\"    column=\\\"nickname\\\"    />\\r\\n        <result property=\\\"avatarUrl\\\"    column=\\\"avatar_url\\\"    />\\r\\n        <result property=\\\"level\\\"    column=\\\"level\\\"    />\\r\\n        <result property=\\\"birthday\\\"    column=\\\"birthday\\\"    />\\r\\n        <result property=\\\"gender\\\"    column=\\\"gender\\\"    />\\r\\n        <result property=\\\"lastLoginTime\\\"    column=\\\"last_login_time\\\"    />\\r\\n        <result property=\\\"lastLoginIp\\\"    column=\\\"last_login_ip\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.jlb.project.client.data.domain.client;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 会员对象 app_user\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"app_user\\\")\\r\\npublic class User{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 主键id */\\r\\n    @TableId(\\\"id\\\")\\r\\n    private Long id;\\r\\n\\r\\n    /** 手机号 */\\r\\n    @Excel(name = \\\"手机号\\\")\\r\\n    @TableField(\\\"phone\\\")\\r\\n    private String phone;\\r\\n\\r\\n    /** 密码 */\\r\\n    @Excel(name = \\\"密码\\\")\\r\\n    @TableField(\\\"password\\\")\\r\\n    private String password;\\r\\n\\r\\n    /** 登陆类型 */\\r\\n    @Excel(name = \\\"登陆类型\\\")\\r\\n    @TableField(\\\"login_type\\\")\\r\\n    private Long loginType;\\r\\n\\r\\n    /** 微信openid */\\r\\n    @Excel(name = \\\"微信openid\\\")\\r\\n    @TableField(\\\"open_id\\\")\\r\\n    private String openId;\\r\\n\\r\\n    /** 微信昵称 */\\r\\n    @Excel(name = \\\"微信昵称\\\")\\r\\n    @TableField(\\\"nickname\\\")\\r\\n    private String nickname;\\r\\n\\r\\n    /** 微信头像 */\\r\\n    @Excel(name = \\\"微信头像\\\")\\r\\n    @TableField(\\\"avatar_url\\\")\\r\\n    private String avatarUrl;\\r\\n\\r\\n    /** 0.普通会员 1.VIP会员 */\\r\\n    @Excel(name = \\\"0.普通会员 1.VIP会员\\\")\\r\\n    @TableField(\\\"level\\\")\\r\\n    private Long level;\\r\\n\\r\\n    /** 生日 */\\r\\n    @Excel(name = \\\"生日\\\", width = 30, dateFormat = \\\"yyyy-MM-dd\\\")\\r\\n    @TableField(\\\"birthday\\\")\\r\\n    private Date birthday;\\r\\n\\r\\n    /** 性别 */\\r\\n    @Excel(name = \\\"性别\\\")\\r\\n    @TableField(\\\"gender\\\")\\r\\n    private Long gender;\\r\\n\\r\\n    /** 最后登陆时间 */\\r\\n    @Excel(name = \\\"最后登陆时间\\\", width = 30, dateFormat = \\\"yyyy-MM-dd\\\")\\r\\n    @TableField(\\\"last_login_time\\\")\\r\\n    private Date lastLoginTime;\\r\\n\\r\\n    /** 最后登陆ip */\\r\\n    @Excel(name = \\\"最后登陆ip\\\")\\r\\n    @TableField(\\\"last_login_ip\\\")\\r\\n    private String lastLoginIp;\\r\\n\\r\\n    /** 状态 */\\r\\n    @Excel(name = \\\"状态\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private Long status;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"id\\\", getId())\\r\\n            .append(\\\"phone\\\", getPhone())\\r\\n            .append(\\\"password\\\", getPassword())\\r\\n            .append(\\\"loginType\\\", getLoginType())\\r\\n            .append(\\\"openId\\\", getOpenId())\\r\\n            .append(\\\"nickname\\\", getNickname())\\r\\n            .append(\\\"avatarUrl\\\", getAvatarUrl())\\r\\n            .append(\\\"level\\\", getLevel())\\r\\n            .append(\\\"birthday\\\", getBirthday())\\r\\n            .append(\\\"gender\\\", getGender())\\r\\n            .append(\\\"lastLoginTime\\\", getLastLoginTime())\\r\\n            .append(\\\"lastLoginIp\\\", getLastLoginIp())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.jlb.project.client.data.mapper.client;\\r\\n\\r\\nimport com.jlb.project.client.data.domain.client.User;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 会员Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface UserMapper extends BaseMapper<User>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.jlb.project.client.admin.api.client;\\r\\n\\r\\n\\r\\nimport com.jlb.project.client.domain.client.User;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 会员Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.client\\\", description = \\\"会员\\\")\\r\\npublic interface UserService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:user:add\\\", permissionName = \\\"会员管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"user\\\", type = HttpParamType.COMMON, description = \\\"会员\\\") User user)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:user:list\\\", permissionName = \\\"会员管理\\\")\\r\\n\\tpublic Page<User> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"phone\\\", type = HttpParamType.COMMON, description = \\\"手机号\\\") String phone,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"password\\\", type = HttpParamType.COMMON, description = \\\"密码\\\") String password,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"loginType\\\", type = HttpParamType.COMMON, description = \\\"登陆类型\\\") Long loginType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"openId\\\", type = HttpParamType.COMMON, description = \\\"微信openid\\\") String openId,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"nickname\\\", type = HttpParamType.COMMON, description = \\\"微信昵称\\\") String nickname,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"avatarUrl\\\", type = HttpParamType.COMMON, description = \\\"微信头像\\\") String avatarUrl,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"level\\\", type = HttpParamType.COMMON, description = \\\"0.普通会员 1.VIP会员\\\") Long level,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"birthday\\\", type = HttpParamType.COMMON, description = \\\"生日\\\") Date birthday,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"gender\\\", type = HttpParamType.COMMON, description = \\\"性别\\\") Long gender,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"lastLoginTime\\\", type = HttpParamType.COMMON, description = \\\"最后登陆时间\\\") Date lastLoginTime,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"lastLoginIp\\\", type = HttpParamType.COMMON, description = \\\"最后登陆ip\\\") String lastLoginIp,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态\\\") Long status,\\r\\n\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:user:delete\\\", permissionName = \\\"会员管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"id\\\", type = HttpParamType.COMMON, description = \\\"主键id\\\")Long ids)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:user:update\\\", permissionName = \\\"会员管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"user\\\", type = HttpParamType.COMMON, description = \\\"会员\\\") User user)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:user:get\\\", permissionName = \\\"会员管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"id\\\", type = HttpParamType.COMMON, description = \\\"主键id\\\")Long id)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.jlb.project.client.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.jlb.project.client.domain.User;\\r\\nimport com.jlb.project.client.service.IUserService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 会员Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"会员管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/client/user\\\")\\r\\npublic class UserController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private IUserService userService;\\r\\n\\r\\n    /**\\r\\n     * 查询会员列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询会员列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(User user)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<User> queryWrapper = new QueryWrapper<User>(user);\\r\\n        List<User> list = userService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询会员无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询会员无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'client:user:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<User> list = userService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出会员列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出会员列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:export\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(User user)\\r\\n    {\\r\\n        QueryWrapper<User> queryWrapper = new QueryWrapper<User>(user);\\r\\n        List<User> list = userService.list(queryWrapper);\\r\\n        ExcelUtil<User> util = new ExcelUtil<User>(User.class);\\r\\n        return util.exportExcel(list, \\\"user\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取会员详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取会员详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{id}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"id\\\") Long id)\\r\\n    {\\r\\n        return AjaxResult.success(userService.getById(id));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增会员\\r\\n     */\\r\\n    @ApiOperation(\\\"新增会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:add\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody User user)\\r\\n    {\\r\\n        return toAjax(userService.save(user)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改会员\\r\\n     */\\r\\n    @ApiOperation(\\\"修改会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:edit\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody User user)\\r\\n    {\\r\\n        return toAjax(userService.updateById(user)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除会员\\r\\n     */\\r\\n    @ApiOperation(\\\"删除会员\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'client:user:remove\')\\\")\\r\\n    @Log(title = \\\"会员\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{ids}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] ids)\\r\\n    {\\r\\n        return toAjax(userService.removeByIds(Arrays.asList(ids))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.jlb.project.client.admin.api.client;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.jlb.project.client.data.mapper.client.UserMapper;\\r\\nimport com.jlb.project.client.data.domain.client.User;\\r\\nimport com.jlb.project.client.admin.api.client.UserService;\\r\\n\\r\\n/**\\r\\n * 会员Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class UserServiceImpl implements UserService{\\r\\n\\t@Autowired\\r\\n\\tprivate UserMapper userMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(User user) throws ServiceException {\\r\\n\\t\\treturn userMapper.insert(user)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<User> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tString phone ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString password ,\\r\\n\\t\\t\\t\\t\\t\\t\\tLong loginType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString openId ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString nickname ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString avatarUrl ,\\r\\n\\t\\t\\t\\t\\t\\t\\tLong level ,\\r\\n\\t\\t\\t\\t\\t\\t\\tDate birthday ,\\r\\n\\t\\t\\t\\t\\t\\t\\tLong gender ,\\r\\n\\t\\t\\t\\t\\t\\t\\tDate lastLoginTime ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString lastLoginIp ,\\r\\n\\t\\t\\t\\t\\t\\t\\tLong status ,\\r\\n\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<User> wrapper = new EntityWrapper<User>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(phone)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"phone\\\", phone);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(password)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"password\\\", password);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(loginType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"login_type\\\", loginType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(openId)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"open_id\\\", openId);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(nickname)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"nickname\\\", nickname);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(avatarUrl)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"avatar_url\\\", avatarUrl);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(level)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"level\\\", level);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(birthday)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"birthday\\\", birthday);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(gender)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"gender\\\", gender);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(lastLoginTime)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"last_login_time\\\", lastLoginTime);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(lastLoginIp)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"last_login_ip\\\", lastLoginIp);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\tList<User> list = userMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = userMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<User>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(ids) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=[Ljava.lang.String;@1d0c2571;\\r\\n\\t\\tWrapper<User> wrapper = new EntityWrapper<User>();\\r\\n\\t\\twrapper.in(\\\"id\\\", ids);\\r\\n\\t\\t\\t\\treturn userMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(User user) throws ServiceException {\\r\\n\\t\\treturn userMapper.updateById(user)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic User get(Long id) throws ServiceException {\\r\\n\\t\\treturn userMapper.selectById(id);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:00:37');
INSERT INTO `sys_oper_log` VALUES (611, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=[Ljava.lang.String;@469e07b8;\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:00:43');
INSERT INTO `sys_oper_log` VALUES (612, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:02:09');
INSERT INTO `sys_oper_log` VALUES (613, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/controller.java.vm\": \"package com.iotechn.unimall.controller;\\r\\n\\r\\nimport com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;\\r\\nimport java.util.List;\\r\\nimport java.util.Arrays;\\r\\nimport org.springframework.security.access.prepost.PreAuthorize;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.web.bind.annotation.GetMapping;\\r\\nimport org.springframework.web.bind.annotation.PostMapping;\\r\\nimport org.springframework.web.bind.annotation.PutMapping;\\r\\nimport org.springframework.web.bind.annotation.DeleteMapping;\\r\\nimport org.springframework.web.bind.annotation.PathVariable;\\r\\nimport org.springframework.web.bind.annotation.RequestBody;\\r\\nimport org.springframework.web.bind.annotation.RequestMapping;\\r\\nimport org.springframework.web.bind.annotation.RestController;\\r\\nimport com.jlb.framework.aspectj.lang.annotation.Log;\\r\\nimport com.jlb.framework.aspectj.lang.enums.BusinessType;\\r\\nimport com.iotechn.unimall.domain.SysDictData;\\r\\nimport com.iotechn.unimall.service.ISysDictDataService;\\r\\nimport com.jlb.framework.web.controller.BaseController;\\r\\nimport com.jlb.framework.web.domain.AjaxResult;\\r\\nimport com.jlb.common.utils.poi.ExcelUtil;\\r\\nimport com.jlb.framework.web.page.TableDataInfo;\\r\\nimport io.swagger.annotations.Api;\\r\\nimport io.swagger.annotations.ApiImplicitParam;\\r\\nimport io.swagger.annotations.ApiModel;\\r\\nimport io.swagger.annotations.ApiModelProperty;\\r\\nimport io.swagger.annotations.ApiOperation;\\r\\n\\r\\n/**\\r\\n * 字典数据Controller\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Api(\\\"字典数据管理\\\")\\r\\n@RestController\\r\\n@RequestMapping(\\\"/sys.dict/sysDictData\\\")\\r\\npublic class SysDictDataController extends BaseController\\r\\n{\\r\\n    @Autowired\\r\\n    private ISysDictDataService sysDictDataService;\\r\\n\\r\\n    /**\\r\\n     * 查询字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"查询字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n    @GetMapping(\\\"/list\\\")\\r\\n    public TableDataInfo list(SysDictData sysDictData)\\r\\n    {\\r\\n        startPage();\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        return getDataTable(list);\\r\\n    }\\r\\n\\r\\n\\t/**\\r\\n\\t * 查询字典数据无分页列表\\r\\n\\t */\\r\\n\\t@ApiOperation(\\\"查询字典数据无分页列表\\\")\\r\\n\\t@PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:list\')\\\")\\r\\n\\t@GetMapping(\\\"/listNoPage\\\")\\r\\n\\tpublic AjaxResult list() {\\r\\n\\t\\t List<SysDictData> list = sysDictDataService.list();\\r\\n\\t\\treturn AjaxResult.success(list);\\r\\n\\t}\\r\\n\\r\\n    /**\\r\\n     * 导出字典数据列表\\r\\n     */\\r\\n    @ApiOperation(\\\"导出字典数据列表\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:export\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.EXPORT)\\r\\n    @GetMapping(\\\"/export\\\")\\r\\n    public AjaxResult export(SysDictData sysDictData)\\r\\n    {\\r\\n        QueryWrapper<SysDictData> queryWrapper = new QueryWrapper<SysDictData>(sysDictData);\\r\\n        List<SysDictData> list = sysDictDataService.list(queryWrapper);\\r\\n        ExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n        return util.exportExcel(list, \\\"sysDictData\\\");\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 获取字典数据详细信息\\r\\n     */\\r\\n    @ApiOperation(\\\"获取字典数据详细信息\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:query\')\\\")\\r\\n    @GetMapping(value = \\\"/{dictCode}\\\")\\r\\n    public AjaxResult getInfo(@PathVariable(\\\"dictCode\\\") Long dictCode)\\r\\n    {\\r\\n        return AjaxResult.success(sysDictDataService.getById(dictCode));\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 新增字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"新增字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:add\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.INSERT)\\r\\n    @PostMapping\\r\\n    public AjaxResult add(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.save(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 修改字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"修改字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:edit\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.UPDATE)\\r\\n    @PutMapping\\r\\n    public AjaxResult edit(@RequestBody SysDictData sysDictData)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.updateById(sysDictData)? 1 : 0);\\r\\n    }\\r\\n\\r\\n    /**\\r\\n     * 删除字典数据\\r\\n     */\\r\\n    @ApiOperation(\\\"删除字典数据\\\")\\r\\n    @PreAuthorize(\\\"@ss.hasPermi(\'sys.dict:sysDictData:remove\')\\\")\\r\\n    @Log(title = \\\"字典数据\\\", businessType = BusinessType.DELETE)\\r\\n\\t@DeleteMapping(\\\"/{dictCodes}\\\")\\r\\n    public AjaxResult remove(@PathVariable Long[] dictCodes)\\r\\n    {\\r\\n        return toAjax(sysDictDataService.removeByIds(Arrays.asList(dictCodes))?1:0);\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:02:26');
INSERT INTO `sys_oper_log` VALUES (614, '登陆日志管理', 'export', 'com.iotechn.unimall.admin.api.log.loginLog.SysLogininforServiceImpl.export()', 'GET', 1, '代运来', '', 'admin.log.logininfor.export', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.log.logininfor\"], \"_mt\": [\"export\"], \"pageNum\": [\"1\"], \"pageSize\": [\"10\"]}', '\"fadf1f14-f219-463d-a7fb-95d2aeb294b9_操作日志.xlsx\"', 0, '', '2019-12-25 21:04:44');
INSERT INTO `sys_oper_log` VALUES (615, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 21:08:41');
INSERT INTO `sys_oper_log` VALUES (616, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 21:08:53');
INSERT INTO `sys_oper_log` VALUES (617, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t )throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\tInteger dictSort ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictLabel ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictValue ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString dictType ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString cssClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString listClass ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString isDefault ,\\r\\n\\t\\t\\t\\t\\t\\t\\tString status ,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tInteger page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:10:16');
INSERT INTO `sys_oper_log` VALUES (618, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort ,String dictLabel ,String dictValue ,String dictType ,String cssClass ,String listClass ,String isDefault ,String status , Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort ,String dictLabel ,String dictValue ,String dictType ,String cssClass ,String listClass ,String isDefault ,String status , Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:14:50');
INSERT INTO `sys_oper_log` VALUES (619, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/list\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort ,String dictLabel ,String dictValue ,String dictType ,String cssClass ,String listClass ,String isDefault ,String status , Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:15:17');
INSERT INTO `sys_oper_log` VALUES (620, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"$column.columnComment\\\")Long dictCode)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:20:19');
INSERT INTO `sys_oper_log` VALUES (621, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:20:49');
INSERT INTO `sys_oper_log` VALUES (622, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(\\r\\n\\t\\t\\t\\t\\t\\t@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:21:09');
INSERT INTO `sys_oper_log` VALUES (623, '管理员信息', 'info', 'com.iotechn.unimall.admin.api.admin.AdminServiceImpl.info()', 'POST', 1, '代运来', '', 'admin.info', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin\"], \"_mt\": [\"info\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 21:23:01');
INSERT INTO `sys_oper_log` VALUES (624, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(\\r\\n\\t\\t@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\tthrows ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:23:09');
INSERT INTO `sys_oper_log` VALUES (625, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:24:06');
INSERT INTO `sys_oper_log` VALUES (626, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes) throws ServiceException {\\r\\n\\t\\t\\t\\tString[] ids=dictCodes .split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dictCode\\\", ids);\\r\\n\\t\\t\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:25:59');
INSERT INTO `sys_oper_log` VALUES (627, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes)) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCode.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:26:48');
INSERT INTO `sys_oper_log` VALUES (628, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 21:28:05');
INSERT INTO `sys_oper_log` VALUES (629, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'get\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes)) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCode.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:28:21');
INSERT INTO `sys_oper_log` VALUES (630, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'get\',\\r\\n      dictCode:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict\',\\r\\n      _mt: \'get\',\\r\\n    }\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData\',\\r\\n    method: \'put\',\\r\\n    data: data\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/\' + dictCode,\\r\\n    method: \'delete\'\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes)) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCode.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:31:13');
INSERT INTO `sys_oper_log` VALUES (631, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'get\',\\r\\n      dictCode:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'add\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      dictCodes:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    url: \'/sys.dict/sysDictData/export\',\\r\\n    method: \'get\',\\r\\n    params: query\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict.sysDictData\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes)) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCode.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:35:16');
INSERT INTO `sys_oper_log` VALUES (632, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/sql/sql.vm\": \"-- 菜单 SQL\\r\\ninsert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据\', \'3\', \'1\', \'sysDictData\', \'sys.dict/sysDictData/index\', 1, \'C\', \'0\', \'sys.dict:sysDictData:list\', \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'字典数据菜单\');\\r\\n\\r\\n-- 按钮父菜单ID\\r\\nSELECT @parentId := LAST_INSERT_ID();\\r\\n\\r\\n-- 按钮 SQL\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据查询\', @parentId, \'1\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:query\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据新增\', @parentId, \'2\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:add\',          \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据修改\', @parentId, \'3\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:edit\',         \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据删除\', @parentId, \'4\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:remove\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\\r\\n\\r\\ninsert into sys_menu  (menu_name, parent_id, order_num, path, component, is_frame, menu_type, visible, perms, icon, create_by, create_time, update_by, update_time, remark)\\r\\nvalues(\'字典数据导出\', @parentId, \'5\',  \'#\', \'\', 1,  \'F\', \'0\', \'sys.dict:sysDictData:export\',       \'#\', \'admin\', \'2018-03-01\', \'ry\', \'2018-03-01\', \'\');\", \"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'get\',\\r\\n      dictCode:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'add\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      dictCodes:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'export\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.mapper.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n        <result property=\\\"dictCode\\\"    column=\\\"dict_code\\\"    />\\r\\n        <result property=\\\"dictSort\\\"    column=\\\"dict_sort\\\"    />\\r\\n        <result property=\\\"dictLabel\\\"    column=\\\"dict_label\\\"    />\\r\\n        <result property=\\\"dictValue\\\"    column=\\\"dict_value\\\"    />\\r\\n        <result property=\\\"dictType\\\"    column=\\\"dict_type\\\"    />\\r\\n        <result property=\\\"cssClass\\\"    column=\\\"css_class\\\"    />\\r\\n        <result property=\\\"listClass\\\"    column=\\\"list_class\\\"    />\\r\\n        <result property=\\\"isDefault\\\"    column=\\\"is_default\\\"    />\\r\\n        <result property=\\\"status\\\"    column=\\\"status\\\"    />\\r\\n        <result property=\\\"createBy\\\"    column=\\\"create_by\\\"    />\\r\\n        <result property=\\\"createTime\\\"    column=\\\"create_time\\\"    />\\r\\n        <result property=\\\"updateBy\\\"    column=\\\"update_by\\\"    />\\r\\n        <result property=\\\"updateTime\\\"    column=\\\"update_time\\\"    />\\r\\n        <result property=\\\"remark\\\"    column=\\\"remark\\\"    />\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict.sysDictData\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes)) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCode.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:37:52');
INSERT INTO `sys_oper_log` VALUES (633, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 21:41:11');
INSERT INTO `sys_oper_log` VALUES (634, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', NULL, 1, '系统未知异常', '2019-12-25 21:42:04');
INSERT INTO `sys_oper_log` VALUES (635, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'get\',\\r\\n      dictCode:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'add\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      dictCodes:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'export\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.rows;\\r\\n        this.total = response.total;\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data;\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.code === 200) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids;\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.msg);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n      <result property=\\\"dictCode\\\" column=\\\"dict_code\\\"/>\\r\\n      <result property=\\\"dictSort\\\" column=\\\"dict_sort\\\"/>\\r\\n      <result property=\\\"dictLabel\\\" column=\\\"dict_label\\\"/>\\r\\n      <result property=\\\"dictValue\\\" column=\\\"dict_value\\\"/>\\r\\n      <result property=\\\"dictType\\\" column=\\\"dict_type\\\"/>\\r\\n      <result property=\\\"cssClass\\\" column=\\\"css_class\\\"/>\\r\\n      <result property=\\\"listClass\\\" column=\\\"list_class\\\"/>\\r\\n      <result property=\\\"isDefault\\\" column=\\\"is_default\\\"/>\\r\\n      <result property=\\\"status\\\" column=\\\"status\\\"/>\\r\\n      <result property=\\\"createBy\\\" column=\\\"create_by\\\"/>\\r\\n      <result property=\\\"createTime\\\" column=\\\"create_time\\\"/>\\r\\n      <result property=\\\"updateBy\\\" column=\\\"update_by\\\"/>\\r\\n      <result property=\\\"updateTime\\\" column=\\\"update_time\\\"/>\\r\\n      <result property=\\\"remark\\\" column=\\\"remark\\\"/>\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict.sysDictData\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes)) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCode.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:42:22');
INSERT INTO `sys_oper_log` VALUES (636, '字典管理', 'update', 'com.iotechn.unimall.admin.api.dict.DictTypeServiceImpl.update()', 'POST', 1, '代运来', '', 'admin.dictType.update', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.dictType\"], \"_mt\": [\"update\"], \"dictType\": [\"{\\\"createBy\\\":\\\"admin\\\",\\\"createTime\\\":1521171180000,\\\"dictId\\\":1,\\\"dictName\\\":\\\"用户性别\\\",\\\"dictType\\\":\\\"sys_user_sex\\\",\\\"remark\\\":\\\"用户性别列表\\\",\\\"status\\\":\\\"0\\\",\\\"updateBy\\\":\\\"admin\\\",\\\"updateTime\\\":1577201281000}\"]}', 'true', 0, '', '2019-12-25 21:46:36');
INSERT INTO `sys_oper_log` VALUES (637, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'get\',\\r\\n      dictCode:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'add\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      dictCodes:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'export\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-hasPermi=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-hasPermi=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.data.data.items\\r\\n        this.total = response.data.data.count\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids.join(\',\')\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data.data\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.data) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.data) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids.join(\',\')\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.data.data);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n      <result property=\\\"dictCode\\\" column=\\\"dict_code\\\"/>\\r\\n      <result property=\\\"dictSort\\\" column=\\\"dict_sort\\\"/>\\r\\n      <result property=\\\"dictLabel\\\" column=\\\"dict_label\\\"/>\\r\\n      <result property=\\\"dictValue\\\" column=\\\"dict_value\\\"/>\\r\\n      <result property=\\\"dictType\\\" column=\\\"dict_type\\\"/>\\r\\n      <result property=\\\"cssClass\\\" column=\\\"css_class\\\"/>\\r\\n      <result property=\\\"listClass\\\" column=\\\"list_class\\\"/>\\r\\n      <result property=\\\"isDefault\\\" column=\\\"is_default\\\"/>\\r\\n      <result property=\\\"status\\\" column=\\\"status\\\"/>\\r\\n      <result property=\\\"createBy\\\" column=\\\"create_by\\\"/>\\r\\n      <result property=\\\"createTime\\\" column=\\\"create_time\\\"/>\\r\\n      <result property=\\\"updateBy\\\" column=\\\"update_by\\\"/>\\r\\n      <result property=\\\"updateTime\\\" column=\\\"update_time\\\"/>\\r\\n      <result property=\\\"remark\\\" column=\\\"remark\\\"/>\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict.sysDictData\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes)) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCode.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 21:50:18');
INSERT INTO `sys_oper_log` VALUES (638, '字典管理', 'selectDictDataByType', 'com.iotechn.unimall.admin.api.dict.DictDataserviceImpl.selectDictDataByType()', 'GET', 1, '代运来', '', 'admin.dictData.selectDictDataByType', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.dictData\"], \"_mt\": [\"selectDictDataByType\"], \"dictType\": [\"sys_normal_disable\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 21:53:11');
INSERT INTO `sys_oper_log` VALUES (639, '字典管理', 'list', 'com.iotechn.unimall.admin.api.dict.DictTypeServiceImpl.list()', 'GET', 1, '代运来', '', 'admin.dictType.list', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.dictType\"], \"_mt\": [\"list\"], \"page\": [\"1\"], \"limit\": [\"10\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 21:53:11');
INSERT INTO `sys_oper_log` VALUES (640, '代码生成', 'list', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.list()', 'GET', 1, '代运来', '', 'admin.tools.gen.list', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"list\"], \"endTime\": [\"\"], \"pageNum\": [\"1\"], \"pageSize\": [\"10\"], \"beginTime\": [\"\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 21:53:12');
INSERT INTO `sys_oper_log` VALUES (641, '管理员信息', 'info', 'com.iotechn.unimall.admin.api.admin.AdminServiceImpl.info()', 'POST', 1, '代运来', '', 'admin.info', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin\"], \"_mt\": [\"info\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 21:53:14');
INSERT INTO `sys_oper_log` VALUES (642, '在线用户管理', 'forceLogout', 'com.iotechn.unimall.admin.api.monitor.online.UserOnlineServiceImpl.forceLogout()', 'POST', 1, '代运来', '', 'admin.monitor.online.forceLogout', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.monitor.online\"], \"_mt\": [\"forceLogout\"], \"tokenId\": [\"33bb3fecf5d44337a7f08ee750453a99\"]}', 'true', 0, '', '2019-12-25 21:53:29');
INSERT INTO `sys_oper_log` VALUES (643, '在线用户管理', 'list', 'com.iotechn.unimall.admin.api.monitor.online.UserOnlineServiceImpl.list()', 'GET', 1, '代运来', '', 'admin.monitor.online.list', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.monitor.online\"], \"_mt\": [\"list\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 21:53:29');
INSERT INTO `sys_oper_log` VALUES (644, '管理员信息', 'info', 'com.iotechn.unimall.admin.api.admin.AdminServiceImpl.info()', 'POST', 1, '代运来', '', 'admin.info', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin\"], \"_mt\": [\"info\"]}', NULL, 1, ' 管理员尚未登录', '2019-12-25 21:53:33');
INSERT INTO `sys_oper_log` VALUES (645, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'get\',\\r\\n      dictCode:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'add\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      dictCodes:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'export\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-permission=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-permission=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-permission=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-permission=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-permission=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-permission=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.data.data.items\\r\\n        this.total = response.data.data.count\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids.join(\',\')\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data.data\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.data) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.data) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids.join(\',\')\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.data.data);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n      <result property=\\\"dictCode\\\" column=\\\"dict_code\\\"/>\\r\\n      <result property=\\\"dictSort\\\" column=\\\"dict_sort\\\"/>\\r\\n      <result property=\\\"dictLabel\\\" column=\\\"dict_label\\\"/>\\r\\n      <result property=\\\"dictValue\\\" column=\\\"dict_value\\\"/>\\r\\n      <result property=\\\"dictType\\\" column=\\\"dict_type\\\"/>\\r\\n      <result property=\\\"cssClass\\\" column=\\\"css_class\\\"/>\\r\\n      <result property=\\\"listClass\\\" column=\\\"list_class\\\"/>\\r\\n      <result property=\\\"isDefault\\\" column=\\\"is_default\\\"/>\\r\\n      <result property=\\\"status\\\" column=\\\"status\\\"/>\\r\\n      <result property=\\\"createBy\\\" column=\\\"create_by\\\"/>\\r\\n      <result property=\\\"createTime\\\" column=\\\"create_time\\\"/>\\r\\n      <result property=\\\"updateBy\\\" column=\\\"update_by\\\"/>\\r\\n      <result property=\\\"updateTime\\\" column=\\\"update_time\\\"/>\\r\\n      <result property=\\\"remark\\\" column=\\\"remark\\\"/>\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict.sysDictData\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes)) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCode.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 22:09:19');
INSERT INTO `sys_oper_log` VALUES (646, '代码生成', 'preview', 'com.iotechn.unimall.admin.api.tools.gen.GenTableServiceImpl.preview()', 'GET', 1, '代运来', '', 'admin.tools.gen.preview', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.tools.gen\"], \"_mt\": [\"preview\"], \"tableId\": [\"21\"]}', '{\"vm/js/api.js.vm\": \"import request from \'@/utils/request\'\\r\\n\\r\\n// 查询字典数据列表\\r\\nexport function listSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'list\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 查询字典数据详细\\r\\nexport function getSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'get\',\\r\\n      dictCode:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 新增字典数据\\r\\nexport function addSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'add\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 修改字典数据\\r\\nexport function updateSysDictData(data) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      sysDictData:data\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 删除字典数据\\r\\nexport function delSysDictData(dictCode) {\\r\\n  return request({\\r\\n    method: \'post\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'update\',\\r\\n      dictCodes:dictCode\\r\\n    }\\r\\n  })\\r\\n}\\r\\n\\r\\n// 导出字典数据\\r\\nexport function exportSysDictData(query) {\\r\\n  return request({\\r\\n    method: \'get\',\\r\\n    params: {\\r\\n      _gp: \'admin.sys.dict.sysDictData\',\\r\\n      _mt: \'export\',\\r\\n      ...query\\r\\n    }\\r\\n  })\\r\\n}\", \"vm/vue/index.vue.vm\": \"<template>\\r\\n  <div class=\\\"app-container\\\">\\r\\n    <el-form :model=\\\"queryParams\\\" ref=\\\"queryForm\\\" :inline=\\\"true\\\" label-width=\\\"68px\\\">\\r\\n      <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictSort\\\"\\r\\n          placeholder=\\\"请输入字典排序\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictLabel\\\"\\r\\n          placeholder=\\\"请输入字典标签\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.dictValue\\\"\\r\\n          placeholder=\\\"请输入字典键值\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\" prop=\\\"dictType\\\">\\r\\n        <el-select v-model=\\\"queryParams.dictType\\\" placeholder=\\\"请选择字典类型\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.cssClass\\\"\\r\\n          placeholder=\\\"请输入样式属性\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.listClass\\\"\\r\\n          placeholder=\\\"请输入表格回显样式\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n      <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n        <el-input\\r\\n          v-model=\\\"queryParams.isDefault\\\"\\r\\n          placeholder=\\\"请输入是否默认\\\"\\r\\n          clearable\\r\\n          size=\\\"small\\\"\\r\\n          @keyup.enter.native=\\\"handleQuery\\\"\\r\\n        />\\r\\n      </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\" prop=\\\"status\\\">\\r\\n        <el-select v-model=\\\"queryParams.status\\\" placeholder=\\\"请选择状态\\\" clearable size=\\\"small\\\">\\r\\n          <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n        </el-select>\\r\\n      </el-form-item>\\r\\n      <el-form-item>\\r\\n        <el-button type=\\\"primary\\\" icon=\\\"el-icon-search\\\" size=\\\"mini\\\" @click=\\\"handleQuery\\\">搜索</el-button>\\r\\n        <el-button icon=\\\"el-icon-refresh\\\" size=\\\"mini\\\" @click=\\\"resetQuery\\\">重置</el-button>\\r\\n      </el-form-item>\\r\\n    </el-form>\\r\\n\\r\\n    <el-row :gutter=\\\"10\\\" class=\\\"mb8\\\">\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"primary\\\"\\r\\n          icon=\\\"el-icon-plus\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleAdd\\\"\\r\\n          v-permission=\\\"[\'sys.dict:sysDictData:add\']\\\"\\r\\n        >新增</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"success\\\"\\r\\n          icon=\\\"el-icon-edit\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"single\\\"\\r\\n          @click=\\\"handleUpdate\\\"\\r\\n          v-permission=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n        >修改</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"danger\\\"\\r\\n          icon=\\\"el-icon-delete\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          :disabled=\\\"multiple\\\"\\r\\n          @click=\\\"handleDelete\\\"\\r\\n          v-permission=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n        >删除</el-button>\\r\\n      </el-col>\\r\\n      <el-col :span=\\\"1.5\\\">\\r\\n        <el-button\\r\\n          type=\\\"warning\\\"\\r\\n          icon=\\\"el-icon-download\\\"\\r\\n          size=\\\"mini\\\"\\r\\n          @click=\\\"handleExport\\\"\\r\\n          v-permission=\\\"[\'sys.dict:sysDictData:export\']\\\"\\r\\n        >导出</el-button>\\r\\n      </el-col>\\r\\n    </el-row>\\r\\n\\r\\n    <el-table v-loading=\\\"loading\\\" :data=\\\"sysDictDataList\\\" @selection-change=\\\"handleSelectionChange\\\">\\r\\n      <el-table-column type=\\\"selection\\\" width=\\\"55\\\" align=\\\"center\\\" />\\r\\n      <el-table-column label=\\\"字典编码\\\" align=\\\"center\\\" prop=\\\"dictCode\\\" />\\r\\n      <el-table-column label=\\\"字典排序\\\" align=\\\"center\\\" prop=\\\"dictSort\\\" />\\r\\n      <el-table-column label=\\\"字典标签\\\" align=\\\"center\\\" prop=\\\"dictLabel\\\" />\\r\\n      <el-table-column label=\\\"字典键值\\\" align=\\\"center\\\" prop=\\\"dictValue\\\" />\\r\\n      <el-table-column label=\\\"字典类型\\\" align=\\\"center\\\" prop=\\\"dictType\\\" />\\r\\n      <el-table-column label=\\\"样式属性\\\" align=\\\"center\\\" prop=\\\"cssClass\\\" />\\r\\n      <el-table-column label=\\\"表格回显样式\\\" align=\\\"center\\\" prop=\\\"listClass\\\" />\\r\\n      <el-table-column label=\\\"是否默认\\\" align=\\\"center\\\" prop=\\\"isDefault\\\" />\\r\\n      <el-table-column label=\\\"状态\\\" align=\\\"center\\\" prop=\\\"status\\\" />\\r\\n      <el-table-column label=\\\"备注\\\" align=\\\"center\\\" prop=\\\"remark\\\" />\\r\\n      <el-table-column label=\\\"操作\\\" align=\\\"center\\\" class-name=\\\"small-padding fixed-width\\\">\\r\\n        <template slot-scope=\\\"scope\\\">\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-edit\\\"\\r\\n            @click=\\\"handleUpdate(scope.row)\\\"\\r\\n            v-permission=\\\"[\'sys.dict:sysDictData:edit\']\\\"\\r\\n          >修改</el-button>\\r\\n          <el-button\\r\\n            size=\\\"mini\\\"\\r\\n            type=\\\"text\\\"\\r\\n            icon=\\\"el-icon-delete\\\"\\r\\n            @click=\\\"handleDelete(scope.row)\\\"\\r\\n            v-permission=\\\"[\'sys.dict:sysDictData:remove\']\\\"\\r\\n          >删除</el-button>\\r\\n        </template>\\r\\n      </el-table-column>\\r\\n    </el-table>\\r\\n    \\r\\n    <pagination\\r\\n      v-show=\\\"total>0\\\"\\r\\n      :total=\\\"total\\\"\\r\\n      :page.sync=\\\"queryParams.pageNum\\\"\\r\\n      :limit.sync=\\\"queryParams.pageSize\\\"\\r\\n      @pagination=\\\"getList\\\"\\r\\n    />\\r\\n\\r\\n    <!-- 添加或修改字典数据对话框 -->\\r\\n    <el-dialog :title=\\\"title\\\" :visible.sync=\\\"open\\\" width=\\\"500px\\\">\\r\\n      <el-form ref=\\\"form\\\" :model=\\\"form\\\" :rules=\\\"rules\\\" label-width=\\\"80px\\\">\\r\\n        <el-form-item label=\\\"字典排序\\\" prop=\\\"dictSort\\\">\\r\\n          <el-input v-model=\\\"form.dictSort\\\" placeholder=\\\"请输入字典排序\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典标签\\\" prop=\\\"dictLabel\\\">\\r\\n          <el-input v-model=\\\"form.dictLabel\\\" placeholder=\\\"请输入字典标签\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典键值\\\" prop=\\\"dictValue\\\">\\r\\n          <el-input v-model=\\\"form.dictValue\\\" placeholder=\\\"请输入字典键值\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"字典类型\\\">\\r\\n          <el-select v-model=\\\"form.dictType\\\" placeholder=\\\"请选择字典类型\\\">\\r\\n            <el-option label=\\\"请选择字典生成\\\" value=\\\"\\\" />\\r\\n          </el-select>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"样式属性\\\" prop=\\\"cssClass\\\">\\r\\n          <el-input v-model=\\\"form.cssClass\\\" placeholder=\\\"请输入样式属性\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"表格回显样式\\\" prop=\\\"listClass\\\">\\r\\n          <el-input v-model=\\\"form.listClass\\\" placeholder=\\\"请输入表格回显样式\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"是否默认\\\" prop=\\\"isDefault\\\">\\r\\n          <el-input v-model=\\\"form.isDefault\\\" placeholder=\\\"请输入是否默认\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"状态\\\">\\r\\n          <el-radio-group v-model=\\\"form.status\\\">\\r\\n            <el-radio label=\\\"1\\\">请选择字典生成</el-radio>\\r\\n          </el-radio-group>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建者\\\" prop=\\\"createBy\\\">\\r\\n          <el-input v-model=\\\"form.createBy\\\" placeholder=\\\"请输入创建者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"创建时间\\\" prop=\\\"createTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.createTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择创建时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新者\\\" prop=\\\"updateBy\\\">\\r\\n          <el-input v-model=\\\"form.updateBy\\\" placeholder=\\\"请输入更新者\\\" />\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"更新时间\\\" prop=\\\"updateTime\\\">\\r\\n          <el-date-picker clearable size=\\\"small\\\" style=\\\"width: 200px\\\"\\r\\n            v-model=\\\"form.updateTime\\\"\\r\\n            type=\\\"date\\\"\\r\\n            value-format=\\\"yyyy-MM-dd\\\"\\r\\n            placeholder=\\\"选择更新时间\\\">\\r\\n          </el-date-picker>\\r\\n        </el-form-item>\\r\\n        <el-form-item label=\\\"备注\\\" prop=\\\"remark\\\">\\r\\n          <el-input v-model=\\\"form.remark\\\" type=\\\"textarea\\\" placeholder=\\\"请输入内容\\\" />\\r\\n        </el-form-item>\\r\\n      </el-form>\\r\\n      <div slot=\\\"footer\\\" class=\\\"dialog-footer\\\">\\r\\n        <el-button type=\\\"primary\\\" @click=\\\"submitForm\\\">确 定</el-button>\\r\\n        <el-button @click=\\\"cancel\\\">取 消</el-button>\\r\\n      </div>\\r\\n    </el-dialog>\\r\\n  </div>\\r\\n</template>\\r\\n\\r\\n<script>\\r\\nimport { listSysDictData, getSysDictData, delSysDictData, addSysDictData, updateSysDictData, exportSysDictData } from \\\"@/api/sys.dict/sysDictData\\\";\\r\\n\\r\\nexport default {\\r\\n  data() {\\r\\n    return {\\r\\n      // 遮罩层\\r\\n      loading: true,\\r\\n      // 选中数组\\r\\n      ids: [],\\r\\n      // 非单个禁用\\r\\n      single: true,\\r\\n      // 非多个禁用\\r\\n      multiple: true,\\r\\n      // 总条数\\r\\n      total: 0,\\r\\n      // 字典数据表格数据\\r\\n      sysDictDataList: [],\\r\\n      // 弹出层标题\\r\\n      title: \\\"\\\",\\r\\n      // 是否显示弹出层\\r\\n      open: false,\\r\\n      // 查询参数\\r\\n      queryParams: {\\r\\n        pageNum: 1,\\r\\n        pageSize: 10,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: undefined,\\r\\n      },\\r\\n      // 表单参数\\r\\n      form: {},\\r\\n      // 表单校验\\r\\n      rules: {\\r\\n      }\\r\\n    };\\r\\n  },\\r\\n  created() {\\r\\n    this.getList();\\r\\n  },\\r\\n  methods: {\\r\\n    /** 查询字典数据列表 */\\r\\n    getList() {\\r\\n      this.loading = true;\\r\\n      listSysDictData(this.queryParams).then(response => {\\r\\n        this.sysDictDataList = response.data.data.items\\r\\n        this.total = response.data.data.count\\r\\n        this.loading = false;\\r\\n      });\\r\\n    },\\r\\n    // 取消按钮\\r\\n    cancel() {\\r\\n      this.open = false;\\r\\n      this.reset();\\r\\n    },\\r\\n    // 表单重置\\r\\n    reset() {\\r\\n      this.form = {\\r\\n        dictCode: undefined,\\r\\n        dictSort: undefined,\\r\\n        dictLabel: undefined,\\r\\n        dictValue: undefined,\\r\\n        dictType: undefined,\\r\\n        cssClass: undefined,\\r\\n        listClass: undefined,\\r\\n        isDefault: undefined,\\r\\n        status: \\\"0\\\",\\r\\n        createBy: undefined,\\r\\n        createTime: undefined,\\r\\n        updateBy: undefined,\\r\\n        updateTime: undefined,\\r\\n        remark: undefined\\r\\n      };\\r\\n      this.resetForm(\\\"form\\\");\\r\\n    },\\r\\n    /** 搜索按钮操作 */\\r\\n    handleQuery() {\\r\\n      this.queryParams.pageNum = 1;\\r\\n      this.getList();\\r\\n    },\\r\\n    /** 重置按钮操作 */\\r\\n    resetQuery() {\\r\\n      this.resetForm(\\\"queryForm\\\");\\r\\n      this.handleQuery();\\r\\n    },\\r\\n    // 多选框选中数据\\r\\n    handleSelectionChange(selection) {\\r\\n      this.ids = selection.map(item => item.dictCode)\\r\\n      this.single = selection.length!=1\\r\\n      this.multiple = !selection.length\\r\\n    },\\r\\n    /** 新增按钮操作 */\\r\\n    handleAdd() {\\r\\n      this.reset();\\r\\n      this.open = true;\\r\\n      this.title = \\\"添加字典数据\\\";\\r\\n    },\\r\\n    /** 修改按钮操作 */\\r\\n    handleUpdate(row) {\\r\\n      this.reset();\\r\\n      const dictCode = row.dictCode || this.ids.join(\',\')\\r\\n      getSysDictData(dictCode).then(response => {\\r\\n        this.form = response.data.data\\r\\n        this.open = true;\\r\\n        this.title = \\\"修改字典数据\\\";\\r\\n      });\\r\\n    },\\r\\n    /** 提交按钮 */\\r\\n    submitForm: function() {\\r\\n      this.$refs[\\\"form\\\"].validate(valid => {\\r\\n        if (valid) {\\r\\n          if (this.form.dictCode != undefined) {\\r\\n            updateSysDictData(this.form).then(response => {\\r\\n              if (response.data) {\\r\\n                this.msgSuccess(\\\"修改成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          } else {\\r\\n            addSysDictData(this.form).then(response => {\\r\\n              if (response.data) {\\r\\n                this.msgSuccess(\\\"新增成功\\\");\\r\\n                this.open = false;\\r\\n                this.getList();\\r\\n              } else {\\r\\n                this.msgError(response.msg);\\r\\n              }\\r\\n            });\\r\\n          }\\r\\n        }\\r\\n      });\\r\\n    },\\r\\n    /** 删除按钮操作 */\\r\\n    handleDelete(row) {\\r\\n      const dictCodes = row.dictCode || this.ids.join(\',\')\\r\\n      this.$confirm(\'是否确认删除字典数据编号为\\\"\' + dictCodes + \'\\\"的数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return delSysDictData(dictCodes);\\r\\n        }).then(() => {\\r\\n          this.getList();\\r\\n          this.msgSuccess(\\\"删除成功\\\");\\r\\n        }).catch(function() {});\\r\\n    },\\r\\n    /** 导出按钮操作 */\\r\\n    handleExport() {\\r\\n      const queryParams = this.queryParams;\\r\\n      this.$confirm(\'是否确认导出所有字典数据数据项?\', \\\"警告\\\", {\\r\\n          confirmButtonText: \\\"确定\\\",\\r\\n          cancelButtonText: \\\"取消\\\",\\r\\n          type: \\\"warning\\\"\\r\\n        }).then(function() {\\r\\n          return exportSysDictData(queryParams);\\r\\n        }).then(response => {\\r\\n          this.download(response.data.data);\\r\\n        }).catch(function() {});\\r\\n    }\\r\\n  }\\r\\n};\\r\\n</script>\", \"vm/xml/mapper.xml.vm\": \"<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\" ?>\\r\\n<!DOCTYPE mapper\\r\\nPUBLIC \\\"-//mybatis.org//DTD Mapper 3.0//EN\\\"\\r\\n\\\"http://mybatis.org/dtd/mybatis-3-mapper.dtd\\\">\\r\\n<mapper namespace=\\\"com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper\\\">\\r\\n    \\r\\n    <resultMap type=\\\"SysDictData\\\" id=\\\"SysDictDataResult\\\">\\r\\n      <result property=\\\"dictCode\\\" column=\\\"dict_code\\\"/>\\r\\n      <result property=\\\"dictSort\\\" column=\\\"dict_sort\\\"/>\\r\\n      <result property=\\\"dictLabel\\\" column=\\\"dict_label\\\"/>\\r\\n      <result property=\\\"dictValue\\\" column=\\\"dict_value\\\"/>\\r\\n      <result property=\\\"dictType\\\" column=\\\"dict_type\\\"/>\\r\\n      <result property=\\\"cssClass\\\" column=\\\"css_class\\\"/>\\r\\n      <result property=\\\"listClass\\\" column=\\\"list_class\\\"/>\\r\\n      <result property=\\\"isDefault\\\" column=\\\"is_default\\\"/>\\r\\n      <result property=\\\"status\\\" column=\\\"status\\\"/>\\r\\n      <result property=\\\"createBy\\\" column=\\\"create_by\\\"/>\\r\\n      <result property=\\\"createTime\\\" column=\\\"create_time\\\"/>\\r\\n      <result property=\\\"updateBy\\\" column=\\\"update_by\\\"/>\\r\\n      <result property=\\\"updateTime\\\" column=\\\"update_time\\\"/>\\r\\n      <result property=\\\"remark\\\" column=\\\"remark\\\"/>\\r\\n    </resultMap>\\r\\n\\r\\n\\r\\n</mapper>\", \"vm/java/domain.java.vm\": \"package com.iotechn.unimall.data.domain.sys.dict;\\r\\n\\r\\nimport org.apache.commons.lang3.builder.ToStringBuilder;\\r\\nimport org.apache.commons.lang3.builder.ToStringStyle;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel;\\r\\nimport com.iotechn.unimall.core.framework.aspectj.lang.annotaion.Excel.ColumnType;\\r\\nimport com.baomidou.mybatisplus.annotation.TableId;\\r\\nimport com.baomidou.mybatisplus.annotation.TableName;\\r\\nimport com.baomidou.mybatisplus.annotation.IdType;\\r\\nimport com.baomidou.mybatisplus.annotations.TableField;\\r\\nimport com.baomidou.mybatisplus.enums.FieldFill;\\r\\nimport com.iotechn.unimall.core.util.StringUtils;\\r\\nimport java.util.Date;\\r\\n\\r\\n/**\\r\\n * 字典数据对象 sys_dict_data\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Data\\r\\n@TableName(\\\"sys_dict_data\\\")\\r\\npublic class SysDictData{\\r\\n    private static final long serialVersionUID = 1L;\\r\\n\\r\\n    /** 字典编码 */\\r\\n    @TableId(\\\"dict_code\\\")\\r\\n    private Long dictCode;\\r\\n\\r\\n    /** 字典排序 */\\r\\n    @Excel(name = \\\"字典排序\\\")\\r\\n    @TableField(\\\"dict_sort\\\")\\r\\n    private Integer dictSort;\\r\\n\\r\\n    /** 字典标签 */\\r\\n    @Excel(name = \\\"字典标签\\\")\\r\\n    @TableField(\\\"dict_label\\\")\\r\\n    private String dictLabel;\\r\\n\\r\\n    /** 字典键值 */\\r\\n    @Excel(name = \\\"字典键值\\\")\\r\\n    @TableField(\\\"dict_value\\\")\\r\\n    private String dictValue;\\r\\n\\r\\n    /** 字典类型 */\\r\\n    @Excel(name = \\\"字典类型\\\")\\r\\n    @TableField(\\\"dict_type\\\")\\r\\n    private String dictType;\\r\\n\\r\\n    /** 样式属性（其他样式扩展） */\\r\\n    @Excel(name = \\\"样式属性\\\", readConverterExp = \\\"其=他样式扩展\\\")\\r\\n    @TableField(\\\"css_class\\\")\\r\\n    private String cssClass;\\r\\n\\r\\n    /** 表格回显样式 */\\r\\n    @Excel(name = \\\"表格回显样式\\\")\\r\\n    @TableField(\\\"list_class\\\")\\r\\n    private String listClass;\\r\\n\\r\\n    /** 是否默认（Y是 N否） */\\r\\n    @Excel(name = \\\"是否默认\\\", readConverterExp = \\\"Y=是,N=否\\\")\\r\\n    @TableField(\\\"is_default\\\")\\r\\n    private String isDefault;\\r\\n\\r\\n    /** 状态（0正常 1停用） */\\r\\n    @Excel(name = \\\"状态\\\", readConverterExp = \\\"0=正常,1=停用\\\")\\r\\n    @TableField(\\\"status\\\")\\r\\n    private String status;\\r\\n\\r\\n    /** 创建者 */\\r\\n    @TableField(\\\"create_by\\\")\\r\\n    private String createBy;\\r\\n\\r\\n    /** 创建时间 */\\r\\n    @TableField(\\\"create_time\\\")\\r\\n    private Date createTime;\\r\\n\\r\\n    /** 更新者 */\\r\\n    @TableField(\\\"update_by\\\")\\r\\n    private String updateBy;\\r\\n\\r\\n    /** 更新时间 */\\r\\n    @TableField(\\\"update_time\\\")\\r\\n    private Date updateTime;\\r\\n\\r\\n    /** 备注 */\\r\\n    @Excel(name = \\\"备注\\\")\\r\\n    @TableField(\\\"remark\\\")\\r\\n    private String remark;\\r\\n\\r\\n\\r\\n    @Override\\r\\n    public String toString() {\\r\\n        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)\\r\\n            .append(\\\"dictCode\\\", getDictCode())\\r\\n            .append(\\\"dictSort\\\", getDictSort())\\r\\n            .append(\\\"dictLabel\\\", getDictLabel())\\r\\n            .append(\\\"dictValue\\\", getDictValue())\\r\\n            .append(\\\"dictType\\\", getDictType())\\r\\n            .append(\\\"cssClass\\\", getCssClass())\\r\\n            .append(\\\"listClass\\\", getListClass())\\r\\n            .append(\\\"isDefault\\\", getIsDefault())\\r\\n            .append(\\\"status\\\", getStatus())\\r\\n            .append(\\\"createBy\\\", getCreateBy())\\r\\n            .append(\\\"createTime\\\", getCreateTime())\\r\\n            .append(\\\"updateBy\\\", getUpdateBy())\\r\\n            .append(\\\"updateTime\\\", getUpdateTime())\\r\\n            .append(\\\"remark\\\", getRemark())\\r\\n            .toString();\\r\\n    }\\r\\n}\\r\\n\", \"vm/java/mapper.java.vm\": \"package com.iotechn.unimall.data.mapper.sys.dict;\\r\\n\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.baomidou.mybatisplus.mapper.BaseMapper;\\r\\n/**\\r\\n * 字典数据Mapper接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\npublic interface SysDictDataMapper extends BaseMapper<SysDictData>{\\r\\n\\r\\n}\\r\\n\", \"vm/java/service.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\n\\r\\nimport com.iotechn.unimall.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.core.annotation.HttpMethod;\\r\\nimport com.iotechn.unimall.core.annotation.HttpOpenApi;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParam;\\r\\nimport com.iotechn.unimall.core.annotation.HttpParamType;\\r\\nimport com.iotechn.unimall.core.annotation.param.NotNull;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.model.Page;\\r\\n\\r\\n/**\\r\\n * 字典数据Service接口\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@HttpOpenApi(group = \\\"admin.sys.dict.sysDictData\\\", description = \\\"字典数据\\\")\\r\\npublic interface SysDictDataService{\\r\\n\\t@HttpMethod(description = \\\"新增\\\", permission = \\\"admin:sysDictData:sysDictData:add\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean add(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"列表\\\", permission = \\\"admin:sysDictData:sysDictData:list\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Page<SysDictData> list(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)\\r\\n\\t\\tthrows ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"删除\\\", permission = \\\"admin:sysDictData:sysDictData:delete\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean delete(@NotNull @HttpParam(name = \\\"dictCodes\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCodes)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"修改\\\", permission = \\\"admin:sysDictData:sysDictData:update\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic Boolean update(@NotNull @HttpParam(name = \\\"sysDictData\\\", type = HttpParamType.COMMON, description = \\\"字典数据\\\") SysDictData sysDictData)throws ServiceException;\\r\\n\\r\\n\\t@HttpMethod(description = \\\"查询\\\", permission = \\\"admin:sysDictData:sysDictData:get\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic SysDictData get(@NotNull @HttpParam(name = \\\"dictCode\\\", type = HttpParamType.COMMON, description = \\\"字典编码\\\")Long dictCode)throws ServiceException;\\r\\n\\t\\r\\n\\t@HttpMethod(description = \\\"导出excl表\\\", permission = \\\"admin:sysDictData:sysDictData:export\\\", permissionName = \\\"字典数据管理\\\")\\r\\n\\tpublic String export(\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictSort\\\", type = HttpParamType.COMMON, description = \\\"字典排序\\\") Integer dictSort,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictLabel\\\", type = HttpParamType.COMMON, description = \\\"字典标签\\\") String dictLabel,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictValue\\\", type = HttpParamType.COMMON, description = \\\"字典键值\\\") String dictValue,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"dictType\\\", type = HttpParamType.COMMON, description = \\\"字典类型\\\") String dictType,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"cssClass\\\", type = HttpParamType.COMMON, description = \\\"样式属性（其他样式扩展）\\\") String cssClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"listClass\\\", type = HttpParamType.COMMON, description = \\\"表格回显样式\\\") String listClass,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"isDefault\\\", type = HttpParamType.COMMON, description = \\\"是否默认（Y是 N否）\\\") String isDefault,\\r\\n\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"status\\\", type = HttpParamType.COMMON, description = \\\"状态（0正常 1停用）\\\") String status,\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t@HttpParam(name = \\\"page\\\", type = HttpParamType.COMMON, description = \\\"页码\\\", valueDef = \\\"1\\\") Integer page,\\r\\n\\t@HttpParam(name = \\\"limit\\\", type = HttpParamType.COMMON, description = \\\"页码长度\\\", valueDef = \\\"20\\\") Integer limit)throws ServiceException;\\r\\n\\t\\r\\n}\\r\\n\", \"vm/java/serviceImpl.java.vm\": \"package com.iotechn.unimall.admin.api.sys.dict;\\r\\n\\r\\nimport java.util.List;\\r\\n\\r\\nimport org.apache.ibatis.session.RowBounds;\\r\\nimport org.springframework.beans.factory.annotation.Autowired;\\r\\nimport org.springframework.stereotype.Service;\\r\\nimport org.springframework.util.StringUtils;\\r\\n\\r\\nimport com.baomidou.mybatisplus.mapper.EntityWrapper;\\r\\nimport com.baomidou.mybatisplus.mapper.Wrapper;\\r\\nimport com.iotechn.unimall.core.exception.ServiceException;\\r\\nimport com.iotechn.unimall.data.util.ExcelUtil;\\r\\nimport com.iotechn.unimall.data.mapper.sys.dict.SysDictDataMapper;\\r\\nimport com.iotechn.unimall.data.domain.sys.dict.SysDictData;\\r\\nimport com.iotechn.unimall.admin.api.sys.dict.SysDictDataService;\\r\\n\\r\\n/**\\r\\n * 字典数据Service业务层处理\\r\\n * \\r\\n * @author jlb\\r\\n * @date 2019-12-25\\r\\n */\\r\\n@Service\\r\\npublic class SysDictDataServiceImpl implements SysDictDataService{\\r\\n\\t@Autowired\\r\\n\\tprivate SysDictDataMapper sysDictDataMapper;\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic Boolean add(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.insert(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Page<SysDictData> list(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectPage(new RowBounds((page - 1) * limit, limit), wrapper);\\r\\n\\t\\tInteger count = sysDictDataMapper.selectCount(wrapper);\\r\\n\\t\\treturn new Page<SysDictData>(list, page, limit, count);\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean delete(dictCodes)) throws ServiceException {\\r\\n\\t\\tString[] ids=dictCode.split(\\\",\\\");\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\twrapper.in(\\\"dict_code\\\", ids);\\r\\n\\t\\treturn sysDictDataMapper.delete(wrapper)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic Boolean update(SysDictData sysDictData) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.updateById(sysDictData)>0;\\r\\n\\t}\\r\\n\\r\\n\\t@Override\\r\\n\\tpublic SysDictData get(Long dictCode) throws ServiceException {\\r\\n\\t\\treturn sysDictDataMapper.selectById(dictCode);\\r\\n\\t}\\r\\n\\t\\r\\n\\t@Override\\r\\n\\tpublic String export(Integer dictSort,String dictLabel,String dictValue,String dictType,String cssClass,String listClass,String isDefault,String status, Integer page, Integer limit)throws ServiceException {\\r\\n\\t\\tWrapper<SysDictData> wrapper = new EntityWrapper<SysDictData>();\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictSort)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_sort\\\", dictSort);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictLabel)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_label\\\", dictLabel);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictValue)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_value\\\", dictValue);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(dictType)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"dict_type\\\", dictType);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(cssClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"css_class\\\", cssClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(listClass)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"list_class\\\", listClass);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(isDefault)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"is_default\\\", isDefault);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tif (!StringUtils.isEmpty(status)) {\\r\\n\\t\\t\\t\\t\\twrapper.eq(\\\"status\\\", status);\\r\\n\\t\\t\\t\\t}\\r\\n\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\t\\tList<SysDictData> list = sysDictDataMapper.selectList(wrapper);\\r\\n\\t\\tExcelUtil<SysDictData> util = new ExcelUtil<SysDictData>(SysDictData.class);\\r\\n\\t\\treturn util.exportExcel(list, \\\"操作日志\\\");\\r\\n\\t}\\r\\n}\\r\\n\"}', 0, '', '2019-12-25 22:09:42');
INSERT INTO `sys_oper_log` VALUES (647, '登陆日志管理', 'delete', 'com.iotechn.unimall.admin.api.log.loginLog.SysLogininforServiceImpl.delete()', 'POST', 1, '代运来', '', 'admin.log.logininfor.delete', '127.0.0.1', '内网IP', '{\"_gp\": [\"admin.log.logininfor\"], \"_mt\": [\"delete\"], \"infoIds\": [\"27,26,25,24,23,22,21,20,19,18,17,16,15,14,13\"]}', 'true', 0, '', '2019-12-25 22:12:45');
COMMIT;

-- ----------------------------
-- Table structure for unimall_address
-- ----------------------------
DROP TABLE IF EXISTS `unimall_address`;
CREATE TABLE `unimall_address` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `province` varchar(60) NOT NULL,
  `city` varchar(60) NOT NULL,
  `county` varchar(60) NOT NULL,
  `address` varchar(240) NOT NULL,
  `default_address` int(11) NOT NULL DEFAULT '0',
  `user_id` bigint(20) NOT NULL,
  `phone` varchar(20) NOT NULL,
  `consignee` varchar(100) NOT NULL,
  `gmt_create` datetime NOT NULL,
  `gmt_update` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_address
-- ----------------------------
BEGIN;
INSERT INTO `unimall_address` VALUES (1, '重庆', '重庆市', '南岸区', '有点小问题', 1, 16, '18584669549', '魏朝正', '2019-07-27 17:35:14', '2019-07-27 17:35:14');
INSERT INTO `unimall_address` VALUES (2, '重庆', '重庆市', '南岸区', '香溪路2号', 1, 21, '18584669549', '魏朝正', '2019-08-04 11:21:39', '2019-08-04 11:21:39');
INSERT INTO `unimall_address` VALUES (3, '重庆', '重庆市', '巴南区', '红光大道69号', 0, 21, '18584669549', '魏朝正', '2019-08-04 11:24:20', '2019-08-04 11:24:20');
INSERT INTO `unimall_address` VALUES (4, '河北省', '秦皇岛市', '北戴河区', '啊的吧', 1, 37, '15155955512', '5555', '2019-08-09 19:29:08', '2019-08-09 19:29:08');
INSERT INTO `unimall_address` VALUES (5, '山西省', '长治市', '屯留县', '低调低调', 1, 36, '18874850464', '小涵涵', '2019-08-09 19:33:24', '2019-08-09 19:33:24');
INSERT INTO `unimall_address` VALUES (6, '北京', '北京市', '东城区', '111', 0, 72, '15923232323', '111', '2019-08-10 11:48:09', '2019-08-10 17:16:57');
INSERT INTO `unimall_address` VALUES (7, '内蒙古自治区', '包头市', '青山区', '的', 1, 72, '13625252525', '呃呃呃', '2019-08-10 17:17:19', '2019-08-10 17:17:19');
INSERT INTO `unimall_address` VALUES (8, '浙江省', '嘉兴市', '嘉善县', '在的地方广告', 1, 96, '18825545528', '改改改改', '2019-08-10 23:14:20', '2019-08-10 23:14:20');
INSERT INTO `unimall_address` VALUES (9, '内蒙古自治区', '包头市', '昆都仑区', '哈哈哈', 1, 106, '13073746895', '啊', '2019-08-11 11:03:58', '2019-08-11 11:03:58');
INSERT INTO `unimall_address` VALUES (10, '山东省', '青岛市', '城阳区', '瑞阳路78号', 1, 104, '18661482845', '刘家金', '2019-08-11 14:21:46', '2019-08-11 14:21:46');
INSERT INTO `unimall_address` VALUES (11, '河北省', '唐山市', '丰南区', '赶时间婚纱12318', 1, 141, '13100695218', '张三丰', '2019-08-12 13:09:37', '2019-08-12 13:09:42');
INSERT INTO `unimall_address` VALUES (12, '山东省', '青岛市', '城阳区', '瑞阳路18', 1, 175, '18661485845', '刘家金', '2019-08-13 13:21:42', '2019-08-13 13:21:42');
INSERT INTO `unimall_address` VALUES (13, '北京', '北京市', '崇文区', '对对对', 1, 66, '13676122744', '啊啊', '2019-08-14 09:41:04', '2019-08-14 09:41:04');
INSERT INTO `unimall_address` VALUES (14, '江西省', '南昌市', '青山湖区', '中大青山湖东园6栋1单元3402', 1, 209, '17779152309', '张运康', '2019-08-16 13:18:10', '2019-08-16 13:18:10');
INSERT INTO `unimall_address` VALUES (15, '江苏省', '苏州市', '昆山市', '张浦镇', 1, 260, '18021619628', '刘旭', '2019-08-22 09:31:52', '2019-08-22 09:31:52');
INSERT INTO `unimall_address` VALUES (16, '浙江省', '温州市', '洞头县', '骨灰盒', 1, 265, '13856232563', '黑胡椒', '2019-08-22 13:55:59', '2019-08-22 13:55:59');
INSERT INTO `unimall_address` VALUES (17, '重庆', '重庆市', '北碚区', '弄', 1, 22, '18883165287', '匡柏权', '2019-08-23 16:59:43', '2019-08-23 17:01:22');
INSERT INTO `unimall_address` VALUES (18, '北京', '北京市', '西城区', '都城大厦1515', 1, 285, '13810819020', '李', '2019-08-25 07:46:49', '2019-08-25 07:46:49');
INSERT INTO `unimall_address` VALUES (19, '山东省', '青岛市', '市北区', '测试', 1, 314, '17878787878', '玫瑰', '2019-08-29 16:27:44', '2019-08-29 16:27:44');
INSERT INTO `unimall_address` VALUES (20, '河北省', '唐山市', '路北区', '44400', 1, 287, '18125555555', '刚刚', '2019-08-30 15:33:57', '2019-09-07 12:58:19');
INSERT INTO `unimall_address` VALUES (21, '浙江省', '杭州市', '萧山区', '测试用', 1, 355, '18758186347', '测试', '2019-09-04 14:12:31', '2019-09-04 14:12:36');
INSERT INTO `unimall_address` VALUES (22, '浙江省', '杭州市', '下城区', '102', 1, 367, '13576830382', '曾先生', '2019-09-07 10:09:00', '2019-09-07 10:09:00');
INSERT INTO `unimall_address` VALUES (23, '内蒙古自治区', '鄂尔多斯市', '准格尔旗', '才', 0, 287, '18125546817', '111', '2019-09-07 12:36:20', '2019-09-07 12:36:20');
INSERT INTO `unimall_address` VALUES (24, '北京', '北京市', '东城区', '啊啊啊', 1, 381, '13555556666', '啊啊啊', '2019-09-09 16:47:38', '2019-09-09 16:47:38');
INSERT INTO `unimall_address` VALUES (25, '北京', '北京市', '东城区', '？我也不知道', 1, 423, '15968845617', '张三', '2019-09-15 10:46:19', '2019-09-15 10:46:19');
COMMIT;

-- ----------------------------
-- Table structure for unimall_admin
-- ----------------------------
DROP TABLE IF EXISTS `unimall_admin`;
CREATE TABLE `unimall_admin` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `username` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `realname` varchar(255) DEFAULT NULL,
  `avatar_url` varchar(255) DEFAULT NULL,
  `role_ids` varchar(255) DEFAULT NULL,
  `status` int(11) NOT NULL COMMENT '0.冻结 1.激活',
  `last_login_ip` varchar(255) DEFAULT NULL,
  `gmt_last_login` datetime NOT NULL,
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`(30)) USING HASH
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_admin
-- ----------------------------
BEGIN;
INSERT INTO `unimall_admin` VALUES (1, 'admin', 'b9d11b3be25f5a1a7dc8ca04cd310b28', '17600112207', '代运来', 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/ef1c5af8d1c34582a5bcda0d48ef9437.png', '[1]', 1, '127.0.0.1', '2019-04-08 22:12:04', '2019-12-16 22:31:59', '2019-04-08 22:12:12');
COMMIT;

-- ----------------------------
-- Table structure for unimall_advertisement
-- ----------------------------
DROP TABLE IF EXISTS `unimall_advertisement`;
CREATE TABLE `unimall_advertisement` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `ad_type` int(11) NOT NULL,
  `title` varchar(100) DEFAULT NULL,
  `url` varchar(100) NOT NULL,
  `img_url` varchar(100) NOT NULL,
  `status` int(11) NOT NULL,
  `color` varchar(30) DEFAULT NULL,
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_advertisement
-- ----------------------------
BEGIN;
INSERT INTO `unimall_advertisement` VALUES (32, 4, '环球狗粮', '/pages/product/list?tid=1036520', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/80090b06a6bf4e5e9d8a1c620c30f482.png', 1, 'rgb(163,148,208)', '2019-08-03 23:51:02', '2019-08-21 12:35:52');
INSERT INTO `unimall_advertisement` VALUES (33, 4, '买好东西', '/pages/product/list?tid=1036527', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/5e41ecdd8ad94a779da794678edd6dda.png', 1, 'rgb(122,194,182)', '2019-08-03 23:52:12', '2019-08-21 12:30:48');
INSERT INTO `unimall_advertisement` VALUES (34, 4, '团购标签', '/pages/groupshop/list', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/c553f844bda84cdc94675f4e5577009b.png', 1, 'rgb(214,142,158)', '2019-08-03 23:53:21', '2019-08-21 12:30:56');
INSERT INTO `unimall_advertisement` VALUES (35, 4, '狗狗头像', '/pages/product/list?tid=1036529', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/9f6ccac8ad8741a6b580201a75c32bf5.png', 1, 'rgb(121,178,213)', '2019-08-03 23:53:43', '2019-08-21 12:31:01');
INSERT INTO `unimall_advertisement` VALUES (36, 4, '哈哈哈哈', '/pages/product/list?tid=1036527', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/549e9b927fb449bfa6531041f21687f0.png', 1, 'rgb(214,156,128)', '2019-08-03 23:54:05', '2019-08-21 12:31:04');
INSERT INTO `unimall_advertisement` VALUES (38, 2, '狗狗分类精选', '/pages/product/list?tid=1036525', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/767258cfa0e9407382e01f3fd702c9fe.jpg', 1, 'rgb(237,216,111)', '2019-08-03 23:55:43', '2019-08-21 12:31:10');
INSERT INTO `unimall_advertisement` VALUES (39, 2, '猫猫分类精选', '/pages/product/list?tid=1036527', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/d290570d32874c87b9ef3ce949ea8c35.jpg', 1, 'rgb(221,214,211)', '2019-08-03 23:56:00', '2019-08-21 12:36:13');
INSERT INTO `unimall_advertisement` VALUES (42, 1, '轮播1', '/pages/product/list?tid=1036520', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/055b8278d1b842a4bec6f386705244c2.jpg', 1, 'rgb(196,180,162)', '2019-08-21 12:32:04', '2019-08-21 12:32:04');
INSERT INTO `unimall_advertisement` VALUES (43, 1, '轮播2', '/pages/product/detail?id=1236773', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/253829df1e2447269fcbcd2fae4d045c.jpg', 1, 'rgb(152,198,212)', '2019-08-21 12:32:29', '2019-08-21 12:32:29');
INSERT INTO `unimall_advertisement` VALUES (44, 1, '轮播3', '/pages/product/list?tid=1036520', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/bb69cece2c8d4a5495c07da664c72d4c.jpg', 1, 'rgb(223,223,222)', '2019-08-21 12:37:06', '2019-08-21 12:37:06');
COMMIT;

-- ----------------------------
-- Table structure for unimall_appraise
-- ----------------------------
DROP TABLE IF EXISTS `unimall_appraise`;
CREATE TABLE `unimall_appraise` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `spu_id` bigint(20) DEFAULT NULL,
  `sku_id` bigint(20) DEFAULT NULL,
  `order_id` bigint(20) DEFAULT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  `content` varchar(1000) DEFAULT NULL,
  `score` int(11) DEFAULT NULL,
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for unimall_cart
-- ----------------------------
DROP TABLE IF EXISTS `unimall_cart`;
CREATE TABLE `unimall_cart` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sku_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `num` int(11) NOT NULL,
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=229 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_cart
-- ----------------------------
BEGIN;
INSERT INTO `unimall_cart` VALUES (1, 2776, 1, 3, '2019-08-04 13:57:37', '2019-08-04 13:57:37');
INSERT INTO `unimall_cart` VALUES (8, 2776, 22, 1, '2019-08-06 22:23:45', '2019-08-06 22:23:45');
INSERT INTO `unimall_cart` VALUES (9, 2777, 27, 2, '2019-08-09 17:46:02', '2019-08-09 17:45:58');
INSERT INTO `unimall_cart` VALUES (10, 2781, 27, 1, '2019-08-09 17:46:09', '2019-08-09 17:46:09');
INSERT INTO `unimall_cart` VALUES (11, 2783, 36, 1, '2019-08-09 19:23:28', '2019-08-09 19:23:28');
INSERT INTO `unimall_cart` VALUES (14, 2773, 41, 1, '2019-08-09 21:17:15', '2019-08-09 21:17:15');
INSERT INTO `unimall_cart` VALUES (15, 2775, 44, 2, '2019-08-09 21:31:29', '2019-08-09 21:31:19');
INSERT INTO `unimall_cart` VALUES (17, 2784, 50, 1, '2019-08-09 23:24:23', '2019-08-09 23:24:23');
INSERT INTO `unimall_cart` VALUES (22, 2784, 22, 3, '2019-08-10 11:08:54', '2019-08-10 00:22:46');
INSERT INTO `unimall_cart` VALUES (24, 2773, 55, 1, '2019-08-10 01:27:54', '2019-08-10 01:27:54');
INSERT INTO `unimall_cart` VALUES (25, 2778, 56, 1, '2019-08-10 05:49:56', '2019-08-10 05:49:56');
INSERT INTO `unimall_cart` VALUES (29, 2782, 64, 2, '2019-08-10 09:51:10', '2019-08-10 09:51:05');
INSERT INTO `unimall_cart` VALUES (30, 2773, 64, 1, '2019-08-10 09:51:35', '2019-08-10 09:51:35');
INSERT INTO `unimall_cart` VALUES (31, 2781, 67, 1, '2019-08-10 10:52:53', '2019-08-10 10:52:53');
INSERT INTO `unimall_cart` VALUES (32, 2776, 68, 1, '2019-08-10 10:56:23', '2019-08-10 10:56:23');
INSERT INTO `unimall_cart` VALUES (34, 2784, 71, 18, '2019-08-10 13:24:37', '2019-08-10 13:24:22');
INSERT INTO `unimall_cart` VALUES (35, 2773, 79, 1, '2019-08-10 14:29:38', '2019-08-10 14:29:38');
INSERT INTO `unimall_cart` VALUES (43, 2775, 90, 1, '2019-08-10 20:12:54', '2019-08-10 20:12:54');
INSERT INTO `unimall_cart` VALUES (44, 2773, 92, 1, '2019-08-10 21:25:41', '2019-08-10 21:25:41');
INSERT INTO `unimall_cart` VALUES (45, 2775, 93, 1, '2019-08-10 21:49:59', '2019-08-10 21:49:59');
INSERT INTO `unimall_cart` VALUES (46, 2782, 94, 1, '2019-08-10 22:39:12', '2019-08-10 22:39:12');
INSERT INTO `unimall_cart` VALUES (47, 2784, 105, 1, '2019-08-11 10:42:31', '2019-08-11 10:42:31');
INSERT INTO `unimall_cart` VALUES (48, 2774, 106, 1, '2019-08-11 10:57:03', '2019-08-11 10:57:03');
INSERT INTO `unimall_cart` VALUES (50, 2781, 104, 1, '2019-08-11 14:22:06', '2019-08-11 14:22:06');
INSERT INTO `unimall_cart` VALUES (51, 2773, 113, 1, '2019-08-11 14:46:21', '2019-08-11 14:46:21');
INSERT INTO `unimall_cart` VALUES (53, 2775, 117, 1, '2019-08-11 17:01:36', '2019-08-11 17:01:36');
INSERT INTO `unimall_cart` VALUES (57, 2773, 72, 1, '2019-08-12 02:26:57', '2019-08-12 02:26:57');
INSERT INTO `unimall_cart` VALUES (58, 2778, 127, 1, '2019-08-12 08:12:50', '2019-08-12 08:12:50');
INSERT INTO `unimall_cart` VALUES (59, 2777, 134, 1, '2019-08-12 09:44:19', '2019-08-12 09:44:19');
INSERT INTO `unimall_cart` VALUES (60, 2776, 136, 1, '2019-08-12 10:11:51', '2019-08-12 10:11:51');
INSERT INTO `unimall_cart` VALUES (65, 2773, 148, 1, '2019-08-12 15:42:00', '2019-08-12 15:42:00');
INSERT INTO `unimall_cart` VALUES (66, 2774, 149, 1, '2019-08-12 15:45:07', '2019-08-12 15:45:07');
INSERT INTO `unimall_cart` VALUES (68, 2784, 150, 1, '2019-08-12 17:36:10', '2019-08-12 17:36:10');
INSERT INTO `unimall_cart` VALUES (69, 2773, 153, 1, '2019-08-12 18:16:39', '2019-08-12 18:16:39');
INSERT INTO `unimall_cart` VALUES (71, 2776, 160, 1, '2019-08-12 20:34:27', '2019-08-12 20:34:27');
INSERT INTO `unimall_cart` VALUES (72, 2783, 161, 2, '2019-08-12 20:45:14', '2019-08-12 20:45:09');
INSERT INTO `unimall_cart` VALUES (77, 2775, 174, 7, '2019-08-13 13:13:22', '2019-08-13 13:13:15');
INSERT INTO `unimall_cart` VALUES (78, 2773, 175, 1, '2019-08-13 13:22:41', '2019-08-13 13:22:41');
INSERT INTO `unimall_cart` VALUES (79, 2784, 178, 1, '2019-08-13 14:20:59', '2019-08-13 14:20:59');
INSERT INTO `unimall_cart` VALUES (80, 2773, 179, 1, '2019-08-13 14:29:10', '2019-08-13 14:29:10');
INSERT INTO `unimall_cart` VALUES (81, 2784, 181, 1, '2019-08-13 15:31:50', '2019-08-13 15:31:50');
INSERT INTO `unimall_cart` VALUES (84, 2782, 66, 1, '2019-08-14 09:40:40', '2019-08-14 09:40:40');
INSERT INTO `unimall_cart` VALUES (87, 2773, 171, 1, '2019-08-14 16:21:18', '2019-08-14 16:21:18');
INSERT INTO `unimall_cart` VALUES (90, 2775, 43, 1, '2019-08-14 23:09:56', '2019-08-14 23:09:56');
INSERT INTO `unimall_cart` VALUES (91, 2774, 43, 1, '2019-08-14 23:10:01', '2019-08-14 23:10:01');
INSERT INTO `unimall_cart` VALUES (95, 2781, 220, 1, '2019-08-16 18:06:55', '2019-08-16 18:06:55');
INSERT INTO `unimall_cart` VALUES (96, 2773, 221, 1, '2019-08-16 19:24:05', '2019-08-16 19:24:05');
INSERT INTO `unimall_cart` VALUES (102, 2786, 227, 1, '2019-08-17 13:26:50', '2019-08-17 13:26:50');
INSERT INTO `unimall_cart` VALUES (104, 2784, 87, 1, '2019-08-17 16:55:19', '2019-08-17 16:55:19');
INSERT INTO `unimall_cart` VALUES (105, 2783, 240, 2, '2019-08-18 16:14:20', '2019-08-18 16:13:15');
INSERT INTO `unimall_cart` VALUES (106, 2784, 240, 1, '2019-08-18 16:14:00', '2019-08-18 16:14:00');
INSERT INTO `unimall_cart` VALUES (110, 2776, 249, 1, '2019-08-20 10:35:40', '2019-08-20 10:35:40');
INSERT INTO `unimall_cart` VALUES (112, 2783, 106, 1, '2019-08-20 22:11:02', '2019-08-20 22:11:02');
INSERT INTO `unimall_cart` VALUES (114, 2776, 257, 1, '2019-08-21 17:04:53', '2019-08-21 17:04:53');
INSERT INTO `unimall_cart` VALUES (115, 2786, 128, 1, '2019-08-21 17:38:48', '2019-08-21 17:38:48');
INSERT INTO `unimall_cart` VALUES (116, 2786, 261, 5, '2019-08-22 10:30:49', '2019-08-22 10:30:44');
INSERT INTO `unimall_cart` VALUES (117, 2782, 265, 1, '2019-08-22 13:55:16', '2019-08-22 13:55:16');
INSERT INTO `unimall_cart` VALUES (118, 2783, 265, 1, '2019-08-22 13:55:25', '2019-08-22 13:55:25');
INSERT INTO `unimall_cart` VALUES (119, 2784, 266, 3, '2019-08-22 15:18:31', '2019-08-22 15:18:30');
INSERT INTO `unimall_cart` VALUES (121, 2773, 272, 1, '2019-08-23 05:16:53', '2019-08-23 05:16:53');
INSERT INTO `unimall_cart` VALUES (122, 2781, 259, 2, '2019-08-23 13:04:58', '2019-08-23 13:04:58');
INSERT INTO `unimall_cart` VALUES (127, 2781, 281, 2, '2019-08-24 16:36:59', '2019-08-24 16:36:59');
INSERT INTO `unimall_cart` VALUES (128, 2779, 105, 1, '2019-08-24 21:58:35', '2019-08-24 21:58:35');
INSERT INTO `unimall_cart` VALUES (129, 2777, 105, 1, '2019-08-24 22:14:04', '2019-08-24 22:14:04');
INSERT INTO `unimall_cart` VALUES (134, 2786, 297, 2, '2019-08-27 16:32:30', '2019-08-27 16:32:25');
INSERT INTO `unimall_cart` VALUES (136, 2776, 307, 1, '2019-08-28 23:46:32', '2019-08-28 23:46:32');
INSERT INTO `unimall_cart` VALUES (138, 2785, 309, 1, '2019-08-29 09:16:48', '2019-08-29 09:16:48');
INSERT INTO `unimall_cart` VALUES (144, 2781, 325, 1, '2019-08-31 08:40:56', '2019-08-31 08:40:56');
INSERT INTO `unimall_cart` VALUES (145, 2775, 321, 1, '2019-08-31 16:07:45', '2019-08-31 16:07:45');
INSERT INTO `unimall_cart` VALUES (147, 2782, 259, 1, '2019-09-02 02:13:08', '2019-09-02 02:13:08');
INSERT INTO `unimall_cart` VALUES (149, 2773, 338, 1, '2019-09-02 12:36:59', '2019-09-02 12:36:59');
INSERT INTO `unimall_cart` VALUES (150, 2775, 343, 1, '2019-09-02 14:05:29', '2019-09-02 14:05:29');
INSERT INTO `unimall_cart` VALUES (151, 2786, 351, 1, '2019-09-03 15:01:35', '2019-09-03 15:01:35');
INSERT INTO `unimall_cart` VALUES (152, 2773, 351, 1, '2019-09-03 15:01:44', '2019-09-03 15:01:44');
INSERT INTO `unimall_cart` VALUES (153, 2782, 353, 1, '2019-09-03 17:03:08', '2019-09-03 17:03:08');
INSERT INTO `unimall_cart` VALUES (154, 2782, 156, 1, '2019-09-03 17:34:02', '2019-09-03 17:34:02');
INSERT INTO `unimall_cart` VALUES (158, 2787, 302, 1, '2019-09-05 14:43:21', '2019-09-05 14:43:21');
INSERT INTO `unimall_cart` VALUES (159, 2773, 360, 1, '2019-09-05 17:38:48', '2019-09-05 17:38:48');
INSERT INTO `unimall_cart` VALUES (177, 2773, 376, 1, '2019-09-07 21:35:12', '2019-09-07 21:35:12');
INSERT INTO `unimall_cart` VALUES (178, 2773, 287, 2, '2019-09-07 23:48:46', '2019-09-07 23:23:52');
INSERT INTO `unimall_cart` VALUES (179, 2774, 287, 1, '2019-09-07 23:48:44', '2019-09-07 23:48:44');
INSERT INTO `unimall_cart` VALUES (180, 2775, 287, 1, '2019-09-07 23:48:51', '2019-09-07 23:48:51');
INSERT INTO `unimall_cart` VALUES (181, 2781, 287, 1, '2019-09-07 23:48:55', '2019-09-07 23:48:55');
INSERT INTO `unimall_cart` VALUES (184, 2775, 378, 1, '2019-09-08 11:21:16', '2019-09-08 11:21:16');
INSERT INTO `unimall_cart` VALUES (185, 2773, 378, 1, '2019-09-08 11:21:48', '2019-09-08 11:21:48');
INSERT INTO `unimall_cart` VALUES (189, 2777, 381, 1, '2019-09-09 16:46:50', '2019-09-09 16:46:50');
INSERT INTO `unimall_cart` VALUES (190, 2782, 381, 1, '2019-09-09 16:48:15', '2019-09-09 16:48:15');
INSERT INTO `unimall_cart` VALUES (191, 2781, 382, 1, '2019-09-09 17:58:29', '2019-09-09 17:58:29');
INSERT INTO `unimall_cart` VALUES (192, 2777, 383, 1, '2019-09-09 18:44:32', '2019-09-09 18:44:32');
INSERT INTO `unimall_cart` VALUES (193, 2773, 387, 1, '2019-09-10 10:23:15', '2019-09-10 10:23:15');
INSERT INTO `unimall_cart` VALUES (194, 2775, 387, 1, '2019-09-10 10:24:10', '2019-09-10 10:24:10');
INSERT INTO `unimall_cart` VALUES (195, 2773, 388, 3, '2019-09-10 10:41:36', '2019-09-10 10:41:36');
INSERT INTO `unimall_cart` VALUES (196, 2787, 389, 1, '2019-09-10 10:50:30', '2019-09-10 10:50:30');
INSERT INTO `unimall_cart` VALUES (197, 2777, 387, 1, '2019-09-10 10:55:04', '2019-09-10 10:55:04');
INSERT INTO `unimall_cart` VALUES (198, 2782, 390, 1, '2019-09-10 11:02:57', '2019-09-10 11:02:57');
INSERT INTO `unimall_cart` VALUES (199, 2786, 394, 2, '2019-09-10 16:39:48', '2019-09-10 16:39:43');
INSERT INTO `unimall_cart` VALUES (203, 2782, 398, 1, '2019-09-11 03:02:17', '2019-09-11 03:02:17');
INSERT INTO `unimall_cart` VALUES (204, 2775, 400, 4, '2019-09-11 11:46:39', '2019-09-11 11:46:36');
INSERT INTO `unimall_cart` VALUES (205, 2777, 400, 1, '2019-09-11 11:47:11', '2019-09-11 11:47:11');
INSERT INTO `unimall_cart` VALUES (206, 2787, 401, 1, '2019-09-11 11:56:52', '2019-09-11 11:56:52');
INSERT INTO `unimall_cart` VALUES (207, 2777, 404, 1, '2019-09-11 19:44:46', '2019-09-11 19:44:46');
INSERT INTO `unimall_cart` VALUES (209, 2783, 405, 5, '2019-09-12 10:20:29', '2019-09-12 10:20:29');
INSERT INTO `unimall_cart` VALUES (210, 2786, 407, 3, '2019-09-12 13:12:12', '2019-09-12 13:12:10');
INSERT INTO `unimall_cart` VALUES (211, 2773, 411, 1, '2019-09-12 19:43:29', '2019-09-12 19:43:29');
INSERT INTO `unimall_cart` VALUES (212, 2782, 416, 2, '2019-09-13 21:02:30', '2019-09-13 21:02:21');
INSERT INTO `unimall_cart` VALUES (213, 2786, 418, 1, '2019-09-14 09:01:39', '2019-09-14 09:01:39');
INSERT INTO `unimall_cart` VALUES (214, 2782, 422, 1, '2019-09-15 09:42:52', '2019-09-15 09:42:52');
INSERT INTO `unimall_cart` VALUES (220, 2782, 434, 1, '2019-09-17 16:03:53', '2019-09-17 16:03:53');
INSERT INTO `unimall_cart` VALUES (222, 2780, 438, 1, '2019-09-17 18:45:10', '2019-09-17 18:45:10');
INSERT INTO `unimall_cart` VALUES (223, 2781, 441, 1, '2019-09-18 13:53:52', '2019-09-18 13:53:52');
INSERT INTO `unimall_cart` VALUES (226, 2782, 445, 1, '2019-09-18 14:49:38', '2019-09-18 14:49:38');
INSERT INTO `unimall_cart` VALUES (227, 2782, 21, 1, '2019-11-25 15:37:51', '2019-11-25 15:37:51');
INSERT INTO `unimall_cart` VALUES (228, 2773, 21, 1, '2019-11-25 15:38:03', '2019-11-25 15:38:03');
COMMIT;

-- ----------------------------
-- Table structure for unimall_category
-- ----------------------------
DROP TABLE IF EXISTS `unimall_category`;
CREATE TABLE `unimall_category` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `parent_id` bigint(20) NOT NULL,
  `icon_url` varchar(255) DEFAULT NULL,
  `pic_url` varchar(255) DEFAULT NULL,
  `level` int(11) DEFAULT NULL,
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1036544 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_category
-- ----------------------------
BEGIN;
INSERT INTO `unimall_category` VALUES (1036517, '狗狗', 0, NULL, NULL, 0, '2019-08-21 12:22:23', '2019-08-21 12:22:23');
INSERT INTO `unimall_category` VALUES (1036518, '猫猫', 0, NULL, NULL, 0, '2019-08-21 12:22:28', '2019-08-21 12:22:28');
INSERT INTO `unimall_category` VALUES (1036519, '狗粮', 1036517, NULL, NULL, 1, '2019-08-21 12:22:40', '2019-08-21 12:22:40');
INSERT INTO `unimall_category` VALUES (1036520, '进口狗粮', 1036519, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/3e29a454ba344311af4dc56b3f3d3451.jpg', 2, '2019-08-21 12:23:07', '2019-08-21 12:23:07');
INSERT INTO `unimall_category` VALUES (1036521, '国产狗粮', 1036519, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/f93cfc43446a4f708da7adfe735a0b89.jpg', 2, '2019-08-21 12:23:20', '2019-08-21 12:23:20');
INSERT INTO `unimall_category` VALUES (1036522, '处方狗粮', 1036519, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eb7a841fc8714d75a0a19e747fdd201b.jpg', 2, '2019-08-21 12:23:34', '2019-08-21 12:23:34');
INSERT INTO `unimall_category` VALUES (1036523, '零食', 1036517, NULL, NULL, 1, '2019-08-21 12:24:24', '2019-08-21 12:24:24');
INSERT INTO `unimall_category` VALUES (1036524, '肉类零食', 1036523, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/b80c780e31714dc38bfc2255f7c5d491.jpg', 2, '2019-08-21 12:24:41', '2019-08-21 12:24:41');
INSERT INTO `unimall_category` VALUES (1036525, '磨牙零食', 1036523, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/df12703bcdde413a9fd68387134c3dfc.jpg', 2, '2019-08-21 12:25:11', '2019-08-21 12:25:11');
INSERT INTO `unimall_category` VALUES (1036526, '猫粮', 1036518, NULL, NULL, 1, '2019-08-21 12:26:00', '2019-08-21 12:26:00');
INSERT INTO `unimall_category` VALUES (1036527, '进口猫粮', 1036526, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/bb042c1d7ef14bc69f7d63a7e448f602.jpg', 2, '2019-08-21 12:26:21', '2019-08-21 12:26:21');
INSERT INTO `unimall_category` VALUES (1036528, '国产猫粮', 1036526, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/cfbb9e4490f6406ea7a90c0d03cb8053.jpg', 2, '2019-08-21 12:26:37', '2019-08-21 12:26:37');
INSERT INTO `unimall_category` VALUES (1036529, '处方猫粮', 1036526, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/646f718f4c2241aebfbbdcb9fcb97332.jpg', 2, '2019-08-21 12:26:59', '2019-08-21 12:26:59');
INSERT INTO `unimall_category` VALUES (1036530, '清洁', 0, NULL, NULL, 0, '2019-08-21 12:27:04', '2019-08-21 12:27:04');
INSERT INTO `unimall_category` VALUES (1036531, '猫猫', 1036530, NULL, NULL, 1, '2019-08-21 12:27:12', '2019-08-21 12:27:12');
INSERT INTO `unimall_category` VALUES (1036532, '厕所', 1036531, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/76247590454c435291e5033628dbc71a.jpg', 2, '2019-08-21 12:27:26', '2019-08-21 12:27:26');
INSERT INTO `unimall_category` VALUES (1036533, '猫砂', 1036531, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/024a2f840bb44188aa4c9659ecdee19e.jpg', 2, '2019-08-21 12:27:37', '2019-08-21 12:27:37');
INSERT INTO `unimall_category` VALUES (1036534, '授权', 0, NULL, NULL, 0, '2019-08-21 12:33:18', '2019-08-21 12:33:18');
INSERT INTO `unimall_category` VALUES (1036535, '商业授权', 1036534, NULL, NULL, 1, '2019-08-21 12:33:30', '2019-08-21 12:33:30');
INSERT INTO `unimall_category` VALUES (1036536, '永久授权', 1036535, NULL, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/b68e51d469524632b03a248408b4b6c1.jpeg', 2, '2019-08-21 12:34:13', '2019-08-21 12:34:13');
INSERT INTO `unimall_category` VALUES (1036537, '111', 0, NULL, NULL, 0, '2019-09-05 16:00:01', '2019-09-05 16:00:01');
INSERT INTO `unimall_category` VALUES (1036538, '狗粮狗粮狗粮狗粮狗粮', 1036517, NULL, NULL, 1, '2019-08-21 12:22:40', '2019-08-21 12:22:40');
INSERT INTO `unimall_category` VALUES (1036539, '狗粮', 1036517, NULL, NULL, 1, '2019-08-21 12:22:40', '2019-08-21 12:22:40');
INSERT INTO `unimall_category` VALUES (1036540, '狗粮', 1036517, NULL, NULL, 1, '2019-08-21 12:22:40', '2019-08-21 12:22:40');
INSERT INTO `unimall_category` VALUES (1036541, '狗粮', 1036517, NULL, NULL, 1, '2019-08-21 12:22:40', '2019-08-21 12:22:40');
INSERT INTO `unimall_category` VALUES (1036542, '狗粮', 1036517, NULL, NULL, 1, '2019-08-21 12:22:40', '2019-08-21 12:22:40');
INSERT INTO `unimall_category` VALUES (1036543, '狗粮', 1036517, NULL, NULL, 1, '2019-08-21 12:22:40', '2019-08-21 12:22:40');
COMMIT;

-- ----------------------------
-- Table structure for unimall_collect
-- ----------------------------
DROP TABLE IF EXISTS `unimall_collect`;
CREATE TABLE `unimall_collect` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) DEFAULT NULL,
  `spu_id` bigint(20) DEFAULT NULL,
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=116 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_collect
-- ----------------------------
BEGIN;
INSERT INTO `unimall_collect` VALUES (1, 2, 22, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (2, 2, 23, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (3, 2, 24, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (4, 2, 25, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (5, 2, 26, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (6, 2, 27, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (7, 2, 28, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (8, 2, 29, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (9, 2, 30, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (10, 2, 31, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (11, 2, 32, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (12, 2, 33, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (13, 2, 34, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (14, 2, 35, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (15, 2, 36, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (16, 2, 37, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (17, 2, 38, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (18, 2, 39, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (19, 2, 40, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (20, 2, 41, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (21, 2, 42, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (22, 2, 43, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (23, 2, 44, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (24, 2, 45, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (25, 2, 46, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (26, 2, 47, '2019-07-05 04:15:07', '2019-07-05 04:15:10');
INSERT INTO `unimall_collect` VALUES (31, 3, 43, '2019-07-08 18:37:22', '2019-07-08 18:37:22');
INSERT INTO `unimall_collect` VALUES (32, 3, 28, '2019-07-08 21:40:47', '2019-07-08 21:40:47');
INSERT INTO `unimall_collect` VALUES (33, 14, 28, '2019-07-14 15:28:28', '2019-07-14 15:28:28');
INSERT INTO `unimall_collect` VALUES (43, 22, 1236771, '2019-08-04 01:47:38', '2019-08-04 01:47:38');
INSERT INTO `unimall_collect` VALUES (44, 21, 1236769, '2019-08-04 20:16:24', '2019-08-04 20:16:24');
INSERT INTO `unimall_collect` VALUES (45, 22, 1236773, '2019-08-06 22:23:33', '2019-08-06 22:23:33');
INSERT INTO `unimall_collect` VALUES (46, 30, 1236768, '2019-08-09 18:26:33', '2019-08-09 18:26:33');
INSERT INTO `unimall_collect` VALUES (48, 46, 1236775, '2019-08-09 22:51:07', '2019-08-09 22:51:07');
INSERT INTO `unimall_collect` VALUES (49, 64, 1236771, '2019-08-10 09:48:34', '2019-08-10 09:48:34');
INSERT INTO `unimall_collect` VALUES (55, 72, 1236768, '2019-08-10 14:45:26', '2019-08-10 14:45:26');
INSERT INTO `unimall_collect` VALUES (56, 101, 1236768, '2019-08-11 09:22:07', '2019-08-11 09:22:07');
INSERT INTO `unimall_collect` VALUES (57, 106, 1236774, '2019-08-11 11:02:01', '2019-08-11 11:02:01');
INSERT INTO `unimall_collect` VALUES (58, 122, 1236777, '2019-08-11 23:52:28', '2019-08-11 23:52:28');
INSERT INTO `unimall_collect` VALUES (60, 152, 1236772, '2019-08-12 17:50:25', '2019-08-12 17:50:25');
INSERT INTO `unimall_collect` VALUES (62, 156, 1236775, '2019-08-12 18:52:17', '2019-08-12 18:52:17');
INSERT INTO `unimall_collect` VALUES (63, 179, 1236768, '2019-08-13 14:29:00', '2019-08-13 14:29:00');
INSERT INTO `unimall_collect` VALUES (64, 190, 1236774, '2019-08-14 14:36:48', '2019-08-14 14:36:48');
INSERT INTO `unimall_collect` VALUES (66, 194, 1236773, '2019-08-14 18:32:16', '2019-08-14 18:32:16');
INSERT INTO `unimall_collect` VALUES (67, 240, 1236774, '2019-08-18 16:13:18', '2019-08-18 16:13:18');
INSERT INTO `unimall_collect` VALUES (69, 84, 1236774, '2019-08-20 11:24:39', '2019-08-20 11:24:39');
INSERT INTO `unimall_collect` VALUES (70, 267, 1236773, '2019-08-22 16:45:57', '2019-08-22 16:45:57');
INSERT INTO `unimall_collect` VALUES (72, 105, 1236773, '2019-08-25 09:50:25', '2019-08-25 09:50:25');
INSERT INTO `unimall_collect` VALUES (74, 305, 1236769, '2019-08-28 21:38:27', '2019-08-28 21:38:27');
INSERT INTO `unimall_collect` VALUES (75, 305, 1236774, '2019-08-28 21:44:24', '2019-08-28 21:44:24');
INSERT INTO `unimall_collect` VALUES (77, 314, 1236771, '2019-08-29 16:28:10', '2019-08-29 16:28:10');
INSERT INTO `unimall_collect` VALUES (78, 321, 1236770, '2019-08-31 16:07:06', '2019-08-31 16:07:06');
INSERT INTO `unimall_collect` VALUES (79, 259, 1236773, '2019-09-02 02:12:43', '2019-09-02 02:12:43');
INSERT INTO `unimall_collect` VALUES (80, 340, 1236772, '2019-09-02 11:11:08', '2019-09-02 11:11:08');
INSERT INTO `unimall_collect` VALUES (82, 351, 1236777, '2019-09-03 15:01:32', '2019-09-03 15:01:32');
INSERT INTO `unimall_collect` VALUES (88, 367, 1236768, '2019-09-07 09:39:04', '2019-09-07 09:39:04');
INSERT INTO `unimall_collect` VALUES (99, 381, 1236771, '2019-09-09 16:46:26', '2019-09-09 16:46:26');
INSERT INTO `unimall_collect` VALUES (100, 387, 1236769, '2019-09-10 10:24:07', '2019-09-10 10:24:07');
INSERT INTO `unimall_collect` VALUES (101, 388, 1236768, '2019-09-10 10:41:25', '2019-09-10 10:41:25');
INSERT INTO `unimall_collect` VALUES (102, 21, 1236777, '2019-09-12 01:26:31', '2019-09-12 01:26:31');
INSERT INTO `unimall_collect` VALUES (108, 405, 1236773, '2019-09-12 10:19:48', '2019-09-12 10:19:48');
INSERT INTO `unimall_collect` VALUES (109, 415, 1236774, '2019-09-13 15:04:33', '2019-09-13 15:04:33');
INSERT INTO `unimall_collect` VALUES (110, 65, 1236773, '2019-09-14 10:39:09', '2019-09-14 10:39:09');
INSERT INTO `unimall_collect` VALUES (112, 420, 1236768, '2019-09-14 17:32:35', '2019-09-14 17:32:35');
INSERT INTO `unimall_collect` VALUES (113, 421, 1236773, '2019-09-14 20:12:36', '2019-09-14 20:12:36');
INSERT INTO `unimall_collect` VALUES (115, 447, 1236772, '2019-09-18 15:53:34', '2019-09-18 15:53:34');
COMMIT;

-- ----------------------------
-- Table structure for unimall_config
-- ----------------------------
DROP TABLE IF EXISTS `unimall_config`;
CREATE TABLE `unimall_config` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `key_word` varchar(60) DEFAULT NULL,
  `value_worth` varchar(100) DEFAULT NULL,
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_config
-- ----------------------------
BEGIN;
INSERT INTO `unimall_config` VALUES (1, 'title', '5', '2019-07-20 11:23:37', '2019-07-20 11:23:37');
INSERT INTO `unimall_config` VALUES (2, 'logoUrl', 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/3a20237b18c44356891890f6e2260c03.jpg', '2019-07-20 11:23:37', '2019-07-20 11:23:37');
INSERT INTO `unimall_config` VALUES (3, 'description', '6', '2019-07-20 11:23:37', '2019-07-20 11:23:37');
INSERT INTO `unimall_config` VALUES (4, 'address', '7', '2019-07-20 11:23:37', '2019-07-20 11:23:37');
INSERT INTO `unimall_config` VALUES (5, 'showType', '2', '2019-07-20 11:23:37', '2019-07-20 11:23:37');
COMMIT;

-- ----------------------------
-- Table structure for unimall_coupon
-- ----------------------------
DROP TABLE IF EXISTS `unimall_coupon`;
CREATE TABLE `unimall_coupon` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `type` int(11) NOT NULL DEFAULT '1' COMMENT '使用类型，如满减',
  `description` varchar(255) DEFAULT NULL,
  `total` int(11) NOT NULL,
  `surplus` int(11) NOT NULL COMMENT '会员类型0:非会员1:会员2:全部',
  `limit` int(11) NOT NULL,
  `discount` int(11) NOT NULL COMMENT '减少金额',
  `min` int(11) NOT NULL COMMENT '最低消费金额',
  `status` int(11) NOT NULL,
  `category_id` bigint(20) DEFAULT NULL,
  `days` int(11) DEFAULT NULL COMMENT '过期天数',
  `gmt_start` datetime DEFAULT NULL COMMENT '领取开始时间',
  `gmt_end` datetime DEFAULT NULL COMMENT '领取/使用结束时间',
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of unimall_coupon
-- ----------------------------
BEGIN;
INSERT INTO `unimall_coupon` VALUES (2, '测试非会员是否可见', 1, '测试用', 10, 10, 1, 100, 10000, 1, NULL, 10, NULL, NULL, '2019-10-22 11:40:59', '2019-10-22 11:40:59');
INSERT INTO `unimall_coupon` VALUES (3, '测试普通用户优惠券', 1, '测试用', 1000, 999, 1, 100, 100, 1, NULL, 10, NULL, NULL, '2019-10-23 13:04:29', '2019-10-23 13:04:29');
INSERT INTO `unimall_coupon` VALUES (7, '小米鼠标满减券', 1, '满2-1', 3, 2, 1, 100, 200, 1, 3, 1, NULL, NULL, '2019-10-23 16:14:16', '2019-10-23 16:14:16');
INSERT INTO `unimall_coupon` VALUES (8, '132', 1, '00', 10, 8, 2, 100, 200, 1, NULL, NULL, '2019-10-23 02:00:00', '2019-10-24 16:23:42', '2019-10-23 16:23:51', '2019-10-23 16:23:51');
INSERT INTO `unimall_coupon` VALUES (9, '测试', 1, NULL, 1000, 997, 10, 100, 100, 1, NULL, 1, NULL, NULL, '2019-10-23 16:58:48', '2019-10-23 16:58:48');
INSERT INTO `unimall_coupon` VALUES (10, '测试单一类目满减券', 1, NULL, 100, 99, 10, 100, 100, 1, 3, 10, NULL, NULL, '2019-10-23 17:16:48', '2019-10-23 17:16:48');
COMMIT;

-- ----------------------------
-- Table structure for unimall_footprint
-- ----------------------------
DROP TABLE IF EXISTS `unimall_footprint`;
CREATE TABLE `unimall_footprint` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `spu_id` bigint(20) NOT NULL,
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=560 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_footprint
-- ----------------------------
BEGIN;
INSERT INTO `unimall_footprint` VALUES (1, 2, 28, '2019-05-08 01:46:24', '2019-05-08 01:46:27');
INSERT INTO `unimall_footprint` VALUES (5, 3, 42, '2019-07-08 17:02:10', '2019-07-08 18:14:47');
INSERT INTO `unimall_footprint` VALUES (6, 3, 44, '2019-07-08 17:22:01', '2019-07-08 17:22:01');
INSERT INTO `unimall_footprint` VALUES (8, 3, 40, '2019-07-08 17:22:18', '2019-07-08 17:22:24');
INSERT INTO `unimall_footprint` VALUES (9, 3, 36, '2019-07-08 17:37:21', '2019-07-08 17:37:21');
INSERT INTO `unimall_footprint` VALUES (10, 3, 28, '2019-07-08 18:05:34', '2019-07-11 16:05:45');
INSERT INTO `unimall_footprint` VALUES (11, 3, 43, '2019-07-08 18:37:21', '2019-07-08 18:37:21');
INSERT INTO `unimall_footprint` VALUES (12, 3, 45, '2019-07-08 21:31:32', '2019-07-08 21:31:32');
INSERT INTO `unimall_footprint` VALUES (13, 14, 28, '2019-07-13 11:23:02', '2019-07-14 16:02:13');
INSERT INTO `unimall_footprint` VALUES (14, 14, 22, '2019-07-13 14:59:58', '2019-07-14 16:03:29');
INSERT INTO `unimall_footprint` VALUES (15, 14, 35, '2019-07-14 16:03:19', '2019-07-14 16:03:19');
INSERT INTO `unimall_footprint` VALUES (16, 14, 24, '2019-07-14 16:03:35', '2019-07-14 16:03:35');
INSERT INTO `unimall_footprint` VALUES (17, 15, 28, '2019-07-17 17:35:29', '2019-07-17 19:03:48');
INSERT INTO `unimall_footprint` VALUES (18, 16, 28, '2019-07-17 18:10:33', '2019-07-21 19:05:22');
INSERT INTO `unimall_footprint` VALUES (19, 17, 28, '2019-07-17 19:04:46', '2019-07-18 11:15:18');
INSERT INTO `unimall_footprint` VALUES (20, 18, 28, '2019-07-18 12:17:25', '2019-07-18 15:00:30');
INSERT INTO `unimall_footprint` VALUES (21, 1, 28, '2019-07-18 15:42:35', '2019-07-18 17:46:53');
INSERT INTO `unimall_footprint` VALUES (22, 16, 29, '2019-07-19 18:34:24', '2019-07-19 18:34:24');
INSERT INTO `unimall_footprint` VALUES (23, 19, 28, '2019-07-21 18:02:14', '2019-07-21 18:02:14');
INSERT INTO `unimall_footprint` VALUES (24, 16, 1234194, '2019-07-23 11:47:11', '2019-07-27 15:47:10');
INSERT INTO `unimall_footprint` VALUES (25, 16, 1234192, '2019-07-23 11:47:17', '2019-07-27 15:47:05');
INSERT INTO `unimall_footprint` VALUES (26, 16, 1234195, '2019-07-23 11:47:23', '2019-07-23 11:47:23');
INSERT INTO `unimall_footprint` VALUES (27, 16, 1234197, '2019-07-23 11:47:28', '2019-07-23 11:47:28');
INSERT INTO `unimall_footprint` VALUES (28, 16, 1234176, '2019-07-23 11:47:34', '2019-07-27 16:33:40');
INSERT INTO `unimall_footprint` VALUES (29, 16, 1234177, '2019-07-23 11:47:37', '2019-07-27 16:33:42');
INSERT INTO `unimall_footprint` VALUES (30, 16, 1234179, '2019-07-23 11:49:05', '2019-07-23 19:02:45');
INSERT INTO `unimall_footprint` VALUES (31, 16, 1234181, '2019-07-27 15:45:15', '2019-07-27 15:45:15');
INSERT INTO `unimall_footprint` VALUES (32, 21, 1236768, '2019-08-01 23:11:43', '2019-11-25 15:38:01');
INSERT INTO `unimall_footprint` VALUES (33, 21, 1236769, '2019-08-01 23:31:36', '2019-11-22 17:07:24');
INSERT INTO `unimall_footprint` VALUES (34, 22, 1236768, '2019-08-02 00:19:31', '2019-08-23 18:05:06');
INSERT INTO `unimall_footprint` VALUES (35, 22, 1236773, '2019-08-02 00:20:05', '2019-08-23 18:05:00');
INSERT INTO `unimall_footprint` VALUES (36, 22, 1236769, '2019-08-02 00:21:19', '2019-08-23 18:05:03');
INSERT INTO `unimall_footprint` VALUES (37, 22, 1236775, '2019-08-04 01:23:49', '2019-08-23 18:04:30');
INSERT INTO `unimall_footprint` VALUES (38, 22, 1236770, '2019-08-04 01:25:25', '2019-08-06 22:23:42');
INSERT INTO `unimall_footprint` VALUES (39, 21, 1236770, '2019-08-04 01:28:28', '2019-11-22 16:23:08');
INSERT INTO `unimall_footprint` VALUES (40, 21, 1236775, '2019-08-04 01:28:39', '2019-11-06 15:55:27');
INSERT INTO `unimall_footprint` VALUES (41, 22, 1236771, '2019-08-04 01:31:15', '2019-08-23 18:05:14');
INSERT INTO `unimall_footprint` VALUES (42, 22, 1236774, '2019-08-04 01:39:17', '2019-08-23 18:04:56');
INSERT INTO `unimall_footprint` VALUES (43, 22, 1236772, '2019-08-04 01:49:52', '2019-08-23 18:04:52');
INSERT INTO `unimall_footprint` VALUES (44, 21, 1236773, '2019-08-04 11:29:49', '2019-11-22 16:19:37');
INSERT INTO `unimall_footprint` VALUES (45, 1, 1236770, '2019-08-04 13:57:22', '2019-08-04 13:57:22');
INSERT INTO `unimall_footprint` VALUES (46, 21, 1236771, '2019-08-05 11:57:29', '2019-11-25 16:04:32');
INSERT INTO `unimall_footprint` VALUES (47, 21, 1236774, '2019-08-05 12:09:23', '2019-11-25 16:04:26');
INSERT INTO `unimall_footprint` VALUES (48, 21, 1236772, '2019-08-05 17:55:14', '2019-11-06 15:50:45');
INSERT INTO `unimall_footprint` VALUES (49, 21, 1236776, '2019-08-05 17:55:22', '2019-08-05 17:55:22');
INSERT INTO `unimall_footprint` VALUES (50, 23, 1236768, '2019-08-08 19:26:27', '2019-08-08 19:26:34');
INSERT INTO `unimall_footprint` VALUES (51, 23, 1236775, '2019-08-08 19:26:44', '2019-08-08 19:26:44');
INSERT INTO `unimall_footprint` VALUES (52, 24, 1236769, '2019-08-09 17:38:41', '2019-08-09 17:38:41');
INSERT INTO `unimall_footprint` VALUES (53, 27, 1236771, '2019-08-09 17:45:49', '2019-08-09 17:45:49');
INSERT INTO `unimall_footprint` VALUES (54, 27, 1236772, '2019-08-09 17:46:07', '2019-08-09 17:46:07');
INSERT INTO `unimall_footprint` VALUES (55, 30, 1236768, '2019-08-09 18:26:31', '2019-08-09 18:27:00');
INSERT INTO `unimall_footprint` VALUES (56, 30, 1236773, '2019-08-09 18:27:08', '2019-08-09 18:27:08');
INSERT INTO `unimall_footprint` VALUES (57, 30, 1236774, '2019-08-09 18:27:11', '2019-08-09 18:27:11');
INSERT INTO `unimall_footprint` VALUES (58, 30, 1236770, '2019-08-09 18:27:15', '2019-08-09 18:27:15');
INSERT INTO `unimall_footprint` VALUES (59, 36, 1236774, '2019-08-09 19:23:20', '2019-08-09 19:23:20');
INSERT INTO `unimall_footprint` VALUES (60, 37, 1236769, '2019-08-09 19:29:26', '2019-08-09 19:29:26');
INSERT INTO `unimall_footprint` VALUES (61, 36, 1236769, '2019-08-09 19:32:36', '2019-08-09 19:32:36');
INSERT INTO `unimall_footprint` VALUES (62, 36, 1236770, '2019-08-09 19:34:07', '2019-08-09 19:34:16');
INSERT INTO `unimall_footprint` VALUES (63, 38, 1236768, '2019-08-09 20:14:42', '2019-08-09 20:14:42');
INSERT INTO `unimall_footprint` VALUES (64, 41, 1236769, '2019-08-09 21:17:08', '2019-08-09 21:17:08');
INSERT INTO `unimall_footprint` VALUES (65, 41, 1236768, '2019-08-09 21:17:13', '2019-08-09 21:17:13');
INSERT INTO `unimall_footprint` VALUES (66, 43, 1236775, '2019-08-09 21:25:34', '2019-08-09 21:25:34');
INSERT INTO `unimall_footprint` VALUES (67, 44, 1236769, '2019-08-09 21:31:16', '2019-08-09 21:31:16');
INSERT INTO `unimall_footprint` VALUES (68, 44, 1236768, '2019-08-09 21:33:27', '2019-08-09 21:33:36');
INSERT INTO `unimall_footprint` VALUES (69, 44, 1236772, '2019-08-09 21:33:54', '2019-08-09 21:33:54');
INSERT INTO `unimall_footprint` VALUES (70, 45, 1236768, '2019-08-09 21:54:01', '2019-08-09 21:54:01');
INSERT INTO `unimall_footprint` VALUES (71, 46, 1236769, '2019-08-09 22:12:02', '2019-08-09 22:12:02');
INSERT INTO `unimall_footprint` VALUES (72, 46, 1236771, '2019-08-09 22:12:25', '2019-08-09 22:12:25');
INSERT INTO `unimall_footprint` VALUES (73, 46, 1236774, '2019-08-09 22:12:54', '2019-08-09 22:20:26');
INSERT INTO `unimall_footprint` VALUES (74, 46, 1236770, '2019-08-09 22:20:30', '2019-08-09 22:20:30');
INSERT INTO `unimall_footprint` VALUES (75, 46, 1236772, '2019-08-09 22:21:07', '2019-08-09 22:21:07');
INSERT INTO `unimall_footprint` VALUES (76, 47, 1236774, '2019-08-09 22:27:00', '2019-08-09 22:27:00');
INSERT INTO `unimall_footprint` VALUES (77, 47, 1236775, '2019-08-09 22:27:29', '2019-08-09 22:27:29');
INSERT INTO `unimall_footprint` VALUES (78, 46, 1236775, '2019-08-09 22:50:58', '2019-08-09 22:50:58');
INSERT INTO `unimall_footprint` VALUES (79, 48, 1236769, '2019-08-09 23:05:52', '2019-08-09 23:05:52');
INSERT INTO `unimall_footprint` VALUES (80, 49, 1236768, '2019-08-09 23:16:10', '2019-08-09 23:16:55');
INSERT INTO `unimall_footprint` VALUES (81, 50, 1236775, '2019-08-09 23:24:11', '2019-08-09 23:24:11');
INSERT INTO `unimall_footprint` VALUES (82, 52, 1236775, '2019-08-09 23:39:46', '2019-08-09 23:39:46');
INSERT INTO `unimall_footprint` VALUES (83, 53, 1236775, '2019-08-09 23:45:00', '2019-08-10 21:54:41');
INSERT INTO `unimall_footprint` VALUES (84, 53, 1236774, '2019-08-09 23:46:44', '2019-08-09 23:46:44');
INSERT INTO `unimall_footprint` VALUES (85, 53, 1236770, '2019-08-09 23:46:54', '2019-08-10 21:54:08');
INSERT INTO `unimall_footprint` VALUES (86, 53, 1236768, '2019-08-09 23:47:04', '2019-08-09 23:48:42');
INSERT INTO `unimall_footprint` VALUES (87, 55, 1236768, '2019-08-10 00:58:20', '2019-08-10 01:27:45');
INSERT INTO `unimall_footprint` VALUES (88, 55, 1236773, '2019-08-10 00:58:47', '2019-08-10 00:58:47');
INSERT INTO `unimall_footprint` VALUES (89, 55, 1236774, '2019-08-10 00:58:50', '2019-08-10 00:58:50');
INSERT INTO `unimall_footprint` VALUES (90, 55, 1236775, '2019-08-10 01:00:34', '2019-08-10 01:00:34');
INSERT INTO `unimall_footprint` VALUES (91, 56, 1236771, '2019-08-10 05:49:50', '2019-08-10 05:49:50');
INSERT INTO `unimall_footprint` VALUES (92, 58, 1236772, '2019-08-10 06:25:33', '2019-08-10 06:25:33');
INSERT INTO `unimall_footprint` VALUES (93, 59, 1236770, '2019-08-10 08:56:40', '2019-08-10 08:57:03');
INSERT INTO `unimall_footprint` VALUES (94, 59, 1236768, '2019-08-10 08:56:48', '2019-08-10 08:56:48');
INSERT INTO `unimall_footprint` VALUES (95, 60, 1236768, '2019-08-10 09:15:00', '2019-08-10 09:15:00');
INSERT INTO `unimall_footprint` VALUES (96, 62, 1236772, '2019-08-10 09:24:57', '2019-08-10 09:24:57');
INSERT INTO `unimall_footprint` VALUES (97, 64, 1236771, '2019-08-10 09:48:08', '2019-08-10 09:48:08');
INSERT INTO `unimall_footprint` VALUES (98, 64, 1236775, '2019-08-10 09:49:33', '2019-08-10 09:49:33');
INSERT INTO `unimall_footprint` VALUES (99, 64, 1236772, '2019-08-10 09:50:45', '2019-08-10 09:50:45');
INSERT INTO `unimall_footprint` VALUES (100, 64, 1236773, '2019-08-10 09:51:03', '2019-08-10 09:51:03');
INSERT INTO `unimall_footprint` VALUES (101, 64, 1236768, '2019-08-10 09:51:21', '2019-08-10 09:51:21');
INSERT INTO `unimall_footprint` VALUES (102, 65, 1236773, '2019-08-10 10:28:37', '2019-09-14 10:38:54');
INSERT INTO `unimall_footprint` VALUES (103, 65, 1236774, '2019-08-10 10:28:41', '2019-08-10 10:28:41');
INSERT INTO `unimall_footprint` VALUES (104, 65, 1236770, '2019-08-10 10:28:56', '2019-08-10 10:28:56');
INSERT INTO `unimall_footprint` VALUES (105, 67, 1236772, '2019-08-10 10:52:45', '2019-08-10 10:52:45');
INSERT INTO `unimall_footprint` VALUES (106, 68, 1236768, '2019-08-10 10:55:42', '2019-08-10 10:55:42');
INSERT INTO `unimall_footprint` VALUES (107, 68, 1236769, '2019-08-10 10:55:53', '2019-08-10 10:55:53');
INSERT INTO `unimall_footprint` VALUES (108, 68, 1236770, '2019-08-10 10:56:06', '2019-08-10 10:56:06');
INSERT INTO `unimall_footprint` VALUES (109, 71, 1236775, '2019-08-10 11:13:52', '2019-08-10 13:31:12');
INSERT INTO `unimall_footprint` VALUES (110, 72, 1236772, '2019-08-10 11:48:23', '2019-08-10 14:46:07');
INSERT INTO `unimall_footprint` VALUES (111, 72, 1236773, '2019-08-10 11:49:09', '2019-08-10 11:57:29');
INSERT INTO `unimall_footprint` VALUES (112, 75, 1236768, '2019-08-10 13:20:22', '2019-08-10 13:20:22');
INSERT INTO `unimall_footprint` VALUES (113, 75, 1236775, '2019-08-10 13:20:25', '2019-09-04 14:46:00');
INSERT INTO `unimall_footprint` VALUES (114, 78, 1236775, '2019-08-10 14:26:08', '2019-08-10 14:26:08');
INSERT INTO `unimall_footprint` VALUES (115, 79, 1236768, '2019-08-10 14:29:36', '2019-08-10 14:29:36');
INSERT INTO `unimall_footprint` VALUES (116, 80, 1236775, '2019-08-10 14:32:34', '2019-08-10 14:32:34');
INSERT INTO `unimall_footprint` VALUES (117, 72, 1236768, '2019-08-10 14:44:47', '2019-08-12 02:26:55');
INSERT INTO `unimall_footprint` VALUES (118, 72, 1236770, '2019-08-10 14:46:17', '2019-08-10 14:46:17');
INSERT INTO `unimall_footprint` VALUES (119, 72, 1236775, '2019-08-10 14:47:35', '2019-08-10 14:47:35');
INSERT INTO `unimall_footprint` VALUES (120, 81, 1236768, '2019-08-10 14:55:14', '2019-08-10 14:55:14');
INSERT INTO `unimall_footprint` VALUES (121, 83, 1236775, '2019-08-10 16:00:33', '2019-08-10 16:00:33');
INSERT INTO `unimall_footprint` VALUES (122, 87, 1236768, '2019-08-10 17:04:34', '2019-08-17 16:54:10');
INSERT INTO `unimall_footprint` VALUES (123, 37, 1236773, '2019-08-10 19:26:17', '2019-08-10 19:26:17');
INSERT INTO `unimall_footprint` VALUES (124, 90, 1236770, '2019-08-10 20:12:06', '2019-08-10 20:12:06');
INSERT INTO `unimall_footprint` VALUES (125, 90, 1236768, '2019-08-10 20:12:08', '2019-08-10 20:12:08');
INSERT INTO `unimall_footprint` VALUES (126, 90, 1236769, '2019-08-10 20:12:50', '2019-08-10 20:12:50');
INSERT INTO `unimall_footprint` VALUES (127, 94, 1236773, '2019-08-10 22:39:09', '2019-08-10 22:39:09');
INSERT INTO `unimall_footprint` VALUES (128, 95, 1236770, '2019-08-10 23:06:42', '2019-08-10 23:06:42');
INSERT INTO `unimall_footprint` VALUES (129, 96, 1236773, '2019-08-10 23:14:51', '2019-08-10 23:14:51');
INSERT INTO `unimall_footprint` VALUES (130, 97, 1236774, '2019-08-11 00:34:36', '2019-08-11 00:34:36');
INSERT INTO `unimall_footprint` VALUES (131, 98, 1236769, '2019-08-11 02:58:15', '2019-08-11 02:58:15');
INSERT INTO `unimall_footprint` VALUES (132, 101, 1236775, '2019-08-11 09:22:26', '2019-08-11 09:22:26');
INSERT INTO `unimall_footprint` VALUES (133, 102, 1236770, '2019-08-11 09:49:55', '2019-08-11 09:50:57');
INSERT INTO `unimall_footprint` VALUES (134, 103, 1236775, '2019-08-11 09:53:25', '2019-08-11 09:53:25');
INSERT INTO `unimall_footprint` VALUES (135, 103, 1236774, '2019-08-11 09:53:37', '2019-08-11 09:53:37');
INSERT INTO `unimall_footprint` VALUES (136, 105, 1236768, '2019-08-11 10:41:29', '2019-09-05 08:16:57');
INSERT INTO `unimall_footprint` VALUES (137, 105, 1236770, '2019-08-11 10:42:02', '2019-08-24 23:38:37');
INSERT INTO `unimall_footprint` VALUES (138, 105, 1236775, '2019-08-11 10:42:20', '2019-08-24 22:21:36');
INSERT INTO `unimall_footprint` VALUES (139, 106, 1236774, '2019-08-11 11:01:55', '2019-08-20 22:10:54');
INSERT INTO `unimall_footprint` VALUES (140, 107, 1236772, '2019-08-11 11:03:51', '2019-08-11 11:03:51');
INSERT INTO `unimall_footprint` VALUES (141, 107, 1236774, '2019-08-11 11:03:55', '2019-08-11 11:05:02');
INSERT INTO `unimall_footprint` VALUES (142, 107, 1236775, '2019-08-11 11:03:58', '2019-08-11 11:03:58');
INSERT INTO `unimall_footprint` VALUES (143, 107, 1236768, '2019-08-11 11:04:04', '2019-08-11 11:04:04');
INSERT INTO `unimall_footprint` VALUES (144, 107, 1236769, '2019-08-11 11:04:07', '2019-08-11 11:04:07');
INSERT INTO `unimall_footprint` VALUES (145, 107, 1236770, '2019-08-11 11:04:13', '2019-08-11 11:07:15');
INSERT INTO `unimall_footprint` VALUES (146, 108, 1236769, '2019-08-11 11:18:14', '2019-08-11 11:18:50');
INSERT INTO `unimall_footprint` VALUES (147, 108, 1236770, '2019-08-11 11:18:32', '2019-08-11 11:18:32');
INSERT INTO `unimall_footprint` VALUES (148, 109, 1236768, '2019-08-11 12:31:21', '2019-08-11 12:31:21');
INSERT INTO `unimall_footprint` VALUES (149, 110, 1236768, '2019-08-11 12:38:11', '2019-08-11 12:38:11');
INSERT INTO `unimall_footprint` VALUES (150, 21, 1236777, '2019-08-11 13:17:23', '2019-11-25 16:00:16');
INSERT INTO `unimall_footprint` VALUES (151, 113, 1236777, '2019-08-11 14:45:33', '2019-08-11 14:45:33');
INSERT INTO `unimall_footprint` VALUES (152, 113, 1236768, '2019-08-11 14:46:17', '2019-08-11 14:46:46');
INSERT INTO `unimall_footprint` VALUES (153, 113, 1236775, '2019-08-11 14:46:57', '2019-08-11 14:46:57');
INSERT INTO `unimall_footprint` VALUES (154, 115, 1236774, '2019-08-11 15:31:35', '2019-08-11 16:02:14');
INSERT INTO `unimall_footprint` VALUES (155, 116, 1236774, '2019-08-11 15:33:50', '2019-08-11 15:33:50');
INSERT INTO `unimall_footprint` VALUES (156, 117, 1236769, '2019-08-11 17:01:21', '2019-08-11 17:01:21');
INSERT INTO `unimall_footprint` VALUES (157, 118, 1236768, '2019-08-11 17:10:54', '2019-09-03 14:08:03');
INSERT INTO `unimall_footprint` VALUES (158, 118, 1236774, '2019-08-11 17:11:43', '2019-08-11 17:11:43');
INSERT INTO `unimall_footprint` VALUES (159, 119, 1236768, '2019-08-11 17:48:07', '2019-08-11 17:48:07');
INSERT INTO `unimall_footprint` VALUES (160, 120, 1236774, '2019-08-11 21:55:17', '2019-08-11 21:55:17');
INSERT INTO `unimall_footprint` VALUES (161, 121, 1236777, '2019-08-11 22:45:20', '2019-08-11 22:45:39');
INSERT INTO `unimall_footprint` VALUES (162, 122, 1236777, '2019-08-11 23:52:05', '2019-08-11 23:52:05');
INSERT INTO `unimall_footprint` VALUES (163, 124, 1236777, '2019-08-12 00:44:34', '2019-08-12 00:44:34');
INSERT INTO `unimall_footprint` VALUES (164, 125, 1236772, '2019-08-12 01:09:01', '2019-08-12 01:09:01');
INSERT INTO `unimall_footprint` VALUES (165, 72, 1236777, '2019-08-12 02:45:19', '2019-08-12 02:45:19');
INSERT INTO `unimall_footprint` VALUES (166, 127, 1236771, '2019-08-12 08:12:35', '2019-08-12 08:12:35');
INSERT INTO `unimall_footprint` VALUES (167, 127, 1236768, '2019-08-12 08:14:38', '2019-08-12 08:14:38');
INSERT INTO `unimall_footprint` VALUES (168, 129, 1236769, '2019-08-12 09:09:04', '2019-08-12 09:09:04');
INSERT INTO `unimall_footprint` VALUES (169, 130, 1236772, '2019-08-12 09:13:34', '2019-08-12 09:13:34');
INSERT INTO `unimall_footprint` VALUES (170, 130, 1236769, '2019-08-12 09:13:50', '2019-08-12 09:13:50');
INSERT INTO `unimall_footprint` VALUES (171, 131, 1236768, '2019-08-12 09:15:16', '2019-08-12 09:15:16');
INSERT INTO `unimall_footprint` VALUES (172, 132, 1236777, '2019-08-12 09:28:50', '2019-08-12 09:29:05');
INSERT INTO `unimall_footprint` VALUES (173, 135, 1236777, '2019-08-12 09:43:56', '2019-08-12 09:44:13');
INSERT INTO `unimall_footprint` VALUES (174, 134, 1236771, '2019-08-12 09:44:17', '2019-08-12 09:44:17');
INSERT INTO `unimall_footprint` VALUES (175, 137, 1236769, '2019-08-12 10:14:44', '2019-08-12 10:14:44');
INSERT INTO `unimall_footprint` VALUES (176, 137, 1236771, '2019-08-12 10:14:56', '2019-08-12 10:14:56');
INSERT INTO `unimall_footprint` VALUES (177, 138, 1236774, '2019-08-12 10:25:02', '2019-08-12 10:25:02');
INSERT INTO `unimall_footprint` VALUES (178, 141, 1236775, '2019-08-12 13:10:33', '2019-08-12 13:10:33');
INSERT INTO `unimall_footprint` VALUES (179, 141, 1236776, '2019-08-12 13:11:51', '2019-08-12 13:11:51');
INSERT INTO `unimall_footprint` VALUES (180, 142, 1236773, '2019-08-12 13:57:46', '2019-08-12 13:58:12');
INSERT INTO `unimall_footprint` VALUES (181, 142, 1236770, '2019-08-12 13:58:31', '2019-08-12 13:58:31');
INSERT INTO `unimall_footprint` VALUES (182, 144, 1236773, '2019-08-12 14:26:27', '2019-08-12 14:26:27');
INSERT INTO `unimall_footprint` VALUES (183, 144, 1236768, '2019-08-12 14:26:58', '2019-08-12 14:26:58');
INSERT INTO `unimall_footprint` VALUES (184, 147, 1236774, '2019-08-12 15:26:32', '2019-08-12 15:26:32');
INSERT INTO `unimall_footprint` VALUES (185, 147, 1236775, '2019-08-12 15:26:37', '2019-08-12 15:26:37');
INSERT INTO `unimall_footprint` VALUES (186, 148, 1236768, '2019-08-12 15:41:57', '2019-08-12 15:41:57');
INSERT INTO `unimall_footprint` VALUES (187, 149, 1236769, '2019-08-12 15:45:10', '2019-08-12 15:45:10');
INSERT INTO `unimall_footprint` VALUES (188, 149, 1236775, '2019-08-12 15:45:22', '2019-08-12 15:45:22');
INSERT INTO `unimall_footprint` VALUES (189, 149, 1236773, '2019-08-12 15:45:30', '2019-08-12 15:45:30');
INSERT INTO `unimall_footprint` VALUES (190, 149, 1236771, '2019-08-12 15:45:37', '2019-08-12 15:45:37');
INSERT INTO `unimall_footprint` VALUES (191, 150, 1236768, '2019-08-12 16:51:31', '2019-08-12 16:51:31');
INSERT INTO `unimall_footprint` VALUES (192, 150, 1236775, '2019-08-12 17:36:05', '2019-08-12 17:36:05');
INSERT INTO `unimall_footprint` VALUES (193, 152, 1236772, '2019-08-12 17:48:24', '2019-08-12 17:50:22');
INSERT INTO `unimall_footprint` VALUES (194, 155, 1236777, '2019-08-12 18:44:28', '2019-08-12 18:44:28');
INSERT INTO `unimall_footprint` VALUES (195, 155, 1236772, '2019-08-12 18:44:41', '2019-08-12 18:44:41');
INSERT INTO `unimall_footprint` VALUES (196, 155, 1236768, '2019-08-12 18:45:04', '2019-08-12 18:45:04');
INSERT INTO `unimall_footprint` VALUES (197, 156, 1236774, '2019-08-12 18:52:21', '2019-08-12 18:52:21');
INSERT INTO `unimall_footprint` VALUES (198, 160, 1236770, '2019-08-12 20:34:15', '2019-08-12 20:34:15');
INSERT INTO `unimall_footprint` VALUES (199, 161, 1236774, '2019-08-12 20:45:05', '2019-08-12 20:45:05');
INSERT INTO `unimall_footprint` VALUES (200, 162, 1236768, '2019-08-13 08:43:20', '2019-08-13 08:44:22');
INSERT INTO `unimall_footprint` VALUES (201, 166, 1236770, '2019-08-13 09:24:32', '2019-08-13 09:24:32');
INSERT INTO `unimall_footprint` VALUES (202, 169, 1236768, '2019-08-13 10:55:09', '2019-08-13 10:55:09');
INSERT INTO `unimall_footprint` VALUES (203, 170, 1236777, '2019-08-13 10:58:58', '2019-08-13 10:58:58');
INSERT INTO `unimall_footprint` VALUES (204, 170, 1236775, '2019-08-13 11:06:40', '2019-08-13 11:06:40');
INSERT INTO `unimall_footprint` VALUES (205, 171, 1236775, '2019-08-13 11:36:57', '2019-08-13 11:43:12');
INSERT INTO `unimall_footprint` VALUES (206, 171, 1236769, '2019-08-13 11:37:52', '2019-08-14 16:21:42');
INSERT INTO `unimall_footprint` VALUES (207, 173, 1236775, '2019-08-13 12:03:38', '2019-08-13 12:03:38');
INSERT INTO `unimall_footprint` VALUES (208, 174, 1236769, '2019-08-13 13:13:02', '2019-08-13 13:13:02');
INSERT INTO `unimall_footprint` VALUES (209, 177, 1236772, '2019-08-13 14:02:12', '2019-08-13 14:02:12');
INSERT INTO `unimall_footprint` VALUES (210, 178, 1236775, '2019-08-13 14:20:35', '2019-08-13 14:20:35');
INSERT INTO `unimall_footprint` VALUES (211, 179, 1236768, '2019-08-13 14:28:55', '2019-08-13 14:29:05');
INSERT INTO `unimall_footprint` VALUES (212, 180, 1236775, '2019-08-13 15:09:37', '2019-08-13 15:09:37');
INSERT INTO `unimall_footprint` VALUES (213, 180, 1236769, '2019-08-13 15:10:34', '2019-08-13 15:10:34');
INSERT INTO `unimall_footprint` VALUES (214, 181, 1236775, '2019-08-13 15:31:24', '2019-08-13 15:32:32');
INSERT INTO `unimall_footprint` VALUES (215, 183, 1236777, '2019-08-13 17:36:02', '2019-08-13 17:36:02');
INSERT INTO `unimall_footprint` VALUES (216, 185, 1236771, '2019-08-13 18:16:08', '2019-08-13 18:16:08');
INSERT INTO `unimall_footprint` VALUES (217, 185, 1236773, '2019-08-13 18:17:03', '2019-08-13 18:23:05');
INSERT INTO `unimall_footprint` VALUES (218, 187, 1236773, '2019-08-14 11:25:48', '2019-08-14 11:25:48');
INSERT INTO `unimall_footprint` VALUES (219, 188, 1236777, '2019-08-14 11:35:49', '2019-08-14 11:35:49');
INSERT INTO `unimall_footprint` VALUES (220, 190, 1236769, '2019-08-14 14:35:47', '2019-08-14 14:35:47');
INSERT INTO `unimall_footprint` VALUES (221, 190, 1236775, '2019-08-14 14:36:02', '2019-08-14 14:36:02');
INSERT INTO `unimall_footprint` VALUES (222, 190, 1236774, '2019-08-14 14:36:46', '2019-08-14 14:36:46');
INSERT INTO `unimall_footprint` VALUES (223, 191, 1236768, '2019-08-14 14:52:33', '2019-08-14 14:53:21');
INSERT INTO `unimall_footprint` VALUES (224, 191, 1236772, '2019-08-14 14:53:07', '2019-08-14 14:53:13');
INSERT INTO `unimall_footprint` VALUES (225, 192, 1236774, '2019-08-14 15:58:24', '2019-08-14 15:58:24');
INSERT INTO `unimall_footprint` VALUES (226, 171, 1236768, '2019-08-14 16:21:04', '2019-08-14 16:21:49');
INSERT INTO `unimall_footprint` VALUES (227, 194, 1236775, '2019-08-14 18:31:54', '2019-08-14 18:31:54');
INSERT INTO `unimall_footprint` VALUES (228, 194, 1236773, '2019-08-14 18:32:10', '2019-08-14 18:32:15');
INSERT INTO `unimall_footprint` VALUES (229, 43, 1236777, '2019-08-14 22:56:33', '2019-08-14 22:56:33');
INSERT INTO `unimall_footprint` VALUES (230, 43, 1236769, '2019-08-14 23:09:46', '2019-08-14 23:09:51');
INSERT INTO `unimall_footprint` VALUES (231, 43, 1236768, '2019-08-14 23:09:58', '2019-08-14 23:09:58');
INSERT INTO `unimall_footprint` VALUES (232, 195, 1236772, '2019-08-15 04:19:22', '2019-08-30 23:40:05');
INSERT INTO `unimall_footprint` VALUES (233, 196, 1236768, '2019-08-15 16:48:36', '2019-08-15 16:48:36');
INSERT INTO `unimall_footprint` VALUES (234, 197, 1236770, '2019-08-15 17:05:49', '2019-08-15 17:52:05');
INSERT INTO `unimall_footprint` VALUES (235, 199, 1236768, '2019-08-15 20:13:05', '2019-08-15 20:13:05');
INSERT INTO `unimall_footprint` VALUES (236, 199, 1236769, '2019-08-15 20:13:11', '2019-08-15 20:13:11');
INSERT INTO `unimall_footprint` VALUES (237, 200, 1236773, '2019-08-15 20:42:14', '2019-08-15 20:42:14');
INSERT INTO `unimall_footprint` VALUES (238, 202, 1236774, '2019-08-15 23:24:17', '2019-08-15 23:24:17');
INSERT INTO `unimall_footprint` VALUES (239, 203, 1236777, '2019-08-16 08:19:53', '2019-08-21 14:32:36');
INSERT INTO `unimall_footprint` VALUES (240, 203, 1236769, '2019-08-16 08:21:17', '2019-08-16 08:21:17');
INSERT INTO `unimall_footprint` VALUES (241, 203, 1236775, '2019-08-16 08:29:41', '2019-08-16 08:29:41');
INSERT INTO `unimall_footprint` VALUES (242, 208, 1236777, '2019-08-16 13:15:13', '2019-08-16 13:15:13');
INSERT INTO `unimall_footprint` VALUES (243, 211, 1236768, '2019-08-16 13:39:58', '2019-08-16 13:39:58');
INSERT INTO `unimall_footprint` VALUES (244, 213, 1236777, '2019-08-16 14:06:19', '2019-08-16 14:06:19');
INSERT INTO `unimall_footprint` VALUES (245, 216, 1236773, '2019-08-16 16:36:11', '2019-08-16 16:36:11');
INSERT INTO `unimall_footprint` VALUES (246, 218, 1236773, '2019-08-16 17:15:34', '2019-08-16 17:15:34');
INSERT INTO `unimall_footprint` VALUES (247, 218, 1236772, '2019-08-16 17:15:38', '2019-08-16 17:15:48');
INSERT INTO `unimall_footprint` VALUES (248, 220, 1236772, '2019-08-16 18:06:41', '2019-08-16 18:06:41');
INSERT INTO `unimall_footprint` VALUES (249, 221, 1236777, '2019-08-16 19:23:52', '2019-08-16 19:23:52');
INSERT INTO `unimall_footprint` VALUES (250, 221, 1236768, '2019-08-16 19:24:00', '2019-08-16 19:24:00');
INSERT INTO `unimall_footprint` VALUES (251, 222, 1236768, '2019-08-16 20:49:16', '2019-08-16 20:51:07');
INSERT INTO `unimall_footprint` VALUES (252, 222, 1236777, '2019-08-16 20:49:41', '2019-08-16 20:49:41');
INSERT INTO `unimall_footprint` VALUES (253, 222, 1236771, '2019-08-16 20:50:48', '2019-08-16 20:51:34');
INSERT INTO `unimall_footprint` VALUES (254, 222, 1236772, '2019-08-16 20:50:55', '2019-08-16 20:51:23');
INSERT INTO `unimall_footprint` VALUES (255, 222, 1236775, '2019-08-16 20:51:02', '2019-08-16 20:51:02');
INSERT INTO `unimall_footprint` VALUES (256, 222, 1236769, '2019-08-16 20:51:10', '2019-08-16 20:51:10');
INSERT INTO `unimall_footprint` VALUES (257, 223, 1236770, '2019-08-17 11:57:21', '2019-08-17 11:57:21');
INSERT INTO `unimall_footprint` VALUES (258, 223, 1236775, '2019-08-17 12:03:59', '2019-08-17 12:04:07');
INSERT INTO `unimall_footprint` VALUES (259, 224, 1236768, '2019-08-17 12:04:29', '2019-08-17 12:04:29');
INSERT INTO `unimall_footprint` VALUES (260, 224, 1236777, '2019-08-17 12:05:44', '2019-08-17 12:05:44');
INSERT INTO `unimall_footprint` VALUES (261, 225, 1236777, '2019-08-17 12:16:30', '2019-08-17 12:16:30');
INSERT INTO `unimall_footprint` VALUES (262, 226, 1236768, '2019-08-17 12:33:01', '2019-08-17 20:12:29');
INSERT INTO `unimall_footprint` VALUES (263, 226, 1236770, '2019-08-17 12:33:09', '2019-08-17 13:12:45');
INSERT INTO `unimall_footprint` VALUES (264, 226, 1236769, '2019-08-17 12:38:10', '2019-08-17 19:43:24');
INSERT INTO `unimall_footprint` VALUES (265, 226, 1236772, '2019-08-17 13:12:10', '2019-08-17 19:43:40');
INSERT INTO `unimall_footprint` VALUES (266, 226, 1236773, '2019-08-17 13:12:54', '2019-08-17 19:40:32');
INSERT INTO `unimall_footprint` VALUES (267, 227, 1236777, '2019-08-17 13:26:37', '2019-08-17 13:26:46');
INSERT INTO `unimall_footprint` VALUES (268, 228, 1236769, '2019-08-17 13:46:09', '2019-08-17 13:47:06');
INSERT INTO `unimall_footprint` VALUES (269, 226, 1236774, '2019-08-17 14:13:26', '2019-08-17 20:12:51');
INSERT INTO `unimall_footprint` VALUES (270, 229, 1236769, '2019-08-17 14:36:13', '2019-08-17 14:36:13');
INSERT INTO `unimall_footprint` VALUES (271, 231, 1236768, '2019-08-17 15:52:18', '2019-08-19 11:55:53');
INSERT INTO `unimall_footprint` VALUES (272, 87, 1236770, '2019-08-17 16:54:30', '2019-08-17 16:54:30');
INSERT INTO `unimall_footprint` VALUES (273, 87, 1236775, '2019-08-17 16:55:11', '2019-08-17 16:55:11');
INSERT INTO `unimall_footprint` VALUES (274, 234, 1236769, '2019-08-17 17:50:27', '2019-08-17 17:50:27');
INSERT INTO `unimall_footprint` VALUES (275, 234, 1236770, '2019-08-17 17:50:41', '2019-08-17 17:51:11');
INSERT INTO `unimall_footprint` VALUES (276, 226, 1236775, '2019-08-17 19:41:16', '2019-08-17 19:41:16');
INSERT INTO `unimall_footprint` VALUES (277, 237, 1236768, '2019-08-18 08:33:17', '2019-08-18 08:33:17');
INSERT INTO `unimall_footprint` VALUES (278, 237, 1236777, '2019-08-18 08:33:55', '2019-08-18 11:26:59');
INSERT INTO `unimall_footprint` VALUES (279, 237, 1236769, '2019-08-18 11:27:31', '2019-08-18 11:27:31');
INSERT INTO `unimall_footprint` VALUES (280, 240, 1236768, '2019-08-18 16:12:27', '2019-08-18 16:12:27');
INSERT INTO `unimall_footprint` VALUES (281, 240, 1236774, '2019-08-18 16:13:13', '2019-08-18 16:14:09');
INSERT INTO `unimall_footprint` VALUES (282, 240, 1236775, '2019-08-18 16:13:54', '2019-08-18 16:13:54');
INSERT INTO `unimall_footprint` VALUES (283, 84, 1236773, '2019-08-19 08:22:42', '2019-08-20 11:24:08');
INSERT INTO `unimall_footprint` VALUES (284, 84, 1236775, '2019-08-19 08:22:44', '2019-08-19 08:22:44');
INSERT INTO `unimall_footprint` VALUES (285, 241, 1236768, '2019-08-19 10:09:07', '2019-08-19 10:36:24');
INSERT INTO `unimall_footprint` VALUES (286, 241, 1236777, '2019-08-19 11:34:23', '2019-08-19 11:35:21');
INSERT INTO `unimall_footprint` VALUES (287, 131, 1236769, '2019-08-19 22:16:49', '2019-08-19 22:16:49');
INSERT INTO `unimall_footprint` VALUES (288, 131, 1236771, '2019-08-19 22:17:15', '2019-08-19 22:17:15');
INSERT INTO `unimall_footprint` VALUES (289, 248, 1236768, '2019-08-19 23:15:40', '2019-08-19 23:15:40');
INSERT INTO `unimall_footprint` VALUES (290, 62, 1236777, '2019-08-19 23:48:35', '2019-08-19 23:48:35');
INSERT INTO `unimall_footprint` VALUES (291, 62, 1236768, '2019-08-19 23:49:14', '2019-08-19 23:49:14');
INSERT INTO `unimall_footprint` VALUES (292, 62, 1236773, '2019-08-19 23:49:26', '2019-08-19 23:49:26');
INSERT INTO `unimall_footprint` VALUES (293, 62, 1236775, '2019-08-19 23:50:09', '2019-08-19 23:50:09');
INSERT INTO `unimall_footprint` VALUES (294, 214, 1236768, '2019-08-20 11:07:36', '2019-08-20 11:07:36');
INSERT INTO `unimall_footprint` VALUES (295, 84, 1236774, '2019-08-20 11:24:25', '2019-08-20 11:24:37');
INSERT INTO `unimall_footprint` VALUES (296, 256, 1236777, '2019-08-21 14:00:50', '2019-08-21 14:00:50');
INSERT INTO `unimall_footprint` VALUES (297, 203, 1236772, '2019-08-21 14:33:57', '2019-08-21 14:33:57');
INSERT INTO `unimall_footprint` VALUES (298, 257, 1236770, '2019-08-21 17:04:47', '2019-08-21 17:04:47');
INSERT INTO `unimall_footprint` VALUES (299, 128, 1236771, '2019-08-21 17:39:13', '2019-08-21 17:39:13');
INSERT INTO `unimall_footprint` VALUES (300, 259, 1236777, '2019-08-22 07:16:01', '2019-09-09 06:18:51');
INSERT INTO `unimall_footprint` VALUES (301, 260, 1236775, '2019-08-22 09:19:57', '2019-08-25 14:19:03');
INSERT INTO `unimall_footprint` VALUES (302, 261, 1236768, '2019-08-22 10:31:12', '2019-08-22 10:31:12');
INSERT INTO `unimall_footprint` VALUES (303, 229, 1236768, '2019-08-22 10:49:52', '2019-08-22 10:49:58');
INSERT INTO `unimall_footprint` VALUES (304, 264, 1236777, '2019-08-22 13:44:04', '2019-08-23 16:22:44');
INSERT INTO `unimall_footprint` VALUES (305, 264, 1236771, '2019-08-22 13:45:44', '2019-08-22 13:46:07');
INSERT INTO `unimall_footprint` VALUES (306, 265, 1236774, '2019-08-22 13:55:20', '2019-08-22 13:55:20');
INSERT INTO `unimall_footprint` VALUES (307, 265, 1236777, '2019-08-22 13:57:07', '2019-08-22 13:57:07');
INSERT INTO `unimall_footprint` VALUES (308, 267, 1236777, '2019-08-22 16:43:56', '2019-08-22 17:05:24');
INSERT INTO `unimall_footprint` VALUES (309, 267, 1236773, '2019-08-22 16:45:22', '2019-08-22 16:49:42');
INSERT INTO `unimall_footprint` VALUES (310, 267, 1236775, '2019-08-22 16:48:18', '2019-08-22 16:48:18');
INSERT INTO `unimall_footprint` VALUES (311, 272, 1236769, '2019-08-23 05:17:11', '2019-08-23 05:17:11');
INSERT INTO `unimall_footprint` VALUES (312, 259, 1236774, '2019-08-23 06:07:03', '2019-08-23 06:07:03');
INSERT INTO `unimall_footprint` VALUES (313, 259, 1236775, '2019-08-23 06:07:15', '2019-08-29 01:27:16');
INSERT INTO `unimall_footprint` VALUES (314, 259, 1236768, '2019-08-23 06:07:28', '2019-09-09 06:17:47');
INSERT INTO `unimall_footprint` VALUES (315, 273, 1236777, '2019-08-23 11:21:58', '2019-08-23 11:41:03');
INSERT INTO `unimall_footprint` VALUES (316, 273, 1236768, '2019-08-23 11:28:20', '2019-08-23 11:28:20');
INSERT INTO `unimall_footprint` VALUES (317, 275, 1236768, '2019-08-23 13:13:00', '2019-08-23 13:13:00');
INSERT INTO `unimall_footprint` VALUES (318, 275, 1236773, '2019-08-23 13:20:05', '2019-08-23 13:20:05');
INSERT INTO `unimall_footprint` VALUES (319, 275, 1236777, '2019-08-23 13:20:32', '2019-08-23 13:20:32');
INSERT INTO `unimall_footprint` VALUES (320, 278, 1236777, '2019-08-23 15:44:05', '2019-08-23 15:44:05');
INSERT INTO `unimall_footprint` VALUES (321, 264, 1236768, '2019-08-23 16:48:37', '2019-08-23 16:48:37');
INSERT INTO `unimall_footprint` VALUES (322, 127, 1236774, '2019-08-24 08:35:32', '2019-08-24 08:35:32');
INSERT INTO `unimall_footprint` VALUES (323, 127, 1236777, '2019-08-24 08:35:40', '2019-08-24 08:35:40');
INSERT INTO `unimall_footprint` VALUES (324, 127, 1236775, '2019-08-24 08:35:53', '2019-08-24 08:35:53');
INSERT INTO `unimall_footprint` VALUES (325, 280, 1236774, '2019-08-24 13:07:40', '2019-08-24 13:07:40');
INSERT INTO `unimall_footprint` VALUES (326, 274, 1236777, '2019-08-24 14:15:03', '2019-08-24 14:15:03');
INSERT INTO `unimall_footprint` VALUES (327, 281, 1236772, '2019-08-24 16:36:54', '2019-08-24 16:36:54');
INSERT INTO `unimall_footprint` VALUES (328, 105, 1236771, '2019-08-24 21:56:12', '2019-08-25 09:50:15');
INSERT INTO `unimall_footprint` VALUES (329, 105, 1236774, '2019-08-24 22:21:30', '2019-08-25 09:51:00');
INSERT INTO `unimall_footprint` VALUES (330, 105, 1236777, '2019-08-24 23:34:48', '2019-09-05 08:24:08');
INSERT INTO `unimall_footprint` VALUES (331, 105, 1236773, '2019-08-24 23:38:43', '2019-08-25 09:52:05');
INSERT INTO `unimall_footprint` VALUES (332, 284, 1236777, '2019-08-25 02:22:05', '2019-08-25 02:22:05');
INSERT INTO `unimall_footprint` VALUES (333, 285, 1236771, '2019-08-25 07:45:40', '2019-08-31 08:40:53');
INSERT INTO `unimall_footprint` VALUES (334, 285, 1236768, '2019-08-25 07:48:40', '2019-08-25 07:48:40');
INSERT INTO `unimall_footprint` VALUES (335, 105, 1236772, '2019-08-25 09:51:03', '2019-08-25 09:51:03');
INSERT INTO `unimall_footprint` VALUES (336, 260, 1236768, '2019-08-25 14:18:16', '2019-08-25 14:19:53');
INSERT INTO `unimall_footprint` VALUES (337, 260, 1236771, '2019-08-25 14:18:33', '2019-08-25 14:18:44');
INSERT INTO `unimall_footprint` VALUES (338, 260, 1236777, '2019-08-25 14:20:08', '2019-08-25 14:20:08');
INSERT INTO `unimall_footprint` VALUES (339, 287, 1236768, '2019-08-26 10:37:35', '2019-09-07 23:48:37');
INSERT INTO `unimall_footprint` VALUES (340, 287, 1236772, '2019-08-26 10:38:14', '2019-09-07 23:48:52');
INSERT INTO `unimall_footprint` VALUES (341, 287, 1236773, '2019-08-26 10:39:23', '2019-09-04 19:50:13');
INSERT INTO `unimall_footprint` VALUES (342, 287, 1236777, '2019-08-26 10:39:31', '2019-09-07 12:57:55');
INSERT INTO `unimall_footprint` VALUES (343, 289, 1236769, '2019-08-26 14:07:10', '2019-08-26 15:05:58');
INSERT INTO `unimall_footprint` VALUES (344, 289, 1236775, '2019-08-26 14:08:32', '2019-08-26 14:09:56');
INSERT INTO `unimall_footprint` VALUES (345, 289, 1236773, '2019-08-26 14:09:06', '2019-08-26 14:09:06');
INSERT INTO `unimall_footprint` VALUES (346, 289, 1236774, '2019-08-26 14:09:12', '2019-08-26 14:10:00');
INSERT INTO `unimall_footprint` VALUES (347, 289, 1236772, '2019-08-26 14:10:05', '2019-08-26 14:10:32');
INSERT INTO `unimall_footprint` VALUES (348, 291, 1236773, '2019-08-26 15:26:41', '2019-08-26 15:26:41');
INSERT INTO `unimall_footprint` VALUES (349, 293, 1236768, '2019-08-26 17:05:48', '2019-08-26 17:05:48');
INSERT INTO `unimall_footprint` VALUES (350, 293, 1236769, '2019-08-26 17:05:56', '2019-08-26 17:05:56');
INSERT INTO `unimall_footprint` VALUES (351, 275, 1236769, '2019-08-26 20:48:56', '2019-08-26 20:48:56');
INSERT INTO `unimall_footprint` VALUES (352, 295, 1236777, '2019-08-26 23:15:20', '2019-08-26 23:15:20');
INSERT INTO `unimall_footprint` VALUES (353, 295, 1236775, '2019-08-26 23:16:03', '2019-08-26 23:16:03');
INSERT INTO `unimall_footprint` VALUES (354, 296, 1236774, '2019-08-27 13:49:49', '2019-08-27 13:49:49');
INSERT INTO `unimall_footprint` VALUES (355, 297, 1236777, '2019-08-27 16:32:16', '2019-08-27 16:32:16');
INSERT INTO `unimall_footprint` VALUES (356, 298, 1236769, '2019-08-27 17:32:08', '2019-08-27 17:32:47');
INSERT INTO `unimall_footprint` VALUES (357, 300, 1236773, '2019-08-27 18:24:26', '2019-08-27 18:24:26');
INSERT INTO `unimall_footprint` VALUES (358, 300, 1236777, '2019-08-27 18:25:33', '2019-08-27 18:25:33');
INSERT INTO `unimall_footprint` VALUES (359, 303, 1236777, '2019-08-28 16:16:34', '2019-08-28 16:16:34');
INSERT INTO `unimall_footprint` VALUES (360, 305, 1236774, '2019-08-28 21:36:56', '2019-09-01 11:08:29');
INSERT INTO `unimall_footprint` VALUES (361, 305, 1236771, '2019-08-28 21:37:06', '2019-08-28 21:37:06');
INSERT INTO `unimall_footprint` VALUES (362, 305, 1236773, '2019-08-28 21:37:30', '2019-08-28 21:46:33');
INSERT INTO `unimall_footprint` VALUES (363, 305, 1236768, '2019-08-28 21:38:08', '2019-08-28 21:40:54');
INSERT INTO `unimall_footprint` VALUES (364, 305, 1236769, '2019-08-28 21:38:18', '2019-08-28 21:38:18');
INSERT INTO `unimall_footprint` VALUES (365, 305, 1236775, '2019-08-28 21:39:26', '2019-09-01 11:08:32');
INSERT INTO `unimall_footprint` VALUES (366, 305, 1236772, '2019-08-28 21:39:33', '2019-08-28 21:47:09');
INSERT INTO `unimall_footprint` VALUES (367, 307, 1236770, '2019-08-28 23:46:29', '2019-08-28 23:46:29');
INSERT INTO `unimall_footprint` VALUES (368, 259, 1236771, '2019-08-29 01:25:47', '2019-08-29 01:25:47');
INSERT INTO `unimall_footprint` VALUES (369, 308, 1236775, '2019-08-29 01:44:52', '2019-08-29 01:44:52');
INSERT INTO `unimall_footprint` VALUES (370, 309, 1236776, '2019-08-29 09:16:42', '2019-08-29 09:17:56');
INSERT INTO `unimall_footprint` VALUES (371, 308, 1236773, '2019-08-29 09:44:04', '2019-08-29 09:44:04');
INSERT INTO `unimall_footprint` VALUES (372, 309, 1236771, '2019-08-29 10:01:08', '2019-08-29 10:01:08');
INSERT INTO `unimall_footprint` VALUES (373, 311, 1236776, '2019-08-29 10:19:31', '2019-08-29 17:19:15');
INSERT INTO `unimall_footprint` VALUES (374, 313, 1236777, '2019-08-29 11:44:38', '2019-08-29 11:44:38');
INSERT INTO `unimall_footprint` VALUES (375, 277, 1236774, '2019-08-29 13:24:26', '2019-08-29 13:24:26');
INSERT INTO `unimall_footprint` VALUES (376, 303, 1236773, '2019-08-29 13:54:10', '2019-08-29 13:54:10');
INSERT INTO `unimall_footprint` VALUES (377, 314, 1236771, '2019-08-29 16:26:02', '2019-08-29 16:26:02');
INSERT INTO `unimall_footprint` VALUES (378, 70, 1236770, '2019-08-29 16:44:36', '2019-08-29 16:44:36');
INSERT INTO `unimall_footprint` VALUES (379, 70, 1236773, '2019-08-29 16:45:14', '2019-08-29 16:45:19');
INSERT INTO `unimall_footprint` VALUES (380, 311, 1236773, '2019-08-29 18:09:18', '2019-08-29 18:09:21');
INSERT INTO `unimall_footprint` VALUES (381, 318, 1236768, '2019-08-30 15:14:37', '2019-08-30 15:14:37');
INSERT INTO `unimall_footprint` VALUES (382, 319, 1236770, '2019-08-30 15:45:56', '2019-08-30 15:45:56');
INSERT INTO `unimall_footprint` VALUES (383, 319, 1236773, '2019-08-30 15:46:02', '2019-08-30 15:46:10');
INSERT INTO `unimall_footprint` VALUES (384, 319, 1236777, '2019-08-30 15:46:33', '2019-08-30 15:46:33');
INSERT INTO `unimall_footprint` VALUES (385, 319, 1236771, '2019-08-30 15:46:39', '2019-08-30 15:46:39');
INSERT INTO `unimall_footprint` VALUES (386, 319, 1236775, '2019-08-30 15:46:43', '2019-08-30 15:46:43');
INSERT INTO `unimall_footprint` VALUES (387, 321, 1236777, '2019-08-30 22:19:49', '2019-08-30 22:19:49');
INSERT INTO `unimall_footprint` VALUES (388, 321, 1236770, '2019-08-30 22:20:00', '2019-08-31 16:07:01');
INSERT INTO `unimall_footprint` VALUES (389, 321, 1236771, '2019-08-30 22:20:13', '2019-08-30 22:20:13');
INSERT INTO `unimall_footprint` VALUES (390, 321, 1236774, '2019-08-30 22:33:24', '2019-08-30 22:33:46');
INSERT INTO `unimall_footprint` VALUES (391, 321, 1236775, '2019-08-30 22:33:38', '2019-08-30 22:33:38');
INSERT INTO `unimall_footprint` VALUES (392, 323, 1236773, '2019-08-30 22:49:49', '2019-09-03 08:48:50');
INSERT INTO `unimall_footprint` VALUES (393, 323, 1236771, '2019-08-30 22:51:18', '2019-08-30 22:51:18');
INSERT INTO `unimall_footprint` VALUES (394, 323, 1236772, '2019-08-30 22:53:13', '2019-08-30 22:53:13');
INSERT INTO `unimall_footprint` VALUES (395, 324, 1236772, '2019-08-30 23:36:32', '2019-08-30 23:36:32');
INSERT INTO `unimall_footprint` VALUES (396, 195, 1236774, '2019-08-30 23:39:07', '2019-08-30 23:39:17');
INSERT INTO `unimall_footprint` VALUES (397, 195, 1236775, '2019-08-30 23:39:22', '2019-08-30 23:42:45');
INSERT INTO `unimall_footprint` VALUES (398, 195, 1236777, '2019-08-30 23:39:26', '2019-08-30 23:39:29');
INSERT INTO `unimall_footprint` VALUES (399, 195, 1236768, '2019-08-30 23:40:02', '2019-08-30 23:41:39');
INSERT INTO `unimall_footprint` VALUES (400, 195, 1236770, '2019-08-30 23:40:03', '2019-08-30 23:40:03');
INSERT INTO `unimall_footprint` VALUES (401, 195, 1236776, '2019-08-30 23:40:13', '2019-08-30 23:40:23');
INSERT INTO `unimall_footprint` VALUES (402, 195, 1236773, '2019-08-30 23:41:30', '2019-08-30 23:41:30');
INSERT INTO `unimall_footprint` VALUES (403, 325, 1236772, '2019-08-31 08:40:54', '2019-08-31 08:40:54');
INSERT INTO `unimall_footprint` VALUES (404, 285, 1236772, '2019-08-31 09:26:20', '2019-08-31 09:27:34');
INSERT INTO `unimall_footprint` VALUES (405, 327, 1236777, '2019-08-31 10:03:41', '2019-08-31 10:03:41');
INSERT INTO `unimall_footprint` VALUES (406, 329, 1236777, '2019-08-31 14:58:25', '2019-08-31 14:58:25');
INSERT INTO `unimall_footprint` VALUES (407, 321, 1236769, '2019-08-31 16:07:20', '2019-08-31 16:07:20');
INSERT INTO `unimall_footprint` VALUES (408, 321, 1236768, '2019-08-31 16:08:17', '2019-08-31 16:08:17');
INSERT INTO `unimall_footprint` VALUES (409, 330, 1236768, '2019-08-31 16:55:46', '2019-08-31 16:55:46');
INSERT INTO `unimall_footprint` VALUES (410, 330, 1236777, '2019-08-31 16:55:49', '2019-08-31 16:55:49');
INSERT INTO `unimall_footprint` VALUES (411, 331, 1236777, '2019-08-31 19:01:07', '2019-08-31 19:01:07');
INSERT INTO `unimall_footprint` VALUES (412, 133, 1236769, '2019-09-01 08:38:30', '2019-09-01 08:38:30');
INSERT INTO `unimall_footprint` VALUES (413, 334, 1236769, '2019-09-01 14:19:25', '2019-09-01 14:19:25');
INSERT INTO `unimall_footprint` VALUES (414, 287, 1236774, '2019-09-01 18:01:36', '2019-09-07 13:01:53');
INSERT INTO `unimall_footprint` VALUES (415, 287, 1236770, '2019-09-01 18:02:55', '2019-09-04 19:47:20');
INSERT INTO `unimall_footprint` VALUES (416, 259, 1236773, '2019-09-02 02:12:35', '2019-09-06 12:45:13');
INSERT INTO `unimall_footprint` VALUES (417, 336, 1236772, '2019-09-02 07:22:16', '2019-09-02 07:22:16');
INSERT INTO `unimall_footprint` VALUES (418, 338, 1236768, '2019-09-02 10:29:35', '2019-09-02 12:36:57');
INSERT INTO `unimall_footprint` VALUES (419, 339, 1236771, '2019-09-02 10:31:18', '2019-09-02 10:31:18');
INSERT INTO `unimall_footprint` VALUES (420, 340, 1236768, '2019-09-02 10:44:29', '2019-09-02 10:44:29');
INSERT INTO `unimall_footprint` VALUES (421, 340, 1236773, '2019-09-02 10:48:19', '2019-09-02 10:48:19');
INSERT INTO `unimall_footprint` VALUES (422, 340, 1236772, '2019-09-02 11:10:53', '2019-09-02 11:10:53');
INSERT INTO `unimall_footprint` VALUES (423, 342, 1236777, '2019-09-02 13:13:28', '2019-09-02 13:13:28');
INSERT INTO `unimall_footprint` VALUES (424, 343, 1236769, '2019-09-02 14:05:26', '2019-09-02 14:05:26');
INSERT INTO `unimall_footprint` VALUES (425, 346, 1236777, '2019-09-03 11:02:28', '2019-09-03 11:02:28');
INSERT INTO `unimall_footprint` VALUES (426, 347, 1236772, '2019-09-03 11:12:42', '2019-09-03 11:12:42');
INSERT INTO `unimall_footprint` VALUES (427, 118, 1236769, '2019-09-03 14:08:07', '2019-09-03 14:08:07');
INSERT INTO `unimall_footprint` VALUES (428, 348, 1236771, '2019-09-03 14:15:36', '2019-09-03 14:15:36');
INSERT INTO `unimall_footprint` VALUES (429, 351, 1236772, '2019-09-03 15:01:16', '2019-09-03 15:01:16');
INSERT INTO `unimall_footprint` VALUES (430, 351, 1236777, '2019-09-03 15:01:27', '2019-09-03 15:01:31');
INSERT INTO `unimall_footprint` VALUES (431, 351, 1236768, '2019-09-03 15:01:40', '2019-09-03 15:01:40');
INSERT INTO `unimall_footprint` VALUES (432, 352, 1236777, '2019-09-03 16:57:05', '2019-09-03 16:57:05');
INSERT INTO `unimall_footprint` VALUES (433, 156, 1236773, '2019-09-03 17:33:52', '2019-09-03 17:33:52');
INSERT INTO `unimall_footprint` VALUES (434, 156, 1236768, '2019-09-03 17:34:37', '2019-09-03 17:34:37');
INSERT INTO `unimall_footprint` VALUES (435, 355, 1236772, '2019-09-04 14:11:53', '2019-09-04 14:11:53');
INSERT INTO `unimall_footprint` VALUES (436, 75, 1236777, '2019-09-04 14:42:59', '2019-09-04 14:42:59');
INSERT INTO `unimall_footprint` VALUES (437, 355, 1236773, '2019-09-04 18:38:08', '2019-09-17 16:30:31');
INSERT INTO `unimall_footprint` VALUES (438, 355, 1236776, '2019-09-04 18:38:14', '2019-09-04 18:44:13');
INSERT INTO `unimall_footprint` VALUES (439, 302, 1236768, '2019-09-05 14:36:38', '2019-09-05 14:36:38');
INSERT INTO `unimall_footprint` VALUES (440, 302, 1236777, '2019-09-05 14:36:40', '2019-09-05 14:43:16');
INSERT INTO `unimall_footprint` VALUES (441, 355, 1236777, '2019-09-05 14:39:38', '2019-09-17 16:30:06');
INSERT INTO `unimall_footprint` VALUES (442, 359, 1236773, '2019-09-05 15:41:23', '2019-09-05 15:41:37');
INSERT INTO `unimall_footprint` VALUES (443, 360, 1236768, '2019-09-05 17:38:44', '2019-09-05 17:38:44');
INSERT INTO `unimall_footprint` VALUES (444, 215, 1236769, '2019-09-05 22:57:32', '2019-09-05 22:57:32');
INSERT INTO `unimall_footprint` VALUES (445, 215, 1236776, '2019-09-05 22:59:30', '2019-09-05 22:59:30');
INSERT INTO `unimall_footprint` VALUES (446, 362, 1236777, '2019-09-05 22:59:31', '2019-09-05 22:59:31');
INSERT INTO `unimall_footprint` VALUES (447, 363, 1236773, '2019-09-06 09:47:03', '2019-09-06 09:47:03');
INSERT INTO `unimall_footprint` VALUES (448, 363, 1236770, '2019-09-06 09:47:11', '2019-09-06 09:47:11');
INSERT INTO `unimall_footprint` VALUES (449, 363, 1236769, '2019-09-06 09:47:16', '2019-09-06 09:47:16');
INSERT INTO `unimall_footprint` VALUES (450, 363, 1236775, '2019-09-06 09:48:37', '2019-09-06 09:48:37');
INSERT INTO `unimall_footprint` VALUES (451, 363, 1236768, '2019-09-06 09:48:53', '2019-09-06 09:48:53');
INSERT INTO `unimall_footprint` VALUES (452, 366, 1236775, '2019-09-06 11:08:02', '2019-09-06 11:08:02');
INSERT INTO `unimall_footprint` VALUES (453, 367, 1236773, '2019-09-06 11:52:38', '2019-09-18 20:44:39');
INSERT INTO `unimall_footprint` VALUES (454, 367, 1236769, '2019-09-06 11:54:38', '2019-09-18 20:43:48');
INSERT INTO `unimall_footprint` VALUES (455, 367, 1236777, '2019-09-06 11:54:49', '2019-09-08 15:27:24');
INSERT INTO `unimall_footprint` VALUES (456, 367, 1236768, '2019-09-06 11:54:54', '2019-09-18 21:06:58');
INSERT INTO `unimall_footprint` VALUES (457, 367, 1236771, '2019-09-06 11:55:02', '2019-09-18 07:52:12');
INSERT INTO `unimall_footprint` VALUES (458, 367, 1236775, '2019-09-06 12:11:54', '2019-09-18 20:44:15');
INSERT INTO `unimall_footprint` VALUES (459, 367, 1236774, '2019-09-06 12:11:58', '2019-09-16 22:32:08');
INSERT INTO `unimall_footprint` VALUES (460, 355, 1236775, '2019-09-06 14:14:30', '2019-09-11 16:34:32');
INSERT INTO `unimall_footprint` VALUES (461, 355, 1236768, '2019-09-06 14:28:41', '2019-09-17 16:30:10');
INSERT INTO `unimall_footprint` VALUES (462, 367, 1236770, '2019-09-07 10:18:34', '2019-09-18 16:25:07');
INSERT INTO `unimall_footprint` VALUES (463, 375, 1236777, '2019-09-07 16:12:04', '2019-09-07 16:12:04');
INSERT INTO `unimall_footprint` VALUES (464, 209, 1236777, '2019-09-07 17:21:41', '2019-09-07 18:12:30');
INSERT INTO `unimall_footprint` VALUES (465, 376, 1236768, '2019-09-07 21:35:07', '2019-09-07 21:35:07');
INSERT INTO `unimall_footprint` VALUES (466, 376, 1236769, '2019-09-07 21:35:32', '2019-09-07 21:35:32');
INSERT INTO `unimall_footprint` VALUES (467, 287, 1236769, '2019-09-07 23:48:48', '2019-09-07 23:48:48');
INSERT INTO `unimall_footprint` VALUES (468, 378, 1236772, '2019-09-08 10:12:25', '2019-09-08 10:12:25');
INSERT INTO `unimall_footprint` VALUES (469, 378, 1236769, '2019-09-08 11:20:57', '2019-09-08 11:21:11');
INSERT INTO `unimall_footprint` VALUES (470, 378, 1236768, '2019-09-08 11:21:44', '2019-09-08 11:21:44');
INSERT INTO `unimall_footprint` VALUES (471, 378, 1236771, '2019-09-08 11:22:05', '2019-09-08 11:22:05');
INSERT INTO `unimall_footprint` VALUES (472, 317, 1236777, '2019-09-08 15:43:22', '2019-09-08 15:43:22');
INSERT INTO `unimall_footprint` VALUES (473, 317, 1236775, '2019-09-08 22:16:16', '2019-09-08 22:16:16');
INSERT INTO `unimall_footprint` VALUES (474, 288, 1236771, '2019-09-09 08:45:12', '2019-09-09 08:45:12');
INSERT INTO `unimall_footprint` VALUES (475, 288, 1236775, '2019-09-09 09:07:40', '2019-09-09 09:07:40');
INSERT INTO `unimall_footprint` VALUES (476, 288, 1236773, '2019-09-09 09:10:19', '2019-09-09 09:10:19');
INSERT INTO `unimall_footprint` VALUES (477, 381, 1236771, '2019-09-09 16:46:19', '2019-09-09 16:46:45');
INSERT INTO `unimall_footprint` VALUES (478, 381, 1236773, '2019-09-09 16:48:09', '2019-09-09 16:48:09');
INSERT INTO `unimall_footprint` VALUES (479, 382, 1236772, '2019-09-09 17:58:25', '2019-09-09 17:58:25');
INSERT INTO `unimall_footprint` VALUES (480, 383, 1236771, '2019-09-09 18:44:30', '2019-09-09 18:44:30');
INSERT INTO `unimall_footprint` VALUES (481, 383, 1236777, '2019-09-09 18:48:22', '2019-09-09 18:49:01');
INSERT INTO `unimall_footprint` VALUES (482, 384, 1236773, '2019-09-09 19:03:18', '2019-09-09 19:03:18');
INSERT INTO `unimall_footprint` VALUES (483, 386, 1236777, '2019-09-10 08:45:41', '2019-09-10 08:45:41');
INSERT INTO `unimall_footprint` VALUES (484, 387, 1236769, '2019-09-10 10:24:04', '2019-09-10 10:24:04');
INSERT INTO `unimall_footprint` VALUES (485, 388, 1236768, '2019-09-10 10:40:57', '2019-09-10 10:41:49');
INSERT INTO `unimall_footprint` VALUES (486, 389, 1236777, '2019-09-10 10:50:00', '2019-09-10 10:50:00');
INSERT INTO `unimall_footprint` VALUES (487, 387, 1236773, '2019-09-10 10:54:05', '2019-09-10 10:54:05');
INSERT INTO `unimall_footprint` VALUES (488, 387, 1236777, '2019-09-10 10:54:29', '2019-09-10 10:54:29');
INSERT INTO `unimall_footprint` VALUES (489, 387, 1236768, '2019-09-10 10:54:46', '2019-09-10 10:54:46');
INSERT INTO `unimall_footprint` VALUES (490, 387, 1236771, '2019-09-10 10:54:53', '2019-09-10 10:54:53');
INSERT INTO `unimall_footprint` VALUES (491, 392, 1236772, '2019-09-10 15:29:35', '2019-09-10 15:29:35');
INSERT INTO `unimall_footprint` VALUES (492, 393, 1236771, '2019-09-10 16:34:10', '2019-09-10 16:34:10');
INSERT INTO `unimall_footprint` VALUES (493, 394, 1236768, '2019-09-10 16:38:46', '2019-09-10 16:39:04');
INSERT INTO `unimall_footprint` VALUES (494, 394, 1236777, '2019-09-10 16:39:14', '2019-09-10 16:39:52');
INSERT INTO `unimall_footprint` VALUES (495, 395, 1236773, '2019-09-10 17:10:51', '2019-09-10 17:11:15');
INSERT INTO `unimall_footprint` VALUES (496, 397, 1236777, '2019-09-10 18:04:31', '2019-09-10 18:04:31');
INSERT INTO `unimall_footprint` VALUES (497, 393, 1236777, '2019-09-10 20:59:03', '2019-09-10 20:59:03');
INSERT INTO `unimall_footprint` VALUES (498, 398, 1236768, '2019-09-11 02:18:22', '2019-09-11 02:18:22');
INSERT INTO `unimall_footprint` VALUES (499, 398, 1236773, '2019-09-11 02:18:36', '2019-09-11 03:02:14');
INSERT INTO `unimall_footprint` VALUES (500, 398, 1236769, '2019-09-11 03:01:25', '2019-09-11 03:01:25');
INSERT INTO `unimall_footprint` VALUES (501, 400, 1236769, '2019-09-11 11:46:29', '2019-09-11 11:46:29');
INSERT INTO `unimall_footprint` VALUES (502, 400, 1236771, '2019-09-11 11:46:58', '2019-09-11 11:46:58');
INSERT INTO `unimall_footprint` VALUES (503, 400, 1236777, '2019-09-11 11:47:49', '2019-09-11 11:47:49');
INSERT INTO `unimall_footprint` VALUES (504, 400, 1236768, '2019-09-11 11:47:58', '2019-09-11 11:47:58');
INSERT INTO `unimall_footprint` VALUES (505, 401, 1236777, '2019-09-11 11:56:47', '2019-09-11 11:56:47');
INSERT INTO `unimall_footprint` VALUES (506, 401, 1236773, '2019-09-11 11:56:54', '2019-09-11 11:57:36');
INSERT INTO `unimall_footprint` VALUES (507, 401, 1236775, '2019-09-11 11:57:19', '2019-09-11 11:57:19');
INSERT INTO `unimall_footprint` VALUES (508, 402, 1236775, '2019-09-11 15:49:52', '2019-09-11 15:49:52');
INSERT INTO `unimall_footprint` VALUES (509, 404, 1236771, '2019-09-11 19:44:42', '2019-09-11 19:44:42');
INSERT INTO `unimall_footprint` VALUES (510, 405, 1236773, '2019-09-12 10:19:46', '2019-09-12 10:20:09');
INSERT INTO `unimall_footprint` VALUES (511, 405, 1236775, '2019-09-12 10:20:03', '2019-09-12 10:20:03');
INSERT INTO `unimall_footprint` VALUES (512, 405, 1236774, '2019-09-12 10:20:26', '2019-09-12 10:20:26');
INSERT INTO `unimall_footprint` VALUES (513, 408, 1236768, '2019-09-12 13:47:05', '2019-09-12 13:47:05');
INSERT INTO `unimall_footprint` VALUES (514, 409, 1236769, '2019-09-12 16:51:19', '2019-09-12 16:51:19');
INSERT INTO `unimall_footprint` VALUES (515, 409, 1236772, '2019-09-12 16:51:26', '2019-09-12 16:51:26');
INSERT INTO `unimall_footprint` VALUES (516, 409, 1236777, '2019-09-12 16:51:42', '2019-09-12 16:51:42');
INSERT INTO `unimall_footprint` VALUES (517, 411, 1236768, '2019-09-12 19:43:25', '2019-09-12 19:43:25');
INSERT INTO `unimall_footprint` VALUES (518, 414, 1236773, '2019-09-13 12:29:29', '2019-09-13 12:29:53');
INSERT INTO `unimall_footprint` VALUES (519, 414, 1236771, '2019-09-13 12:30:02', '2019-09-13 12:30:02');
INSERT INTO `unimall_footprint` VALUES (520, 414, 1236769, '2019-09-13 12:30:06', '2019-09-13 12:30:06');
INSERT INTO `unimall_footprint` VALUES (521, 414, 1236768, '2019-09-13 12:30:20', '2019-09-13 12:30:20');
INSERT INTO `unimall_footprint` VALUES (522, 415, 1236772, '2019-09-13 15:04:21', '2019-09-13 15:04:21');
INSERT INTO `unimall_footprint` VALUES (523, 415, 1236774, '2019-09-13 15:04:30', '2019-09-13 15:04:30');
INSERT INTO `unimall_footprint` VALUES (524, 416, 1236773, '2019-09-13 21:02:19', '2019-09-13 21:02:54');
INSERT INTO `unimall_footprint` VALUES (525, 416, 1236771, '2019-09-13 21:02:47', '2019-09-13 21:02:47');
INSERT INTO `unimall_footprint` VALUES (526, 418, 1236777, '2019-09-14 09:01:39', '2019-09-14 09:01:39');
INSERT INTO `unimall_footprint` VALUES (527, 421, 1236773, '2019-09-14 20:12:01', '2019-09-14 20:12:01');
INSERT INTO `unimall_footprint` VALUES (528, 421, 1236775, '2019-09-14 20:13:01', '2019-09-14 20:13:01');
INSERT INTO `unimall_footprint` VALUES (529, 413, 1236775, '2019-09-14 21:00:35', '2019-09-14 21:00:35');
INSERT INTO `unimall_footprint` VALUES (530, 423, 1236768, '2019-09-15 10:44:09', '2019-09-15 10:44:09');
INSERT INTO `unimall_footprint` VALUES (531, 423, 1236774, '2019-09-15 10:44:56', '2019-09-15 10:44:56');
INSERT INTO `unimall_footprint` VALUES (532, 423, 1236777, '2019-09-15 11:09:12', '2019-09-15 11:09:12');
INSERT INTO `unimall_footprint` VALUES (533, 425, 1236777, '2019-09-15 14:23:14', '2019-09-15 14:23:14');
INSERT INTO `unimall_footprint` VALUES (534, 427, 1236773, '2019-09-16 09:18:55', '2019-09-16 09:18:55');
INSERT INTO `unimall_footprint` VALUES (535, 428, 1236777, '2019-09-16 10:20:17', '2019-09-16 10:20:17');
INSERT INTO `unimall_footprint` VALUES (536, 429, 1236768, '2019-09-16 14:40:25', '2019-09-16 14:40:25');
INSERT INTO `unimall_footprint` VALUES (537, 138, 1236772, '2019-09-16 15:40:57', '2019-09-16 15:56:52');
INSERT INTO `unimall_footprint` VALUES (538, 431, 1236777, '2019-09-16 17:26:46', '2019-09-16 17:26:46');
INSERT INTO `unimall_footprint` VALUES (539, 367, 1236772, '2019-09-16 19:39:55', '2019-09-18 08:11:49');
INSERT INTO `unimall_footprint` VALUES (540, 432, 1236777, '2019-09-17 10:39:04', '2019-09-17 10:39:04');
INSERT INTO `unimall_footprint` VALUES (541, 434, 1236773, '2019-09-17 16:03:50', '2019-09-17 16:03:50');
INSERT INTO `unimall_footprint` VALUES (542, 355, 1236771, '2019-09-17 16:30:16', '2019-09-17 16:30:16');
INSERT INTO `unimall_footprint` VALUES (543, 436, 1236777, '2019-09-17 16:57:30', '2019-09-17 16:57:30');
INSERT INTO `unimall_footprint` VALUES (544, 437, 1236773, '2019-09-17 17:50:43', '2019-09-17 17:50:43');
INSERT INTO `unimall_footprint` VALUES (545, 438, 1236771, '2019-09-17 18:45:07', '2019-09-17 18:45:07');
INSERT INTO `unimall_footprint` VALUES (546, 438, 1236773, '2019-09-17 18:45:14', '2019-09-17 18:45:14');
INSERT INTO `unimall_footprint` VALUES (547, 439, 1236773, '2019-09-18 11:12:16', '2019-09-18 11:12:16');
INSERT INTO `unimall_footprint` VALUES (548, 441, 1236772, '2019-09-18 13:53:48', '2019-09-18 17:52:51');
INSERT INTO `unimall_footprint` VALUES (549, 442, 1236770, '2019-09-18 13:57:56', '2019-09-18 13:57:56');
INSERT INTO `unimall_footprint` VALUES (550, 443, 1236777, '2019-09-18 14:26:10', '2019-09-18 14:26:10');
INSERT INTO `unimall_footprint` VALUES (551, 447, 1236772, '2019-09-18 15:53:30', '2019-09-18 15:53:30');
INSERT INTO `unimall_footprint` VALUES (552, 449, 1236768, '2019-09-18 16:10:17', '2019-09-18 16:10:17');
INSERT INTO `unimall_footprint` VALUES (553, 449, 1236773, '2019-09-18 16:10:58', '2019-09-18 16:15:41');
INSERT INTO `unimall_footprint` VALUES (554, 449, 1236775, '2019-09-18 16:15:54', '2019-09-18 16:15:54');
INSERT INTO `unimall_footprint` VALUES (555, 449, 1236777, '2019-09-18 16:33:50', '2019-09-18 16:36:45');
INSERT INTO `unimall_footprint` VALUES (556, 367, 1236776, '2019-09-18 20:44:19', '2019-09-18 20:44:19');
INSERT INTO `unimall_footprint` VALUES (557, 452, 1236768, '2019-09-18 21:21:04', '2019-09-18 21:21:04');
INSERT INTO `unimall_footprint` VALUES (558, 21, 1236779, '2019-11-25 16:04:29', '2019-11-25 16:04:29');
INSERT INTO `unimall_footprint` VALUES (559, 453, 1236768, '2019-12-17 23:57:33', '2019-12-17 23:57:33');
COMMIT;

-- ----------------------------
-- Table structure for unimall_freight_template
-- ----------------------------
DROP TABLE IF EXISTS `unimall_freight_template`;
CREATE TABLE `unimall_freight_template` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `template_name` varchar(100) NOT NULL,
  `spu_location` varchar(200) DEFAULT NULL,
  `delivery_deadline` int(11) NOT NULL,
  `default_free_price` int(11) NOT NULL DEFAULT '-1',
  `default_first_num` int(11) DEFAULT '1',
  `default_first_money` int(11) DEFAULT '0',
  `default_continue_num` int(11) DEFAULT '1',
  `default_continue_money` int(11) DEFAULT '0',
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_freight_template
-- ----------------------------
BEGIN;
INSERT INTO `unimall_freight_template` VALUES (1, '全国不包邮', '1', 13, 200, 13, 21000, 12, 100, NULL, '2019-08-23 18:04:26');
INSERT INTO `unimall_freight_template` VALUES (13, '全国包邮2', '重庆', 4, 0, 1, 0, 1, 0, NULL, '2019-08-21 12:52:49');
INSERT INTO `unimall_freight_template` VALUES (31, 'xxx', NULL, 1, 1300, 1, 100, 1, 100, '2019-08-23 15:15:56', '2019-08-23 15:15:56');
COMMIT;

-- ----------------------------
-- Table structure for unimall_freight_template_carriage
-- ----------------------------
DROP TABLE IF EXISTS `unimall_freight_template_carriage`;
CREATE TABLE `unimall_freight_template_carriage` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `template_id` bigint(20) NOT NULL,
  `designated_area` varchar(1000) NOT NULL,
  `free_price` int(11) DEFAULT '-1',
  `first_num` int(11) DEFAULT '1',
  `first_money` int(11) DEFAULT '0',
  `continue_num` int(11) DEFAULT '1',
  `continue_money` int(11) DEFAULT '0',
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Table structure for unimall_group_shop
-- ----------------------------
DROP TABLE IF EXISTS `unimall_group_shop`;
CREATE TABLE `unimall_group_shop` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `spu_id` bigint(20) NOT NULL,
  `min_price` int(11) NOT NULL,
  `max_price` int(11) NOT NULL,
  `gmt_start` datetime NOT NULL COMMENT '团购开始时间',
  `gmt_end` datetime NOT NULL COMMENT '团购结束时间',
  `minimum_number` int(11) NOT NULL DEFAULT '1' COMMENT '团购基础人数',
  `already_buy_number` int(11) NOT NULL DEFAULT '0' COMMENT '团购已经购买人数',
  `automatic_refund` int(11) NOT NULL DEFAULT '1' COMMENT '团购结束时购买人数未达到基础人数,是否自动退款',
  `status` int(11) NOT NULL COMMENT '判断团购商品是否在活动期间',
  `gmt_create` datetime NOT NULL,
  `gmt_update` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unimall_group_shop_spu_spu_id_uindex` (`spu_id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_group_shop
-- ----------------------------
BEGIN;
INSERT INTO `unimall_group_shop` VALUES (25, 1236790, 10, 1, '2019-11-26 00:00:00', '2022-11-26 00:00:00', 1, 0, 1, 1, '2019-11-25 23:47:42', '2019-11-26 00:00:02');
INSERT INTO `unimall_group_shop` VALUES (26, 1236768, 7200, 16800, '2019-11-29 00:00:00', '2019-11-30 00:00:00', 2, 0, 1, 0, '2019-11-26 00:01:50', '2019-11-26 00:01:50');
COMMIT;

-- ----------------------------
-- Table structure for unimall_group_shop_sku
-- ----------------------------
DROP TABLE IF EXISTS `unimall_group_shop_sku`;
CREATE TABLE `unimall_group_shop_sku` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sku_id` bigint(20) NOT NULL,
  `group_shop_id` bigint(20) NOT NULL,
  `sku_group_shop_price` int(11) NOT NULL,
  `gmt_create` datetime NOT NULL,
  `gmt_update` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unimall_group_shop_sku_sku_id_uindex` (`sku_id`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_group_shop_sku
-- ----------------------------
BEGIN;
INSERT INTO `unimall_group_shop_sku` VALUES (49, 2799, 25, 10, '2019-11-26 00:00:02', '2019-11-26 00:00:02');
INSERT INTO `unimall_group_shop_sku` VALUES (52, 2798, 20, 100, '2019-11-26 00:01:07', '2019-11-26 00:01:07');
INSERT INTO `unimall_group_shop_sku` VALUES (53, 2774, 26, 7200, '2019-11-26 00:01:50', '2019-11-26 00:01:50');
INSERT INTO `unimall_group_shop_sku` VALUES (54, 2773, 26, 16800, '2019-11-26 00:01:50', '2019-11-26 00:01:50');
COMMIT;

-- ----------------------------
-- Table structure for unimall_img
-- ----------------------------
DROP TABLE IF EXISTS `unimall_img`;
CREATE TABLE `unimall_img` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `biz_type` int(11) NOT NULL,
  `biz_id` bigint(20) NOT NULL,
  `url` varchar(255) NOT NULL,
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3045 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_img
-- ----------------------------
BEGIN;
INSERT INTO `unimall_img` VALUES (200, 2, 2, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/2e801f1184bf45bc819791f0a7d2f573.png', '2019-04-25 19:15:55', '2019-04-25 19:15:55');
INSERT INTO `unimall_img` VALUES (201, 2, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/2e801f1184bf45bc819791f0a7d2f573.png', '2019-04-25 19:15:55', '2019-04-25 19:15:55');
INSERT INTO `unimall_img` VALUES (202, 2, 3, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/2e801f1184bf45bc819791f0a7d2f573.png', '2019-04-25 19:15:55', '2019-04-25 19:15:55');
INSERT INTO `unimall_img` VALUES (203, 2, 4, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/2e801f1184bf45bc819791f0a7d2f573.png', '2019-04-25 19:15:55', '2019-04-25 19:15:55');
INSERT INTO `unimall_img` VALUES (204, 2, 5, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/ef1c5af8d1c34582a5bcda0d48ef9437.png', '2019-07-07 00:30:37', '2019-07-07 00:30:37');
INSERT INTO `unimall_img` VALUES (205, 2, 6, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/ef1c5af8d1c34582a5bcda0d48ef9437.png', '2019-07-07 00:32:02', '2019-07-07 00:32:02');
INSERT INTO `unimall_img` VALUES (206, 2, 7, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/imgs/3FzdQarcKQr5kkt.png', '2019-07-11 17:49:25', '2019-07-11 17:49:25');
INSERT INTO `unimall_img` VALUES (208, 2, 9, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/imgs/eMSD6B5D5BEH8zH.jpg', '2019-07-14 09:58:45', '2019-07-14 09:58:45');
INSERT INTO `unimall_img` VALUES (209, 2, 9, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/imgs/yrmCrRE5FR8XWMH.jpg', '2019-07-14 09:58:45', '2019-07-14 09:58:45');
INSERT INTO `unimall_img` VALUES (3014, 1, 1236769, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-21 12:53:05', '2019-08-21 12:53:05');
INSERT INTO `unimall_img` VALUES (3015, 1, 1236769, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8ffee2727cbe4c07ab95cf25ca1946bd.png', '2019-08-21 12:53:05', '2019-08-21 12:53:05');
INSERT INTO `unimall_img` VALUES (3016, 1, 1236770, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-21 12:53:11', '2019-08-21 12:53:11');
INSERT INTO `unimall_img` VALUES (3017, 1, 1236770, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a705b7cc22f14d80b5107b9f8b9f7713.jpg', '2019-08-21 12:53:11', '2019-08-21 12:53:11');
INSERT INTO `unimall_img` VALUES (3018, 1, 1236771, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-08-21 12:53:17', '2019-08-21 12:53:17');
INSERT INTO `unimall_img` VALUES (3019, 1, 1236771, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/3f1e780b9f0c4cde948af3dcfbfe7ece.jpg', '2019-08-21 12:53:17', '2019-08-21 12:53:17');
INSERT INTO `unimall_img` VALUES (3020, 1, 1236772, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-21 12:53:23', '2019-08-21 12:53:23');
INSERT INTO `unimall_img` VALUES (3021, 1, 1236772, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/1546107f29274241b539380f9eba41a2.jpg', '2019-08-21 12:53:23', '2019-08-21 12:53:23');
INSERT INTO `unimall_img` VALUES (3022, 1, 1236772, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/d850d0faea3a406bb057cd1813fa9c78.jpg', '2019-08-21 12:53:23', '2019-08-21 12:53:23');
INSERT INTO `unimall_img` VALUES (3023, 1, 1236773, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-21 12:53:36', '2019-08-21 12:53:36');
INSERT INTO `unimall_img` VALUES (3024, 1, 1236773, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/435904c4297341839fc388679a550194.jpg', '2019-08-21 12:53:36', '2019-08-21 12:53:36');
INSERT INTO `unimall_img` VALUES (3025, 1, 1236773, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a9b89d4306fc4134965aabecd125636a.jpg', '2019-08-21 12:53:36', '2019-08-21 12:53:36');
INSERT INTO `unimall_img` VALUES (3026, 1, 1236774, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-21 12:53:48', '2019-08-21 12:53:48');
INSERT INTO `unimall_img` VALUES (3029, 1, 1236776, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/22014e1c20c441949b9e90ef63fa0f64.jpg', '2019-08-21 12:54:02', '2019-08-21 12:54:02');
INSERT INTO `unimall_img` VALUES (3030, 1, 1236777, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-21 12:54:08', '2019-08-21 12:54:08');
INSERT INTO `unimall_img` VALUES (3033, 1, 1236775, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 18:03:42', '2019-08-23 18:03:42');
INSERT INTO `unimall_img` VALUES (3034, 1, 1236775, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/d424f75591254a5db702dad28467dee8.jpg', '2019-08-23 18:03:42', '2019-08-23 18:03:42');
INSERT INTO `unimall_img` VALUES (3035, 1, 1236790, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/1351de40106e4c9fb6383fb78416aa6c.png', '2019-11-06 15:48:45', '2019-11-06 15:48:45');
INSERT INTO `unimall_img` VALUES (3042, 1, 1236768, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-12-22 14:23:12', '2019-12-22 14:23:12');
INSERT INTO `unimall_img` VALUES (3043, 1, 1236768, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/883b7d8828e24896889530884c76f88f.jpg', '2019-12-22 14:23:12', '2019-12-22 14:23:12');
INSERT INTO `unimall_img` VALUES (3044, 1, 1236768, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/c5cbc9826fc242b1a251546141014197.jpg', '2019-12-22 14:23:12', '2019-12-22 14:23:12');
COMMIT;

-- ----------------------------
-- Table structure for unimall_order
-- ----------------------------
DROP TABLE IF EXISTS `unimall_order`;
CREATE TABLE `unimall_order` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `channel` varchar(255) NOT NULL,
  `order_no` varchar(255) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `status` int(11) NOT NULL,
  `sku_original_total_price` int(11) DEFAULT NULL,
  `sku_total_price` int(11) NOT NULL,
  `freight_price` int(11) NOT NULL,
  `coupon_price` int(11) DEFAULT NULL,
  `coupon_id` bigint(20) DEFAULT NULL,
  `group_shop_id` bigint(20) DEFAULT NULL,
  `actual_price` int(11) NOT NULL,
  `pay_price` int(11) DEFAULT NULL,
  `pay_id` varchar(255) DEFAULT NULL,
  `pay_channel` varchar(255) DEFAULT NULL,
  `gmt_pay` datetime DEFAULT NULL,
  `ship_no` varchar(255) DEFAULT NULL,
  `ship_code` varchar(255) DEFAULT NULL,
  `gmt_ship` datetime DEFAULT NULL,
  `gmt_confirm` datetime DEFAULT NULL,
  `province` varchar(255) DEFAULT NULL COMMENT '若province字段为空，表示无需收货地址',
  `city` varchar(255) DEFAULT NULL,
  `county` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `consignee` varchar(255) DEFAULT NULL,
  `mono` varchar(512) DEFAULT NULL,
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `order_no` (`order_no`(20)) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=345 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_order
-- ----------------------------
BEGIN;
INSERT INTO `unimall_order` VALUES (2, 'MINI', '1012019071753561001', 2, 40, 16111, 16100, 0, NULL, NULL, NULL, 16100, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 11:00:00', '2019-07-06 17:53:57');
INSERT INTO `unimall_order` VALUES (3, 'MINI', '2123', 2, 50, 16111, 16100, 0, NULL, NULL, NULL, 16100, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-06 17:53:57', '2019-07-06 17:53:57');
INSERT INTO `unimall_order` VALUES (4, 'android', '1012019071541321001', 1, 40, 16111, 16100, 0, 500, 1, NULL, 15600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-22 20:15:00', '2019-07-07 15:41:33');
INSERT INTO `unimall_order` VALUES (5, 'android', '1012019071736031001', 1, 90, NULL, 12880, 0, NULL, NULL, NULL, 12880, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-07 17:36:03');
INSERT INTO `unimall_order` VALUES (6, 'devtools', '1012019071839591001', 1, 90, NULL, 3220, 0, NULL, NULL, NULL, 3220, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-07 18:40:00');
INSERT INTO `unimall_order` VALUES (7, 'devtools', '1012019071841201002', 1, 90, NULL, 3220, 0, NULL, NULL, NULL, 3220, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-07 18:41:21');
INSERT INTO `unimall_order` VALUES (8, 'devtools', '1012019071945261003', 1, 90, NULL, 3220, 0, NULL, NULL, NULL, 3220, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-07 19:45:26');
INSERT INTO `unimall_order` VALUES (9, 'devtools', '1012019072142171001', 3, 90, 3230, 3220, 0, NULL, NULL, NULL, 3220, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-07 21:42:17');
INSERT INTO `unimall_order` VALUES (10, 'devtools', '1012019072144281002', 3, 90, 3230, 3220, 0, NULL, NULL, NULL, 3220, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-07 21:44:29');
INSERT INTO `unimall_order` VALUES (11, 'devtools', '1012019072146061003', 3, 90, 3230, 3220, 0, NULL, NULL, NULL, 3220, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-07 21:46:06');
INSERT INTO `unimall_order` VALUES (12, 'devtools', '1012019072222121004', 3, 90, 3230, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-07 22:22:12');
INSERT INTO `unimall_order` VALUES (13, 'devtools', '1012019071159051001', 3, 70, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000354201907101770772119', 'WX', '2019-07-10 12:33:36', NULL, NULL, '2019-07-11 09:40:10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-11 09:54:42', '2019-07-10 11:59:05');
INSERT INTO `unimall_order` VALUES (14, 'devtools', '1012019071219581001', 3, 40, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000352201907108414424359', 'WX', '2019-07-10 12:20:32', NULL, NULL, '2019-07-11 13:21:51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-11 13:22:37', '2019-07-10 12:19:59');
INSERT INTO `unimall_order` VALUES (15, 'devtools', '1012019071229121002', 3, 70, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000357201907108263498131', 'WX', '2019-07-10 12:29:31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-11 11:20:26', '2019-07-10 12:29:13');
INSERT INTO `unimall_order` VALUES (16, 'devtools', '1012019071606101001', 3, 50, 6460, 2, 0, NULL, NULL, NULL, 2, 2, '4200000349201907114869333226', 'WX', '2019-07-11 16:07:12', '9895784136995', 'YZPY', '2019-07-11 16:07:59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-11 17:49:25', '2019-07-11 16:06:11');
INSERT INTO `unimall_order` VALUES (17, 'devtools', '1012019070950031001', 14, 50, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000350201907148369128001', 'WX', '2019-07-14 09:51:55', '123456789', 'SF', '2019-07-14 09:55:41', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-14 09:58:45', '2019-07-14 09:50:04');
INSERT INTO `unimall_order` VALUES (18, 'android', '1012019071747581001', 15, 90, 3230, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-17 17:47:59');
INSERT INTO `unimall_order` VALUES (19, 'devtools', '1012019071810461001', 16, 60, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000358201907175668437163', 'WX', '2019-07-18 17:45:31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-17 18:10:47', '2019-07-17 18:10:47');
INSERT INTO `unimall_order` VALUES (20, 'devtools', '1012019071814101002', 16, 80, 3230, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-19 18:39:58', '2019-07-17 18:14:11');
INSERT INTO `unimall_order` VALUES (21, 'android', '1012019071904591001', 17, 90, 3230, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-17 19:04:59');
INSERT INTO `unimall_order` VALUES (22, 'android', '1012019071124551001', 17, 90, 3230, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-18 11:24:56');
INSERT INTO `unimall_order` VALUES (23, 'android', '1012019071217371001', 18, 20, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000347201907187364372564', 'WX', '2019-07-18 17:52:30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-18 12:17:38', '2019-07-18 12:17:38');
INSERT INTO `unimall_order` VALUES (24, 'android', '1012019071500371002', 18, 20, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000347201907187215434899', 'WX', '2019-07-18 15:00:49', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-18 15:00:38', '2019-07-18 15:00:38');
INSERT INTO `unimall_order` VALUES (25, 'android', '1012019071546231001', 1, 20, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000349201907181737293016', 'WX', '2019-07-18 15:47:37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-18 15:46:24', '2019-07-18 15:46:24');
INSERT INTO `unimall_order` VALUES (26, 'devtools', '1012019071112511001', 16, 90, 3230, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-20 11:12:52');
INSERT INTO `unimall_order` VALUES (27, 'devtools', '1012019071119121002', 16, 40, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000356201907204480394207', 'WX', '2019-07-20 11:33:44', NULL, NULL, '2019-08-03 11:21:42', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 11:30:00', '2019-07-20 11:19:12');
INSERT INTO `unimall_order` VALUES (28, 'devtools', '1012019071125451003', 16, 90, 3230, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-21 10:51:00', '2019-07-20 11:25:46');
INSERT INTO `unimall_order` VALUES (29, 'devtools', '1012019071125461004', 16, 40, 3230, 1, 0, NULL, NULL, NULL, 1, 1, '4200000358201907208799813047', 'WX', '2019-07-20 11:26:12', '73114105363413', 'ZTO', '2019-07-20 11:28:22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-27 15:45:00', '2019-07-20 11:25:46');
INSERT INTO `unimall_order` VALUES (30, 'devtools', '1012019071214061001', 16, 90, 355, 340, 0, NULL, NULL, NULL, 340, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-23 12:30:00', '2019-07-23 12:14:07');
INSERT INTO `unimall_order` VALUES (31, 'devtools', '1012019072046471001', 16, 90, 4211, 11414, 0, NULL, NULL, NULL, 11414, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-07-27 15:35:00', '2019-07-24 20:46:48');
INSERT INTO `unimall_order` VALUES (32, 'android', '1012019080123131001', 22, 80, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-04 01:32:47', '2019-08-04 01:23:14');
INSERT INTO `unimall_order` VALUES (33, 'android', '1012019080124461002', 22, 80, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-04 01:32:45', '2019-08-04 01:24:46');
INSERT INTO `unimall_order` VALUES (34, 'ios', '1012019080128481003', 21, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-04 01:44:00', '2019-08-04 01:28:49');
INSERT INTO `unimall_order` VALUES (35, 'android', '1012019080128511004', 22, 80, 1920, 36800, 0, NULL, NULL, NULL, 36800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-04 01:32:44', '2019-08-04 01:28:51');
INSERT INTO `unimall_order` VALUES (36, 'android', '1012019080149461005', 22, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-04 02:05:00', '2019-08-04 01:49:46');
INSERT INTO `unimall_order` VALUES (37, 'android', '1012019080150011006', 22, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-04 02:06:00', '2019-08-04 01:50:02');
INSERT INTO `unimall_order` VALUES (38, 'android', '1012019080154211007', 22, 90, 2020, 3298, 0, 10, 33, NULL, 3288, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-04 02:10:00', '2019-08-04 01:54:22');
INSERT INTO `unimall_order` VALUES (39, 'devtools', '1012019081105391008', 21, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-04 11:21:00', '2019-08-04 11:05:40');
INSERT INTO `unimall_order` VALUES (40, 'ios', '1012019081118071009', 21, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-04 11:34:00', '2019-08-04 11:18:08');
INSERT INTO `unimall_order` VALUES (41, 'ios', '1012019082221321001', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000345201908068459603910', 'WX', '2019-08-06 22:21:45', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-06 22:21:32', '2019-08-06 22:21:32');
INSERT INTO `unimall_order` VALUES (42, 'android', '1012019082223471002', 22, 90, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-06 22:39:00', '2019-08-06 22:23:48');
INSERT INTO `unimall_order` VALUES (43, 'ios', '1012019081601541003', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000342201908070393514517', 'WX', '2019-08-07 16:02:07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-07 16:01:55', '2019-08-07 16:01:55');
INSERT INTO `unimall_order` VALUES (44, 'android', '1012019081926471001', 23, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000342201908080966071497', 'WX', '2019-08-08 19:27:24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-08 19:26:48', '2019-08-08 19:26:48');
INSERT INTO `unimall_order` VALUES (45, 'android', '1012019081740401002', 25, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 17:56:00', '2019-08-09 17:40:40');
INSERT INTO `unimall_order` VALUES (46, 'android', '1012019081754381003', 28, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 18:10:00', '2019-08-09 17:54:38');
INSERT INTO `unimall_order` VALUES (47, 'android', '1012019081826381004', 30, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 18:42:00', '2019-08-09 18:26:39');
INSERT INTO `unimall_order` VALUES (48, 'android', '1012019081923391005', 36, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 19:39:00', '2019-08-09 19:23:39');
INSERT INTO `unimall_order` VALUES (49, 'android', '1012019081929141006', 37, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 19:45:00', '2019-08-09 19:29:14');
INSERT INTO `unimall_order` VALUES (50, 'ios', '1012019082014491007', 38, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 20:30:00', '2019-08-09 20:14:49');
INSERT INTO `unimall_order` VALUES (51, 'android', '1012019082117181008', 41, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 21:33:00', '2019-08-09 21:17:18');
INSERT INTO `unimall_order` VALUES (52, 'android', '1012019082122571009', 42, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 21:38:00', '2019-08-09 21:22:58');
INSERT INTO `unimall_order` VALUES (53, 'android', '1012019082220391010', 46, 90, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 22:36:00', '2019-08-09 22:20:39');
INSERT INTO `unimall_order` VALUES (54, 'android', '1012019082227341011', 47, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 22:43:00', '2019-08-09 22:27:35');
INSERT INTO `unimall_order` VALUES (55, 'android', '1012019082305571012', 48, 90, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 23:21:00', '2019-08-09 23:05:57');
INSERT INTO `unimall_order` VALUES (56, 'ios', '1012019082316141013', 49, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 23:32:00', '2019-08-09 23:16:15');
INSERT INTO `unimall_order` VALUES (57, 'ios', '1012019082316251014', 49, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 23:32:00', '2019-08-09 23:16:26');
INSERT INTO `unimall_order` VALUES (58, 'ios', '1012019082324271015', 50, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 23:40:00', '2019-08-09 23:24:28');
INSERT INTO `unimall_order` VALUES (59, 'android', '1012019082339591016', 52, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-09 23:55:00', '2019-08-09 23:39:59');
INSERT INTO `unimall_order` VALUES (60, 'android', '1012019082345121017', 53, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 00:01:00', '2019-08-09 23:45:13');
INSERT INTO `unimall_order` VALUES (61, 'android', '1012019082347461018', 53, 90, 70080, 58400, 0, NULL, NULL, NULL, 58400, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 00:03:00', '2019-08-09 23:47:46');
INSERT INTO `unimall_order` VALUES (62, 'ios', '1012019080020441019', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000348201908106137600991', 'WX', '2019-08-10 00:20:55', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 00:20:45', '2019-08-10 00:20:45');
INSERT INTO `unimall_order` VALUES (63, 'android', '1012019080022481020', 22, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000339201908105775048089', 'WX', '2019-08-10 00:23:00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 00:22:49', '2019-08-10 00:22:49');
INSERT INTO `unimall_order` VALUES (64, 'android', '1012019080023281021', 22, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000355201908100295307395', 'WX', '2019-08-10 00:23:36', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 00:23:28', '2019-08-10 00:23:28');
INSERT INTO `unimall_order` VALUES (65, 'android', '1012019080023481022', 22, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 00:39:00', '2019-08-10 00:23:48');
INSERT INTO `unimall_order` VALUES (66, 'android', '1012019080023481023', 22, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000358201908103118560062', 'WX', '2019-08-10 00:23:57', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 00:23:48', '2019-08-10 00:23:48');
INSERT INTO `unimall_order` VALUES (67, 'ios', '1012019080025061024', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000340201908100167678575', 'WX', '2019-08-10 00:25:12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 00:25:06', '2019-08-10 00:25:06');
INSERT INTO `unimall_order` VALUES (68, 'android', '1012019080059101025', 55, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 01:15:00', '2019-08-10 00:59:11');
INSERT INTO `unimall_order` VALUES (69, 'ios', '1012019080625521026', 58, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 06:41:00', '2019-08-10 06:25:53');
INSERT INTO `unimall_order` VALUES (70, 'android', '1012019080857141027', 59, 90, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 09:13:00', '2019-08-10 08:57:14');
INSERT INTO `unimall_order` VALUES (71, 'ios', '1012019080915171028', 60, 90, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 09:31:00', '2019-08-10 09:15:18');
INSERT INTO `unimall_order` VALUES (72, 'ios', '1012019080950121029', 64, 90, 100, 4, 0, NULL, NULL, NULL, 4, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 10:06:00', '2019-08-10 09:50:13');
INSERT INTO `unimall_order` VALUES (73, 'ios', '1012019080951071030', 64, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 10:07:00', '2019-08-10 09:51:08');
INSERT INTO `unimall_order` VALUES (74, 'ios', '1012019081056491031', 21, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 11:12:00', '2019-08-10 10:56:49');
INSERT INTO `unimall_order` VALUES (75, 'ios', '1012019081101281032', 70, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 11:17:00', '2019-08-10 11:01:28');
INSERT INTO `unimall_order` VALUES (76, 'android', '1012019081113561033', 71, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 11:29:00', '2019-08-10 11:13:57');
INSERT INTO `unimall_order` VALUES (77, 'android', '1012019081114241034', 71, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 11:30:00', '2019-08-10 11:14:25');
INSERT INTO `unimall_order` VALUES (78, 'android', '1012019081250581035', 71, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:06:00', '2019-08-10 12:50:59');
INSERT INTO `unimall_order` VALUES (79, 'ios', '1012019081313161001', 21, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:29:00', '2019-08-10 13:13:16');
INSERT INTO `unimall_order` VALUES (80, 'ios', '1012019081320281002', 75, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000339201908109569144596', 'WX', '2019-08-10 13:20:39', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:20:29', '2019-08-10 13:20:29');
INSERT INTO `unimall_order` VALUES (81, 'android', '1012019081324391003', 71, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000345201908100657154680', 'WX', '2019-08-10 13:24:50', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:24:40', '2019-08-10 13:24:40');
INSERT INTO `unimall_order` VALUES (82, 'android', '1012019081325061004', 71, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:41:00', '2019-08-10 13:25:06');
INSERT INTO `unimall_order` VALUES (83, 'android', '1012019081325061005', 71, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:41:00', '2019-08-10 13:25:07');
INSERT INTO `unimall_order` VALUES (84, 'android', '1012019081325191006', 71, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:41:00', '2019-08-10 13:25:20');
INSERT INTO `unimall_order` VALUES (85, 'android', '1012019081325191007', 71, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000344201908105242346068', 'WX', '2019-08-10 13:25:30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:25:20', '2019-08-10 13:25:20');
INSERT INTO `unimall_order` VALUES (86, 'android', '1012019081325391008', 71, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:41:00', '2019-08-10 13:25:40');
INSERT INTO `unimall_order` VALUES (87, 'android', '1012019081325401009', 71, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000340201908106814012233', 'WX', '2019-08-10 13:25:49', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:25:40', '2019-08-10 13:25:40');
INSERT INTO `unimall_order` VALUES (88, 'android', '1012019081326051010', 71, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:42:00', '2019-08-10 13:26:06');
INSERT INTO `unimall_order` VALUES (89, 'android', '1012019081326051011', 71, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 13:42:00', '2019-08-10 13:26:06');
INSERT INTO `unimall_order` VALUES (90, 'android', '1012019081326061012', 71, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000342201908105604357493', 'WX', '2019-08-10 13:26:17', '73118089515017', 'ZTO', '2019-08-16 16:05:53', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-23 16:15:00', '2019-08-10 13:26:06');
INSERT INTO `unimall_order` VALUES (91, 'android', '1012019081341451013', 75, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000350201908105946089704', 'WX', '2019-08-10 13:42:15', '73118089515017', 'ZTO', '2019-08-16 16:05:51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-23 16:15:00', '2019-08-10 13:41:46');
INSERT INTO `unimall_order` VALUES (92, 'ios', '1012019081358311014', 76, 90, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 14:14:00', '2019-08-10 13:58:31');
INSERT INTO `unimall_order` VALUES (93, 'ios', '1012019081426231015', 78, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 14:42:00', '2019-08-10 14:26:23');
INSERT INTO `unimall_order` VALUES (94, 'ios', '1012019081556001016', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000339201908105600698792', 'WX', '2019-08-10 15:56:12', '73118089515017', 'ZTO', '2019-08-16 16:05:50', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-23 16:15:00', '2019-08-10 15:56:00');
INSERT INTO `unimall_order` VALUES (95, 'android', '1012019081559011017', 83, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 16:15:00', '2019-08-10 15:59:02');
INSERT INTO `unimall_order` VALUES (96, 'android', '1012019081559071018', 83, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 16:15:00', '2019-08-10 15:59:08');
INSERT INTO `unimall_order` VALUES (97, 'ios', '1012019081641111019', 85, 90, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 16:57:00', '2019-08-10 16:41:12');
INSERT INTO `unimall_order` VALUES (98, 'ios', '1012019081704471020', 87, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 17:20:00', '2019-08-10 17:04:48');
INSERT INTO `unimall_order` VALUES (99, 'android', '1012019081717391021', 72, 80, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 17:18:11', '2019-08-10 17:17:39');
INSERT INTO `unimall_order` VALUES (100, 'android', '1012019081837351022', 88, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 18:53:00', '2019-08-10 18:37:35');
INSERT INTO `unimall_order` VALUES (101, 'android', '1012019081925591023', 37, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 19:42:00', '2019-08-10 19:26:00');
INSERT INTO `unimall_order` VALUES (102, 'ios', '1012019082125431024', 92, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 21:41:00', '2019-08-10 21:25:43');
INSERT INTO `unimall_order` VALUES (103, 'android', '1012019082154151025', 53, 80, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 21:55:54', '2019-08-10 21:54:15');
INSERT INTO `unimall_order` VALUES (104, 'android', '1012019082154511026', 53, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 22:10:00', '2019-08-10 21:54:51');
INSERT INTO `unimall_order` VALUES (105, 'ios', '1012019082314351027', 96, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-10 23:30:00', '2019-08-10 23:14:35');
INSERT INTO `unimall_order` VALUES (106, 'ios', '1012019080034501028', 97, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-11 00:50:00', '2019-08-11 00:34:51');
INSERT INTO `unimall_order` VALUES (107, 'android', '1012019080950091029', 102, 90, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-11 10:06:00', '2019-08-11 09:50:10');
INSERT INTO `unimall_order` VALUES (108, 'ios', '1012019081228031030', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000346201908116412130539', 'WX', '2019-08-11 12:28:14', '73118089515017', 'ZTO', '2019-08-16 16:05:44', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-23 16:15:00', '2019-08-11 12:28:04');
INSERT INTO `unimall_order` VALUES (109, 'ios', '1012019081232101031', 109, 90, 8640, 14400, 0, NULL, NULL, NULL, 14400, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2019-08-11 12:48:00', '2019-08-11 12:32:10');
INSERT INTO `unimall_order` VALUES (110, 'ios', '1012019081422011001', 104, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 14:38:00', '2019-08-11 14:22:01');
INSERT INTO `unimall_order` VALUES (111, 'ios', '1012019081422101002', 104, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 14:38:00', '2019-08-11 14:22:10');
INSERT INTO `unimall_order` VALUES (112, 'ios', '1012019081446241003', 113, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 15:02:00', '2019-08-11 14:46:25');
INSERT INTO `unimall_order` VALUES (113, 'ios', '1012019081447161004', 113, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 15:03:00', '2019-08-11 14:47:17');
INSERT INTO `unimall_order` VALUES (114, 'ios', '1012019081531121005', 115, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 15:47:00', '2019-08-11 15:31:12');
INSERT INTO `unimall_order` VALUES (115, 'ios', '1012019081531421006', 115, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 15:47:00', '2019-08-11 15:31:42');
INSERT INTO `unimall_order` VALUES (116, 'ios', '1012019081700191007', 117, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 17:16:00', '2019-08-11 17:00:20');
INSERT INTO `unimall_order` VALUES (117, 'android', '1012019081711001008', 118, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 17:27:00', '2019-08-11 17:11:01');
INSERT INTO `unimall_order` VALUES (118, 'ios', '1012019081748181009', 119, 90, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 18:04:00', '2019-08-11 17:48:19');
INSERT INTO `unimall_order` VALUES (119, 'ios', '1012019082155231010', 120, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-11 22:11:00', '2019-08-11 21:55:23');
INSERT INTO `unimall_order` VALUES (120, 'android', '1012019082351371011', 122, 90, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 00:07:00', '2019-08-11 23:51:37');
INSERT INTO `unimall_order` VALUES (121, 'android', '1012019080109141012', 125, 90, 1800, 2760, 0, NULL, NULL, NULL, 2760, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 01:25:00', '2019-08-12 01:09:14');
INSERT INTO `unimall_order` VALUES (122, 'android', '1012019080813171013', 127, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 08:29:00', '2019-08-12 08:13:18');
INSERT INTO `unimall_order` VALUES (123, 'android', '1012019080933221014', 133, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 09:49:00', '2019-08-12 09:33:22');
INSERT INTO `unimall_order` VALUES (124, 'android', '1012019081012051015', 136, 90, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 10:28:00', '2019-08-12 10:12:06');
INSERT INTO `unimall_order` VALUES (125, 'android', '1012019081015011016', 137, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 10:31:00', '2019-08-12 10:15:02');
INSERT INTO `unimall_order` VALUES (126, 'android', '1012019081358591017', 142, 90, 56820, 54800, 0, NULL, NULL, NULL, 54800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 14:14:00', '2019-08-12 13:58:59');
INSERT INTO `unimall_order` VALUES (127, 'ios', '1012019081448221018', 146, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 15:04:00', '2019-08-12 14:48:22');
INSERT INTO `unimall_order` VALUES (128, 'ios', '1012019081553031019', 44, 90, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 16:09:00', '2019-08-12 15:53:04');
INSERT INTO `unimall_order` VALUES (129, 'android', '1012019081651501020', 150, 90, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 17:07:00', '2019-08-12 16:51:51');
INSERT INTO `unimall_order` VALUES (130, 'devtools', '1012019081656061001', 21, 40, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-19 17:15:00', '2019-08-12 16:56:06');
INSERT INTO `unimall_order` VALUES (131, 'android', '1012019081845191001', 155, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 19:01:00', '2019-08-12 18:45:20');
INSERT INTO `unimall_order` VALUES (132, 'ios', '1012019081852041002', 156, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 19:08:00', '2019-08-12 18:52:04');
INSERT INTO `unimall_order` VALUES (133, 'ios', '1012019082034411003', 160, 90, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 20:50:00', '2019-08-12 20:34:41');
INSERT INTO `unimall_order` VALUES (134, 'android', '1012019082045211004', 161, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-12 21:01:00', '2019-08-12 20:45:21');
INSERT INTO `unimall_order` VALUES (135, 'android', '1012019080844091005', 162, 80, 34680, 86700, 0, NULL, NULL, NULL, 86700, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 08:44:29', '2019-08-13 08:44:09');
INSERT INTO `unimall_order` VALUES (136, 'ios', '1012019080901591006', 163, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 09:17:00', '2019-08-13 09:01:59');
INSERT INTO `unimall_order` VALUES (137, 'ios', '1012019081055311007', 169, 90, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 11:11:00', '2019-08-13 10:55:31');
INSERT INTO `unimall_order` VALUES (138, 'ios', '1012019081102051008', 170, 90, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 11:18:00', '2019-08-13 11:02:06');
INSERT INTO `unimall_order` VALUES (139, 'android', '1012019081138141009', 171, 90, 57700, 46001, 0, NULL, NULL, NULL, 46001, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 11:54:00', '2019-08-13 11:38:15');
INSERT INTO `unimall_order` VALUES (140, 'android', '1012019081203471010', 173, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 12:19:00', '2019-08-13 12:03:47');
INSERT INTO `unimall_order` VALUES (141, 'android', '1012019081313331011', 174, 90, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 13:29:00', '2019-08-13 13:13:34');
INSERT INTO `unimall_order` VALUES (142, 'android', '1012019081321491012', 175, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 13:37:00', '2019-08-13 13:21:50');
INSERT INTO `unimall_order` VALUES (143, 'ios', '1012019081402261013', 177, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 14:18:00', '2019-08-13 14:02:26');
INSERT INTO `unimall_order` VALUES (144, 'ios', '1012019081402261014', 177, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 14:18:00', '2019-08-13 14:02:26');
INSERT INTO `unimall_order` VALUES (145, 'ios', '1012019081402261015', 177, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 14:18:00', '2019-08-13 14:02:26');
INSERT INTO `unimall_order` VALUES (146, 'ios', '1012019081429201016', 179, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 14:45:00', '2019-08-13 14:29:21');
INSERT INTO `unimall_order` VALUES (147, 'android', '1012019081530491017', 181, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 15:46:00', '2019-08-13 15:30:50');
INSERT INTO `unimall_order` VALUES (148, 'ios', '1012019081641391018', 182, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 16:57:00', '2019-08-13 16:41:40');
INSERT INTO `unimall_order` VALUES (149, 'android', '1012019082158371019', 175, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-13 22:14:00', '2019-08-13 21:58:37');
INSERT INTO `unimall_order` VALUES (150, 'android', '1012019080941131020', 66, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-14 09:57:00', '2019-08-14 09:41:14');
INSERT INTO `unimall_order` VALUES (151, 'ios', '1012019081135351021', 188, 90, 100, 2, 0, NULL, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-14 11:51:00', '2019-08-14 11:35:36');
INSERT INTO `unimall_order` VALUES (152, 'android', '1012019081453401022', 191, 90, 10440, 8580, 0, NULL, NULL, NULL, 8580, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-14 15:09:00', '2019-08-14 14:53:41');
INSERT INTO `unimall_order` VALUES (153, 'ios', '1012019082013261023', 199, 90, 92280, 74900, 0, NULL, NULL, NULL, 74900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-15 20:29:00', '2019-08-15 20:13:27');
INSERT INTO `unimall_order` VALUES (154, 'ios', '1012019082042241024', 200, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-15 20:58:00', '2019-08-15 20:42:25');
INSERT INTO `unimall_order` VALUES (155, 'android', '1012019081320261025', 209, 40, 38800, 18800, 0, NULL, NULL, NULL, 18800, 18800, '4200000346201908165828879725', 'WX', '2019-08-16 13:20:41', '73118089515017', 'ZTO', '2019-08-16 16:05:27', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 16:15:00', '2019-08-16 13:20:27');
INSERT INTO `unimall_order` VALUES (156, 'devtools', '1012019082214491026', 21, 90, 3820, 2982, 0, NULL, NULL, NULL, 2982, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-16 22:30:00', '2019-08-16 22:14:50');
INSERT INTO `unimall_order` VALUES (158, 'ios', '1012019081135271028', 21, 60, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000341201908176903633386', 'WX', '2019-08-17 11:35:40', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-20 22:36:29', '2019-08-17 11:35:28');
INSERT INTO `unimall_order` VALUES (159, 'android', '1012019081204101029', 223, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-17 12:20:00', '2019-08-17 12:04:11');
INSERT INTO `unimall_order` VALUES (160, 'ios', '1012019081233311030', 226, 90, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-17 12:49:00', '2019-08-17 12:33:32');
INSERT INTO `unimall_order` VALUES (161, 'ios', '1012019081239191031', 226, 90, 59520, 49200, 0, NULL, NULL, NULL, 49200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-17 12:55:00', '2019-08-17 12:39:20');
INSERT INTO `unimall_order` VALUES (162, 'ios', '1012019081346431032', 228, 80, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-17 13:47:15', '2019-08-17 13:46:43');
INSERT INTO `unimall_order` VALUES (163, 'ios', '1012019081414221033', 226, 90, 33480, 27900, 0, 100, 50, NULL, 27800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-17 14:30:00', '2019-08-17 14:14:23');
INSERT INTO `unimall_order` VALUES (164, 'ios', '1012019081654341034', 87, 60, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-17 16:54:42', '2019-08-17 16:54:35');
INSERT INTO `unimall_order` VALUES (165, 'android', '1012019081127371035', 237, 20, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-18 11:27:49', '2019-08-18 11:27:37');
INSERT INTO `unimall_order` VALUES (166, 'ios', '1012019081612351036', 240, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-18 16:28:00', '2019-08-18 16:12:35');
INSERT INTO `unimall_order` VALUES (167, 'ios', '1012019081036041037', 241, 60, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '哈哈哈', '2019-08-19 10:36:10', '2019-08-19 10:36:05');
INSERT INTO `unimall_order` VALUES (168, 'ios', '1012019081036291038', 241, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-19 10:52:00', '2019-08-19 10:36:30');
INSERT INTO `unimall_order` VALUES (169, 'android', '1012019082315581039', 248, 80, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-19 23:16:51', '2019-08-19 23:15:59');
INSERT INTO `unimall_order` VALUES (170, 'ios', '1012019082348541040', 62, 20, 99900, 68800, 0, NULL, NULL, NULL, 68800, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-19 23:49:01', '2019-08-19 23:48:55');
INSERT INTO `unimall_order` VALUES (173, 'ios', '1012019081240341003', 21, 90, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-21 12:56:00', '2019-08-21 12:40:35');
INSERT INTO `unimall_order` VALUES (176, 'ios', '1012019081254171006', 21, 70, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000347201908210269177193', 'WX', '2019-08-21 12:54:32', NULL, NULL, '2019-08-21 12:54:44', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-21 13:02:11', '2019-08-21 12:54:18');
INSERT INTO `unimall_order` VALUES (177, 'android', '1012019081401201001', 256, 90, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-21 14:17:00', '2019-08-21 14:01:20');
INSERT INTO `unimall_order` VALUES (178, 'android', '1012019081433061002', 203, 20, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-21 14:33:13', '2019-08-21 14:33:06');
INSERT INTO `unimall_order` VALUES (179, 'android', '1012019080920031003', 260, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000355201908224093758665', 'WX', '2019-08-22 09:20:16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-22 09:20:04', '2019-08-22 09:20:04');
INSERT INTO `unimall_order` VALUES (180, 'ios', '1012019081002331004', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000344201908224787571382', 'WX', '2019-08-22 10:02:43', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-22 10:02:34', '2019-08-22 10:02:34');
INSERT INTO `unimall_order` VALUES (181, 'android', '1012019081049411005', 229, 90, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-22 11:05:00', '2019-08-22 10:49:42');
INSERT INTO `unimall_order` VALUES (182, 'android', '1012019081356031006', 265, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '浙江省', '温州市', '洞头县', '骨灰盒', '13856232563', '黑胡椒', '', '2019-08-22 14:12:00', '2019-08-22 13:56:04');
INSERT INTO `unimall_order` VALUES (183, 'ios', '1012019081518481007', 266, 20, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-22 15:19:05', '2019-08-22 15:18:49');
INSERT INTO `unimall_order` VALUES (184, 'android', '1012019081645121008', 267, 90, 38800, 18800, 0, 100, 50, NULL, 18700, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-22 17:01:00', '2019-08-22 16:45:13');
INSERT INTO `unimall_order` VALUES (185, 'android', '1012019081645261009', 267, 80, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-22 16:46:41', '2019-08-22 16:45:26');
INSERT INTO `unimall_order` VALUES (186, 'android', '1012019080607401010', 259, 90, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 06:23:00', '2019-08-23 06:07:40');
INSERT INTO `unimall_order` VALUES (187, 'ios', '1012019081037301011', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000340201908237033303701', 'WX', '2019-08-23 10:37:41', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-23 10:37:30', '2019-08-23 10:37:30');
INSERT INTO `unimall_order` VALUES (188, 'android', '1012019081313141012', 275, 20, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 13:13:26', '2019-08-23 13:13:14');
INSERT INTO `unimall_order` VALUES (189, 'android', '1012019081320141013', 275, 90, 54900, 106400, 0, NULL, NULL, NULL, 106400, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 13:36:00', '2019-08-23 13:20:15');
INSERT INTO `unimall_order` VALUES (190, 'android', '1012019081320551014', 275, 20, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 13:20:59', '2019-08-23 13:20:56');
INSERT INTO `unimall_order` VALUES (191, 'android', '1012019081336411015', 276, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 13:52:00', '2019-08-23 13:36:42');
INSERT INTO `unimall_order` VALUES (192, 'ios', '1012019081509041016', 21, 90, 100, 1, 0, NULL, NULL, NULL, 20999, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-23 15:25:00', '2019-08-23 15:09:04');
INSERT INTO `unimall_order` VALUES (193, 'ios', '1012019081517141017', 21, 90, 100, 1, 0, NULL, NULL, NULL, 20901, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-23 15:33:00', '2019-08-23 15:17:14');
INSERT INTO `unimall_order` VALUES (194, 'ios', '1012019081527391018', 21, 90, 100, 1, 0, NULL, NULL, NULL, 20901, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-23 15:43:00', '2019-08-23 15:27:40');
INSERT INTO `unimall_order` VALUES (195, 'ios', '1012019081534011019', 21, 90, 100, 1, 0, NULL, NULL, NULL, 20901, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-23 15:50:00', '2019-08-23 15:34:02');
INSERT INTO `unimall_order` VALUES (196, 'ios', '1012019081540241001', 21, 90, 100, 1, 20900, NULL, NULL, NULL, 20901, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-23 15:56:00', '2019-08-23 15:40:24');
INSERT INTO `unimall_order` VALUES (197, 'android', '1012019081627151002', 22, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 16:43:00', '2019-08-23 16:27:15');
INSERT INTO `unimall_order` VALUES (198, 'android', '1012019081627521003', 22, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 16:43:00', '2019-08-23 16:27:53');
INSERT INTO `unimall_order` VALUES (199, 'ios', '1012019081628211004', 21, 90, 100, 1, 20900, NULL, NULL, NULL, 20901, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-23 16:44:00', '2019-08-23 16:28:21');
INSERT INTO `unimall_order` VALUES (200, 'ios', '1012019081637141005', 21, 90, 100, 1, 20900, NULL, NULL, NULL, 20901, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-23 16:53:00', '2019-08-23 16:37:15');
INSERT INTO `unimall_order` VALUES (201, 'android', '1012019081646101006', 22, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 17:02:00', '2019-08-23 16:46:10');
INSERT INTO `unimall_order` VALUES (202, 'android', '1012019081646421007', 22, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-23 17:02:00', '2019-08-23 16:46:43');
INSERT INTO `unimall_order` VALUES (203, 'ios', '1012019081657041008', 21, 90, 100, 1, 20900, NULL, NULL, NULL, 20901, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-23 17:13:00', '2019-08-23 16:57:05');
INSERT INTO `unimall_order` VALUES (204, 'android', '1012019081701401009', 22, 90, 100, 1, 20900, NULL, NULL, NULL, 20901, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '北碚区', '弄', '18883165287', '匡柏权', '', '2019-08-23 17:17:00', '2019-08-23 17:01:40');
INSERT INTO `unimall_order` VALUES (205, 'android', '1012019081802511001', 22, 90, 100, 1, 21000, NULL, NULL, NULL, 21001, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '北碚区', '弄', '18883165287', '匡柏权', '', '2019-08-23 18:18:00', '2019-08-23 18:02:51');
INSERT INTO `unimall_order` VALUES (206, 'android', '1012019081804391002', 22, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '北碚区', '弄', '18883165287', '匡柏权', '', '2019-08-23 18:20:00', '2019-08-23 18:04:39');
INSERT INTO `unimall_order` VALUES (207, 'ios', '1012019081005291003', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000356201908249708468787', 'WX', '2019-08-24 10:05:40', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-24 10:05:30', '2019-08-24 10:05:30');
INSERT INTO `unimall_order` VALUES (208, 'devtools', '1012019080748481004', 285, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '北京', '北京市', '西城区', '都城大厦1515', '13810819020', '李', '', '2019-08-25 08:04:00', '2019-08-25 07:48:48');
INSERT INTO `unimall_order` VALUES (209, 'ios', '1012019081051141005', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000347201908251820538182', 'WX', '2019-08-25 10:51:27', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-25 10:51:15', '2019-08-25 10:51:15');
INSERT INTO `unimall_order` VALUES (210, 'ios', '1012019081554461006', 286, 20, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-25 15:54:52', '2019-08-25 15:54:46');
INSERT INTO `unimall_order` VALUES (211, 'android', '1012019081038291007', 287, 90, 34680, 28900, 0, 100, 50, NULL, 28800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-26 10:54:00', '2019-08-26 10:38:30');
INSERT INTO `unimall_order` VALUES (212, 'android', '1012019081407531008', 289, 80, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-26 14:11:32', '2019-08-26 14:07:54');
INSERT INTO `unimall_order` VALUES (213, 'android', '1012019082057501009', 285, 90, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-26 21:13:00', '2019-08-26 20:57:51');
INSERT INTO `unimall_order` VALUES (214, 'android', '1012019081045511010', 287, 20, 54900, 53200, 0, 100, 50, NULL, 53100, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-27 10:46:04', '2019-08-27 10:45:52');
INSERT INTO `unimall_order` VALUES (215, 'ios', '1012019081927321011', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000358201908275325343588', 'WX', '2019-08-27 19:27:43', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-27 19:27:32', '2019-08-27 19:27:32');
INSERT INTO `unimall_order` VALUES (216, 'android', '1012019082143111012', 305, 20, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-28 21:43:19', '2019-08-28 21:43:11');
INSERT INTO `unimall_order` VALUES (217, 'android', '1012019082346361013', 307, 90, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-29 00:02:00', '2019-08-28 23:46:36');
INSERT INTO `unimall_order` VALUES (218, 'android', '1012019080144591014', 308, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-29 02:00:00', '2019-08-29 01:44:59');
INSERT INTO `unimall_order` VALUES (219, 'android', '1012019080943401015', 308, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-29 09:59:00', '2019-08-29 09:43:41');
INSERT INTO `unimall_order` VALUES (220, 'android', '1012019081354211016', 303, 80, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-29 13:54:54', '2019-08-29 13:54:22');
INSERT INTO `unimall_order` VALUES (221, 'ios', '1012019081503471017', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000349201908290008387652', 'WX', '2019-08-29 15:03:54', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-29 15:03:48', '2019-08-29 15:03:48');
INSERT INTO `unimall_order` VALUES (222, 'android', '1012019081627481018', 314, 90, 10690, 8900, 0, 100, 50, NULL, 8800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '山东省', '青岛市', '市北区', '测试', '17878787878', '玫瑰', '', '2019-08-29 16:43:00', '2019-08-29 16:27:49');
INSERT INTO `unimall_order` VALUES (223, 'ios', '1012019081719261019', 311, 20, 100, 2, 0, NULL, NULL, NULL, 2, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-29 17:19:40', '2019-08-29 17:19:26');
INSERT INTO `unimall_order` VALUES (224, 'ios', '1012019080825511020', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000344201908307381782224', 'WX', '2019-08-30 08:26:01', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-30 08:25:52', '2019-08-30 08:25:52');
INSERT INTO `unimall_order` VALUES (225, 'android', '1012019082220381021', 321, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-30 22:36:00', '2019-08-30 22:20:39');
INSERT INTO `unimall_order` VALUES (226, 'ios', '1012019080847231022', 285, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-31 09:03:00', '2019-08-31 08:47:23');
INSERT INTO `unimall_order` VALUES (227, 'ios', '1012019080927211023', 285, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-31 09:43:00', '2019-08-31 09:27:22');
INSERT INTO `unimall_order` VALUES (228, 'ios', '1012019080927391024', 285, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-08-31 09:43:00', '2019-08-31 09:27:40');
INSERT INTO `unimall_order` VALUES (229, 'ios', '1012019081020341025', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000351201908313417957680', 'WX', '2019-08-31 10:20:41', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-08-31 10:20:34', '2019-08-31 10:20:34');
INSERT INTO `unimall_order` VALUES (230, 'android', '1012019081458451026', 329, 40, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-04 14:44:48', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 14:45:00', '2019-08-31 14:58:45');
INSERT INTO `unimall_order` VALUES (231, 'ios', '1012019081858001027', 331, 40, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-04 14:44:47', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 14:45:00', '2019-08-31 18:58:00');
INSERT INTO `unimall_order` VALUES (232, 'ios', '1012019091633051028', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000354201909015762739257', 'WX', '2019-09-01 16:33:16', NULL, NULL, '2019-09-04 14:44:45', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-11 14:45:00', '2019-09-01 16:33:06');
INSERT INTO `unimall_order` VALUES (233, 'ios', '1012019090722481029', 336, 50, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-04 14:44:44', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-08 11:02:30', '2019-09-02 07:22:49');
INSERT INTO `unimall_order` VALUES (234, 'ios', '1012019090958341030', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000346201909022406245255', 'WX', '2019-09-02 09:58:44', NULL, NULL, '2019-09-04 14:44:42', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-11 14:45:00', '2019-09-02 09:58:34');
INSERT INTO `unimall_order` VALUES (235, 'android', '1012019091029481031', 338, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-02 10:45:00', '2019-09-02 10:29:49');
INSERT INTO `unimall_order` VALUES (236, 'android', '1012019091029491032', 338, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-02 10:45:00', '2019-09-02 10:29:49');
INSERT INTO `unimall_order` VALUES (237, 'android', '1012019091031431033', 339, 90, 10690, 8900, 0, 100, 50, NULL, 8800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-02 10:47:00', '2019-09-02 10:31:43');
INSERT INTO `unimall_order` VALUES (238, 'android', '1012019091048261034', 340, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-02 11:04:00', '2019-09-02 10:48:26');
INSERT INTO `unimall_order` VALUES (239, 'android', '1012019091237021035', 338, 40, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-04 14:44:41', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 14:45:00', '2019-09-02 12:37:02');
INSERT INTO `unimall_order` VALUES (240, 'ios', '1012019091644231036', 344, 90, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-02 17:00:00', '2019-09-02 16:44:23');
INSERT INTO `unimall_order` VALUES (241, 'ios', '1012019091045131037', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000345201909039461953951', 'WX', '2019-09-03 10:45:20', NULL, NULL, '2019-09-04 14:44:37', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-11 14:45:00', '2019-09-03 10:45:13');
INSERT INTO `unimall_order` VALUES (242, 'android', '1012019091407241038', 118, 90, 99900, 68800, 0, NULL, NULL, NULL, 68800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-03 14:23:00', '2019-09-03 14:07:24');
INSERT INTO `unimall_order` VALUES (243, 'ios', '1012019091735101039', 156, 40, 34680, 28900, 0, 100, 50, NULL, 28800, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-04 14:44:35', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 14:45:00', '2019-09-03 17:35:11');
INSERT INTO `unimall_order` VALUES (244, 'android', '1012019090849571040', 354, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-04 09:05:00', '2019-09-04 08:49:57');
INSERT INTO `unimall_order` VALUES (245, 'android', '1012019090850381041', 354, 40, 1800, 2760, 0, NULL, NULL, NULL, 2760, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-04 14:44:33', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 14:45:00', '2019-09-04 08:50:38');
INSERT INTO `unimall_order` VALUES (246, 'android', '1012019091412441042', 355, 80, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-04 14:14:26', '2019-09-04 14:12:45');
INSERT INTO `unimall_order` VALUES (247, 'android', '1012019091412451043', 355, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-04 14:28:00', '2019-09-04 14:12:45');
INSERT INTO `unimall_order` VALUES (248, 'android', '1012019091435191044', 75, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-04 14:51:00', '2019-09-04 14:35:20');
INSERT INTO `unimall_order` VALUES (249, 'android', '1012019091443041045', 75, 40, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-04 14:44:32', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 14:45:00', '2019-09-04 14:43:05');
INSERT INTO `unimall_order` VALUES (250, 'ios', '1012019091445131046', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000358201909043148664505', 'WX', '2019-09-04 14:45:24', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-04 14:45:14', '2019-09-04 14:45:14');
INSERT INTO `unimall_order` VALUES (251, 'android', '1012019091446031047', 75, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-04 15:02:00', '2019-09-04 14:46:04');
INSERT INTO `unimall_order` VALUES (252, 'ios', '1012019091530351048', 356, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-04 15:46:00', '2019-09-04 15:30:35');
INSERT INTO `unimall_order` VALUES (253, 'android', '1012019091738501049', 360, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-05 17:54:00', '2019-09-05 17:38:51');
INSERT INTO `unimall_order` VALUES (254, 'android', '1012019091918381050', 361, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-05 19:34:00', '2019-09-05 19:18:38');
INSERT INTO `unimall_order` VALUES (255, 'android', '1012019092258001051', 215, 90, 66240, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-05 23:14:00', '2019-09-05 22:58:01');
INSERT INTO `unimall_order` VALUES (256, 'android', '1012019090950101052', 363, 20, 114520, 100801, 0, 100, 50, NULL, 100701, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-06 09:50:21', '2019-09-06 09:50:11');
INSERT INTO `unimall_order` VALUES (257, 'android', '1012019091107481053', 366, 90, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-06 11:23:00', '2019-09-06 11:07:49');
INSERT INTO `unimall_order` VALUES (258, 'android', '1012019091108241054', 366, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-06 11:24:00', '2019-09-06 11:08:25');
INSERT INTO `unimall_order` VALUES (259, 'ios', '1012019091153291055', 21, 40, 100, 2, 0, NULL, NULL, NULL, 2, 2, '4200000409201909063569575259', 'WX', '2019-09-06 11:53:36', NULL, NULL, '2019-09-10 13:45:50', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-17 14:00:00', '2019-09-06 11:53:30');
INSERT INTO `unimall_order` VALUES (260, 'ios', '1012019091202581056', 367, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-06 12:18:00', '2019-09-06 12:02:58');
INSERT INTO `unimall_order` VALUES (261, 'ios', '1012019091203531057', 367, 90, 57600, 46000, 0, 100, 50, NULL, 45900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '很多话', '2019-09-06 12:19:00', '2019-09-06 12:03:53');
INSERT INTO `unimall_order` VALUES (262, 'android', '1012019091414351058', 355, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '浙江省', '杭州市', '萧山区', '测试用', '18758186347', '测试', '', '2019-09-06 14:30:00', '2019-09-06 14:14:36');
INSERT INTO `unimall_order` VALUES (263, 'android', '1012019091453571059', 369, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-06 15:09:00', '2019-09-06 14:53:58');
INSERT INTO `unimall_order` VALUES (264, 'android', '1012019091454051060', 369, 40, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-10 13:45:47', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-17 14:00:00', '2019-09-06 14:54:05');
INSERT INTO `unimall_order` VALUES (265, 'android', '1012019091511091061', 359, 90, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-06 15:27:00', '2019-09-06 15:11:09');
INSERT INTO `unimall_order` VALUES (266, 'ios', '1012019090820211062', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000406201909070108061313', 'WX', '2019-09-07 08:20:28', NULL, NULL, '2019-09-10 13:45:46', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-17 14:00:00', '2019-09-07 08:20:22');
INSERT INTO `unimall_order` VALUES (267, 'ios', '1012019090935471063', 367, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-07 09:51:00', '2019-09-07 09:35:48');
INSERT INTO `unimall_order` VALUES (268, 'ios', '1012019090936131064', 367, 90, 89580, 82100, 0, NULL, NULL, NULL, 82100, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-07 09:52:00', '2019-09-07 09:36:14');
INSERT INTO `unimall_order` VALUES (269, 'ios', '1012019090938431065', 367, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-07 09:54:00', '2019-09-07 09:38:44');
INSERT INTO `unimall_order` VALUES (270, 'ios', '1012019091009031066', 367, 90, 1800, 1380, 0, 100, 50, NULL, 1280, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-07 10:25:00', '2019-09-07 10:09:04');
INSERT INTO `unimall_order` VALUES (271, 'ios', '1012019091016511067', 367, 90, 36480, 150340, 0, 100, 50, NULL, 150240, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-07 10:32:00', '2019-09-07 10:16:51');
INSERT INTO `unimall_order` VALUES (272, 'android', '1012019091226101068', 287, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-07 12:42:00', '2019-09-07 12:26:10');
INSERT INTO `unimall_order` VALUES (273, 'android', '1012019091258041069', 287, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '广东省', '茂名市', '信宜市', '44400', '18125555555', '刚刚', '', '2019-09-07 13:14:00', '2019-09-07 12:58:04');
INSERT INTO `unimall_order` VALUES (274, 'android', '1012019091301591070', 287, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '河北省', '唐山市', '路北区', '44400', '18125555555', '刚刚', '', '2019-09-07 13:18:00', '2019-09-07 13:02:00');
INSERT INTO `unimall_order` VALUES (275, 'android', '1012019091723191071', 209, 90, 38800, 18800, 0, 100, 50, NULL, 18700, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '江西省', '南昌市', '青山湖区', '中大青山湖东园6栋1单元3402', '17779152309', '张运康', '', '2019-09-07 17:39:00', '2019-09-07 17:23:19');
INSERT INTO `unimall_order` VALUES (276, 'android', '1012019091813031072', 209, 40, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-10 13:45:40', NULL, '江西省', '南昌市', '青山湖区', '中大青山湖东园6栋1单元3402', '17779152309', '张运康', '', '2019-09-17 14:00:00', '2019-09-07 18:13:04');
INSERT INTO `unimall_order` VALUES (277, 'android', '1012019092135391073', 376, 90, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-07 21:51:00', '2019-09-07 21:35:40');
INSERT INTO `unimall_order` VALUES (278, 'ios', '1012019091102171074', 336, 40, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, '2019-09-10 13:45:33', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-17 14:00:00', '2019-09-08 11:02:17');
INSERT INTO `unimall_order` VALUES (279, 'ios', '1012019091439301075', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000410201909082880773770', 'WX', '2019-09-08 14:39:38', NULL, NULL, '2019-09-10 13:45:31', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-17 14:00:00', '2019-09-08 14:39:30');
INSERT INTO `unimall_order` VALUES (280, 'android', '1012019090843531076', 288, 90, 100, 2, 0, NULL, NULL, NULL, 2, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-09 08:59:00', '2019-09-09 08:43:53');
INSERT INTO `unimall_order` VALUES (281, 'android', '1012019090845321077', 288, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-09 09:01:00', '2019-09-09 08:45:33');
INSERT INTO `unimall_order` VALUES (282, 'android', '1012019090912271078', 288, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-09 09:28:00', '2019-09-09 09:12:27');
INSERT INTO `unimall_order` VALUES (283, 'ios', '1012019090916471079', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000413201909093429950750', 'WX', '2019-09-09 09:16:59', NULL, NULL, '2019-09-10 13:45:28', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-17 14:00:00', '2019-09-09 09:16:47');
INSERT INTO `unimall_order` VALUES (284, 'ios', '1012019091844341080', 383, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-09 19:00:00', '2019-09-09 18:44:34');
INSERT INTO `unimall_order` VALUES (285, 'ios', '1012019092130251081', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000420201909092835541662', 'WX', '2019-09-09 21:30:33', NULL, NULL, '2019-09-10 13:45:23', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-17 14:00:00', '2019-09-09 21:30:26');
INSERT INTO `unimall_order` VALUES (286, 'android', '1012019090843551082', 386, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-10 08:59:00', '2019-09-10 08:43:56');
INSERT INTO `unimall_order` VALUES (287, 'android', '1012019090849451083', 386, 90, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-10 09:05:00', '2019-09-10 08:49:45');
INSERT INTO `unimall_order` VALUES (288, 'android', '1012019091023231084', 387, 20, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-10 10:23:31', '2019-09-10 10:23:23');
INSERT INTO `unimall_order` VALUES (289, 'android', '1012019091038331085', 355, 40, 38800, 18800, 0, NULL, NULL, NULL, 18800, 18800, '4200000404201909104798901388', 'WX', '2019-09-10 10:38:45', '73119542983516', 'ZTO', '2019-09-10 23:14:13', NULL, '浙江省', '杭州市', '萧山区', '测试用', '18758186347', '测试', '北京源通空港电子商务有限公司，沈杰锋，18758186347', '2019-09-11 16:35:04', '2019-09-10 10:38:33');
INSERT INTO `unimall_order` VALUES (290, 'android', '1012019091041391086', 388, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-10 10:57:00', '2019-09-10 10:41:40');
INSERT INTO `unimall_order` VALUES (291, 'android', '1012019091055101087', 387, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-10 11:11:00', '2019-09-10 10:55:10');
INSERT INTO `unimall_order` VALUES (292, 'android', '1012019091640031088', 394, 90, 38800, 18800, 0, NULL, NULL, NULL, 18800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-10 16:56:00', '2019-09-10 16:40:03');
INSERT INTO `unimall_order` VALUES (293, 'ios', '1012019091804391089', 397, 90, 99900, 68800, 0, NULL, NULL, NULL, 68800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-10 18:20:00', '2019-09-10 18:04:40');
INSERT INTO `unimall_order` VALUES (294, 'ios', '1012019091007231090', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000407201909114903812518', 'WX', '2019-09-11 10:07:36', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-11 10:07:23', '2019-09-11 10:07:23');
INSERT INTO `unimall_order` VALUES (295, 'android', '1012019091157011091', 401, 20, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 11:57:06', '2019-09-11 11:57:01');
INSERT INTO `unimall_order` VALUES (296, 'android', '1012019091549331092', 402, 80, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 15:50:23', '2019-09-11 15:49:34');
INSERT INTO `unimall_order` VALUES (297, 'android', '1012019091550061093', 402, 60, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000411201909112790450553', 'WX', '2019-09-11 15:50:16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 15:50:06', '2019-09-11 15:50:06');
INSERT INTO `unimall_order` VALUES (298, 'android', '1012019091634461094', 355, 60, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000409201909113479771143', 'WX', '2019-09-11 16:34:55', NULL, NULL, NULL, NULL, '浙江省', '杭州市', '萧山区', '测试用', '18758186347', '测试', '', '2019-09-11 16:34:47', '2019-09-11 16:34:47');
INSERT INTO `unimall_order` VALUES (299, 'android', '1012019091944511095', 404, 90, 10690, 8900, 0, NULL, NULL, NULL, 8900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-11 20:00:00', '2019-09-11 19:44:51');
INSERT INTO `unimall_order` VALUES (300, 'android', '1012019091018281096', 405, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-12 10:34:00', '2019-09-12 10:18:29');
INSERT INTO `unimall_order` VALUES (301, 'android', '1012019091312151097', 407, 90, 99900, 68800, 0, NULL, NULL, NULL, 68800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-12 13:28:00', '2019-09-12 13:12:16');
INSERT INTO `unimall_order` VALUES (302, 'android', '1012019091346381098', 408, 90, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-12 14:02:00', '2019-09-12 13:46:38');
INSERT INTO `unimall_order` VALUES (303, 'ios', '1012019091428211099', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000419201909125549981216', 'WX', '2019-09-12 14:28:28', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-12 14:28:22', '2019-09-12 14:28:22');
INSERT INTO `unimall_order` VALUES (304, 'android', '1012019092027321100', 413, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000420201909126775101287', 'WX', '2019-09-12 20:27:43', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-12 20:27:33', '2019-09-12 20:27:33');
INSERT INTO `unimall_order` VALUES (305, 'android', '1012019090946491101', 413, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000402201909135084747390', 'WX', '2019-09-13 09:46:58', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-13 09:46:49', '2019-09-13 09:46:49');
INSERT INTO `unimall_order` VALUES (306, 'android', '1012019091504371102', 415, 90, 33480, 27900, 0, NULL, NULL, NULL, 27900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-13 15:20:00', '2019-09-13 15:04:38');
INSERT INTO `unimall_order` VALUES (307, 'ios', '1012019092102321103', 416, 20, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-13 21:02:43', '2019-09-13 21:02:32');
INSERT INTO `unimall_order` VALUES (308, 'android', '1012019092300251104', 413, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000418201909139348279597', 'WX', '2019-09-13 23:00:36', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-13 23:00:26', '2019-09-13 23:00:26');
INSERT INTO `unimall_order` VALUES (309, 'android', '1012019090901401105', 418, 90, 99900, 68800, 0, NULL, NULL, NULL, 68800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-14 09:17:00', '2019-09-14 09:01:40');
INSERT INTO `unimall_order` VALUES (310, 'android', '1012019092012131106', 421, 20, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-14 20:12:23', '2019-09-14 20:12:14');
INSERT INTO `unimall_order` VALUES (311, 'android', '1012019092013061107', 421, 20, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-14 20:13:08', '2019-09-14 20:13:06');
INSERT INTO `unimall_order` VALUES (312, 'android', '1012019092100371108', 413, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000415201909148278829982', 'WX', '2019-09-14 21:00:46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-14 21:00:38', '2019-09-14 21:00:38');
INSERT INTO `unimall_order` VALUES (313, 'ios', '1012019091046241109', 423, 90, 42120, 35100, 0, 100, 50, NULL, 35000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '北京', '北京市', '东城区', '？我也不知道', '15968845617', '张三', '', '2019-09-15 11:02:00', '2019-09-15 10:46:25');
INSERT INTO `unimall_order` VALUES (314, 'ios', '1012019091116461110', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000403201909150620256749', 'WX', '2019-09-15 11:16:53', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-15 11:16:47', '2019-09-15 11:16:47');
INSERT INTO `unimall_order` VALUES (315, 'ios', '1012019091415011111', 424, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-15 14:31:00', '2019-09-15 14:15:01');
INSERT INTO `unimall_order` VALUES (316, 'android', '1012019092057011112', 413, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000406201909152926871085', 'WX', '2019-09-15 20:57:10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-15 20:57:02', '2019-09-15 20:57:02');
INSERT INTO `unimall_order` VALUES (317, 'ios', '1012019090818531113', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000405201909164631481552', 'WX', '2019-09-16 08:19:01', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-16 08:18:54', '2019-09-16 08:18:54');
INSERT INTO `unimall_order` VALUES (318, 'android', '1012019091409291114', 413, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000420201909162678957060', 'WX', '2019-09-16 14:09:46', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-16 14:09:30', '2019-09-16 14:09:30');
INSERT INTO `unimall_order` VALUES (319, 'android', '1012019091541401115', 138, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-16 15:57:00', '2019-09-16 15:41:40');
INSERT INTO `unimall_order` VALUES (320, 'android', '1012019091727081116', 431, 90, 99900, 206400, 0, NULL, NULL, NULL, 206400, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-16 17:43:00', '2019-09-16 17:27:09');
INSERT INTO `unimall_order` VALUES (321, 'ios', '1012019092132261117', 21, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-16 21:48:00', '2019-09-16 21:32:26');
INSERT INTO `unimall_order` VALUES (322, 'ios', '1012019090736271118', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000420201909177778069659', 'WX', '2019-09-17 07:36:33', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-17 07:36:27', '2019-09-17 07:36:27');
INSERT INTO `unimall_order` VALUES (323, 'ios', '1012019091202141119', 433, 20, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-17 12:02:27', '2019-09-17 12:02:15');
INSERT INTO `unimall_order` VALUES (324, 'android', '1012019091657461120', 436, 90, 99900, 68800, 0, NULL, NULL, NULL, 68800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-17 17:13:00', '2019-09-17 16:57:47');
INSERT INTO `unimall_order` VALUES (325, 'android', '1012019091701511121', 436, 90, 99900, 68800, 0, NULL, NULL, NULL, 68800, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-17 17:17:00', '2019-09-17 17:01:52');
INSERT INTO `unimall_order` VALUES (326, 'android', '1012019091750501122', 437, 20, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-17 17:51:07', '2019-09-17 17:50:51');
INSERT INTO `unimall_order` VALUES (327, 'android', '1012019091844541123', 438, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-17 19:00:00', '2019-09-17 18:44:55');
INSERT INTO `unimall_order` VALUES (328, 'android', '1012019091845001124', 438, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-17 19:01:00', '2019-09-17 18:45:01');
INSERT INTO `unimall_order` VALUES (329, 'android', '1012019092031101125', 413, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000417201909176103940938', 'WX', '2019-09-17 20:31:20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-17 20:31:11', '2019-09-17 20:31:11');
INSERT INTO `unimall_order` VALUES (330, 'android', '1012019091112221126', 439, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-18 11:28:00', '2019-09-18 11:12:23');
INSERT INTO `unimall_order` VALUES (331, 'ios', '1012019091220301127', 21, 20, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000421201909185749675281', 'WX', '2019-09-18 12:20:42', NULL, NULL, NULL, NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-09-18 12:20:31', '2019-09-18 12:20:31');
INSERT INTO `unimall_order` VALUES (332, 'android', '1012019091353581128', 441, 90, 1800, 1380, 0, NULL, NULL, NULL, 1380, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-18 14:09:00', '2019-09-18 13:53:59');
INSERT INTO `unimall_order` VALUES (333, 'ios', '1012019091358131129', 442, 80, 1920, 1600, 0, NULL, NULL, NULL, 1600, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-18 13:59:19', '2019-09-18 13:58:13');
INSERT INTO `unimall_order` VALUES (334, 'android', '1012019091443261130', 444, 90, 57600, 46000, 0, NULL, NULL, NULL, 46000, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-18 14:59:00', '2019-09-18 14:43:27');
INSERT INTO `unimall_order` VALUES (335, 'android', '1012019091449401131', 445, 20, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-18 14:49:52', '2019-09-18 14:49:41');
INSERT INTO `unimall_order` VALUES (336, 'android', '1012019091611061132', 449, 90, 54900, 53200, 0, NULL, NULL, NULL, 53200, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-18 16:27:00', '2019-09-18 16:11:07');
INSERT INTO `unimall_order` VALUES (337, 'android', '1012019091636181133', 449, 20, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-18 16:36:22', '2019-09-18 16:36:19');
INSERT INTO `unimall_order` VALUES (338, 'android', '1012019092121201134', 452, 20, 8640, 7200, 0, NULL, NULL, NULL, 7200, NULL, NULL, 'OFFLINE', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-09-18 21:21:37', '2019-09-18 21:21:20');
INSERT INTO `unimall_order` VALUES (339, 'devtools', '3012019102019401001', 21, 90, 100, 1, 0, NULL, NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-10-31 20:35:00', '2019-10-31 20:19:41');
INSERT INTO `unimall_order` VALUES (340, 'devtools', '1012019102247451001', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000420201910312215781660', 'WX', '2019-10-31 22:48:36', NULL, NULL, '2019-10-31 22:48:37', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-11-08 18:45:00', '2019-10-31 22:47:46');
INSERT INTO `unimall_order` VALUES (341, 'devtools', '1012019102252041001', 21, 40, 100, 1, 0, NULL, NULL, NULL, 1, 1, '4200000420201910317618360929', 'WX', '2019-10-31 22:52:17', NULL, NULL, '2019-10-31 22:52:17', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-11-08 18:45:00', '2019-10-31 22:52:04');
INSERT INTO `unimall_order` VALUES (342, 'devtools', '1012019111551581001', 21, 40, 10, 1, 0, NULL, NULL, NULL, 1, 1, '4200000454201911068850116648', 'WX', '2019-11-06 15:56:24', NULL, NULL, '2019-11-06 15:56:25', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-11-15 13:15:00', '2019-11-06 15:51:58');
INSERT INTO `unimall_order` VALUES (343, 'devtools', '1012019111555351002', 21, 40, 10, 1, 0, NULL, NULL, NULL, 1, 1, '4200000465201911060135530039', 'WX', '2019-11-06 15:55:50', NULL, NULL, '2019-11-06 15:55:50', NULL, '重庆', '重庆市', '南岸区', '香溪路2号', '18584669549', '魏朝正', '', '2019-11-15 13:15:00', '2019-11-06 15:55:36');
INSERT INTO `unimall_order` VALUES (344, 'android', '1012019122357421001', 453, 90, 34680, 28900, 0, NULL, NULL, NULL, 28900, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '', '2019-12-18 21:01:00', '2019-12-17 23:57:43');
COMMIT;

-- ----------------------------
-- Table structure for unimall_order_sku
-- ----------------------------
DROP TABLE IF EXISTS `unimall_order_sku`;
CREATE TABLE `unimall_order_sku` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sku_id` bigint(20) NOT NULL,
  `spu_id` bigint(20) NOT NULL,
  `order_id` bigint(20) NOT NULL,
  `order_no` varchar(255) NOT NULL,
  `spu_title` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `bar_code` varchar(255) NOT NULL,
  `num` int(11) NOT NULL,
  `unit` varchar(60) DEFAULT NULL,
  `original_price` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `img` varchar(255) NOT NULL,
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=375 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_order_sku
-- ----------------------------
BEGIN;
INSERT INTO `unimall_order_sku` VALUES (1, 1, 28, 1, '1012019071753561001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-06 17:53:57', '2019-07-06 17:53:57');
INSERT INTO `unimall_order_sku` VALUES (2, 2, 28, 1, '1012019071753561001', '钛架防辐射抗蓝光男士', '小型', '111888111', 4, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-06 17:53:57', '2019-07-06 17:53:57');
INSERT INTO `unimall_order_sku` VALUES (3, 1, 28, 2, '1012019071753561001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-06 17:53:57', '2019-07-06 17:53:57');
INSERT INTO `unimall_order_sku` VALUES (4, 1, 28, 2, '1012019071753561001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-06 17:53:57', '2019-07-06 17:53:57');
INSERT INTO `unimall_order_sku` VALUES (5, 1, 28, 3, '1012019071753561001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-06 17:53:57', '2019-07-06 17:53:57');
INSERT INTO `unimall_order_sku` VALUES (6, 2, 28, 2, '1012019071753561001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-06 17:53:57', '2019-07-06 17:53:57');
INSERT INTO `unimall_order_sku` VALUES (7, 1, 28, 4, '1012019071541321001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 15:41:33', '2019-07-07 15:41:33');
INSERT INTO `unimall_order_sku` VALUES (8, 2, 28, 4, '1012019071541321001', '钛架防辐射抗蓝光男士', '小型', '111888111', 4, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 15:41:33', '2019-07-07 15:41:33');
INSERT INTO `unimall_order_sku` VALUES (9, 2, 28, 5, '1012019071736031001', '钛架防辐射抗蓝光男士', '小型', '111888111', 4, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 17:36:03', '2019-07-07 17:36:03');
INSERT INTO `unimall_order_sku` VALUES (10, 1, 28, 6, '1012019071839591001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 18:40:00', '2019-07-07 18:40:00');
INSERT INTO `unimall_order_sku` VALUES (11, 1, 28, 7, '1012019071841201002', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 18:41:21', '2019-07-07 18:41:21');
INSERT INTO `unimall_order_sku` VALUES (12, 1, 28, 8, '1012019071945261003', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 19:45:26', '2019-07-07 19:45:26');
INSERT INTO `unimall_order_sku` VALUES (13, 2, 28, 9, '1012019072142171001', '钛架防辐射抗蓝光男士', '小型', '111888111', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 21:42:17', '2019-07-07 21:42:17');
INSERT INTO `unimall_order_sku` VALUES (14, 2, 28, 10, '1012019072144281002', '钛架防辐射抗蓝光男士', '小型', '111888111', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 21:44:29', '2019-07-07 21:44:29');
INSERT INTO `unimall_order_sku` VALUES (15, 1, 28, 11, '1012019072146061003', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 3220, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 21:46:06', '2019-07-07 21:46:06');
INSERT INTO `unimall_order_sku` VALUES (16, 1, 28, 12, '1012019072222121004', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-07 22:22:12', '2019-07-07 22:22:12');
INSERT INTO `unimall_order_sku` VALUES (17, 2, 28, 13, '1012019071159051001', '钛架防辐射抗蓝光男士', '小型', '111888111', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-10 11:59:05', '2019-07-10 11:59:05');
INSERT INTO `unimall_order_sku` VALUES (18, 1, 28, 14, '1012019071219581001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-10 12:19:59', '2019-07-10 12:19:59');
INSERT INTO `unimall_order_sku` VALUES (19, 1, 28, 15, '1012019071229121002', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-10 12:29:13', '2019-07-10 12:29:13');
INSERT INTO `unimall_order_sku` VALUES (20, 1, 28, 16, '1012019071606101001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-11 16:06:11', '2019-07-11 16:06:11');
INSERT INTO `unimall_order_sku` VALUES (21, 2, 28, 16, '1012019071606101001', '钛架防辐射抗蓝光男士', '小型', '111888111', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-11 16:06:11', '2019-07-11 16:06:11');
INSERT INTO `unimall_order_sku` VALUES (22, 6, 28, 17, '1012019070950031001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-14 09:50:04', '2019-07-14 09:50:04');
INSERT INTO `unimall_order_sku` VALUES (23, 6, 28, 18, '1012019071747581001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-17 17:47:59', '2019-07-17 17:47:59');
INSERT INTO `unimall_order_sku` VALUES (24, 6, 28, 19, '1012019071810461001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-17 18:10:47', '2019-07-17 18:10:47');
INSERT INTO `unimall_order_sku` VALUES (25, 6, 28, 20, '1012019071814101002', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-17 18:14:11', '2019-07-17 18:14:11');
INSERT INTO `unimall_order_sku` VALUES (26, 6, 28, 21, '1012019071904591001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-17 19:04:59', '2019-07-17 19:04:59');
INSERT INTO `unimall_order_sku` VALUES (27, 6, 28, 22, '1012019071124551001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-18 11:24:56', '2019-07-18 11:24:56');
INSERT INTO `unimall_order_sku` VALUES (28, 6, 28, 23, '1012019071217371001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-18 12:17:38', '2019-07-18 12:17:38');
INSERT INTO `unimall_order_sku` VALUES (29, 6, 28, 24, '1012019071500371002', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-18 15:00:38', '2019-07-18 15:00:38');
INSERT INTO `unimall_order_sku` VALUES (30, 6, 28, 25, '1012019071546231001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-18 15:46:24', '2019-07-18 15:46:24');
INSERT INTO `unimall_order_sku` VALUES (31, 6, 28, 26, '1012019071112511001', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-20 11:12:52', '2019-07-20 11:12:52');
INSERT INTO `unimall_order_sku` VALUES (32, 6, 28, 27, '1012019071119121002', '钛架防辐射抗蓝光男士', '标准', '111110000', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-20 11:19:12', '2019-07-20 11:19:12');
INSERT INTO `unimall_order_sku` VALUES (33, 7, 28, 28, '1012019071125451003', '钛架防辐射抗蓝光男士', '小型', '111888111', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-20 11:25:46', '2019-07-20 11:25:46');
INSERT INTO `unimall_order_sku` VALUES (34, 7, 28, 29, '1012019071125461004', '钛架防辐射抗蓝光男士', '小型', '111888111', 1, NULL, 3230, 1, 'https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/83ecf09f2c5a4e03a4618d71adc84b2c.png', '2019-07-20 11:25:46', '2019-07-20 11:25:46');
INSERT INTO `unimall_order_sku` VALUES (35, 184, 1234179, 30, '1012019071214061001', '1*12_燕京鲜啤酒500ml', '1*12', '6946343901007', 1, NULL, 355, 340, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6946343901007.jpg', '2019-07-23 12:14:07', '2019-07-23 12:14:07');
INSERT INTO `unimall_order_sku` VALUES (36, 184, 1234179, 31, '1012019072046471001', '1*12_燕京鲜啤酒500ml', '1*12', '6946343901007', 1, NULL, 355, 340, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6946343901007.jpg', '2019-07-24 20:46:48', '2019-07-24 20:46:48');
INSERT INTO `unimall_order_sku` VALUES (37, 179, 1234174, 31, '1012019072046471001', '1*10_#南京十二衩（薄荷味）香烟', '1*10', '6901028062343', 4, NULL, 1886, 1886, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6926265352798.png', '2019-07-24 20:46:48', '2019-07-24 20:46:48');
INSERT INTO `unimall_order_sku` VALUES (38, 755, 1234750, 31, '1012019072046471001', '1*150_A香仔一连Q蛋32g（原味）', '1*150', '6921931808340', 1, NULL, 100, 100, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6921931808340.jpg', '2019-07-24 20:46:48', '2019-07-24 20:46:48');
INSERT INTO `unimall_order_sku` VALUES (39, 596, 1234591, 31, '1012019072046471001', '1*50_有友泡凤爪山椒味100g', '1*50', '6922145800526', 2, NULL, 535, 535, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6922145800526.jpg', '2019-07-24 20:46:48', '2019-07-24 20:46:48');
INSERT INTO `unimall_order_sku` VALUES (40, 756, 1234751, 31, '1012019072046471001', '1*75_香仔二连Q蛋65g（原味）', '1*75', '6921931808357', 2, NULL, 200, 200, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6921931808357.jpg', '2019-07-24 20:46:48', '2019-07-24 20:46:48');
INSERT INTO `unimall_order_sku` VALUES (41, 610, 1234605, 31, '1012019072046471001', '1*40_乐棒棒山椒凤爪130g', '1*40', '6928773073424', 2, NULL, 625, 625, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6928773073424.jpg', '2019-07-24 20:46:48', '2019-07-24 20:46:48');
INSERT INTO `unimall_order_sku` VALUES (42, 757, 1234752, 31, '1012019072046471001', '1*75_香仔二连Q蛋65g（五香）', '1*75', '6921931808388', 2, NULL, 200, 200, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6921931808388.jpg', '2019-07-24 20:46:48', '2019-07-24 20:46:48');
INSERT INTO `unimall_order_sku` VALUES (43, 758, 1234753, 31, '1012019072046471001', '1*50_调皮鹌鹑蛋80g（酱香味）', '1*50', '6931849900036', 1, NULL, 210, 210, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6931849900036.png', '2019-07-24 20:46:48', '2019-07-24 20:46:48');
INSERT INTO `unimall_order_sku` VALUES (44, 759, 1234754, 31, '1012019072046471001', '1*150_香仔一连Q蛋32g（五香）', '1*150', '6921931803758', 1, NULL, 100, 100, 'http://kegooo.qnoddns.org.cn:8088/jms/fileSave/pic_small700_700/6921931803758.jpg', '2019-07-24 20:46:48', '2019-07-24 20:46:48');
INSERT INTO `unimall_order_sku` VALUES (45, 2784, 1236775, 32, '1012019080123131001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-04 01:23:14', '2019-08-04 01:23:14');
INSERT INTO `unimall_order_sku` VALUES (46, 2784, 1236775, 33, '1012019080124461002', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-04 01:24:46', '2019-08-04 01:24:46');
INSERT INTO `unimall_order_sku` VALUES (47, 2784, 1236775, 34, '1012019080128481003', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-04 01:28:49', '2019-08-04 01:28:49');
INSERT INTO `unimall_order_sku` VALUES (48, 2776, 1236770, 35, '1012019080128511004', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 23, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-04 01:28:51', '2019-08-04 01:28:51');
INSERT INTO `unimall_order_sku` VALUES (49, 2784, 1236775, 36, '1012019080149461005', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-04 01:49:46', '2019-08-04 01:49:46');
INSERT INTO `unimall_order_sku` VALUES (50, 2781, 1236772, 37, '1012019080150011006', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-04 01:50:02', '2019-08-04 01:50:02');
INSERT INTO `unimall_order_sku` VALUES (51, 2784, 1236775, 38, '1012019080154211007', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 98, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-04 01:54:22', '2019-08-04 01:54:22');
INSERT INTO `unimall_order_sku` VALUES (52, 2776, 1236770, 38, '1012019080154211007', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 2, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-04 01:54:22', '2019-08-04 01:54:22');
INSERT INTO `unimall_order_sku` VALUES (53, 2784, 1236775, 39, '1012019081105391008', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-04 11:05:40', '2019-08-04 11:05:40');
INSERT INTO `unimall_order_sku` VALUES (54, 2784, 1236775, 40, '1012019081118071009', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-04 11:18:08', '2019-08-04 11:18:08');
INSERT INTO `unimall_order_sku` VALUES (55, 2784, 1236775, 41, '1012019082221321001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-06 22:21:32', '2019-08-06 22:21:32');
INSERT INTO `unimall_order_sku` VALUES (56, 2776, 1236770, 42, '1012019082223471002', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-06 22:23:48', '2019-08-06 22:23:48');
INSERT INTO `unimall_order_sku` VALUES (57, 2784, 1236775, 43, '1012019081601541003', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-07 16:01:55', '2019-08-07 16:01:55');
INSERT INTO `unimall_order_sku` VALUES (58, 2784, 1236775, 44, '1012019081926471001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-08 19:26:48', '2019-08-08 19:26:48');
INSERT INTO `unimall_order_sku` VALUES (59, 2773, 1236768, 45, '1012019081740401002', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-09 17:40:40', '2019-08-09 17:40:40');
INSERT INTO `unimall_order_sku` VALUES (60, 2783, 1236774, 46, '1012019081754381003', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-09 17:54:38', '2019-08-09 17:54:38');
INSERT INTO `unimall_order_sku` VALUES (61, 2773, 1236768, 47, '1012019081826381004', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-09 18:26:39', '2019-08-09 18:26:39');
INSERT INTO `unimall_order_sku` VALUES (62, 2783, 1236774, 48, '1012019081923391005', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-09 19:23:39', '2019-08-09 19:23:39');
INSERT INTO `unimall_order_sku` VALUES (63, 2773, 1236768, 49, '1012019081929141006', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-09 19:29:14', '2019-08-09 19:29:14');
INSERT INTO `unimall_order_sku` VALUES (64, 2773, 1236768, 50, '1012019082014491007', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-09 20:14:49', '2019-08-09 20:14:49');
INSERT INTO `unimall_order_sku` VALUES (65, 2773, 1236768, 51, '1012019082117181008', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-09 21:17:18', '2019-08-09 21:17:18');
INSERT INTO `unimall_order_sku` VALUES (66, 2782, 1236773, 52, '1012019082122571009', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-09 21:22:58', '2019-08-09 21:22:58');
INSERT INTO `unimall_order_sku` VALUES (67, 2776, 1236770, 53, '1012019082220391010', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-09 22:20:39', '2019-08-09 22:20:39');
INSERT INTO `unimall_order_sku` VALUES (68, 2784, 1236775, 54, '1012019082227341011', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-09 22:27:35', '2019-08-09 22:27:35');
INSERT INTO `unimall_order_sku` VALUES (69, 2775, 1236769, 55, '1012019082305571012', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-09 23:05:57', '2019-08-09 23:05:57');
INSERT INTO `unimall_order_sku` VALUES (70, 2773, 1236768, 56, '1012019082316141013', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-09 23:16:15', '2019-08-09 23:16:15');
INSERT INTO `unimall_order_sku` VALUES (71, 2773, 1236768, 57, '1012019082316251014', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-09 23:16:26', '2019-08-09 23:16:26');
INSERT INTO `unimall_order_sku` VALUES (72, 2784, 1236775, 58, '1012019082324271015', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-09 23:24:28', '2019-08-09 23:24:28');
INSERT INTO `unimall_order_sku` VALUES (73, 2784, 1236775, 59, '1012019082339591016', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-09 23:39:59', '2019-08-09 23:39:59');
INSERT INTO `unimall_order_sku` VALUES (74, 2784, 1236775, 60, '1012019082345121017', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-09 23:45:13', '2019-08-09 23:45:13');
INSERT INTO `unimall_order_sku` VALUES (75, 2783, 1236774, 61, '1012019082347461018', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-09 23:47:46', '2019-08-09 23:47:46');
INSERT INTO `unimall_order_sku` VALUES (76, 2776, 1236770, 61, '1012019082347461018', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-09 23:47:46', '2019-08-09 23:47:46');
INSERT INTO `unimall_order_sku` VALUES (77, 2773, 1236768, 61, '1012019082347461018', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-09 23:47:46', '2019-08-09 23:47:46');
INSERT INTO `unimall_order_sku` VALUES (78, 2784, 1236775, 62, '1012019080020441019', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 00:20:45', '2019-08-10 00:20:45');
INSERT INTO `unimall_order_sku` VALUES (79, 2784, 1236775, 63, '1012019080022481020', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 00:22:49', '2019-08-10 00:22:49');
INSERT INTO `unimall_order_sku` VALUES (80, 2784, 1236775, 64, '1012019080023281021', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 00:23:28', '2019-08-10 00:23:28');
INSERT INTO `unimall_order_sku` VALUES (81, 2784, 1236775, 65, '1012019080023481022', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 00:23:48', '2019-08-10 00:23:48');
INSERT INTO `unimall_order_sku` VALUES (82, 2784, 1236775, 66, '1012019080023481023', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 00:23:48', '2019-08-10 00:23:48');
INSERT INTO `unimall_order_sku` VALUES (83, 2784, 1236775, 67, '1012019080025061024', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 00:25:06', '2019-08-10 00:25:06');
INSERT INTO `unimall_order_sku` VALUES (84, 2773, 1236768, 68, '1012019080059101025', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 00:59:11', '2019-08-10 00:59:11');
INSERT INTO `unimall_order_sku` VALUES (85, 2781, 1236772, 69, '1012019080625521026', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-10 06:25:53', '2019-08-10 06:25:53');
INSERT INTO `unimall_order_sku` VALUES (86, 2776, 1236770, 70, '1012019080857141027', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-10 08:57:14', '2019-08-10 08:57:14');
INSERT INTO `unimall_order_sku` VALUES (87, 2774, 1236768, 71, '1012019080915171028', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 09:15:18', '2019-08-10 09:15:18');
INSERT INTO `unimall_order_sku` VALUES (88, 2784, 1236775, 72, '1012019080950121029', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 4, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 09:50:13', '2019-08-10 09:50:13');
INSERT INTO `unimall_order_sku` VALUES (89, 2782, 1236773, 73, '1012019080951071030', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-10 09:51:08', '2019-08-10 09:51:08');
INSERT INTO `unimall_order_sku` VALUES (90, 2784, 1236775, 74, '1012019081056491031', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 10:56:49', '2019-08-10 10:56:49');
INSERT INTO `unimall_order_sku` VALUES (91, 2778, 1236771, 75, '1012019081101281032', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '蔓越莓', '150003', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-08-10 11:01:28', '2019-08-10 11:01:28');
INSERT INTO `unimall_order_sku` VALUES (92, 2784, 1236775, 76, '1012019081113561033', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 11:13:57', '2019-08-10 11:13:57');
INSERT INTO `unimall_order_sku` VALUES (93, 2784, 1236775, 77, '1012019081114241034', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 11:14:25', '2019-08-10 11:14:25');
INSERT INTO `unimall_order_sku` VALUES (94, 2784, 1236775, 78, '1012019081250581035', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 12:50:59', '2019-08-10 12:50:59');
INSERT INTO `unimall_order_sku` VALUES (95, 2784, 1236775, 79, '1012019081313161001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:13:16', '2019-08-10 13:13:16');
INSERT INTO `unimall_order_sku` VALUES (96, 2784, 1236775, 80, '1012019081320281002', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:20:29', '2019-08-10 13:20:29');
INSERT INTO `unimall_order_sku` VALUES (97, 2784, 1236775, 81, '1012019081324391003', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:24:40', '2019-08-10 13:24:40');
INSERT INTO `unimall_order_sku` VALUES (98, 2784, 1236775, 82, '1012019081325061004', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:25:06', '2019-08-10 13:25:06');
INSERT INTO `unimall_order_sku` VALUES (99, 2784, 1236775, 83, '1012019081325061005', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:25:07', '2019-08-10 13:25:07');
INSERT INTO `unimall_order_sku` VALUES (100, 2784, 1236775, 84, '1012019081325191006', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:25:20', '2019-08-10 13:25:20');
INSERT INTO `unimall_order_sku` VALUES (101, 2784, 1236775, 85, '1012019081325191007', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:25:20', '2019-08-10 13:25:20');
INSERT INTO `unimall_order_sku` VALUES (102, 2784, 1236775, 86, '1012019081325391008', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:25:40', '2019-08-10 13:25:40');
INSERT INTO `unimall_order_sku` VALUES (103, 2784, 1236775, 87, '1012019081325401009', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:25:40', '2019-08-10 13:25:40');
INSERT INTO `unimall_order_sku` VALUES (104, 2784, 1236775, 88, '1012019081326051010', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:26:06', '2019-08-10 13:26:06');
INSERT INTO `unimall_order_sku` VALUES (105, 2784, 1236775, 89, '1012019081326051011', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:26:06', '2019-08-10 13:26:06');
INSERT INTO `unimall_order_sku` VALUES (106, 2784, 1236775, 90, '1012019081326061012', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:26:06', '2019-08-10 13:26:06');
INSERT INTO `unimall_order_sku` VALUES (107, 2784, 1236775, 91, '1012019081341451013', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 13:41:46', '2019-08-10 13:41:46');
INSERT INTO `unimall_order_sku` VALUES (108, 2774, 1236768, 92, '1012019081358311014', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 13:58:31', '2019-08-10 13:58:31');
INSERT INTO `unimall_order_sku` VALUES (109, 2784, 1236775, 93, '1012019081426231015', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 14:26:23', '2019-08-10 14:26:23');
INSERT INTO `unimall_order_sku` VALUES (110, 2784, 1236775, 94, '1012019081556001016', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 15:56:00', '2019-08-10 15:56:00');
INSERT INTO `unimall_order_sku` VALUES (111, 2773, 1236768, 95, '1012019081559011017', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 15:59:02', '2019-08-10 15:59:02');
INSERT INTO `unimall_order_sku` VALUES (112, 2773, 1236768, 96, '1012019081559071018', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 15:59:08', '2019-08-10 15:59:08');
INSERT INTO `unimall_order_sku` VALUES (113, 2775, 1236769, 97, '1012019081641111019', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-10 16:41:12', '2019-08-10 16:41:12');
INSERT INTO `unimall_order_sku` VALUES (114, 2773, 1236768, 98, '1012019081704471020', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 17:04:48', '2019-08-10 17:04:48');
INSERT INTO `unimall_order_sku` VALUES (115, 2773, 1236768, 99, '1012019081717391021', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 17:17:39', '2019-08-10 17:17:39');
INSERT INTO `unimall_order_sku` VALUES (116, 2773, 1236768, 100, '1012019081837351022', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 18:37:35', '2019-08-10 18:37:35');
INSERT INTO `unimall_order_sku` VALUES (117, 2773, 1236768, 101, '1012019081925591023', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 19:26:00', '2019-08-10 19:26:00');
INSERT INTO `unimall_order_sku` VALUES (118, 2773, 1236768, 102, '1012019082125431024', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-10 21:25:43', '2019-08-10 21:25:43');
INSERT INTO `unimall_order_sku` VALUES (119, 2776, 1236770, 103, '1012019082154151025', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-10 21:54:15', '2019-08-10 21:54:15');
INSERT INTO `unimall_order_sku` VALUES (120, 2784, 1236775, 104, '1012019082154511026', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 21:54:51', '2019-08-10 21:54:51');
INSERT INTO `unimall_order_sku` VALUES (121, 2784, 1236775, 105, '1012019082314351027', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-10 23:14:35', '2019-08-10 23:14:35');
INSERT INTO `unimall_order_sku` VALUES (122, 2783, 1236774, 106, '1012019080034501028', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-11 00:34:51', '2019-08-11 00:34:51');
INSERT INTO `unimall_order_sku` VALUES (123, 2776, 1236770, 107, '1012019080950091029', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-11 09:50:10', '2019-08-11 09:50:10');
INSERT INTO `unimall_order_sku` VALUES (124, 2784, 1236775, 108, '1012019081228031030', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-11 12:28:04', '2019-08-11 12:28:04');
INSERT INTO `unimall_order_sku` VALUES (125, 2774, 1236768, 109, '1012019081232101031', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 2, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-11 12:32:10', '2019-08-11 12:32:10');
INSERT INTO `unimall_order_sku` VALUES (126, 2781, 1236772, 110, '1012019081422011001', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-11 14:22:01', '2019-08-11 14:22:01');
INSERT INTO `unimall_order_sku` VALUES (127, 2781, 1236772, 111, '1012019081422101002', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-11 14:22:10', '2019-08-11 14:22:10');
INSERT INTO `unimall_order_sku` VALUES (128, 2773, 1236768, 112, '1012019081446241003', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-11 14:46:25', '2019-08-11 14:46:25');
INSERT INTO `unimall_order_sku` VALUES (129, 2784, 1236775, 113, '1012019081447161004', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-11 14:47:17', '2019-08-11 14:47:17');
INSERT INTO `unimall_order_sku` VALUES (130, 2783, 1236774, 114, '1012019081531121005', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-11 15:31:12', '2019-08-11 15:31:12');
INSERT INTO `unimall_order_sku` VALUES (131, 2783, 1236774, 115, '1012019081531421006', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-11 15:31:42', '2019-08-11 15:31:42');
INSERT INTO `unimall_order_sku` VALUES (132, 2773, 1236768, 116, '1012019081700191007', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-11 17:00:20', '2019-08-11 17:00:20');
INSERT INTO `unimall_order_sku` VALUES (133, 2773, 1236768, 117, '1012019081711001008', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-11 17:11:01', '2019-08-11 17:11:01');
INSERT INTO `unimall_order_sku` VALUES (134, 2774, 1236768, 118, '1012019081748181009', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-11 17:48:19', '2019-08-11 17:48:19');
INSERT INTO `unimall_order_sku` VALUES (135, 2783, 1236774, 119, '1012019082155231010', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-11 21:55:23', '2019-08-11 21:55:23');
INSERT INTO `unimall_order_sku` VALUES (136, 2775, 1236769, 120, '1012019082351371011', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-11 23:51:37', '2019-08-11 23:51:37');
INSERT INTO `unimall_order_sku` VALUES (137, 2781, 1236772, 121, '1012019080109141012', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 2, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-12 01:09:14', '2019-08-12 01:09:14');
INSERT INTO `unimall_order_sku` VALUES (138, 2778, 1236771, 122, '1012019080813171013', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '蔓越莓', '150003', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-08-12 08:13:18', '2019-08-12 08:13:18');
INSERT INTO `unimall_order_sku` VALUES (139, 2773, 1236768, 123, '1012019080933221014', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-12 09:33:22', '2019-08-12 09:33:22');
INSERT INTO `unimall_order_sku` VALUES (140, 2776, 1236770, 124, '1012019081012051015', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-12 10:12:06', '2019-08-12 10:12:06');
INSERT INTO `unimall_order_sku` VALUES (141, 2779, 1236771, 125, '1012019081015011016', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '螺旋藻', '150002', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-08-12 10:15:02', '2019-08-12 10:15:02');
INSERT INTO `unimall_order_sku` VALUES (142, 2782, 1236773, 126, '1012019081358591017', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-12 13:58:59', '2019-08-12 13:58:59');
INSERT INTO `unimall_order_sku` VALUES (143, 2776, 1236770, 126, '1012019081358591017', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-12 13:58:59', '2019-08-12 13:58:59');
INSERT INTO `unimall_order_sku` VALUES (144, 2773, 1236768, 127, '1012019081448221018', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-12 14:48:22', '2019-08-12 14:48:22');
INSERT INTO `unimall_order_sku` VALUES (145, 2774, 1236768, 128, '1012019081553031019', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-12 15:53:04', '2019-08-12 15:53:04');
INSERT INTO `unimall_order_sku` VALUES (146, 2774, 1236768, 129, '1012019081651501020', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-12 16:51:51', '2019-08-12 16:51:51');
INSERT INTO `unimall_order_sku` VALUES (147, 2782, 1236773, 130, '1012019081656061001', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-12 16:56:06', '2019-08-12 16:56:06');
INSERT INTO `unimall_order_sku` VALUES (148, 2773, 1236768, 131, '1012019081845191001', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-12 18:45:20', '2019-08-12 18:45:20');
INSERT INTO `unimall_order_sku` VALUES (149, 2784, 1236775, 132, '1012019081852041002', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-12 18:52:04', '2019-08-12 18:52:04');
INSERT INTO `unimall_order_sku` VALUES (150, 2776, 1236770, 133, '1012019082034411003', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-12 20:34:41', '2019-08-12 20:34:41');
INSERT INTO `unimall_order_sku` VALUES (151, 2783, 1236774, 134, '1012019082045211004', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-12 20:45:21', '2019-08-12 20:45:21');
INSERT INTO `unimall_order_sku` VALUES (152, 2773, 1236768, 135, '1012019080844091005', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 3, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-13 08:44:09', '2019-08-13 08:44:09');
INSERT INTO `unimall_order_sku` VALUES (153, 2773, 1236768, 136, '1012019080901591006', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-13 09:01:59', '2019-08-13 09:01:59');
INSERT INTO `unimall_order_sku` VALUES (154, 2774, 1236768, 137, '1012019081055311007', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-13 10:55:31', '2019-08-13 10:55:31');
INSERT INTO `unimall_order_sku` VALUES (155, 2787, 1236777, 138, '1012019081102051008', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-13 11:02:06', '2019-08-13 11:02:06');
INSERT INTO `unimall_order_sku` VALUES (156, 2784, 1236775, 139, '1012019081138141009', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-13 11:38:15', '2019-08-13 11:38:15');
INSERT INTO `unimall_order_sku` VALUES (157, 2775, 1236769, 139, '1012019081138141009', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-13 11:38:15', '2019-08-13 11:38:15');
INSERT INTO `unimall_order_sku` VALUES (158, 2784, 1236775, 140, '1012019081203471010', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-13 12:03:47', '2019-08-13 12:03:47');
INSERT INTO `unimall_order_sku` VALUES (159, 2775, 1236769, 141, '1012019081313331011', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-13 13:13:34', '2019-08-13 13:13:34');
INSERT INTO `unimall_order_sku` VALUES (160, 2773, 1236768, 142, '1012019081321491012', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-13 13:21:50', '2019-08-13 13:21:50');
INSERT INTO `unimall_order_sku` VALUES (161, 2781, 1236772, 143, '1012019081402261013', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-13 14:02:26', '2019-08-13 14:02:26');
INSERT INTO `unimall_order_sku` VALUES (162, 2781, 1236772, 144, '1012019081402261014', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-13 14:02:26', '2019-08-13 14:02:26');
INSERT INTO `unimall_order_sku` VALUES (163, 2781, 1236772, 145, '1012019081402261015', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-13 14:02:26', '2019-08-13 14:02:26');
INSERT INTO `unimall_order_sku` VALUES (164, 2773, 1236768, 146, '1012019081429201016', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-13 14:29:21', '2019-08-13 14:29:21');
INSERT INTO `unimall_order_sku` VALUES (165, 2782, 1236773, 147, '1012019081530491017', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-13 15:30:50', '2019-08-13 15:30:50');
INSERT INTO `unimall_order_sku` VALUES (166, 2773, 1236768, 148, '1012019081641391018', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-13 16:41:40', '2019-08-13 16:41:40');
INSERT INTO `unimall_order_sku` VALUES (167, 2773, 1236768, 149, '1012019082158371019', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-13 21:58:37', '2019-08-13 21:58:37');
INSERT INTO `unimall_order_sku` VALUES (168, 2782, 1236773, 150, '1012019080941131020', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-14 09:41:14', '2019-08-14 09:41:14');
INSERT INTO `unimall_order_sku` VALUES (169, 2785, 1236776, 151, '1012019081135351021', '乐优派 猫砂盆清理用具 4件套', '标准', '200001', 1, NULL, 100, 2, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/22014e1c20c441949b9e90ef63fa0f64.jpg', '2019-08-14 11:35:36', '2019-08-14 11:35:36');
INSERT INTO `unimall_order_sku` VALUES (170, 2781, 1236772, 152, '1012019081453401022', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-14 14:53:41', '2019-08-14 14:53:41');
INSERT INTO `unimall_order_sku` VALUES (171, 2774, 1236768, 152, '1012019081453401022', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-14 14:53:41', '2019-08-14 14:53:41');
INSERT INTO `unimall_order_sku` VALUES (172, 2773, 1236768, 153, '1012019082013261023', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-15 20:13:27', '2019-08-15 20:13:27');
INSERT INTO `unimall_order_sku` VALUES (173, 2775, 1236769, 153, '1012019082013261023', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-15 20:13:27', '2019-08-15 20:13:27');
INSERT INTO `unimall_order_sku` VALUES (174, 2782, 1236773, 154, '1012019082042241024', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-15 20:42:25', '2019-08-15 20:42:25');
INSERT INTO `unimall_order_sku` VALUES (175, 2787, 1236777, 155, '1012019081320261025', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-16 13:20:27', '2019-08-16 13:20:27');
INSERT INTO `unimall_order_sku` VALUES (176, 2776, 1236770, 156, '1012019082214491026', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-16 22:14:50', '2019-08-16 22:14:50');
INSERT INTO `unimall_order_sku` VALUES (177, 2781, 1236772, 156, '1012019082214491026', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-16 22:14:50', '2019-08-16 22:14:50');
INSERT INTO `unimall_order_sku` VALUES (178, 2785, 1236776, 156, '1012019082214491026', '乐优派 猫砂盆清理用具 4件套', '标准', '200001', 1, NULL, 100, 2, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/22014e1c20c441949b9e90ef63fa0f64.jpg', '2019-08-16 22:14:50', '2019-08-16 22:14:50');
INSERT INTO `unimall_order_sku` VALUES (179, 2784, 1236775, 157, '1012019082218511027', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-16 22:18:52', '2019-08-16 22:18:52');
INSERT INTO `unimall_order_sku` VALUES (180, 2784, 1236775, 158, '1012019081135271028', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-17 11:35:28', '2019-08-17 11:35:28');
INSERT INTO `unimall_order_sku` VALUES (181, 2784, 1236775, 159, '1012019081204101029', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-17 12:04:11', '2019-08-17 12:04:11');
INSERT INTO `unimall_order_sku` VALUES (182, 2776, 1236770, 160, '1012019081233311030', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-17 12:33:32', '2019-08-17 12:33:32');
INSERT INTO `unimall_order_sku` VALUES (183, 2775, 1236769, 161, '1012019081239191031', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-17 12:39:20', '2019-08-17 12:39:20');
INSERT INTO `unimall_order_sku` VALUES (184, 2776, 1236770, 161, '1012019081239191031', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 2, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-17 12:39:20', '2019-08-17 12:39:20');
INSERT INTO `unimall_order_sku` VALUES (185, 2775, 1236769, 162, '1012019081346431032', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-17 13:46:43', '2019-08-17 13:46:43');
INSERT INTO `unimall_order_sku` VALUES (186, 2783, 1236774, 163, '1012019081414221033', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-17 14:14:23', '2019-08-17 14:14:23');
INSERT INTO `unimall_order_sku` VALUES (187, 2776, 1236770, 164, '1012019081654341034', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-17 16:54:35', '2019-08-17 16:54:35');
INSERT INTO `unimall_order_sku` VALUES (188, 2775, 1236769, 165, '1012019081127371035', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-18 11:27:37', '2019-08-18 11:27:37');
INSERT INTO `unimall_order_sku` VALUES (189, 2773, 1236768, 166, '1012019081612351036', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-18 16:12:35', '2019-08-18 16:12:35');
INSERT INTO `unimall_order_sku` VALUES (190, 2774, 1236768, 167, '1012019081036041037', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-19 10:36:05', '2019-08-19 10:36:05');
INSERT INTO `unimall_order_sku` VALUES (191, 2773, 1236768, 168, '1012019081036291038', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-19 10:36:30', '2019-08-19 10:36:30');
INSERT INTO `unimall_order_sku` VALUES (192, 2773, 1236768, 169, '1012019082315581039', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-19 23:15:59', '2019-08-19 23:15:59');
INSERT INTO `unimall_order_sku` VALUES (193, 2786, 1236777, 170, '1012019082348541040', 'unimall商业永久授权', '帮安装', '310002', 1, NULL, 99900, 68800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-19 23:48:55', '2019-08-19 23:48:55');
INSERT INTO `unimall_order_sku` VALUES (194, 2784, 1236775, 171, '1012019081238311001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-21 12:38:32', '2019-08-21 12:38:32');
INSERT INTO `unimall_order_sku` VALUES (195, 2784, 1236775, 172, '1012019081239321002', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-21 12:39:33', '2019-08-21 12:39:33');
INSERT INTO `unimall_order_sku` VALUES (196, 2787, 1236777, 173, '1012019081240341003', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-21 12:40:35', '2019-08-21 12:40:35');
INSERT INTO `unimall_order_sku` VALUES (197, 2784, 1236775, 174, '1012019081241201004', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-21 12:41:20', '2019-08-21 12:41:20');
INSERT INTO `unimall_order_sku` VALUES (198, 2784, 1236775, 175, '1012019081243421005', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-21 12:43:42', '2019-08-21 12:43:42');
INSERT INTO `unimall_order_sku` VALUES (199, 2784, 1236775, 176, '1012019081254171006', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-21 12:54:18', '2019-08-21 12:54:18');
INSERT INTO `unimall_order_sku` VALUES (200, 2787, 1236777, 177, '1012019081401201001', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-21 14:01:20', '2019-08-21 14:01:20');
INSERT INTO `unimall_order_sku` VALUES (201, 2787, 1236777, 178, '1012019081433061002', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-21 14:33:06', '2019-08-21 14:33:06');
INSERT INTO `unimall_order_sku` VALUES (202, 2784, 1236775, 179, '1012019080920031003', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-22 09:20:04', '2019-08-22 09:20:04');
INSERT INTO `unimall_order_sku` VALUES (203, 2784, 1236775, 180, '1012019081002331004', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-22 10:02:34', '2019-08-22 10:02:34');
INSERT INTO `unimall_order_sku` VALUES (204, 2787, 1236777, 181, '1012019081049411005', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-22 10:49:42', '2019-08-22 10:49:42');
INSERT INTO `unimall_order_sku` VALUES (205, 2783, 1236774, 182, '1012019081356031006', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-22 13:56:04', '2019-08-22 13:56:04');
INSERT INTO `unimall_order_sku` VALUES (206, 2784, 1236775, 183, '1012019081518481007', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-22 15:18:49', '2019-08-22 15:18:49');
INSERT INTO `unimall_order_sku` VALUES (207, 2787, 1236777, 184, '1012019081645121008', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-22 16:45:13', '2019-08-22 16:45:13');
INSERT INTO `unimall_order_sku` VALUES (208, 2782, 1236773, 185, '1012019081645261009', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-22 16:45:26', '2019-08-22 16:45:26');
INSERT INTO `unimall_order_sku` VALUES (209, 2774, 1236768, 186, '1012019080607401010', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-23 06:07:40', '2019-08-23 06:07:40');
INSERT INTO `unimall_order_sku` VALUES (210, 2784, 1236775, 187, '1012019081037301011', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 10:37:30', '2019-08-23 10:37:30');
INSERT INTO `unimall_order_sku` VALUES (211, 2773, 1236768, 188, '1012019081313141012', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-23 13:13:14', '2019-08-23 13:13:14');
INSERT INTO `unimall_order_sku` VALUES (212, 2782, 1236773, 189, '1012019081320141013', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 2, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-23 13:20:15', '2019-08-23 13:20:15');
INSERT INTO `unimall_order_sku` VALUES (213, 2787, 1236777, 190, '1012019081320551014', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-23 13:20:56', '2019-08-23 13:20:56');
INSERT INTO `unimall_order_sku` VALUES (214, 2773, 1236768, 191, '1012019081336411015', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-23 13:36:42', '2019-08-23 13:36:42');
INSERT INTO `unimall_order_sku` VALUES (215, 2784, 1236775, 192, '1012019081509041016', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 15:09:04', '2019-08-23 15:09:04');
INSERT INTO `unimall_order_sku` VALUES (216, 2784, 1236775, 193, '1012019081517141017', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 15:17:14', '2019-08-23 15:17:14');
INSERT INTO `unimall_order_sku` VALUES (217, 2784, 1236775, 194, '1012019081527391018', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 15:27:40', '2019-08-23 15:27:40');
INSERT INTO `unimall_order_sku` VALUES (218, 2784, 1236775, 195, '1012019081534011019', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 15:34:02', '2019-08-23 15:34:02');
INSERT INTO `unimall_order_sku` VALUES (219, 2784, 1236775, 196, '1012019081540241001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 15:40:24', '2019-08-23 15:40:24');
INSERT INTO `unimall_order_sku` VALUES (220, 2784, 1236775, 197, '1012019081627151002', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 16:27:15', '2019-08-23 16:27:15');
INSERT INTO `unimall_order_sku` VALUES (221, 2784, 1236775, 198, '1012019081627521003', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 16:27:53', '2019-08-23 16:27:53');
INSERT INTO `unimall_order_sku` VALUES (222, 2784, 1236775, 199, '1012019081628211004', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 16:28:21', '2019-08-23 16:28:21');
INSERT INTO `unimall_order_sku` VALUES (223, 2784, 1236775, 200, '1012019081637141005', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 16:37:15', '2019-08-23 16:37:15');
INSERT INTO `unimall_order_sku` VALUES (224, 2784, 1236775, 201, '1012019081646101006', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 16:46:10', '2019-08-23 16:46:10');
INSERT INTO `unimall_order_sku` VALUES (225, 2784, 1236775, 202, '1012019081646421007', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 16:46:43', '2019-08-23 16:46:43');
INSERT INTO `unimall_order_sku` VALUES (226, 2784, 1236775, 203, '1012019081657041008', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 16:57:05', '2019-08-23 16:57:05');
INSERT INTO `unimall_order_sku` VALUES (227, 2784, 1236775, 204, '1012019081701401009', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 17:01:40', '2019-08-23 17:01:40');
INSERT INTO `unimall_order_sku` VALUES (228, 2784, 1236775, 205, '1012019081802511001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 18:02:51', '2019-08-23 18:02:51');
INSERT INTO `unimall_order_sku` VALUES (229, 2784, 1236775, 206, '1012019081804391002', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-23 18:04:39', '2019-08-23 18:04:39');
INSERT INTO `unimall_order_sku` VALUES (230, 2784, 1236775, 207, '1012019081005291003', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-24 10:05:30', '2019-08-24 10:05:30');
INSERT INTO `unimall_order_sku` VALUES (231, 2773, 1236768, 208, '1012019080748481004', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-25 07:48:48', '2019-08-25 07:48:48');
INSERT INTO `unimall_order_sku` VALUES (232, 2784, 1236775, 209, '1012019081051141005', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-25 10:51:15', '2019-08-25 10:51:15');
INSERT INTO `unimall_order_sku` VALUES (233, 2782, 1236773, 210, '1012019081554461006', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-25 15:54:46', '2019-08-25 15:54:46');
INSERT INTO `unimall_order_sku` VALUES (234, 2773, 1236768, 211, '1012019081038291007', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-08-26 10:38:30', '2019-08-26 10:38:30');
INSERT INTO `unimall_order_sku` VALUES (235, 2775, 1236769, 212, '1012019081407531008', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-08-26 14:07:54', '2019-08-26 14:07:54');
INSERT INTO `unimall_order_sku` VALUES (236, 2776, 1236770, 213, '1012019082057501009', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-26 20:57:51', '2019-08-26 20:57:51');
INSERT INTO `unimall_order_sku` VALUES (237, 2782, 1236773, 214, '1012019081045511010', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-27 10:45:52', '2019-08-27 10:45:52');
INSERT INTO `unimall_order_sku` VALUES (238, 2784, 1236775, 215, '1012019081927321011', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-27 19:27:32', '2019-08-27 19:27:32');
INSERT INTO `unimall_order_sku` VALUES (239, 2784, 1236775, 216, '1012019082143111012', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-28 21:43:11', '2019-08-28 21:43:11');
INSERT INTO `unimall_order_sku` VALUES (240, 2776, 1236770, 217, '1012019082346361013', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-08-28 23:46:36', '2019-08-28 23:46:36');
INSERT INTO `unimall_order_sku` VALUES (241, 2784, 1236775, 218, '1012019080144591014', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-29 01:44:59', '2019-08-29 01:44:59');
INSERT INTO `unimall_order_sku` VALUES (242, 2784, 1236775, 219, '1012019080943401015', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-29 09:43:41', '2019-08-29 09:43:41');
INSERT INTO `unimall_order_sku` VALUES (243, 2782, 1236773, 220, '1012019081354211016', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-08-29 13:54:22', '2019-08-29 13:54:22');
INSERT INTO `unimall_order_sku` VALUES (244, 2784, 1236775, 221, '1012019081503471017', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-29 15:03:48', '2019-08-29 15:03:48');
INSERT INTO `unimall_order_sku` VALUES (245, 2780, 1236771, 222, '1012019081627481018', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '牛油果', '150001', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-08-29 16:27:49', '2019-08-29 16:27:49');
INSERT INTO `unimall_order_sku` VALUES (246, 2785, 1236776, 223, '1012019081719261019', '乐优派 猫砂盆清理用具 4件套', '标准', '200001', 1, NULL, 100, 2, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/22014e1c20c441949b9e90ef63fa0f64.jpg', '2019-08-29 17:19:26', '2019-08-29 17:19:26');
INSERT INTO `unimall_order_sku` VALUES (247, 2784, 1236775, 224, '1012019080825511020', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-30 08:25:52', '2019-08-30 08:25:52');
INSERT INTO `unimall_order_sku` VALUES (248, 2778, 1236771, 225, '1012019082220381021', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '蔓越莓', '150003', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-08-30 22:20:39', '2019-08-30 22:20:39');
INSERT INTO `unimall_order_sku` VALUES (249, 2777, 1236771, 226, '1012019080847231022', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '山羊奶', '150004', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-08-31 08:47:23', '2019-08-31 08:47:23');
INSERT INTO `unimall_order_sku` VALUES (250, 2781, 1236772, 227, '1012019080927211023', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-31 09:27:22', '2019-08-31 09:27:22');
INSERT INTO `unimall_order_sku` VALUES (251, 2781, 1236772, 228, '1012019080927391024', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-08-31 09:27:40', '2019-08-31 09:27:40');
INSERT INTO `unimall_order_sku` VALUES (252, 2784, 1236775, 229, '1012019081020341025', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-08-31 10:20:34', '2019-08-31 10:20:34');
INSERT INTO `unimall_order_sku` VALUES (253, 2787, 1236777, 230, '1012019081458451026', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-08-31 14:58:45', '2019-08-31 14:58:45');
INSERT INTO `unimall_order_sku` VALUES (254, 2783, 1236774, 231, '1012019081858001027', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-08-31 18:58:00', '2019-08-31 18:58:00');
INSERT INTO `unimall_order_sku` VALUES (255, 2784, 1236775, 232, '1012019091633051028', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-01 16:33:06', '2019-09-01 16:33:06');
INSERT INTO `unimall_order_sku` VALUES (256, 2781, 1236772, 233, '1012019090722481029', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-02 07:22:49', '2019-09-02 07:22:49');
INSERT INTO `unimall_order_sku` VALUES (257, 2784, 1236775, 234, '1012019090958341030', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-02 09:58:34', '2019-09-02 09:58:34');
INSERT INTO `unimall_order_sku` VALUES (258, 2773, 1236768, 235, '1012019091029481031', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-02 10:29:49', '2019-09-02 10:29:49');
INSERT INTO `unimall_order_sku` VALUES (259, 2773, 1236768, 236, '1012019091029491032', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-02 10:29:49', '2019-09-02 10:29:49');
INSERT INTO `unimall_order_sku` VALUES (260, 2779, 1236771, 237, '1012019091031431033', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '螺旋藻', '150002', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-09-02 10:31:43', '2019-09-02 10:31:43');
INSERT INTO `unimall_order_sku` VALUES (261, 2782, 1236773, 238, '1012019091048261034', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-02 10:48:26', '2019-09-02 10:48:26');
INSERT INTO `unimall_order_sku` VALUES (262, 2773, 1236768, 239, '1012019091237021035', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-02 12:37:02', '2019-09-02 12:37:02');
INSERT INTO `unimall_order_sku` VALUES (263, 2787, 1236777, 240, '1012019091644231036', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-02 16:44:23', '2019-09-02 16:44:23');
INSERT INTO `unimall_order_sku` VALUES (264, 2784, 1236775, 241, '1012019091045131037', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-03 10:45:13', '2019-09-03 10:45:13');
INSERT INTO `unimall_order_sku` VALUES (265, 2786, 1236777, 242, '1012019091407241038', 'unimall商业永久授权', '帮安装', '310002', 1, NULL, 99900, 68800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-03 14:07:24', '2019-09-03 14:07:24');
INSERT INTO `unimall_order_sku` VALUES (266, 2773, 1236768, 243, '1012019091735101039', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-03 17:35:11', '2019-09-03 17:35:11');
INSERT INTO `unimall_order_sku` VALUES (267, 2781, 1236772, 244, '1012019090849571040', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-04 08:49:57', '2019-09-04 08:49:57');
INSERT INTO `unimall_order_sku` VALUES (268, 2781, 1236772, 245, '1012019090850381041', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 2, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-04 08:50:38', '2019-09-04 08:50:38');
INSERT INTO `unimall_order_sku` VALUES (269, 2781, 1236772, 246, '1012019091412441042', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-04 14:12:45', '2019-09-04 14:12:45');
INSERT INTO `unimall_order_sku` VALUES (270, 2781, 1236772, 247, '1012019091412451043', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-04 14:12:45', '2019-09-04 14:12:45');
INSERT INTO `unimall_order_sku` VALUES (271, 2784, 1236775, 248, '1012019091435191044', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-04 14:35:20', '2019-09-04 14:35:20');
INSERT INTO `unimall_order_sku` VALUES (272, 2787, 1236777, 249, '1012019091443041045', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-04 14:43:05', '2019-09-04 14:43:05');
INSERT INTO `unimall_order_sku` VALUES (273, 2784, 1236775, 250, '1012019091445131046', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-04 14:45:14', '2019-09-04 14:45:14');
INSERT INTO `unimall_order_sku` VALUES (274, 2784, 1236775, 251, '1012019091446031047', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-04 14:46:04', '2019-09-04 14:46:04');
INSERT INTO `unimall_order_sku` VALUES (275, 2773, 1236768, 252, '1012019091530351048', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-04 15:30:35', '2019-09-04 15:30:35');
INSERT INTO `unimall_order_sku` VALUES (276, 2773, 1236768, 253, '1012019091738501049', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-05 17:38:51', '2019-09-05 17:38:51');
INSERT INTO `unimall_order_sku` VALUES (277, 2773, 1236768, 254, '1012019091918381050', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-05 19:18:38', '2019-09-05 19:18:38');
INSERT INTO `unimall_order_sku` VALUES (278, 2774, 1236768, 255, '1012019092258001051', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-05 22:58:01', '2019-09-05 22:58:01');
INSERT INTO `unimall_order_sku` VALUES (279, 2775, 1236769, 255, '1012019092258001051', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-09-05 22:58:01', '2019-09-05 22:58:01');
INSERT INTO `unimall_order_sku` VALUES (280, 2782, 1236773, 256, '1012019090950101052', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-06 09:50:11', '2019-09-06 09:50:11');
INSERT INTO `unimall_order_sku` VALUES (281, 2776, 1236770, 256, '1012019090950101052', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-09-06 09:50:11', '2019-09-06 09:50:11');
INSERT INTO `unimall_order_sku` VALUES (282, 2775, 1236769, 256, '1012019090950101052', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-09-06 09:50:11', '2019-09-06 09:50:11');
INSERT INTO `unimall_order_sku` VALUES (283, 2784, 1236775, 256, '1012019090950101052', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-06 09:50:11', '2019-09-06 09:50:11');
INSERT INTO `unimall_order_sku` VALUES (284, 2774, 1236768, 257, '1012019091107481053', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-06 11:07:49', '2019-09-06 11:07:49');
INSERT INTO `unimall_order_sku` VALUES (285, 2784, 1236775, 258, '1012019091108241054', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-06 11:08:25', '2019-09-06 11:08:25');
INSERT INTO `unimall_order_sku` VALUES (286, 2784, 1236775, 259, '1012019091153291055', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 2, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-06 11:53:30', '2019-09-06 11:53:30');
INSERT INTO `unimall_order_sku` VALUES (287, 2782, 1236773, 260, '1012019091202581056', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-06 12:02:58', '2019-09-06 12:02:58');
INSERT INTO `unimall_order_sku` VALUES (288, 2775, 1236769, 261, '1012019091203531057', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-09-06 12:03:53', '2019-09-06 12:03:53');
INSERT INTO `unimall_order_sku` VALUES (289, 2784, 1236775, 262, '1012019091414351058', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-06 14:14:36', '2019-09-06 14:14:36');
INSERT INTO `unimall_order_sku` VALUES (290, 2782, 1236773, 263, '1012019091453571059', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-06 14:53:58', '2019-09-06 14:53:58');
INSERT INTO `unimall_order_sku` VALUES (291, 2782, 1236773, 264, '1012019091454051060', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-06 14:54:05', '2019-09-06 14:54:05');
INSERT INTO `unimall_order_sku` VALUES (292, 2787, 1236777, 265, '1012019091511091061', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-06 15:11:09', '2019-09-06 15:11:09');
INSERT INTO `unimall_order_sku` VALUES (293, 2784, 1236775, 266, '1012019090820211062', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-07 08:20:22', '2019-09-07 08:20:22');
INSERT INTO `unimall_order_sku` VALUES (294, 2782, 1236773, 267, '1012019090935471063', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-07 09:35:48', '2019-09-07 09:35:48');
INSERT INTO `unimall_order_sku` VALUES (295, 2782, 1236773, 268, '1012019090936131064', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-07 09:36:14', '2019-09-07 09:36:14');
INSERT INTO `unimall_order_sku` VALUES (296, 2773, 1236768, 268, '1012019090936131064', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-07 09:36:14', '2019-09-07 09:36:14');
INSERT INTO `unimall_order_sku` VALUES (297, 2777, 1236771, 269, '1012019090938431065', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '山羊奶', '150004', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-09-07 09:38:44', '2019-09-07 09:38:44');
INSERT INTO `unimall_order_sku` VALUES (298, 2781, 1236772, 270, '1012019091009031066', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-07 10:09:04', '2019-09-07 10:09:04');
INSERT INTO `unimall_order_sku` VALUES (299, 2773, 1236768, 271, '1012019091016511067', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-07 10:16:51', '2019-09-07 10:16:51');
INSERT INTO `unimall_order_sku` VALUES (300, 2781, 1236772, 271, '1012019091016511067', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 88, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-07 10:16:51', '2019-09-07 10:16:51');
INSERT INTO `unimall_order_sku` VALUES (301, 2782, 1236773, 272, '1012019091226101068', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-07 12:26:10', '2019-09-07 12:26:10');
INSERT INTO `unimall_order_sku` VALUES (302, 2773, 1236768, 273, '1012019091258041069', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-07 12:58:04', '2019-09-07 12:58:04');
INSERT INTO `unimall_order_sku` VALUES (303, 2783, 1236774, 274, '1012019091301591070', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-09-07 13:02:00', '2019-09-07 13:02:00');
INSERT INTO `unimall_order_sku` VALUES (304, 2787, 1236777, 275, '1012019091723191071', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-07 17:23:19', '2019-09-07 17:23:19');
INSERT INTO `unimall_order_sku` VALUES (305, 2787, 1236777, 276, '1012019091813031072', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-07 18:13:04', '2019-09-07 18:13:04');
INSERT INTO `unimall_order_sku` VALUES (306, 2775, 1236769, 277, '1012019092135391073', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-09-07 21:35:40', '2019-09-07 21:35:40');
INSERT INTO `unimall_order_sku` VALUES (307, 2782, 1236773, 278, '1012019091102171074', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-08 11:02:17', '2019-09-08 11:02:17');
INSERT INTO `unimall_order_sku` VALUES (308, 2784, 1236775, 279, '1012019091439301075', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-08 14:39:30', '2019-09-08 14:39:30');
INSERT INTO `unimall_order_sku` VALUES (309, 2785, 1236776, 280, '1012019090843531076', '乐优派 猫砂盆清理用具 4件套', '标准', '200001', 1, NULL, 100, 2, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/22014e1c20c441949b9e90ef63fa0f64.jpg', '2019-09-09 08:43:53', '2019-09-09 08:43:53');
INSERT INTO `unimall_order_sku` VALUES (310, 2777, 1236771, 281, '1012019090845321077', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '山羊奶', '150004', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-09-09 08:45:33', '2019-09-09 08:45:33');
INSERT INTO `unimall_order_sku` VALUES (311, 2782, 1236773, 282, '1012019090912271078', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-09 09:12:27', '2019-09-09 09:12:27');
INSERT INTO `unimall_order_sku` VALUES (312, 2784, 1236775, 283, '1012019090916471079', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-09 09:16:47', '2019-09-09 09:16:47');
INSERT INTO `unimall_order_sku` VALUES (313, 2777, 1236771, 284, '1012019091844341080', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '山羊奶', '150004', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-09-09 18:44:34', '2019-09-09 18:44:34');
INSERT INTO `unimall_order_sku` VALUES (314, 2784, 1236775, 285, '1012019092130251081', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-09 21:30:26', '2019-09-09 21:30:26');
INSERT INTO `unimall_order_sku` VALUES (315, 2773, 1236768, 286, '1012019090843551082', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-10 08:43:56', '2019-09-10 08:43:56');
INSERT INTO `unimall_order_sku` VALUES (316, 2787, 1236777, 287, '1012019090849451083', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-10 08:49:45', '2019-09-10 08:49:45');
INSERT INTO `unimall_order_sku` VALUES (317, 2773, 1236768, 288, '1012019091023231084', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-10 10:23:23', '2019-09-10 10:23:23');
INSERT INTO `unimall_order_sku` VALUES (318, 2787, 1236777, 289, '1012019091038331085', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-10 10:38:33', '2019-09-10 10:38:33');
INSERT INTO `unimall_order_sku` VALUES (319, 2773, 1236768, 290, '1012019091041391086', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-10 10:41:40', '2019-09-10 10:41:40');
INSERT INTO `unimall_order_sku` VALUES (320, 2777, 1236771, 291, '1012019091055101087', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '山羊奶', '150004', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-09-10 10:55:10', '2019-09-10 10:55:10');
INSERT INTO `unimall_order_sku` VALUES (321, 2787, 1236777, 292, '1012019091640031088', 'unimall商业永久授权', '仅授权', '310001', 1, NULL, 38800, 18800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-10 16:40:03', '2019-09-10 16:40:03');
INSERT INTO `unimall_order_sku` VALUES (322, 2786, 1236777, 293, '1012019091804391089', 'unimall商业永久授权', '帮安装', '310002', 1, NULL, 99900, 68800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-10 18:04:40', '2019-09-10 18:04:40');
INSERT INTO `unimall_order_sku` VALUES (323, 2784, 1236775, 294, '1012019091007231090', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-11 10:07:23', '2019-09-11 10:07:23');
INSERT INTO `unimall_order_sku` VALUES (324, 2782, 1236773, 295, '1012019091157011091', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-11 11:57:01', '2019-09-11 11:57:01');
INSERT INTO `unimall_order_sku` VALUES (325, 2775, 1236769, 296, '1012019091549331092', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-09-11 15:49:34', '2019-09-11 15:49:34');
INSERT INTO `unimall_order_sku` VALUES (326, 2784, 1236775, 297, '1012019091550061093', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-11 15:50:06', '2019-09-11 15:50:06');
INSERT INTO `unimall_order_sku` VALUES (327, 2784, 1236775, 298, '1012019091634461094', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-11 16:34:47', '2019-09-11 16:34:47');
INSERT INTO `unimall_order_sku` VALUES (328, 2777, 1236771, 299, '1012019091944511095', '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', '山羊奶', '150004', 1, NULL, 10690, 8900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '2019-09-11 19:44:51', '2019-09-11 19:44:51');
INSERT INTO `unimall_order_sku` VALUES (329, 2783, 1236774, 300, '1012019091018281096', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-09-12 10:18:29', '2019-09-12 10:18:29');
INSERT INTO `unimall_order_sku` VALUES (330, 2786, 1236777, 301, '1012019091312151097', 'unimall商业永久授权', '帮安装', '310002', 1, NULL, 99900, 68800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-12 13:12:16', '2019-09-12 13:12:16');
INSERT INTO `unimall_order_sku` VALUES (331, 2775, 1236769, 302, '1012019091346381098', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-09-12 13:46:38', '2019-09-12 13:46:38');
INSERT INTO `unimall_order_sku` VALUES (332, 2784, 1236775, 303, '1012019091428211099', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-12 14:28:22', '2019-09-12 14:28:22');
INSERT INTO `unimall_order_sku` VALUES (333, 2784, 1236775, 304, '1012019092027321100', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-12 20:27:33', '2019-09-12 20:27:33');
INSERT INTO `unimall_order_sku` VALUES (334, 2784, 1236775, 305, '1012019090946491101', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-13 09:46:49', '2019-09-13 09:46:49');
INSERT INTO `unimall_order_sku` VALUES (335, 2783, 1236774, 306, '1012019091504371102', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-09-13 15:04:38', '2019-09-13 15:04:38');
INSERT INTO `unimall_order_sku` VALUES (336, 2782, 1236773, 307, '1012019092102321103', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-13 21:02:32', '2019-09-13 21:02:32');
INSERT INTO `unimall_order_sku` VALUES (337, 2784, 1236775, 308, '1012019092300251104', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-13 23:00:26', '2019-09-13 23:00:26');
INSERT INTO `unimall_order_sku` VALUES (338, 2786, 1236777, 309, '1012019090901401105', 'unimall商业永久授权', '帮安装', '310002', 1, NULL, 99900, 68800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-14 09:01:40', '2019-09-14 09:01:40');
INSERT INTO `unimall_order_sku` VALUES (339, 2782, 1236773, 310, '1012019092012131106', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-14 20:12:14', '2019-09-14 20:12:14');
INSERT INTO `unimall_order_sku` VALUES (340, 2784, 1236775, 311, '1012019092013061107', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-14 20:13:06', '2019-09-14 20:13:06');
INSERT INTO `unimall_order_sku` VALUES (341, 2784, 1236775, 312, '1012019092100371108', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-14 21:00:38', '2019-09-14 21:00:38');
INSERT INTO `unimall_order_sku` VALUES (342, 2774, 1236768, 313, '1012019091046241109', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-15 10:46:25', '2019-09-15 10:46:25');
INSERT INTO `unimall_order_sku` VALUES (343, 2783, 1236774, 313, '1012019091046241109', '百加世NOW FRESH 无谷成猫粮 4磅', '标准', '180001', 1, NULL, 33480, 27900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '2019-09-15 10:46:25', '2019-09-15 10:46:25');
INSERT INTO `unimall_order_sku` VALUES (344, 2784, 1236775, 314, '1012019091116461110', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-15 11:16:47', '2019-09-15 11:16:47');
INSERT INTO `unimall_order_sku` VALUES (345, 2781, 1236772, 315, '1012019091415011111', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-15 14:15:01', '2019-09-15 14:15:01');
INSERT INTO `unimall_order_sku` VALUES (346, 2784, 1236775, 316, '1012019092057011112', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-15 20:57:02', '2019-09-15 20:57:02');
INSERT INTO `unimall_order_sku` VALUES (347, 2784, 1236775, 317, '1012019090818531113', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-16 08:18:54', '2019-09-16 08:18:54');
INSERT INTO `unimall_order_sku` VALUES (348, 2784, 1236775, 318, '1012019091409291114', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-16 14:09:30', '2019-09-16 14:09:30');
INSERT INTO `unimall_order_sku` VALUES (349, 2781, 1236772, 319, '1012019091541401115', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-16 15:41:40', '2019-09-16 15:41:40');
INSERT INTO `unimall_order_sku` VALUES (350, 2786, 1236777, 320, '1012019091727081116', 'unimall商业永久授权', '帮安装', '310002', 3, NULL, 99900, 68800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-16 17:27:09', '2019-09-16 17:27:09');
INSERT INTO `unimall_order_sku` VALUES (351, 2773, 1236768, 321, '1012019092132261117', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-16 21:32:26', '2019-09-16 21:32:26');
INSERT INTO `unimall_order_sku` VALUES (352, 2784, 1236775, 322, '1012019090736271118', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-17 07:36:27', '2019-09-17 07:36:27');
INSERT INTO `unimall_order_sku` VALUES (353, 2781, 1236772, 323, '1012019091202141119', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-17 12:02:15', '2019-09-17 12:02:15');
INSERT INTO `unimall_order_sku` VALUES (354, 2786, 1236777, 324, '1012019091657461120', 'unimall商业永久授权', '帮安装', '310002', 1, NULL, 99900, 68800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-17 16:57:47', '2019-09-17 16:57:47');
INSERT INTO `unimall_order_sku` VALUES (355, 2786, 1236777, 325, '1012019091701511121', 'unimall商业永久授权', '帮安装', '310002', 1, NULL, 99900, 68800, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '2019-09-17 17:01:52', '2019-09-17 17:01:52');
INSERT INTO `unimall_order_sku` VALUES (356, 2782, 1236773, 326, '1012019091750501122', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-17 17:50:51', '2019-09-17 17:50:51');
INSERT INTO `unimall_order_sku` VALUES (357, 2773, 1236768, 327, '1012019091844541123', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-17 18:44:55', '2019-09-17 18:44:55');
INSERT INTO `unimall_order_sku` VALUES (358, 2773, 1236768, 328, '1012019091845001124', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-17 18:45:01', '2019-09-17 18:45:01');
INSERT INTO `unimall_order_sku` VALUES (359, 2784, 1236775, 329, '1012019092031101125', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-17 20:31:11', '2019-09-17 20:31:11');
INSERT INTO `unimall_order_sku` VALUES (360, 2782, 1236773, 330, '1012019091112221126', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-18 11:12:23', '2019-09-18 11:12:23');
INSERT INTO `unimall_order_sku` VALUES (361, 2784, 1236775, 331, '1012019091220301127', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-09-18 12:20:31', '2019-09-18 12:20:31');
INSERT INTO `unimall_order_sku` VALUES (362, 2781, 1236772, 332, '1012019091353581128', '路斯 手工坊系列 香薰牛肉丁 200g', '200g', '160001', 1, NULL, 1800, 1380, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '2019-09-18 13:53:59', '2019-09-18 13:53:59');
INSERT INTO `unimall_order_sku` VALUES (363, 2776, 1236770, 333, '1012019091358131129', '宠儿香 家庭专用系列 美健膳食罐头 90g', '标准', '130001', 1, NULL, 1920, 1600, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '2019-09-18 13:58:13', '2019-09-18 13:58:13');
INSERT INTO `unimall_order_sku` VALUES (364, 2775, 1236769, 334, '1012019091443261130', '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', '8.16KG', '120001', 1, NULL, 57600, 46000, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '2019-09-18 14:43:27', '2019-09-18 14:43:27');
INSERT INTO `unimall_order_sku` VALUES (365, 2782, 1236773, 335, '1012019091449401131', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-18 14:49:41', '2019-09-18 14:49:41');
INSERT INTO `unimall_order_sku` VALUES (366, 2782, 1236773, 336, '1012019091611061132', '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', '7.5KG', '170001', 1, NULL, 54900, 53200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '2019-09-18 16:11:07', '2019-09-18 16:11:07');
INSERT INTO `unimall_order_sku` VALUES (367, 2773, 1236768, 337, '1012019091636181133', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, NULL, 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-18 16:36:19', '2019-09-18 16:36:19');
INSERT INTO `unimall_order_sku` VALUES (368, 2774, 1236768, 338, '1012019092121201134', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '1.5KG', '110001', 1, NULL, 8640, 7200, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-09-18 21:21:20', '2019-09-18 21:21:20');
INSERT INTO `unimall_order_sku` VALUES (369, 2784, 1236775, 339, '3012019102019401001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-10-31 20:19:41', '2019-10-31 20:19:41');
INSERT INTO `unimall_order_sku` VALUES (370, 2784, 1236775, 340, '1012019102247451001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-10-31 22:47:46', '2019-10-31 22:47:46');
INSERT INTO `unimall_order_sku` VALUES (371, 2784, 1236775, 341, '1012019102252041001', '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', '标准', '190001', 1, NULL, 100, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '2019-10-31 22:52:04', '2019-10-31 22:52:04');
INSERT INTO `unimall_order_sku` VALUES (372, 2799, 1236790, 342, '1012019111551581001', '[自动发货]Java XXX入门到入土', '自动发货', '2333333', 1, NULL, 10, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/1351de40106e4c9fb6383fb78416aa6c.png', '2019-11-06 15:51:58', '2019-11-06 15:51:58');
INSERT INTO `unimall_order_sku` VALUES (373, 2799, 1236790, 343, '1012019111555351002', '[自动发货]Java XXX入门到入土', '自动发货', '2333333', 1, NULL, 10, 1, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/1351de40106e4c9fb6383fb78416aa6c.png', '2019-11-06 15:55:36', '2019-11-06 15:55:36');
INSERT INTO `unimall_order_sku` VALUES (374, 2773, 1236768, 344, '1012019122357421001', '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', '7.5KG', '110002', 1, '袋', 34680, 28900, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '2019-12-17 23:57:43', '2019-12-17 23:57:43');
COMMIT;

-- ----------------------------
-- Table structure for unimall_recommend
-- ----------------------------
DROP TABLE IF EXISTS `unimall_recommend`;
CREATE TABLE `unimall_recommend` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `spu_id` bigint(20) NOT NULL,
  `recommend_type` int(11) NOT NULL DEFAULT '1',
  `gmt_create` datetime DEFAULT NULL,
  `gmt_update` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_recommend
-- ----------------------------
BEGIN;
INSERT INTO `unimall_recommend` VALUES (1, 25, 1, '2019-07-08 08:55:05', '2019-07-08 08:55:06');
INSERT INTO `unimall_recommend` VALUES (2, 28, 1, '2019-07-08 22:41:34', '2019-07-08 22:41:34');
INSERT INTO `unimall_recommend` VALUES (3, 29, 1, '2019-07-08 22:41:54', '2019-07-08 22:41:54');
INSERT INTO `unimall_recommend` VALUES (4, 22, 1, '2019-07-08 22:42:03', '2019-07-08 22:42:03');
INSERT INTO `unimall_recommend` VALUES (5, 23, 1, '2019-07-08 22:42:32', '2019-07-08 22:42:32');
INSERT INTO `unimall_recommend` VALUES (7, 35, 1, '2019-07-08 23:21:43', '2019-07-08 23:21:43');
INSERT INTO `unimall_recommend` VALUES (14, 1236777, 1, '2019-08-21 12:34:36', '2019-08-21 12:34:36');
INSERT INTO `unimall_recommend` VALUES (15, 1236768, 1, '2019-08-21 12:34:41', '2019-08-21 12:34:41');
INSERT INTO `unimall_recommend` VALUES (16, 1236773, 1, '2019-08-21 12:34:51', '2019-08-21 12:34:51');
INSERT INTO `unimall_recommend` VALUES (17, 1236776, 1, '2019-08-21 12:34:57', '2019-08-21 12:34:57');
COMMIT;

-- ----------------------------
-- Table structure for unimall_role
-- ----------------------------
DROP TABLE IF EXISTS `unimall_role`;
CREATE TABLE `unimall_role` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(63) DEFAULT NULL,
  `desc` varchar(1023) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '1' COMMENT '0.冻结 1.激活',
  `gmt_update` datetime NOT NULL COMMENT '更新时间',
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_UNIQUE` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COMMENT='角色表';

-- ----------------------------
-- Records of unimall_role
-- ----------------------------
BEGIN;
INSERT INTO `unimall_role` VALUES (1, '超级管理员', '所有模块的权限', 1, '2019-04-08 22:40:45', '2019-04-08 22:40:50');
INSERT INTO `unimall_role` VALUES (12, '游客权限', '重要部分没有编辑权限', 1, '2019-08-11 12:32:16', '2019-08-11 12:32:16');
COMMIT;

-- ----------------------------
-- Table structure for unimall_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `unimall_role_permission`;
CREATE TABLE `unimall_role_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) NOT NULL COMMENT '角色ID',
  `permission` varchar(63) DEFAULT NULL,
  `deleted` int(11) NOT NULL DEFAULT '0' COMMENT '逻辑删除',
  `gmt_update` datetime NOT NULL COMMENT '更新时间',
  `gmt_create` datetime NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=504 DEFAULT CHARSET=utf8mb4 COMMENT='权限表';

-- ----------------------------
-- Records of unimall_role_permission
-- ----------------------------
BEGIN;
INSERT INTO `unimall_role_permission` VALUES (1, 1, '*', 0, '2019-01-01 00:00:00', '2019-01-01 00:00:00');
INSERT INTO `unimall_role_permission` VALUES (2, 2, 'admin:category:read', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (3, 2, 'admin:category:update', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (4, 2, 'admin:category:delete', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (5, 2, 'admin:category:create', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (6, 2, 'admin:category:list', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (7, 2, 'admin:brand:create', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (8, 2, 'admin:brand:list', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (9, 2, 'admin:brand:delete', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (10, 2, 'admin:brand:read', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (11, 2, 'admin:brand:update', 0, '2019-01-07 15:18:53', '2019-01-07 15:18:53');
INSERT INTO `unimall_role_permission` VALUES (12, 3, 'admin:nearby:ad:list', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (13, 3, 'admin:nearby:ad:delete', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (14, 3, 'admin:nearby:ad:create', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (15, 3, 'admin:nearby:ad:update', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (16, 3, 'admin:nearby:ad:read', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (17, 3, 'admin:groupon:list', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (18, 3, 'admin:groupon:update', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (19, 3, 'admin:groupon:create', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (20, 3, 'admin:groupon:read', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (21, 3, 'admin:groupon:delete', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (22, 3, 'admin:topic:create', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (23, 3, 'admin:topic:read', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (24, 3, 'admin:topic:list', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (25, 3, 'admin:topic:delete', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (26, 3, 'admin:topic:update', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (27, 3, 'admin:coupon:list', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (28, 3, 'admin:coupon:delete', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (29, 3, 'admin:coupon:read', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (30, 3, 'admin:coupon:create', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (31, 3, 'admin:coupon:update', 0, '2019-01-07 15:18:57', '2019-01-07 15:18:57');
INSERT INTO `unimall_role_permission` VALUES (64, 15, 'admin:user:list', 0, '2019-04-12 14:18:07', '2019-04-12 14:18:07');
INSERT INTO `unimall_role_permission` VALUES (65, 15, 'admin:role:update', 0, '2019-04-12 14:18:07', '2019-04-12 14:18:07');
INSERT INTO `unimall_role_permission` VALUES (66, 15, 'admin:role:delete', 0, '2019-04-12 14:18:07', '2019-04-12 14:18:07');
INSERT INTO `unimall_role_permission` VALUES (67, 15, 'admin:role:create', 0, '2019-04-12 14:18:07', '2019-04-12 14:18:07');
INSERT INTO `unimall_role_permission` VALUES (343, 11, 'admin:admin:update', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (344, 11, 'admin:admin:list', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (345, 11, 'admin:admin:delete', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (346, 11, 'admin:admin:create', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (347, 11, 'admin:permission:list', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (348, 11, 'admin:role:list', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (349, 11, 'admin:user:list', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (350, 11, 'admin:user:status', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (351, 11, 'admin:order:detail', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (352, 11, 'admin:order:ship', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (353, 11, 'admin:order:list', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (354, 11, 'admin:apply:list', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (355, 11, 'admin:apply:apply', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (356, 11, 'admin:apply:handle', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (357, 11, 'admin:ad:update', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (358, 11, 'admin:ad:list', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (359, 11, 'admin:ad:delete', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (360, 11, 'admin:ad:create', 0, '2019-05-04 12:28:02', '2019-05-04 12:28:02');
INSERT INTO `unimall_role_permission` VALUES (361, 11, 'admin:article:update', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (362, 11, 'admin:article:list', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (363, 11, 'admin:article:status', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (364, 11, 'admin:article:delete', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (365, 11, 'admin:article:create', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (366, 11, 'admin:life:list', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (367, 11, 'admin:life:delete', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (368, 11, 'admin:qq:update', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (369, 11, 'admin:qq:list', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (370, 11, 'admin:qq:delete', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (371, 11, 'admin:qq:create', 0, '2019-05-04 12:28:03', '2019-05-04 12:28:03');
INSERT INTO `unimall_role_permission` VALUES (441, 10, 'operation:order:detail', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (442, 10, 'operation:order:refund', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (443, 10, 'operation:order:ship', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (444, 10, 'operation:order:list', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (445, 10, 'operation:appraise:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (446, 10, 'operation:appraise:query', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (447, 10, 'operation:freight:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (448, 10, 'operation:freight:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (449, 10, 'operation:freight:update', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (450, 10, 'operation:freight:query', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (451, 10, 'promote:coupon:update', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (452, 10, 'promote:coupon:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (453, 10, 'promote:coupon:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (454, 10, 'promote:coupon:query', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (455, 10, 'promote:recommend:query', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (456, 10, 'promote:recommend:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (457, 10, 'promote:recommend:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (458, 10, 'promote:merchant:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (459, 10, 'promote:merchant:update', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (460, 10, 'promote:merchant:query', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (461, 10, 'promote:advertisement:query', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (462, 10, 'promote:advertisement:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (463, 10, 'promote:advertisement:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (464, 10, 'promote:advertisement:update', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (465, 10, 'admin:role:permissionList', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (466, 10, 'admin:permission:list', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (467, 10, 'admin:role:update', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (468, 10, 'admin:role:list', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (469, 10, 'admin:role:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (470, 10, 'admin:role:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (471, 10, 'system:user:update', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (472, 10, 'system:user:query', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (473, 10, 'system:user:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (474, 10, 'system:user:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (475, 10, 'admin:admin:update', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (476, 10, 'admin:admin:list', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (477, 10, 'admin:admin:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (478, 10, 'admin:admin:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (479, 10, 'operation:category:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (480, 10, 'operation:category:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (481, 10, 'operation:category:update', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (482, 10, 'operation:category:query', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (483, 10, 'operation:goods:detail', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (484, 10, 'operation:goods:edit', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (485, 10, 'operation:goods:list', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (486, 10, 'operation:goods:delete', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (487, 10, 'operation:goods:create', 0, '2019-08-11 12:40:28', '2019-08-11 12:40:28');
INSERT INTO `unimall_role_permission` VALUES (488, 12, 'operation:order:detail', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (489, 12, 'operation:order:list', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (490, 12, 'operation:appraise:query', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (491, 12, 'operation:freight:query', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (492, 12, 'admin:admin:list', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (493, 12, 'admin:permission:list', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (494, 12, 'admin:role:list', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (495, 12, 'system:user:query', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (496, 12, 'system:user:create', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (497, 12, 'promote:recommend:query', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (498, 12, 'promote:advertisement:delete', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (499, 12, 'promote:merchant:query', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (500, 12, 'promote:coupon:create', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (501, 12, 'operation:category:create', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (502, 12, 'operation:goods:detail', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
INSERT INTO `unimall_role_permission` VALUES (503, 12, 'operation:goods:list', 0, '2019-08-21 11:48:25', '2019-08-21 11:48:25');
COMMIT;

-- ----------------------------
-- Table structure for unimall_sku
-- ----------------------------
DROP TABLE IF EXISTS `unimall_sku`;
CREATE TABLE `unimall_sku` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `spu_id` bigint(20) NOT NULL,
  `bar_code` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `img` varchar(255) DEFAULT NULL,
  `original_price` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `vip_price` int(11) NOT NULL,
  `stock` int(11) NOT NULL DEFAULT '9999999',
  `freeze_stock` int(11) NOT NULL DEFAULT '0',
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2800 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_sku
-- ----------------------------
BEGIN;
INSERT INTO `unimall_sku` VALUES (2773, 1236768, '110002', '7.5KG', NULL, 34680, 28900, 28800, 744, 0, '2019-12-22 14:23:12', '2019-08-01 22:30:06');
INSERT INTO `unimall_sku` VALUES (2774, 1236768, '110001', '1.5KG', NULL, 8640, 7200, 7180, 785, 0, '2019-12-22 14:23:12', '2019-08-01 22:30:06');
INSERT INTO `unimall_sku` VALUES (2775, 1236769, '120001', '8.16KG', NULL, 57600, 46000, 44500, 783, 8, '2019-08-21 12:53:05', '2019-08-01 23:17:20');
INSERT INTO `unimall_sku` VALUES (2776, 1236770, '130001', '标准', NULL, 1920, 1600, 1500, 845, 4, '2019-08-21 12:53:11', '2019-08-01 23:20:26');
INSERT INTO `unimall_sku` VALUES (2777, 1236771, '150004', '山羊奶', NULL, 10690, 8900, 8800, 94, 6, '2019-08-21 12:53:17', '2019-08-01 23:38:07');
INSERT INTO `unimall_sku` VALUES (2778, 1236771, '150003', '蔓越莓', NULL, 10690, 8900, 8800, 97, 1, '2019-08-21 12:53:17', '2019-08-01 23:38:07');
INSERT INTO `unimall_sku` VALUES (2779, 1236771, '150002', '螺旋藻', NULL, 10690, 8900, 8800, 98, 1, '2019-08-21 12:53:17', '2019-08-01 23:38:07');
INSERT INTO `unimall_sku` VALUES (2780, 1236771, '150001', '牛油果', NULL, 10690, 8900, 8800, 99, 1, '2019-08-21 12:53:17', '2019-08-01 23:38:07');
INSERT INTO `unimall_sku` VALUES (2781, 1236772, '160001', '200g', NULL, 1800, 1380, 1280, 776, 101, '2019-08-21 12:53:23', '2019-08-01 23:42:45');
INSERT INTO `unimall_sku` VALUES (2782, 1236773, '170001', '7.5KG', NULL, 54900, 53200, 52800, 858, 23, '2019-08-21 12:53:36', '2019-08-01 23:47:55');
INSERT INTO `unimall_sku` VALUES (2783, 1236774, '180001', '标准', NULL, 33480, 27900, 27000, 873, 6, '2019-08-21 12:53:48', '2019-08-01 23:50:28');
INSERT INTO `unimall_sku` VALUES (2784, 1236775, '190001', '标准', NULL, 100, 1, 1, 681, 44, '2019-08-23 18:03:42', '2019-08-03 23:26:26');
INSERT INTO `unimall_sku` VALUES (2785, 1236776, '200001', '标准', NULL, 100, 2, 1, 884, 2, '2019-08-21 12:54:02', '2019-08-03 23:28:44');
INSERT INTO `unimall_sku` VALUES (2786, 1236777, '310002', '帮安装', NULL, 99900, 68800, 68800, 878, 9, '2019-08-21 12:54:08', '2019-08-11 12:30:00');
INSERT INTO `unimall_sku` VALUES (2787, 1236777, '310001', '仅授权', NULL, 38800, 18800, 18800, 871, 14, '2019-08-21 12:54:08', '2019-08-11 12:30:00');
INSERT INTO `unimall_sku` VALUES (2788, 1236779, '4897097140018', '小猪佩奇草莓味豆奶125ml', NULL, 168, 168, 168, 100, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2789, 1236780, '6915766002943', '美年达汽水600ml', NULL, 168, 168, 168, 101, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2790, 1236781, '6915766003759', '美莲达西瓜味600ml', NULL, 100, 100, 100, 103, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2791, 1236782, '6935768923251', '口水娃兰花豆（酱汁牛肉味）', NULL, 100, 100, 100, 105, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2792, 1236783, '6936003512230', '旺旺牛奶糖', NULL, 100, 100, 100, 106, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2793, 1236784, '6900404519075', '天友核桃花生奶200ml', NULL, 100, 100, 100, 107, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2794, 1236785, '6953392543294', '纯悦水', NULL, 100, 100, 100, 108, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2795, 1236786, '6956416203730', '水动乐桃味600ml', NULL, 100, 100, 100, 109, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2796, 1236787, '6956416205956', '美汁源果粒橙450ml', NULL, 208, 208, 208, 110, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2797, 1236788, '6907992507064', '伊利营养舒化(全脂奶）250ml', NULL, 100, 100, 100, 111, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2798, 1236789, '6931893420009', '正宗咪咪虾条18g', NULL, 130, 130, 130, 112, 0, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_sku` VALUES (2799, 1236790, '2333333', '自动发货', NULL, 10, 1, 1, 997, 2, '2019-11-06 15:48:45', '2019-11-06 15:48:45');
COMMIT;

-- ----------------------------
-- Table structure for unimall_sku_auto_ship_keys
-- ----------------------------
DROP TABLE IF EXISTS `unimall_sku_auto_ship_keys`;
CREATE TABLE `unimall_sku_auto_ship_keys` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `sku_id` bigint(20) NOT NULL,
  `cdk` varchar(255) NOT NULL,
  `times` int(11) NOT NULL,
  `gmt_update` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP,
  `gmt_create` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_sku_auto_ship_keys
-- ----------------------------
BEGIN;
INSERT INTO `unimall_sku_auto_ship_keys` VALUES (1, 2799, 'http://pan.baidu.com/', 9997, '2019-11-06 15:56:27', '2019-11-06 15:56:27');
COMMIT;

-- ----------------------------
-- Table structure for unimall_spu
-- ----------------------------
DROP TABLE IF EXISTS `unimall_spu`;
CREATE TABLE `unimall_spu` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `original_price` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  `vip_price` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `sales` int(11) NOT NULL DEFAULT '0',
  `img` varchar(255) NOT NULL,
  `detail` text NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '介绍',
  `category_id` bigint(20) NOT NULL,
  `freight_template_id` bigint(20) NOT NULL DEFAULT '1',
  `unit` varchar(255) NOT NULL,
  `status` int(11) NOT NULL,
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1236791 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_spu
-- ----------------------------
BEGIN;
INSERT INTO `unimall_spu` VALUES (1236768, 8640, 7200, 7180, '澳大利亚丝倍亮Supercoat 小型犬幼年期全价犬粮 1.5kg', 0, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/eae3baf6b6114139840320f06f4398f7.jpg', '<p><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/b6f1e945da014fe18af270c21a209ea1.jpg\" alt=\"\" width=\"750\" height=\"536\" /><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/cc99ce62d1e341fcbe45b302e60060e7.jpg\" alt=\"\" width=\"750\" height=\"536\" /></p>\r\n<p><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/bbf4972823224ad6a9c1b874abd323fd.jpg\" alt=\"\" width=\"750\" height=\"502\" /></p>\r\n<p><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/681848a52d5d4fb9b614097b3a27b21f.jpg\" alt=\"\" width=\"750\" height=\"467\" /></p>\r\n<p><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/51fab2d442f94111a4de16cf4c3d80e5.jpg\" alt=\"\" width=\"750\" height=\"487\" /></p>\r\n<p><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/d96b32645c1548a5baf22b9419fd41ec.jpg\" alt=\"\" width=\"750\" height=\"509\" /></p>\r\n<p><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/68d22543be1845b38cafc4da5580a44a.jpg\" alt=\"\" width=\"750\" height=\"497\" /></p>\r\n<p><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/edffabc845b04d7b93b5cf321a7def32.jpg\" alt=\"\" width=\"750\" height=\"466\" /></p>\r\n<p><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/c456bbc315544b6ba8c5c3cfbdb4ebc2.jpg\" alt=\"\" width=\"750\" height=\"515\" /></p>\r\n<p><img src=\"https://easycampus-ops.oss-cn-shenzhen.aliyuncs.com/bg/17d84019ac404a00b1d11ffe89e54c5d.jpg\" alt=\"\" width=\"750\" height=\"467\" /></p>', '进口a', 1036520, 13, '袋', 1, '2019-12-22 14:23:12', '2019-08-01 22:30:06');
INSERT INTO `unimall_spu` VALUES (1236769, 57600, 46000, 45200, '耐吉斯SOLUTION 比利时版 鸡肉+三文鱼配方奶糕粮 18磅/8.16kg', 0, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/55c59f82af4e4aefb9f78ce2484b9f36.png', '<p><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-4ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-5ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-6ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-7ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-8ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-9ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-10ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-11ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-12ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-13ic\" /><img src=\"https://img2.epetbar.com/common/upload/commonfile/20190605171622738081.jpg@300y-14ic\" /></p>', '介绍', 1036520, 13, '盒', 1, '2019-08-21 12:53:05', '2019-08-01 23:17:20');
INSERT INTO `unimall_spu` VALUES (1236770, 1920, 1600, 1500, '宠儿香 家庭专用系列 美健膳食罐头 90g', 0, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2b86ba9cfc0c40fc82f7741c06270f36.jpg', '<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2017-11/27/13/030e8ed7916c22c44d82fd5fa91c6b3a.jpg@300y-0ic\" alt=\"5199945\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2017-11/27/13/030e8ed7916c22c44d82fd5fa91c6b3a.jpg@300y-1ic\" alt=\"5199945\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2017-11/27/13/030e8ed7916c22c44d82fd5fa91c6b3a.jpg@300y-2ic\" alt=\"5199945\" /></div>\n<div>&nbsp;</div>\n<p>&nbsp;</p>\n<div>&nbsp;</div>', '处方狗粮', 1036521, 13, '盒', 1, '2019-08-21 12:53:11', '2019-08-01 23:20:26');
INSERT INTO `unimall_spu` VALUES (1236771, 11000, 8900, 8800, '昵趣NaTruse 山羊奶配方狗狗洁齿骨 盒装20g*40支', 0, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/86338c9e576342baa0d079bc1caef9cc.jpg', '<div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-0ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-1ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-2ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-3ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-4ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-5ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-6ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-7ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-8ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-9ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-10ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-11ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-12ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-13ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-14ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-15ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-16ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-17ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-18ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-19ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-20ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-21ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-22ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-23ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-24ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-25ic\" alt=\"5930132\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-10/09/18/44a6a5d7df1beb9fe42b24ef25b2bca1.jpg@300y-26ic\" alt=\"5930132\" /></div>\n</div>', '磨牙磨牙', 1036525, 13, '盒', 1, '2019-08-21 12:53:17', '2019-08-01 23:38:07');
INSERT INTO `unimall_spu` VALUES (1236772, 1800, 1380, 1280, '路斯 手工坊系列 香薰牛肉丁 200g', 0, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/e48b4f8c1c824e1a9b9f349be0275648.jpg', '<div class=\"imgdetail\">\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_1.jpg@!water\" alt=\"2991184\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_2.jpg@!water\" alt=\"2991185\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_3.jpg@!water\" alt=\"2991186\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_4.jpg@!water\" alt=\"2991187\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_5.jpg@!water\" alt=\"2991188\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_6.jpg@!water\" alt=\"2991189\" /></div>\n<div>\n<div><img style=\"opacity: 1;\" src=\"//img1.epetbar.com/2017-10/17/18/15c25e20ce5117e368c5f55b907a65e9.jpg@!water\" alt=\"5095517\" /></div>\n</div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_8.jpg@!water\" alt=\"2991191\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_9.jpg@!water\" alt=\"2991192\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_10.jpg@!water\" alt=\"2991193\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_11.jpg@!water\" alt=\"2991194\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_12.jpg@!water\" alt=\"2991195\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_13.jpg@!water\" alt=\"2991196\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_14.jpg@!water\" alt=\"2991197\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_15.jpg@!water\" alt=\"2991198\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_16.jpg@!water\" alt=\"2991199\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_17.jpg@!water\" alt=\"2991200\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2015-10/14/12/72abe78f09547e4ca969cffc8f25b401_18.jpg@!water\" alt=\"2991201\" /></div>\n<div>\n<div><img style=\"opacity: 1;\" src=\"//img1.epetbar.com/2017-10/17/18/7f18f086302a6a86df1bedf6ef076ab9.jpg@!water\" alt=\"5095525\" /></div>\n</div>\n<div>&nbsp;</div>\n</div>', '根本停不下来', 1036524, 13, '袋', 1, '2019-08-21 12:53:23', '2019-08-01 23:42:45');
INSERT INTO `unimall_spu` VALUES (1236773, 54900, 53200, 52800, '比利时原装进口 欧帝亿IMPERIAL PAW 鸡肉幼猫猫粮 7.5kg', 0, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/4f817407a019439da765bf0dc5e7b3b7.jpg', '<div class=\"imgdetail\">\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-0ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-1ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-2ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-3ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-4ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-5ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-6ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-7ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-8ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-9ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-10ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-11ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-12ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-13ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-14ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-15ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-16ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-17ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-18ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-19ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-20ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-21ic\" alt=\"6108398\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-12/12/09/6f43b0de50d2fcfc2d079d09e4d49b53.jpg@300y-22ic\" alt=\"6108398\" /></div>\n<div>&nbsp;</div>\n</div>', '豆豆豆', 1036527, 13, '盒', 1, '2019-08-21 12:53:36', '2019-08-01 23:47:55');
INSERT INTO `unimall_spu` VALUES (1236774, 33480, 27900, 27000, '百加世NOW FRESH 无谷成猫粮 4磅', 0, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/8e168314e8f14558a89729ec4fb86f17.jpg', '<div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_1.jpg@!water\" alt=\"4255342\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_2.jpg@!water\" alt=\"4255343\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_3.jpg@!water\" alt=\"4255344\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_4.jpg@!water\" alt=\"4255345\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_5.jpg@!water\" alt=\"4255346\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_6.jpg@!water\" alt=\"4255347\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_7.jpg@!water\" alt=\"4255348\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_8.jpg@!water\" alt=\"4255349\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_9.jpg@!water\" alt=\"4255350\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_10.jpg@!water\" alt=\"4255351\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_11.jpg@!water\" alt=\"4255352\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_12.jpg@!water\" alt=\"4255353\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_13.jpg@!water\" alt=\"4255354\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_14.jpg@!water\" alt=\"4255355\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2016-11/24/16/e8be35c7d7a7097be53447188bc0fda8_15.jpg@!water\" alt=\"4255356\" /></div>\n</div>', '介绍', 1036521, 13, '袋', 1, '2019-08-21 12:53:48', '2019-08-01 23:50:28');
INSERT INTO `unimall_spu` VALUES (1236775, 100, 1, 1, '俏尾巴SmartTail LOVECAT同厂 环保2.0小颗粒豆腐猫砂 原味 2.5kg', 53, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/a407352b0c6745ceb3be31a8fa50820f.jpg', '<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-0ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-1ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-2ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-3ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-4ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-5ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-6ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-7ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-8ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-9ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-10ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-11ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-12ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-13ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-14ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-15ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-16ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-17ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-18ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-19ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-20ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-21ic\" alt=\"5511368\" /></div>\n<div><img style=\"opacity: 1;\" src=\"https://img2.epetbar.com/2018-04/24/11/ff2cde4febbaf4e3035804b41e6a0a0b.jpg@300y-22ic\" alt=\"5511368\" /></div>\n<div>&nbsp;</div>\n<p>&nbsp;</p>', '介绍', 1036533, 13, '袋', 1, '2019-08-23 18:03:42', '2019-08-03 23:26:26');
INSERT INTO `unimall_spu` VALUES (1236776, 100, 2, 1, '乐优派 猫砂盆清理用具 4件套', 0, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/22014e1c20c441949b9e90ef63fa0f64.jpg', '<div class=\"imgdetail\">\n<div><img style=\"opacity: 1;\" src=\"//img1.epetbar.com/2017-12/08/18/6b8b58041940cd7af2bb4d981cf9fa83.jpg@!water\" alt=\"5229927\" /></div>\n<div><img style=\"opacity: 1;\" src=\"//img1.epetbar.com/2017-12/08/18/384a0d38845eb37ab6531e830f9ae8c2.jpg@!water\" alt=\"5229928\" /></div>\n<div><img style=\"opacity: 1;\" src=\"//img1.epetbar.com/2017-12/08/18/d25c95da3b8ca05c91459c1da06eb677.jpg@!water\" alt=\"5229929\" /></div>\n<div><img style=\"opacity: 1;\" src=\"//img1.epetbar.com/2017-12/08/18/16ef42b306e40cd4ab9ac29ac6d8b76f.jpg@!water\" alt=\"5229930\" /></div>\n<div>&nbsp;</div>\n</div>', '介绍', 1036532, 13, '套', 1, '2019-08-21 12:54:02', '2019-08-03 23:28:44');
INSERT INTO `unimall_spu` VALUES (1236777, 38800, 18800, 18800, 'unimall商业永久授权', 2, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/2e6c6eeefaf94fac94fcc1157d2fa037.jpeg', '<p>购买后，请备注好，被授权公司，电话地址。</p>\n<p><img src=\"https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/324525a7819944bab622e2f9cca8cc05.png\" alt=\"\" width=\"586\" height=\"867\" /></p>', '商业使用授权', 1036536, 13, '次', 1, '2019-08-21 12:54:08', '2019-08-11 12:30:00');
INSERT INTO `unimall_spu` VALUES (1236779, 168, 168, 168, '小猪佩奇草莓味豆奶125ml', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '小猪佩奇草莓味豆奶125ml', '介绍', 1036524, 13, '件', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236780, 168, 168, 168, '美年达汽水600ml', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '美年达汽水600ml', '介绍', 1036524, 13, '件', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236781, 100, 100, 100, '美莲达西瓜味600ml', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '美莲达西瓜味600ml', '介绍', 1036524, 13, '件', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236782, 100, 100, 100, '口水娃兰花豆（酱汁牛肉味）', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '口水娃兰花豆（酱汁牛肉味）', '介绍', 1036524, 13, '袋', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236783, 100, 100, 100, '旺旺牛奶糖', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '旺旺牛奶糖', '介绍', 1036524, 13, '袋', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236784, 100, 100, 100, '天友核桃花生奶200ml', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '天友核桃花生奶200ml', '介绍', 1036524, 13, '件', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236785, 100, 100, 100, '纯悦水', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '纯悦水', '介绍', 1036524, 13, '件', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236786, 100, 100, 100, '水动乐桃味600ml', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '水动乐桃味600ml', '介绍', 1036524, 13, '件', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236787, 208, 208, 208, '美汁源果粒橙450ml', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '美汁源果粒橙450ml', '介绍', 1036524, 13, '瓶', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236788, 100, 100, 100, '伊利营养舒化(全脂奶）250ml', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '伊利营养舒化(全脂奶）250ml', '介绍', 1036524, 13, '件', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236789, 130, 130, 130, '正宗咪咪虾条18g', 0, 'https://easycampus-asset.oss-cn-shenzhen.aliyuncs.com/nopic.png', '正宗咪咪虾条18g', '介绍', 1036524, 13, '件', 1, '2019-10-17 12:57:52', '2019-10-17 12:57:52');
INSERT INTO `unimall_spu` VALUES (1236790, 10, 1, 1, '[自动发货]Java XXX入门到入土', 2, 'https://unimall-demo.oss-cn-shenzhen.aliyuncs.com/bg/1351de40106e4c9fb6383fb78416aa6c.png', '<p>xxxx</p>', '介绍', 1036520, 13, 'ke', 1, '2019-11-06 15:48:45', '2019-11-06 15:48:45');
COMMIT;

-- ----------------------------
-- Table structure for unimall_spu_attribute
-- ----------------------------
DROP TABLE IF EXISTS `unimall_spu_attribute`;
CREATE TABLE `unimall_spu_attribute` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `spu_id` bigint(20) NOT NULL,
  `attribute` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_spu_attribute
-- ----------------------------
BEGIN;
INSERT INTO `unimall_spu_attribute` VALUES (24, 1236769, '生产产地', '比利时', '2019-08-21 12:53:05', '2019-08-21 12:53:05');
INSERT INTO `unimall_spu_attribute` VALUES (25, 1236770, '成份含量', '蛋白质4%,脂肪7%', '2019-08-21 12:53:11', '2019-08-21 12:53:11');
INSERT INTO `unimall_spu_attribute` VALUES (26, 1236770, '主要成份', '牛肉,鸡肉及其副产品,燕麦全粉', '2019-08-21 12:53:11', '2019-08-21 12:53:11');
INSERT INTO `unimall_spu_attribute` VALUES (27, 1236771, '生产产地', '中国', '2019-08-21 12:53:17', '2019-08-21 12:53:17');
INSERT INTO `unimall_spu_attribute` VALUES (28, 1236772, '生产产地', '中国', '2019-08-21 12:53:23', '2019-08-21 12:53:23');
INSERT INTO `unimall_spu_attribute` VALUES (29, 1236773, '生产产地', '比利时', '2019-08-21 12:53:36', '2019-08-21 12:53:36');
INSERT INTO `unimall_spu_attribute` VALUES (31, 1236776, '产地', '中国', '2019-08-21 12:54:02', '2019-08-21 12:54:02');
INSERT INTO `unimall_spu_attribute` VALUES (33, 1236775, '产地', '中国', '2019-08-23 18:03:42', '2019-08-23 18:03:42');
COMMIT;

-- ----------------------------
-- Table structure for unimall_user
-- ----------------------------
DROP TABLE IF EXISTS `unimall_user`;
CREATE TABLE `unimall_user` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `phone` varchar(255) DEFAULT NULL,
  `password` varchar(255) DEFAULT NULL,
  `login_type` int(11) NOT NULL,
  `open_id` varchar(255) DEFAULT NULL,
  `nickname` varchar(255) DEFAULT NULL,
  `avatar_url` varchar(255) DEFAULT NULL,
  `level` int(11) NOT NULL DEFAULT '0' COMMENT '0.普通会员 1.VIP会员',
  `birthday` date DEFAULT NULL,
  `gender` int(11) DEFAULT '-1',
  `gmt_last_login` datetime DEFAULT NULL,
  `last_login_ip` varchar(255) DEFAULT NULL,
  `status` int(11) DEFAULT '1',
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `unimall_user_phone_uindex` (`phone`)
) ENGINE=InnoDB AUTO_INCREMENT=454 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_user
-- ----------------------------
BEGIN;
INSERT INTO `unimall_user` VALUES (21, NULL, NULL, 1, 'oiAuI5CW0p5YDegIPZEdklaSi4cM', 'rize魏朝正', 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJNITTq63LcicD1plOldChUqVDmHqZ6bmHwrOa8bUiaaWob9L6via6xZswBuRv1WNdSq864uywClSXxA/132', 0, NULL, 1, '2019-11-25 15:37:49', '27.10.60.71', 1, '2019-11-25 15:37:49', '2019-08-01 23:09:21');
INSERT INTO `unimall_user` VALUES (22, NULL, NULL, 1, 'oiAuI5F5l2b5mW70kSPSHgFK2-tY', 'emmmmmm', 'https://wx.qlogo.cn/mmopen/vi_32/kPibxI0A35FLnOichycdMN3rtaakrKuOrwrIAibFciaYEL1BRC8jD9yS5u4V1lgLoDQibLQVlE46JxK2u9HpFB59WRg/132', 0, NULL, 1, '2019-08-23 18:02:32', '27.10.60.71', 1, '2019-08-23 18:02:33', '2019-08-02 00:19:25');
INSERT INTO `unimall_user` VALUES (23, NULL, NULL, 2, 'osTQe6JxcJjGf0YYYLe0MZnORyig', '格子君', 'http://thirdwx.qlogo.cn/mmopen/vi_32/CaicdKfndSvz7GDyhJwF8HWZcbfeMXZY5dm7lL2ew4iak8q2Q59FlJh7MeSPwvzS9ox0ia0EBHETXfXibUzvK4Qic2w/132', 0, NULL, 0, '2019-08-08 19:03:17', '27.10.60.71', 1, '2019-08-08 19:03:18', '2019-08-08 19:03:17');
INSERT INTO `unimall_user` VALUES (24, NULL, NULL, 1, 'oiAuI5KmbnA0Qq6kiMY4q8Nd77eU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/icvFO1UdPCSkXAzEB3K5B2XXDaHc5AhfFkicdw9FOClySialCaRZD6UuHzB5eGYTSL0aI6vGiaepps9ibBbfGbmfYbg/132', 0, NULL, 1, '2019-08-09 17:38:29', '27.10.60.71', 1, '2019-08-09 17:38:29', '2019-08-09 17:38:29');
INSERT INTO `unimall_user` VALUES (25, NULL, NULL, 1, 'oiAuI5FbL5LxOc9AvX6a-SHYyeyU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLsThiaOiaRYUOVbhvFIykvH9Rib8mHkcNWm2u1yebUbV07X8XuqftnKpPL3T65SG3zntSxUuhI1Ds3g/132', 0, NULL, 1, '2019-08-09 17:40:03', '27.10.60.71', 1, '2019-08-09 17:40:03', '2019-08-09 17:40:03');
INSERT INTO `unimall_user` VALUES (26, NULL, NULL, 1, 'oiAuI5J26PBTIy5aAZqI_7vmm18I', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/8CcbUpHBBAFkt2qq9xiawETD1T9wyQznwr90tajICpbON4ZXibbnic2SSnEomHbVA3jdvXYYfic8V1JJ71qOFMWYMg/132', 0, NULL, 1, '2019-08-09 17:45:09', '27.10.60.71', 1, '2019-08-09 17:45:10', '2019-08-09 17:45:09');
INSERT INTO `unimall_user` VALUES (27, NULL, NULL, 1, 'oiAuI5GKKGplsf-5skEiY58GktPo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKW62ibaCmg5oB8YC8zorDbQniac5V4uOTHaBkddEq16LXhWtibVl4yzpZJzON23ibOS9Mz1WhZlFDibuw/132', 0, NULL, 1, '2019-08-09 17:45:42', '27.10.60.71', 1, '2019-08-09 17:45:42', '2019-08-09 17:45:42');
INSERT INTO `unimall_user` VALUES (28, NULL, NULL, 1, 'oiAuI5H_IdTtQ7tGadgsCucMO7Tw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/LP5C9RHNibxic2CBQKteaz0dRGpPHxUnlzegUNssv7SFhByNuZFbhaZMQV4j4srUxogAmUttdfx6WcUFP6pyxNDg/132', 0, NULL, 1, '2019-08-09 17:54:29', '27.10.60.71', 1, '2019-08-09 17:54:29', '2019-08-09 17:54:29');
INSERT INTO `unimall_user` VALUES (29, NULL, NULL, 1, 'oiAuI5CHdx3ArS0J-HI3CVLu1nlU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/yzJ6MDTEayuoKibzHpOuUAI79jaickuM2HNzwmRp1upVAOpPy3Jo1rztZYiaTZOVH5fKjZtDlUp7CJWh8MhNZSWEw/132', 0, NULL, 1, '2019-08-09 18:01:31', '27.10.60.71', 1, '2019-08-09 18:01:31', '2019-08-09 18:01:31');
INSERT INTO `unimall_user` VALUES (30, NULL, NULL, 2, 'osTQe6Oz-cFcFZpvwKxcTyYla_aQ', 'ATerryang', 'http://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJJscBficiaUXI9IlMwRN1hHmpDtcpmicZkiboEKibTRBnNqCP1pyC3L4icrNhliaN1h0UldI83eHmfBF3Xg/132', 0, NULL, 1, '2019-08-09 18:25:57', '27.10.60.71', 1, '2019-08-09 18:25:57', '2019-08-09 18:25:57');
INSERT INTO `unimall_user` VALUES (31, NULL, NULL, 1, 'oiAuI5PBu4Xj-PMY0KK_JFLQ_zcA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLg2vgKPQCKep4yN3ibbXzUplLdXkHjQMOPMml8HYMn6R6b7EEyfZcXySxrRX4MJa90CgyzzEZJYVg/132', 0, NULL, 1, '2019-08-09 18:28:14', '27.10.60.71', 1, '2019-08-09 18:28:14', '2019-08-09 18:28:14');
INSERT INTO `unimall_user` VALUES (32, NULL, NULL, 1, 'oiAuI5NqpDfeEAxr1TLVSmN3GULU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTK6o4EMl211ibXibzTSqn3XtcsOzgu5vozO7O1jGf3TIV2BPljfEqkeI9Y8dp4rsKTppWic2PDZb3m3g/132', 0, NULL, 1, '2019-09-12 14:35:51', '27.10.60.71', 1, '2019-09-12 14:35:52', '2019-08-09 18:46:17');
INSERT INTO `unimall_user` VALUES (33, NULL, NULL, 1, 'oiAuI5BZ9xHBgkMfOa0YcWaOiV9Y', NULL, NULL, 0, NULL, -1, '2019-08-09 18:56:54', '27.10.60.71', 1, '2019-08-09 18:56:54', '2019-08-09 18:56:54');
INSERT INTO `unimall_user` VALUES (34, NULL, NULL, 1, 'oiAuI5LrGutE0YfDdmljKMpqrsrs', NULL, NULL, 0, NULL, -1, '2019-08-09 19:00:54', '27.10.60.71', 1, '2019-08-09 19:00:54', '2019-08-09 19:00:54');
INSERT INTO `unimall_user` VALUES (35, NULL, NULL, 1, 'oiAuI5GKdYzSJynOQQOy51xCuZxQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJDN5UfOncUWDJKqD8bGYDMXp8ibOXqvicpibmy7uTtGcxRs0CNZeYROurvdPjOGxPiatYkPRn5GD4YsA/132', 0, NULL, 1, '2019-08-09 19:23:03', '27.10.60.71', 1, '2019-08-09 19:23:04', '2019-08-09 19:23:03');
INSERT INTO `unimall_user` VALUES (36, NULL, NULL, 1, 'oiAuI5GdGD2vAR3tyZZ5DXqlj_cE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/hibovdzTUthWSNA0W0v7iaCdgLiathkYlLiasHoFWCkDRGqLI3PAiabF6ibSBxj03Z7KXUZtOSZwA0CZDtvTicpL5fS3Q/132', 0, NULL, 1, '2019-08-09 19:23:09', '27.10.60.71', 1, '2019-08-09 19:23:09', '2019-08-09 19:23:09');
INSERT INTO `unimall_user` VALUES (37, NULL, NULL, 2, 'osTQe6Pp78VsDs1fknPJmuf70kmc', '落叶飞拂', 'http://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83epgiccmTiaUszb1RWGRqAVvc7bPJqPR4rzqXahEo2AnEeic3mPgpib1cqaiaUuDh1XpmPvvT38JkTVOarQ/132', 0, NULL, 1, '2019-08-10 19:25:55', '27.10.60.71', 1, '2019-08-10 19:25:55', '2019-08-09 19:28:32');
INSERT INTO `unimall_user` VALUES (38, NULL, NULL, 1, 'oiAuI5Cw8It4nefGh9EbxxQ82LPs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/8CcbUpHBBAFkt2qq9xiawEfysjCNmYtyuqY33fn1ib2MibgeMsNSD39gQ8KEHn3iaXkurUpibBX0W5T96zBEesice18g/132', 0, NULL, 1, '2019-08-09 20:14:32', '27.10.60.71', 1, '2019-08-09 20:14:32', '2019-08-09 20:14:32');
INSERT INTO `unimall_user` VALUES (39, NULL, NULL, 1, 'oiAuI5HMW5ohrgnmilDXoLgu-f1c', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/nia8QbFDQtY0OnInPhicfUhx3kXZ4iapiarscLHQJyFTGYpgibSR5ejsWYMggopibKwDWoibMPiaKqMBKCcpVWc10Qt27w/132', 0, NULL, 1, '2019-08-09 20:23:29', '27.10.60.71', 1, '2019-08-09 20:23:30', '2019-08-09 20:23:29');
INSERT INTO `unimall_user` VALUES (40, NULL, NULL, 1, 'oiAuI5IODaPmnGBy_dKZcC-Yg_tg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/L9VVrMFqrzcMNibb7GldfMA8oWJLGTka3lJHMSHyOU8Z3dPqpxhkUZUdeLXnhqKxfq8YKEStHyszj9UjPqB15IA/132', 0, NULL, 1, '2019-08-09 20:48:56', '27.10.60.71', 1, '2019-08-09 20:48:57', '2019-08-09 20:48:56');
INSERT INTO `unimall_user` VALUES (41, NULL, NULL, 1, 'oiAuI5JHUexFgWT5HVec5iUkWC08', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83er7Nia50icDZaEOrzvAckQFlpCJoOuXFkLRbxHeOE437bewzMn1c6MA9xiaLoMd9zsEBJicLXiaKkKIw6Q/132', 0, NULL, 1, '2019-08-09 21:16:50', '27.10.60.71', 1, '2019-08-09 21:16:50', '2019-08-09 21:16:50');
INSERT INTO `unimall_user` VALUES (42, NULL, NULL, 2, 'osTQe6DptIHIwm48EfuGrWS6r5NY', 'dotcools', 'http://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83ep6iavjrZU2cIKcxu2Iu7pc0lic5hoQLTQWuiaRWEnedC0R83rgPLDG9yN1PEeyT1KjXJ5Ivu5jPMzhw/132', 0, NULL, 1, '2019-08-09 21:22:55', '27.10.60.71', 1, '2019-08-09 21:22:56', '2019-08-09 21:22:55');
INSERT INTO `unimall_user` VALUES (43, NULL, NULL, 1, 'oiAuI5OWfzg5ua0cbTIBZbHhK-Jg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJViaBkDfDB6Z4aib0gDDZXfgpgZfcOegWQuSEyIb1gqEfqmDibjYLVfvavIoAXp0G3mGcxmzYwvgm9A/132', 0, NULL, 1, '2019-08-14 22:56:19', '27.10.60.71', 1, '2019-08-14 22:56:19', '2019-08-09 21:25:19');
INSERT INTO `unimall_user` VALUES (44, NULL, NULL, 1, 'oiAuI5GlxjibrQRJc6mEyP10pmIc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKAyfsLlZkYjcUU7eDrDddJXwf9SDxSffROSmfX8eFJ598RIbblDw3lAgoy4VY208eibh5l03375zQ/132', 0, NULL, 1, '2019-08-12 15:52:52', '27.10.60.71', 1, '2019-08-12 15:52:52', '2019-08-09 21:31:11');
INSERT INTO `unimall_user` VALUES (45, NULL, NULL, 1, 'oiAuI5Ap2Q_wyKip0GwYyLe5v4yI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJShe1tuy6Khj85WKaFJo2OemPM8m5XvuUnWdNAGu3JUHPhEOQD9y7MNJfIicfX0gNiaIjJVKUsGINA/132', 0, NULL, 1, '2019-08-09 21:53:54', '27.10.60.71', 1, '2019-08-09 21:53:55', '2019-08-09 21:53:54');
INSERT INTO `unimall_user` VALUES (46, NULL, NULL, 1, 'oiAuI5J-3zv6ti0e_trq5bNbFUM0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/9UQvP3rrVDfRctPu7SBnRuff6CSLNrbzlFFNHepmxqqshdOzg6IN8FDzJia5y5C6aZxZnHynjRNE3pKWOh2ZUDQ/132', 0, NULL, 1, '2019-08-09 22:11:31', '27.10.60.71', 1, '2019-08-09 22:11:31', '2019-08-09 22:11:31');
INSERT INTO `unimall_user` VALUES (47, NULL, NULL, 2, 'osTQe6Cd9_YFfd074BYRlCnbzAJs', '超', 'http://thirdwx.qlogo.cn/mmopen/vi_32/icFUUvDyRafQWibhkZibmKMEcwEI3CoevD30rYAKUewF37kafic62GTMDV3sPics3QdWDztjkDK5piakkk2Nt9oNRrAA/132', 0, NULL, 1, '2019-08-09 22:26:38', '27.10.60.71', 1, '2019-08-09 22:26:38', '2019-08-09 22:26:38');
INSERT INTO `unimall_user` VALUES (48, NULL, NULL, 1, 'oiAuI5LLqaM5w8t5avAvo7YuDs68', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLoEIea5aSyGEHdyVE2yUib7IkgPMUDCCu4cF3QhI54uO3jXrLVWsDWDcq17pg8sjQspTags1k8RcQ/132', 0, NULL, 1, '2019-08-09 23:05:48', '27.10.60.71', 1, '2019-08-09 23:05:48', '2019-08-09 23:05:48');
INSERT INTO `unimall_user` VALUES (49, NULL, NULL, 1, 'oiAuI5DRfuVuOUQWcC11BV130woo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epYB8cBfGrDQLYSrib37UfFCmvBeICp3wxucIrvxLnnKOHIR87qcT1jyeknFsOgsvjOP3j8Hkzr6WA/132', 0, NULL, 1, '2019-08-09 23:15:57', '27.10.60.71', 1, '2019-08-09 23:15:57', '2019-08-09 23:15:57');
INSERT INTO `unimall_user` VALUES (50, NULL, NULL, 1, 'oiAuI5IZQLAcCihAaOFpxkj8yB-8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIrKg5HHPu3ULsEuuGaSF8LFE4n9BwS3rWPy2ZAMA0E7YHeAPcVKe5pWHNHk5LAl8JoJBhl6rjBcw/132', 0, NULL, 1, '2019-08-09 23:23:36', '27.10.60.71', 1, '2019-08-09 23:23:36', '2019-08-09 23:23:36');
INSERT INTO `unimall_user` VALUES (51, NULL, NULL, 1, 'oiAuI5BePVZ0u6mWPWDGYTYGK8Qg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoTbcLy18XryxQJKFXjctK7EELps0XSYBeRq1kGSm3dAxukqHibkhOVoNNNGGLVHEP2IMVqo56vR0A/132', 0, NULL, 1, '2019-08-09 23:31:35', '27.10.60.71', 1, '2019-08-09 23:31:35', '2019-08-09 23:31:35');
INSERT INTO `unimall_user` VALUES (52, NULL, NULL, 1, 'oiAuI5O8ZBelj79agN5cv5HBPIBc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erRMKuRPmiauNkUYV1Y0GibVyw7mg3LwMXHoRsLfMfGh6laUu7tX3GFRIhiaZIrWIyoyThNM5cVxaDjA/132', 0, NULL, 1, '2019-08-09 23:38:52', '27.10.60.71', 1, '2019-08-09 23:38:52', '2019-08-09 23:38:52');
INSERT INTO `unimall_user` VALUES (53, NULL, NULL, 1, 'oiAuI5KWveXRlzTTCR15AtvVfofU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Pay4lfibWVtFKMbQRueP3g3QnkRibospR4mriadLNkqTLWEXNCbhU81Y8ztaEXC4eX6UEbpficyxch4s5X3GaDllXg/132', 0, NULL, 1, '2019-08-10 21:54:01', '27.10.60.71', 1, '2019-08-10 21:54:01', '2019-08-09 23:43:51');
INSERT INTO `unimall_user` VALUES (54, NULL, NULL, 1, 'oiAuI5Oq2ysU41LyPGba0ipSTV18', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/cb6tcs4tfPOETnuw5TZa2pPiaohtlTEpHFicrc2icicE0ZxEubvY1WulYEBVpPtliarquVWKUyF0ENWYrnW0nMNoJEg/132', 0, NULL, 1, '2019-08-10 00:03:02', '27.10.60.71', 1, '2019-08-10 00:03:02', '2019-08-10 00:03:02');
INSERT INTO `unimall_user` VALUES (55, NULL, NULL, 2, 'osTQe6K10KALedhmE_xS7ZIkfSU0', 'heng·🎷', 'http://thirdwx.qlogo.cn/mmopen/vi_32/V4TMqcjrNkXUmmyt2Qr4rUtRXj1wP1177c4XOibNlxVWJH7XCJAibh6TiaCfouHkS3nK820x9GFEfjchT8UJuEwLw/132', 0, NULL, 1, '2019-08-10 00:57:32', '27.10.60.71', 1, '2019-08-10 00:57:33', '2019-08-10 00:57:32');
INSERT INTO `unimall_user` VALUES (56, NULL, NULL, 1, 'oiAuI5BXa5rkpGgEnd-jcFHshwp8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoloFAia8tnbgYbzyZvIC1z2pWSB2qXb0VJzicDpyliafFqImS3BIwBoKwiadvckHjZMYlJMgQyex5v3A/132', 0, NULL, 1, '2019-08-10 05:49:40', '27.10.60.71', 1, '2019-08-10 05:49:40', '2019-08-10 05:49:40');
INSERT INTO `unimall_user` VALUES (57, NULL, NULL, 1, 'oiAuI5CmrWZ95cH9vC0-ChK46yZ4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/17jLdc7alyD3paCeByDrwlTqGbPaPyO3YNlOhDBcsIC3A4c4PDUn7KQs3Ot7CXaiboJdxr1wDyJXIwRtGzsY1zw/132', 0, NULL, 1, '2019-08-10 06:07:03', '27.10.60.71', 1, '2019-08-10 06:07:03', '2019-08-10 06:06:57');
INSERT INTO `unimall_user` VALUES (58, NULL, NULL, 1, 'oiAuI5CU2TUTpcJ1mCrdo0VXWGSk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLia4qBUs5bFsyNrye592V99zZTTeTRic7icjTIydcWDopdpqH1RUmNdpia4yZ9jshMp0vLPuxmnJ7lMw/132', 0, NULL, 1, '2019-08-10 06:25:08', '27.10.60.71', 1, '2019-08-10 06:25:08', '2019-08-10 06:25:08');
INSERT INTO `unimall_user` VALUES (59, NULL, NULL, 1, 'oiAuI5KRNvVd49WXiveKHgeyYIbU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/3Nnic59p9OUZ4f00XzO4PCk8VOVyQLIicVJJpxUfG3uDgQBfr0uqYZQXjbt5NUbDkhnK9zHJlFA4lyH0bZWfa9nw/132', 0, NULL, 1, '2019-08-10 08:56:32', '27.10.60.71', 1, '2019-08-10 08:56:32', '2019-08-10 08:56:32');
INSERT INTO `unimall_user` VALUES (60, NULL, NULL, 1, 'oiAuI5LJSpkk7o5eydolEPvQ7rB4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ibicsSyiaSwf2TLVIEibC7HjB6Oic5KRHKicFWkqpLOEHGXrDfFUH3dleiag43uUiaicqSlway2QkPoicveGy4pEe5KFpTJw/132', 0, NULL, 1, '2019-08-10 09:14:35', '27.10.60.71', 1, '2019-08-10 09:14:35', '2019-08-10 09:14:35');
INSERT INTO `unimall_user` VALUES (61, NULL, NULL, 1, 'oiAuI5JoTo0kJNqPyTLxCeWGqRoI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epKRaUeNHXhUjkhtiaMPKoWHKs3IlCrhIbtRyEmJiaIhB5VQ0xqVk6xmacIlAqnhicibZf4AfpfCfCAQg/132', 0, NULL, 1, '2019-08-10 09:21:35', '27.10.60.71', 1, '2019-08-10 09:21:35', '2019-08-10 09:21:35');
INSERT INTO `unimall_user` VALUES (62, NULL, NULL, 1, 'oiAuI5F5GCyiOj8WQHv37mFl7pZg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTICOAdU4ZDNQhbVo57aHLslHOuV9aicDRB5vicFXXgamqNS4ePYVWTzx72omefPnUfuBKOCfpia1OYfQ/132', 0, NULL, 1, '2019-08-20 19:08:42', '27.10.60.71', 1, '2019-08-20 19:08:42', '2019-08-10 09:24:32');
INSERT INTO `unimall_user` VALUES (63, NULL, NULL, 1, 'oiAuI5MSBiqzw7Z-1MaRcF7T7q0o', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLVXJzAUmdoplQeRFJCOZvFjcSibD0hRv2OqyMu2MsyTqD4M1SNmLbOvec8TlUYt1iafjicecgcwuL2Q/132', 0, NULL, 1, '2019-08-10 09:24:36', '27.10.60.71', 1, '2019-08-10 09:24:36', '2019-08-10 09:24:36');
INSERT INTO `unimall_user` VALUES (64, NULL, NULL, 1, 'oiAuI5HYZJfnWasr8XVfPg6tWY5I', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIavBvxZz8M4SQZ3SGOhZun1D9YDNSvDqUicDX3lEOINicGSxlrdE4wMq4q6RVTmpR9Eo2qOuFa5zNA/132', 0, NULL, 1, '2019-08-10 09:44:29', '27.10.60.71', 1, '2019-08-10 09:44:29', '2019-08-10 09:44:29');
INSERT INTO `unimall_user` VALUES (65, NULL, NULL, 1, 'oiAuI5KPEsbUqJU2cr8zdYyGAhKo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEIUQAgn4mcrABNpNqncMWMSZGdPicOdxHic5QZf88DbEYFWuiceIBfy2btITtSZrgvXwMyKZgXa1x5WA/132', 0, NULL, 1, '2019-09-14 10:38:05', '27.10.60.71', 1, '2019-09-14 10:38:05', '2019-08-10 10:28:34');
INSERT INTO `unimall_user` VALUES (66, NULL, NULL, 1, 'oiAuI5NrQ6ZNQQ_DOotM4P8ZN3HI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ZdHZ8vlDjCppdjX5XjgmDbDfjsfiaUiaefJxFuRxLhVr9KqGpdPyfKRzMQebzkD6iae0rvniagiapicoNKTgNe1PrZ9w/132', 0, NULL, 1, '2019-08-14 09:40:36', '27.10.60.71', 1, '2019-08-14 09:40:36', '2019-08-10 10:38:12');
INSERT INTO `unimall_user` VALUES (67, NULL, NULL, 1, 'oiAuI5PLiyphejK-WG78YVzhM4cQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PuZTVOu1fHSEwoPqrhDiaic6TRKftJvVPzJr6BUYCb63nghddlzh0DCH1DBtuWrH04mqSvkPPicZM1SLQohKVNOFA/132', 0, NULL, 1, '2019-08-10 10:52:38', '27.10.60.71', 1, '2019-08-10 10:52:39', '2019-08-10 10:52:38');
INSERT INTO `unimall_user` VALUES (68, NULL, NULL, 1, 'oiAuI5LFZeIB0Gesu9WaahrT_rRQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLFQV87VnbA0D844iaYAPa0DickXCugHVDEDPKBQu2OHpE737O3bdla5UKsGg41G8aanibxljvS8PCow/132', 0, NULL, 1, '2019-08-10 10:55:07', '27.10.60.71', 1, '2019-08-10 10:55:07', '2019-08-10 10:55:07');
INSERT INTO `unimall_user` VALUES (69, NULL, NULL, 1, 'oiAuI5L1diB2gXx-5_v7AiSreXdA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/5gkAkgensNcfgL9kibROX8YVlrLEcRglc2DmN1I9GnIpR0M4tR4dUictVgSGgnrlkkgwTIz7UmdiaibGLeTZ38vZicg/132', 0, NULL, 1, '2019-08-10 11:00:54', '27.10.60.71', 1, '2019-08-10 11:00:54', '2019-08-10 11:00:54');
INSERT INTO `unimall_user` VALUES (70, NULL, NULL, 1, 'oiAuI5B18BZ_r428eR2bhnmsiwug', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/05Wiazxo0OS5JIUl2zCRovkb6bswiaCdOzZRnOhkp0sMVV7EnbLyW3iaCbwofESvhF0NkznbosXFsJvsibOcbmurHQ/132', 0, NULL, 1, '2019-08-29 16:44:10', '27.10.60.71', 1, '2019-08-29 16:44:11', '2019-08-10 11:01:21');
INSERT INTO `unimall_user` VALUES (71, '15123112145', '$1$1512311$U2K6drzZ7eU7zDj2fAplF.', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-08-10 13:24:13', '27.10.60.71', 1, '2019-08-10 11:13:37', '2019-08-10 11:13:37');
INSERT INTO `unimall_user` VALUES (72, NULL, NULL, 1, 'oiAuI5Lzxclmyh5HGkJOub98XkTA', '可可', 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTK31Ys3gm2LPIwA8z6RjOZBUKl5w3mSB7YhjKnEegne7aWxrJ0cbQoKiaACr3q0uHGO7K2I9Df2rtg/132', 0, NULL, 1, '2019-08-12 02:26:49', '27.10.60.71', 1, '2019-08-12 02:26:49', '2019-08-10 11:47:29');
INSERT INTO `unimall_user` VALUES (73, NULL, NULL, 2, 'osTQe6FMU5zekhAWhCej97-Okpw0', '文平', 'http://thirdwx.qlogo.cn/mmopen/vi_32/Q3auHgzwzM6ibpobUVKw1oRCXp4U3ljIo8tYJ90r4jL2MKhsPvNAjx61GBUAnN5TOAiampglejxB5BJP3vWGB6uA/132', 0, NULL, 1, '2019-08-10 12:15:14', '27.10.60.71', 1, '2019-08-10 12:15:15', '2019-08-10 12:15:14');
INSERT INTO `unimall_user` VALUES (74, NULL, NULL, 1, 'oiAuI5EtOl8UtG-yuI6Zmr_t7OCs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q3auHgzwzM6kRhRg6NMz64gdTEj1XhouHPhibY712uDbTC77ftvX6Sb0f6wN8Znibndb05QFqglyS2fMblayoE6Q/132', 0, NULL, 1, '2019-08-10 12:16:31', '27.10.60.71', 1, '2019-08-10 12:16:32', '2019-08-10 12:16:31');
INSERT INTO `unimall_user` VALUES (75, '18584669549', '$1$1858466$.KpeCykargRyb27bGhdDF/', 0, NULL, 'Heeellllo', NULL, 0, NULL, -1, '2019-10-21 21:53:28', '27.10.60.71', 1, '2019-08-10 13:20:19', '2019-08-10 13:19:55');
INSERT INTO `unimall_user` VALUES (76, NULL, NULL, 1, 'oiAuI5AWeae3hgbaXpW6K3xlcTlI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJ947XOoIWPCSexNbedWbUS7bBMly7OcATic39TkiaL2tukCnmj1TpEyWueAF6nFI5JEoSA88gvhSLg/132', 0, NULL, 1, '2019-08-10 13:58:03', '27.10.60.71', 1, '2019-08-10 13:58:03', '2019-08-10 13:58:03');
INSERT INTO `unimall_user` VALUES (77, NULL, NULL, 1, 'oiAuI5IaGJMZvPRKn6yw2F4OnDKc', NULL, NULL, 0, NULL, -1, '2019-08-10 14:06:05', '27.10.60.71', 1, '2019-08-10 14:06:05', '2019-08-10 14:06:05');
INSERT INTO `unimall_user` VALUES (78, NULL, NULL, 1, 'oiAuI5N6GswuvjZb8XbNCfqVlrlE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKicG5vnhqvw4vnYFtUA4gYdPd1TDmqwDZdma9pkEbcNYpWccAqEKuUzjqzOWDBzKoo7fAT0Yy0AaA/132', 0, NULL, 1, '2019-08-10 14:24:47', '27.10.60.71', 1, '2019-08-10 14:24:47', '2019-08-10 14:24:47');
INSERT INTO `unimall_user` VALUES (79, NULL, NULL, 1, 'oiAuI5GwfsdQz4Nr8-WaIvdqxiTI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/oV1jMvgVgfCxJGsSibUqHeAWTgDU9Gkvv9lJKNYysIEByGIhqPaancXTZyibUrlHSE3kO2YsUXYpePbicN4QVj4KQ/132', 0, NULL, 1, '2019-08-10 14:29:11', '27.10.60.71', 1, '2019-08-10 14:29:11', '2019-08-10 14:29:11');
INSERT INTO `unimall_user` VALUES (80, NULL, NULL, 1, 'oiAuI5DN-i64JC93gQomVku_jFD4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/TWoicsKV0zVbwLmmyewaCjef9Ib3yk0FwXNsAOfvnoHqmBICnLZEjK8TwbialrVztxf5vaXp46Kib77OebezicwQ8Q/132', 0, NULL, 1, '2019-08-10 14:31:58', '27.10.60.71', 1, '2019-08-10 14:31:58', '2019-08-10 14:31:58');
INSERT INTO `unimall_user` VALUES (81, NULL, NULL, 1, 'oiAuI5Jgcs_6pQRartR1g6jMrCsA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJTgNpkSibNiaDibUxQMcLEcbzmAkA4MKwA50dLqe3GJQQzR2PgdO4KsATSfPghCPib3v7qial6eTzEClw/132', 0, NULL, 1, '2019-08-10 14:54:48', '27.10.60.71', 1, '2019-08-10 14:54:48', '2019-08-10 14:54:48');
INSERT INTO `unimall_user` VALUES (82, NULL, NULL, 1, 'oiAuI5JLR1o_1S2EYW9hgyiDQZ50', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/GItrRq14xmN3kEymJQCw3OiboV5dUiaH5HRyhQGwFUDoOZ8TIOM3BDLrJCwR0rX2m3peQcCRX6yAQoD0BwkKhwbA/132', 0, NULL, 1, '2019-08-10 15:37:06', '27.10.60.71', 1, '2019-08-10 15:37:06', '2019-08-10 15:37:06');
INSERT INTO `unimall_user` VALUES (83, NULL, NULL, 1, 'oiAuI5A4ERE1wRls_NKV8wb66i1w', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/HUiaTtLWyQ6SNPiclibbSSHjWmM2ZTCicyicnjNPcRibCyDI5jw4l9ajoxIsRZqZ2WaH87icEmW0RvFI6BQgfeibHiafFdw/132', 0, NULL, 1, '2019-08-10 15:58:45', '27.10.60.71', 1, '2019-08-10 15:58:46', '2019-08-10 15:58:45');
INSERT INTO `unimall_user` VALUES (84, NULL, NULL, 1, 'oiAuI5K1VvzF0C4q-EqRlHJreNg4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKUqQficnsgtwpl8L67tNVuLNqs1CibGcV2EkdgOE2Uc1UETfRu3WYCpJXVQkJia6ruzOS9btA2TMWYQ/132', 0, NULL, 1, '2019-08-20 11:24:00', '27.10.60.71', 1, '2019-08-20 11:24:01', '2019-08-10 16:36:21');
INSERT INTO `unimall_user` VALUES (85, NULL, NULL, 1, 'oiAuI5Oc74YK1hje_ubnfYt6z-bs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKXgcsLsqQU2W32MbOgHdC3LfXOWzftV693nUIkXusL2hfuM1tRjKksq2ZcmrN09cQb7QRrbvWFMA/132', 0, NULL, 1, '2019-08-10 16:41:01', '27.10.60.71', 1, '2019-08-10 16:41:01', '2019-08-10 16:41:01');
INSERT INTO `unimall_user` VALUES (86, NULL, NULL, 1, 'oiAuI5F7yOzcMLcTGPWo2jCL06W8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/zLqnqeGNiboSSic96nUedvaUibB716NPLQkjgFIMDCVVtWFrziaJRAUzJNEjQWfAK41CLBJLAibvUXXMRI7qtxdhLfg/132', 0, NULL, 1, '2019-08-10 16:46:51', '27.10.60.71', 1, '2019-08-10 16:46:51', '2019-08-10 16:46:51');
INSERT INTO `unimall_user` VALUES (87, NULL, NULL, 1, 'oiAuI5CZ4Ba5glxpZXDiH2ZBUmfM', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/BURC2shnicTiaTvTQaAZTTLHz10tibCsAPRReicnp5LKcgibIMS2jC4asouunbaVqJ2ibo7srp4ysFpt1xcl1aUvNPTw/132', 0, NULL, 1, '2019-08-17 16:54:07', '27.10.60.71', 1, '2019-08-17 16:54:07', '2019-08-10 17:04:12');
INSERT INTO `unimall_user` VALUES (88, NULL, NULL, 1, 'oiAuI5ETHDrQiI9YTbdQyWXXN6Ag', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIWSfAiciaIN8UkzSCM8oZH59saG8xrCC6UCbUxiaIbicvGsSmvNLKnZXe6W0w5QvZvI3icWAGbq7QHxWQ/132', 0, NULL, 1, '2019-08-10 18:37:30', '27.10.60.71', 1, '2019-08-10 18:37:30', '2019-08-10 18:37:30');
INSERT INTO `unimall_user` VALUES (89, NULL, NULL, 1, 'oiAuI5ME27k-geULIbP8JNij5v6s', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/OVq8d3D1m1Q5iaCiaYtkop7XIP36ibhkrj1wLkNKb0IxQ4IeMLmRF6aB2qcZr5wNFH5IpicnIIlwvxCgtjhesI1BEg/132', 0, NULL, 1, '2019-08-10 18:48:53', '27.10.60.71', 1, '2019-08-10 18:48:53', '2019-08-10 18:48:53');
INSERT INTO `unimall_user` VALUES (90, NULL, NULL, 1, 'oiAuI5Epgq3UmmOkGYRPgdt9ps3Y', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/lZjDx0k6W7zUY08aoP85Kyb5uW5OjwIqDTHAFvqHDnvk1QZRsoNHmiby8mx2qCKqeYnkZ3CvYibFFFnnkeibTDZQA/132', 0, NULL, 1, '2019-08-10 20:12:00', '27.10.60.71', 1, '2019-08-10 20:12:00', '2019-08-10 20:12:00');
INSERT INTO `unimall_user` VALUES (91, NULL, NULL, 1, 'oiAuI5Mf7dFPnkjEIYUVgaXTDnhk', NULL, NULL, 0, NULL, -1, '2019-08-10 21:16:47', '27.10.60.71', 1, '2019-08-10 21:16:47', '2019-08-10 21:16:40');
INSERT INTO `unimall_user` VALUES (92, NULL, NULL, 1, 'oiAuI5OZ71nVc4zM2kQ8o_YdpbE4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/MJdzHRsaDY4ww3iarutic9QTiafSqbtRD5gFib0q1BpnLv4874NU3oPUSrpHZ0oUDp7oGIU4yC1SbkicgYhyCeibIvSg/132', 0, NULL, 1, '2019-08-10 21:25:37', '27.10.60.71', 1, '2019-08-10 21:25:37', '2019-08-10 21:25:37');
INSERT INTO `unimall_user` VALUES (93, NULL, NULL, 1, 'oiAuI5Jj_8WSZ1u215zWHlQxwAhc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLV9rhlIrTlrbJMCrlCCrw7lCwVQDvqprk18xHhhHW4mOogBwhzbXgtmlDdZSPiaQX2pblfNmiaVI1A/132', 0, NULL, 1, '2019-08-10 21:49:56', '27.10.60.71', 1, '2019-08-10 21:49:57', '2019-08-10 21:49:56');
INSERT INTO `unimall_user` VALUES (94, NULL, NULL, 1, 'oiAuI5HIFttwAzm8nhduo7HXB3R4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTILAN1oSb4cQZolWsJ7Gd9vmfJwsCtM5yUgiaIhrXw7PQ56HoYSQj8wAT9bROabKuCotDXTIcRhwkg/132', 0, NULL, 1, '2019-08-10 22:39:01', '27.10.60.71', 1, '2019-08-10 22:39:01', '2019-08-10 22:39:01');
INSERT INTO `unimall_user` VALUES (95, NULL, NULL, 1, 'oiAuI5EpcwgsgPpEIuL7yoJS86Ts', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIvEaKVSCgYWFR407yzfvD0FRpGI53aE5XVwWhOKbvib78AJJkfdzUTSc6ibYUDo4rkfxd9JFo2zxwA/132', 0, NULL, 1, '2019-08-10 23:05:48', '27.10.60.71', 1, '2019-08-10 23:05:48', '2019-08-10 23:05:48');
INSERT INTO `unimall_user` VALUES (96, NULL, NULL, 1, 'oiAuI5KPx9-SgMgmDzrXsNiPmYaQ', NULL, NULL, 0, NULL, -1, '2019-08-10 23:13:45', '27.10.60.71', 1, '2019-08-10 23:13:45', '2019-08-10 23:13:45');
INSERT INTO `unimall_user` VALUES (97, NULL, NULL, 1, 'oiAuI5IxVI-B-6_vilJa3iLdeL7o', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eriakOicUNcyM9bib39JZMOQ01N0DqpyfD4ia6tJvbZicVAbicnuOSZboJP8lUcSeLy8wDRWdVAK7r1RK3A/132', 0, NULL, 1, '2019-08-11 00:16:45', '27.10.60.71', 1, '2019-08-11 00:16:45', '2019-08-11 00:16:45');
INSERT INTO `unimall_user` VALUES (98, NULL, NULL, 2, 'osTQe6KmvEVKB1KAjob5RxxJUP-4', '章强', 'http://thirdwx.qlogo.cn/mmopen/vi_32/B1kqtcDOe12cLdBSM4JORqUic2pmoChCsGEMibnc2ZicnpMNINlZuIaB4PpbCic2QxpdJsHlRlqVia3KhbRDPGL99uQ/132', 0, NULL, 1, '2019-08-11 02:57:53', '27.10.60.71', 1, '2019-08-11 02:57:54', '2019-08-11 02:57:53');
INSERT INTO `unimall_user` VALUES (99, NULL, NULL, 1, 'oiAuI5Jt63eHRS0NrsCMKb13-RDU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLPoGDVWl319GG4HT1MyRnvnstMMxzPsx38OXACcicsRGbYtHYmT8j62p0PteV1f2XykqiaaraRIJ8A/132', 0, NULL, 1, '2019-08-11 05:37:06', '27.10.60.71', 1, '2019-08-11 05:37:06', '2019-08-11 05:37:06');
INSERT INTO `unimall_user` VALUES (100, NULL, NULL, 1, 'oiAuI5P_0mf4csrqovqNgjClZI24', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLwe6yzcS9llcvPOibf27n8tHzFxKbbw4xibI4zwmzLVjibS1v0qv3cMtOvpKxia212bVVx5btOOKTAiaw/132', 0, NULL, 1, '2019-08-11 06:42:32', '27.10.60.71', 1, '2019-08-11 06:42:32', '2019-08-11 06:42:32');
INSERT INTO `unimall_user` VALUES (101, NULL, NULL, 1, 'oiAuI5MhoNK93V6eBYVl1SMjTI6k', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/TeUXRrLuW5nQUqHsiaIqFUrytQUy6sJaI66fzohNUfDeCVnctHFQicJOZaov1RYgzAWSnQ76vKicDe0xMibjpgpN9A/132', 0, NULL, 1, '2019-08-11 14:56:58', '27.10.60.71', 1, '2019-08-11 14:56:58', '2019-08-11 09:21:28');
INSERT INTO `unimall_user` VALUES (102, NULL, NULL, 2, 'osTQe6PZ-G_QIBW9sSfpRWp3olBA', '欢乐马', 'https://thirdwx.qlogo.cn/mmopen/vi_32/Q3auHgzwzM6e9W6KEkhtc5Vl3asItWkXkofJlxsw7ZmGFn1tgXjWeRI8aeBFgHqtjtHyz6QwhN5E6bHX2rhRsw/132', 0, NULL, 0, '2019-08-11 09:49:35', '27.10.60.71', 1, '2019-08-11 09:49:36', '2019-08-11 09:49:35');
INSERT INTO `unimall_user` VALUES (103, NULL, NULL, 1, 'oiAuI5GIcqvWs2Op0Vr0zICn3fPg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epfmOHdm14RnhULNlAE810o9vd1uza485reb0Tk7gnM7TZqbcDicS8R2EMwzh44GFaicVd8hWFNwF1Q/132', 0, NULL, 1, '2019-08-13 13:09:31', '27.10.60.71', 1, '2019-08-13 13:09:31', '2019-08-11 09:53:12');
INSERT INTO `unimall_user` VALUES (104, NULL, NULL, 1, 'oiAuI5Ghgg6IZkdwcIQKtnNb4r-c', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erzRqh4S6sqhqO1njkf3qRZpmfTQdnVqmzE87JV2R0DRfQqibicYtZfAaRXEv98oZvmRQ3faqlUiapVw/132', 0, NULL, 1, '2019-08-13 13:18:35', '27.10.60.71', 1, '2019-08-13 13:18:35', '2019-08-11 10:00:28');
INSERT INTO `unimall_user` VALUES (105, NULL, NULL, 1, 'oiAuI5Aeh0253rdApUZrp1QmOGAo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erzRqh4S6sqhs1B6ia4GXl1bpzMdZTFeVXv3PdDoxTJricFicE4IZUerM1kuuYcVMyFSekXJ8mibcYjhQ/132', 0, NULL, 1, '2019-09-05 08:04:26', '27.10.60.71', 1, '2019-09-05 08:04:27', '2019-08-11 10:40:59');
INSERT INTO `unimall_user` VALUES (106, NULL, NULL, 1, 'oiAuI5C-5JXSvMbMPPfXiuzi7Qok', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIHunhiaMA2rcbFaXUcrqd2dc46fwB2pPDdfasPnx2viblicnMibObPFZ0ho6F3kF2Lv3221Ipzu4CZJg/132', 0, NULL, 1, '2019-08-20 22:10:15', '27.10.60.71', 1, '2019-08-20 22:10:15', '2019-08-11 10:56:50');
INSERT INTO `unimall_user` VALUES (107, NULL, NULL, 2, 'osTQe6OfXn0BE_VuNwWfqbSDAsJk', '云中漫步', 'http://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83epFyCELpVg2fDvUAmfakArs4vdtia2U3eGG5IibpibWrbb1PkcgsQOSdibGOibS3HENPnO8UhAIs3jtB6g/132', 0, NULL, 1, '2019-08-11 11:01:44', '27.10.60.71', 1, '2019-08-11 11:01:44', '2019-08-11 11:01:44');
INSERT INTO `unimall_user` VALUES (108, NULL, NULL, 1, 'oiAuI5GtUfCJKle-NU3Gl3BXjRX8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/H25dgE0a25FKFAt6ia0kfKCaf7PN5tCoI23yxKLVWu6d2I2cTyRySeGUG4lSpXUh8VSN87LfTkHSy6D68lVzkmQ/132', 0, NULL, 1, '2019-08-11 11:16:44', '27.10.60.71', 1, '2019-08-11 11:16:44', '2019-08-11 11:16:44');
INSERT INTO `unimall_user` VALUES (109, NULL, NULL, 1, 'oiAuI5MzIAscO6y5iTtLBFQTlp6s', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eq1fuiaf4FibGoWrmCxg9AOBD2TcHeGZibHI6uAxvKupLIJ6QdzGPYZxMcR4UMOx96Db0DjFGsbhM8xw/132', 0, NULL, 1, '2019-08-11 12:31:02', '27.10.60.71', 1, '2019-08-11 12:31:02', '2019-08-11 12:31:02');
INSERT INTO `unimall_user` VALUES (110, NULL, NULL, 1, 'oiAuI5AVULuYBXWfBp9nRVifSo2w', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Rv2qIF4ZrMWlI4HtoESSYT4bib1azcEqia4TWMZYx1AzoYbbOPKYpQrwOc5AseQY5NicQKiaQ3SgIJopUfGfu1iaCYA/132', 0, NULL, 1, '2019-08-11 12:38:05', '27.10.60.71', 1, '2019-08-11 12:38:05', '2019-08-11 12:38:05');
INSERT INTO `unimall_user` VALUES (111, NULL, NULL, 1, 'oiAuI5BeEYbZmGv3VOZkTZzs-Q9I', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIxAIXQL4JxsjKNVfO3LiaBcbDO7WSBiajptjWSehEUNeLTNWpcq72QbIqNZ1TRFc7WSm63BJsadvOg/132', 0, NULL, 1, '2019-08-11 13:25:06', '27.10.60.71', 1, '2019-08-11 13:25:07', '2019-08-11 13:25:06');
INSERT INTO `unimall_user` VALUES (112, NULL, NULL, 1, 'oiAuI5DXimn_tCZuO0anyI4-0JOU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLe00c7whq5qC3413nacvCHdamibIr0nx0KBTA5OUgYVOLFibvJDGv0OCmR6SlvQYgg0nFe7yEm9Dibg/132', 0, NULL, 1, '2019-08-11 14:35:08', '27.10.60.71', 1, '2019-08-11 14:35:08', '2019-08-11 14:35:08');
INSERT INTO `unimall_user` VALUES (113, NULL, NULL, 1, 'oiAuI5DuniCeNOHf65sWdukY9HFI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJ7AatzrjqPL9vgWws4Pl5HmN67mh0rwCsR2bTzoVKBc9IBkkZ2du7gkzdMKuzdl4l3pLmiczXaFyw/132', 0, NULL, 1, '2019-08-11 14:45:16', '27.10.60.71', 1, '2019-08-11 14:45:16', '2019-08-11 14:45:16');
INSERT INTO `unimall_user` VALUES (114, NULL, NULL, 1, 'oiAuI5DUvoO5kH5xeVB6KAvBvZzk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoIUdYgslKQ1s6zDUxwsdpwN87IBSI2B44ACicIYBkLiaedA9ztuj58OrFiaeGnSsrSMZaUWPvBU45rQ/132', 0, NULL, 1, '2019-08-11 15:05:19', '27.10.60.71', 1, '2019-08-11 15:05:19', '2019-08-11 15:04:35');
INSERT INTO `unimall_user` VALUES (115, NULL, NULL, 1, 'oiAuI5CxHPNVvhsIV_Ny-zIwqeAQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/l9dqRoLkFJDYPX6ufGXGo0HmPZ4JaGib6FZP58QicUr01MCzNTAdCaPwsTibFiaQf8FlOq5BeXw747d6CklibicL3Qhg/132', 0, NULL, 1, '2019-08-11 15:31:02', '27.10.60.71', 1, '2019-08-11 15:31:02', '2019-08-11 15:31:02');
INSERT INTO `unimall_user` VALUES (116, NULL, NULL, 1, 'oiAuI5BCTIlQWiv0-S7x8b8ZyFtw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/5gkAkgensNcfgL9kibROX8bIvLNt73cBV6CX5hhGzhdb4k0QURgD6KibB3osjYJVGkCVPAb7UiaQWl2la8bPeOZZg/132', 0, NULL, 1, '2019-08-11 15:33:17', '27.10.60.71', 1, '2019-08-11 15:33:17', '2019-08-11 15:33:17');
INSERT INTO `unimall_user` VALUES (117, NULL, NULL, 1, 'oiAuI5MR_z90GCqkyNa9JlLJ5u0E', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEKIr1mZDgFeua0B3iaUYGIkkcTRNZDohCib7fzOjo52dubJ1nwa6mGvB3SPT15ib2y5OEVqK0EjoBrcw/132', 0, NULL, 1, '2019-08-11 17:00:11', '27.10.60.71', 1, '2019-08-11 17:00:11', '2019-08-11 17:00:11');
INSERT INTO `unimall_user` VALUES (118, NULL, NULL, 2, 'osTQe6BNfEHzItA8EHGe0yY1hIAI', '流浪的家猫😝😜', 'http://thirdwx.qlogo.cn/mmopen/vi_32/xLZOUD1IwrEticTmF6qnVO5DDW2hrB4Hgt6LVJdyzQNaWC8YfDyxX5KUdkDiayxrDEYS6H8wA1ZyyfR5hguSJzqw/132', 0, NULL, 1, '2019-09-03 14:07:21', '27.10.60.71', 1, '2019-09-03 14:07:22', '2019-08-11 17:10:46');
INSERT INTO `unimall_user` VALUES (119, NULL, NULL, 1, 'oiAuI5ObO1MJPKGDJrwT2EQd00Kw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKUOdXYUhEIv1qxsjoaxZvfnb9tLRxDTZz0FsSXhP315ANuSp3IEnYGj1WeJiatK0lsZiaDSoVpdQWw/132', 0, NULL, 1, '2019-08-20 03:49:17', '27.10.60.71', 1, '2019-08-20 03:49:17', '2019-08-11 17:41:39');
INSERT INTO `unimall_user` VALUES (120, NULL, NULL, 1, 'oiAuI5IRmUZxPy2ioaX8tq8OwFjo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLLniccwC1MoouOcEF3q4v2xkWwYA8p9bvvcv8eia7iaFNJhkjU8Jz02PDESr8Vv86qZRr0pfbYPviaSA/132', 0, NULL, 1, '2019-08-11 21:54:56', '27.10.60.71', 1, '2019-08-11 21:54:56', '2019-08-11 21:54:56');
INSERT INTO `unimall_user` VALUES (121, NULL, NULL, 1, 'oiAuI5MRqFrO89ZwGjOYZsmzf1oI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/jicgtv1vSxiciaAg1vl37sOmSp4Ph40dSLsZs9o65xj0J61K5uqcX5fD2za0uLXIMv2KF0iaHt9kHkuE7PYAZ7JAbw/132', 0, NULL, 1, '2019-08-11 22:39:46', '27.10.60.71', 1, '2019-08-11 22:39:46', '2019-08-11 22:39:46');
INSERT INTO `unimall_user` VALUES (122, NULL, NULL, 1, 'oiAuI5E-luX5TLIy0fVc7l4qIgPs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLT6ueicIhHsibv0B9P1Dm5icrfWm6ewxGJkibPKKCSILKRic0Zvpqnn84f0y4z3Fq3OPOvcwJzzLibjsvA/132', 0, NULL, 1, '2019-08-11 23:51:23', '27.10.60.71', 1, '2019-08-11 23:51:23', '2019-08-11 23:51:23');
INSERT INTO `unimall_user` VALUES (123, NULL, NULL, 1, 'oiAuI5AA1cQgKMQhJXp70pFXgrM4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DK9ibN3ibDbOHaYeicd9BvtniawFdh6YwibbuKOsBiafOd1XD9mb2TZjFEYEfMFGeu9WnhUAicsJfN146YiaicKWBUGZguA/132', 0, NULL, 1, '2019-08-12 00:16:32', '27.10.60.71', 1, '2019-08-12 00:16:32', '2019-08-12 00:16:32');
INSERT INTO `unimall_user` VALUES (124, NULL, NULL, 1, 'oiAuI5Nk2hoxriki6mZz2wlx3yes', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEIZNRdWibFeDIUvcksyN8Y5m5kbDJDASrDlLBiagwGFicSn0h2iak1J4cNhImHOUh8CfBica9ibZqMg6sFA/132', 0, NULL, 1, '2019-08-12 00:44:20', '27.10.60.71', 1, '2019-08-12 00:44:20', '2019-08-12 00:44:20');
INSERT INTO `unimall_user` VALUES (125, NULL, NULL, 1, 'oiAuI5G0oGJWmG5E934niR8XKS4M', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ZVgK6dXdl9ydjWqJ8w8MUbB2QTa14edFIg17Gw2YEdIAF3uD0uRKAicROg2rkQnhKoSrl60NzyjRgO7PG9jpSgQ/132', 0, NULL, 1, '2019-08-12 01:08:35', '27.10.60.71', 1, '2019-08-12 01:08:35', '2019-08-12 01:08:35');
INSERT INTO `unimall_user` VALUES (126, NULL, NULL, 1, 'oiAuI5KpKDd032XopOHc_1jkL3O0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLCm8OWkDoutY4s6xIs8wUkvAFcQM5PSeRltnX327la3Dn3Ly5GNtB9QdDkqFYDUM7N2vDTLDPYBg/132', 0, NULL, 1, '2019-08-12 01:46:07', '27.10.60.71', 1, '2019-08-12 01:46:07', '2019-08-12 01:46:07');
INSERT INTO `unimall_user` VALUES (127, NULL, NULL, 1, 'oiAuI5JZyDaOhIw6oV5awjXuG5Vk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/mGfgwCK8RuV5FyuQWngx7pxgKWHexsCT9fwBm80icAw1pe4iaNV4mfC2iazoA7C2PiaAEM6JdGc5D3NNqC88trcPqw/132', 0, NULL, 2, '2019-08-24 08:35:06', '27.10.60.71', 1, '2019-08-24 08:35:06', '2019-08-12 08:12:32');
INSERT INTO `unimall_user` VALUES (128, NULL, NULL, 1, 'oiAuI5OWSisI8e95HqE36SKrQPow', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/R3hvIy3IO5EZth2eLnNAxQaicqJ2ibHwbNE2JthR3uAkOdYZOgfhQ3ibIXy937QvNFiaU9x01vpzm2iaFUrIlZf4ZUg/132', 0, NULL, 1, '2019-08-21 17:38:43', '27.10.60.71', 1, '2019-08-21 17:38:43', '2019-08-12 08:36:38');
INSERT INTO `unimall_user` VALUES (129, NULL, NULL, 1, 'oiAuI5Lcq5KJMAmsW90Na7Ck6nhE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIPsbt7BibERGicc95lJXqwWibpuFM1ykVxTW6iaNvj3zLlHGkCcj134KMumrcX49diaa00wJ47QOjq1xw/132', 0, NULL, 1, '2019-08-15 21:21:57', '27.10.60.71', 1, '2019-08-15 21:21:57', '2019-08-12 09:08:46');
INSERT INTO `unimall_user` VALUES (130, NULL, NULL, 1, 'oiAuI5FArVotlDUe4CV7GkQyHJ7k', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/3e8icfXhCM7ibiba7mYsHXYZUrVQ0APjqjT3OuhwXrBEL9C9aQnfLy2H0WiamaPeYptxaW8T8dNsQvtfVNdI3ToWqA/132', 0, NULL, 1, '2019-08-12 09:13:28', '27.10.60.71', 1, '2019-08-12 09:13:28', '2019-08-12 09:13:28');
INSERT INTO `unimall_user` VALUES (131, NULL, NULL, 1, 'oiAuI5BP3ktMR3vtS8QsK-sG-JDM', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqViaxic2E8N4icpZAzgQGmlBGvSKo8d7iaRgqJVveKFJIFKGq9aGLW2ppGlK3ppdrOCDKjIXpnYRJ9mA/132', 0, NULL, 1, '2019-08-20 23:34:38', '27.10.60.71', 1, '2019-08-20 23:34:38', '2019-08-12 09:15:03');
INSERT INTO `unimall_user` VALUES (132, NULL, NULL, 1, 'oiAuI5I2So8qfIbP51BDkP0IprYE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epZnG62cq5IxhwUVcuLNg8jZibHrwo1wywHiaqSbTA9semgZXYFfOWRqQAiaTqm5ftbYvvFlu3HloFPw/132', 0, NULL, 1, '2019-08-12 09:28:32', '27.10.60.71', 1, '2019-08-12 09:28:33', '2019-08-12 09:28:32');
INSERT INTO `unimall_user` VALUES (133, NULL, NULL, 2, 'osTQe6NMF5_lzwEOhElImT5tUkww', '叶鹏', 'http://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoicu4KMn2VWVn2EGWwGJpMFSgXkmpJGaYz6e3UwBv8gwqDZxO19ibzBbfc6ohnMsrU2WULnkOgw1bw/132', 0, NULL, 1, '2019-09-01 11:30:54', '27.10.60.71', 1, '2019-09-01 11:30:54', '2019-08-12 09:33:20');
INSERT INTO `unimall_user` VALUES (134, NULL, NULL, 1, 'oiAuI5G5IzaFkfsskgmhcLbqpJiM', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erLPQzuicqpmedktibico1vDzcVMeaw97TzOuducJcSYwdiaZacZAF2Eq3FUpOx2THz2iaSvZVYwCIGH5g/132', 0, NULL, 1, '2019-08-12 09:43:07', '27.10.60.71', 1, '2019-08-12 09:43:08', '2019-08-12 09:43:07');
INSERT INTO `unimall_user` VALUES (135, NULL, NULL, 1, 'oiAuI5MGkNS63GB0Mx9rwTqa-uDs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/cFtcpjRVvcmuD8EAWznuzAibibA27oibVgVIicrYGHNc4z6bv86opf9WW2dWsUv4om43vDFtJibiclSj21Q5WyRHnNpQ/132', 0, NULL, 1, '2019-08-12 09:43:45', '27.10.60.71', 1, '2019-08-12 09:43:45', '2019-08-12 09:43:45');
INSERT INTO `unimall_user` VALUES (136, NULL, NULL, 1, 'oiAuI5J0Aj7481O4wHBJaTJspYzI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Qnex1Ta2hKmraBXJFjhnMCtQOOegUAOwLV3ib3NOBuiclegYkTiabXFTZUy7RYSHGcFqphnKoAuOcs1QHwfJrX1sg/132', 0, NULL, 0, '2019-08-12 10:11:42', '27.10.60.71', 1, '2019-08-12 10:11:42', '2019-08-12 10:11:42');
INSERT INTO `unimall_user` VALUES (137, NULL, NULL, 2, 'osTQe6KB5ugdDEfQXv4x-jd1TnHs', '天津洞庭潮科技有限公司', 'http://thirdwx.qlogo.cn/mmopen/vi_32/85qqVM7NEQmJJIuyYAvvy7mhT7nCZibENt9VaoOO9b9IWajicIdsthr0KibniaBoscic3BfpTJSugSbytpSeRdwwPPQ/132', 0, NULL, 0, '2019-08-22 18:32:59', '27.10.60.71', 1, '2019-08-22 18:33:00', '2019-08-12 10:14:39');
INSERT INTO `unimall_user` VALUES (138, NULL, NULL, 1, 'oiAuI5N7_2dwmlcdCJHCnH3PTSsY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoicygXVeGVR5oyr6YnWzlN5qcsKtkgHt4p95VVCAHy3XOgZMpLibAoCEBAWVtf7vQe2ehxa6nVwibhw/132', 0, NULL, 1, '2019-09-16 15:40:51', '27.10.60.71', 1, '2019-09-16 15:40:51', '2019-08-12 10:24:34');
INSERT INTO `unimall_user` VALUES (139, NULL, NULL, 1, 'oiAuI5IkMjYa3oky9meszQyO8yEo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEKhq1cqYVRRYmeYHhYtfBL5U6zj5ibG0fezJ8Z9qCPlrMISwe6mfMKIfYy3kIuRhQoLXqebT17waIA/132', 0, NULL, 1, '2019-08-12 11:20:21', '27.10.60.71', 1, '2019-08-12 11:20:21', '2019-08-12 11:20:21');
INSERT INTO `unimall_user` VALUES (140, NULL, NULL, 1, 'oiAuI5PigAPka3OfcRkwvtZE9I6w', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEKspB1J2fmkCQc9mksp7ImN8REDT5EicInz5KtwwHRrlW56Od7oDVjd6QPoug20h1kc3zk2RXcYqcA/132', 0, NULL, 1, '2019-08-12 11:30:10', '27.10.60.71', 1, '2019-08-12 11:30:10', '2019-08-12 11:30:10');
INSERT INTO `unimall_user` VALUES (141, NULL, NULL, 1, 'oiAuI5IDHLUGqKm58ZaghWj4YtBo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLBmXKM1eNzac4C8XXSpyLMsNg9p3QWCYD4EumRhs4twK468GbqZwQD7Jyibt94JsWquKAzbzOZjww/132', 0, NULL, 1, '2019-08-13 17:17:38', '27.10.60.71', 1, '2019-08-13 17:17:38', '2019-08-12 13:08:37');
INSERT INTO `unimall_user` VALUES (142, NULL, NULL, 1, 'oiAuI5PSn6vVeiGLkbTzWkG48aCg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEKTouUvKicGncicuCf2fTvgEZZicmrq1ceU8SQts4ptzuibicCpfUhEZWqO56PBBwa1XSy8Wgj5RvsKu5Q/132', 0, NULL, 1, '2019-08-12 13:57:31', '27.10.60.71', 1, '2019-08-12 13:57:31', '2019-08-12 13:57:31');
INSERT INTO `unimall_user` VALUES (143, NULL, NULL, 1, 'oiAuI5CMpWaX5zwzEOhNxN0OX0Wk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaELOjiaruMGy2r7aIAJPHqzZyBFkwFXjGicduFratTmN3jcumOA0APULMicic8oiaqrVhLdj7vt5G9D4vWw/132', 0, NULL, 1, '2019-08-12 14:24:19', '27.10.60.71', 1, '2019-08-12 14:24:19', '2019-08-12 14:24:19');
INSERT INTO `unimall_user` VALUES (144, NULL, NULL, 1, 'oiAuI5AR6A99VEeg5GjJJDhkgcoc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/2oXVicc8Gxa6PD988uTREticicNG4xMOf31IZlLBqZkqA156rI6VKbt8cnNdLDjKueUfBO8cm3Zp3tchH9Zm3r5fw/132', 0, NULL, 1, '2019-08-12 14:26:19', '27.10.60.71', 1, '2019-08-12 14:26:19', '2019-08-12 14:26:19');
INSERT INTO `unimall_user` VALUES (145, NULL, NULL, 1, 'oiAuI5FX3ymZgasMH2_CKrlofwJA', NULL, NULL, 0, NULL, -1, '2019-08-12 14:34:56', '27.10.60.71', 1, '2019-08-12 14:34:57', '2019-08-12 14:34:56');
INSERT INTO `unimall_user` VALUES (146, NULL, NULL, 1, 'oiAuI5JdMzOYmy2N8li-F9VASjvs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqKUBwnzCnRgxBfISTrsDhn8Fa1qqLuLeP45q3RHkEzK6acW1hZ7NY0jGjLmUgGeMtRCfhzTlPTxA/132', 0, NULL, 1, '2019-08-12 14:48:21', '27.10.60.71', 1, '2019-08-12 14:48:21', '2019-08-12 14:48:21');
INSERT INTO `unimall_user` VALUES (147, NULL, NULL, 1, 'oiAuI5MOKeAWJtak_aM3JORCWFRc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIoDibno8LcKQGWE5cpmVsbCszGKYtiakQOjC4nRQ5fOyicNMEION6dyNVibFKvmweOFaLicicTqdIHbnPQ/132', 0, NULL, 1, '2019-08-12 15:26:15', '27.10.60.71', 1, '2019-08-12 15:26:15', '2019-08-12 15:26:15');
INSERT INTO `unimall_user` VALUES (148, NULL, NULL, 2, 'oRrdQt0_rksYgqoaqMcfJR_-mq2U', '侦探伟', 'http://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKqKTSTcsjLwM0scaY4vibg7hSZwia9Uxpa5T5rpbNVd1OPx2SrsKsYdMGvHHKYeYbEHvcDia59jCwFw/132', 0, NULL, 1, '2019-08-12 15:41:36', '27.10.60.71', 1, '2019-08-12 15:41:36', '2019-08-12 15:41:36');
INSERT INTO `unimall_user` VALUES (149, NULL, NULL, 1, 'oiAuI5Bt_3scNNrFTnD8EMpKNVVI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/jIwQI5rXhWcaTpkxza7y14w2AmkmtH3AtVVwDgbA6xzwRTbLlZLCXibFPp2EpZCREVkYxesPqKDdb8CyB3Pl9ibQ/132', 0, NULL, 1, '2019-08-12 15:44:58', '27.10.60.71', 1, '2019-08-12 15:44:58', '2019-08-12 15:44:58');
INSERT INTO `unimall_user` VALUES (150, NULL, NULL, 1, 'oiAuI5J05LeeQoj70g7N9Ln_zO-Y', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epYWk0YbuaX6hPVqzGnK7lYNM2dobaYpjB0pNGjibjLGKazWzp4Gibclnib7sxBeqWich7rufuibcoMyUw/132', 0, NULL, 1, '2019-08-12 17:35:37', '27.10.60.71', 1, '2019-08-12 17:35:37', '2019-08-12 16:50:50');
INSERT INTO `unimall_user` VALUES (151, '15089145669', '$1$1508914$RUCXP1ma2roex/mG.XQGc0', 0, NULL, '沉潜', NULL, 0, NULL, 2, '2019-08-12 17:35:35', '27.10.60.71', 1, '2019-08-12 17:36:05', '2019-08-12 17:35:18');
INSERT INTO `unimall_user` VALUES (152, NULL, NULL, 1, 'oiAuI5HM-PYlOD75YBce_M07fpFg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/E6a5Jd83tCuw5LSb6BTXhonu9ibjddgGhDJ9o1hLTrdb5Qia2KyiaVgFANuSTas9bHia1UdRcQbt2ib5ce3n58Tibtnw/132', 0, NULL, 1, '2019-08-12 17:48:18', '27.10.60.71', 1, '2019-08-12 17:48:18', '2019-08-12 17:48:10');
INSERT INTO `unimall_user` VALUES (153, NULL, NULL, 1, 'oiAuI5JtwLjKsCJfPR0vpZxFxcTo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJGp0zryiaomEA1uTxpibHiareV5KmtLiaqZuzwN2SpcEuaLIVLKftGic4DQycAzo6go7rAfx90VxHYLaQ/132', 0, NULL, 1, '2019-08-12 18:16:31', '27.10.60.71', 1, '2019-08-12 18:16:31', '2019-08-12 18:16:31');
INSERT INTO `unimall_user` VALUES (154, NULL, NULL, 1, 'oiAuI5JCfQKOrxsaHawuDNLFJyT0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTI0gCTYFc4yabx8XZ4GqA2mnCQfj5UUZMc5wAadTaylOPcYorKFbJSBEhBZsjtlq6hiafjMjvdsWDA/132', 0, NULL, 1, '2019-08-12 18:21:21', '27.10.60.71', 1, '2019-08-12 18:21:21', '2019-08-12 18:21:21');
INSERT INTO `unimall_user` VALUES (155, NULL, NULL, 1, 'oiAuI5F_v-i585EnjiqcxtdPvViw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIJghT6ia5AoYj1fnVuSAov8oicvib7X3kMEGq2zffzlZ3r4I7JSgBLTXbQnlRS517W1fOlaBO47MBibQ/132', 0, NULL, 1, '2019-08-12 18:44:04', '27.10.60.71', 1, '2019-08-12 18:44:04', '2019-08-12 18:44:04');
INSERT INTO `unimall_user` VALUES (156, NULL, NULL, 1, 'oiAuI5OIP6bRNmke0-5820UO-4pY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/uha1bGRqPOLWboxtwqI0TgeFAQMAribgerU9uhN2e6OJNPx5EicbGM6euoDHBVALybdybGhS2diaDzHlXSUI1sx2w/132', 0, NULL, 2, '2019-09-03 17:32:55', '27.10.60.71', 1, '2019-09-03 17:35:44', '2019-08-12 18:51:16');
INSERT INTO `unimall_user` VALUES (157, NULL, NULL, 1, 'oiAuI5Ll4emJnzvYCO0pzqdBQRrg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/VO56uDVUJap0aicLesKnwNyJBicVpZb7wSxPH4usoZt5RzUmMq1g953BVa9GrjPAGmkgZKKRdSRAAcJFIAxX6YrQ/132', 0, NULL, 1, '2019-08-12 18:57:16', '27.10.60.71', 1, '2019-08-12 18:57:16', '2019-08-12 18:57:16');
INSERT INTO `unimall_user` VALUES (158, NULL, NULL, 1, 'oiAuI5DZMaAeLLcNzivvrV3se2Nk', NULL, 'https://wx.qlogo.cn/mmhead/I38E0TqMh5WQlicwzPhdHHiaHEUKGwVoTFeLTCQ54CXOQ/132', 0, NULL, 2, '2019-08-12 19:08:04', '27.10.60.71', 1, '2019-08-12 19:09:23', '2019-08-12 19:08:04');
INSERT INTO `unimall_user` VALUES (159, NULL, NULL, 1, 'oiAuI5HxzJ0-_1_GQE-w1DcG1F4k', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLNgTWpN9vEUJX5K7Q4BUNOPX6iaRViaaGypoUZWfzMgfUGo5AG0icl5SpctGGicdbXBBqlekiaHT4nMMg/132', 0, NULL, 1, '2019-08-12 19:09:57', '27.10.60.71', 1, '2019-08-12 19:09:57', '2019-08-12 19:09:57');
INSERT INTO `unimall_user` VALUES (160, NULL, NULL, 1, 'oiAuI5P0tqlUygBrulp5aE_DWIuQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/z4hFFGreQKcicdCPVLr1Lr5HdNLb66496SibuENQG4JibmA34Nforq6ibstzuTZqDClXicWV2tgXghSibHibtJYCPcnXQ/132', 0, NULL, 1, '2019-08-12 20:34:04', '27.10.60.71', 1, '2019-08-12 20:34:05', '2019-08-12 20:34:04');
INSERT INTO `unimall_user` VALUES (161, NULL, NULL, 1, 'oiAuI5Ix42gwfAQMxx_7sYMTlQag', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIiaAhIgicZhNicg0osSqc24FwDHWQYZBCZ8mEmGezbBZOR4pANWn8O5BqspIuWNhLyyqWan6jC16Pww/132', 0, NULL, 1, '2019-08-12 20:44:33', '27.10.60.71', 1, '2019-08-12 20:44:33', '2019-08-12 20:44:33');
INSERT INTO `unimall_user` VALUES (162, NULL, NULL, 1, 'oiAuI5J-4v-gI-egMfuLe3-yXt7E', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/N9IHq7Qkjq6oorguhJG8YVt1iac7dfYvJV4sOicgiaibCEgU1QBpdHI2TARRrFzd6Umrf61LspaMo0pIfprcW83DZg/132', 0, NULL, 1, '2019-08-13 08:42:09', '27.10.60.71', 1, '2019-08-13 08:42:09', '2019-08-13 08:42:09');
INSERT INTO `unimall_user` VALUES (163, NULL, NULL, 1, 'oiAuI5Mnwml-4UbVpedWth1wWbi4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKPw6IFLuyxuS8mkomfQWanoL52m7qL962pPcb130AmoYV7H0POQ7PiauSKCsEBExYgZNqRoBuiaDag/132', 0, NULL, 1, '2019-08-13 09:01:43', '27.10.60.71', 1, '2019-08-13 09:01:43', '2019-08-13 09:01:43');
INSERT INTO `unimall_user` VALUES (164, NULL, NULL, 1, 'oiAuI5JdT4GBjdOmKhT_vBC_Strs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DK9ibN3ibDbOHaYeicd9Bvtnlnb80T7xUeXMvQ8bL4CWN7qhwUwLnwJejPOENp6lYiaBszSkFyP7og3648mHVicMODw/132', 0, NULL, 1, '2019-08-13 09:18:28', '27.10.60.71', 1, '2019-08-13 09:18:28', '2019-08-13 09:18:28');
INSERT INTO `unimall_user` VALUES (165, NULL, NULL, 1, 'oiAuI5HyhzPlyLslIcD-N7Z_mJ3E', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Ct9OXzjIiaMlZ04FRSpf7xv3UpF35Uf7wmtn9wvicaYk25sSialf77upF1j5xJ2yyDcFlkRTR7XNkib3icK4bCicaVTw/132', 0, NULL, 1, '2019-08-13 09:23:15', '27.10.60.71', 1, '2019-08-13 09:23:16', '2019-08-13 09:23:15');
INSERT INTO `unimall_user` VALUES (166, NULL, NULL, 1, 'oiAuI5I1atjXvLEmPh6RigyxolZs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/mttmyPxrokNhnu4yfICxF6mMRImIIFqaSml1gGMBt8ic3nNUVvTyAqLQHKPZYF6kmNsL5xru0AVMAIkXUSUnmyw/132', 0, NULL, 1, '2019-08-13 09:24:22', '27.10.60.71', 1, '2019-08-13 09:24:23', '2019-08-13 09:24:22');
INSERT INTO `unimall_user` VALUES (167, NULL, NULL, 1, 'oiAuI5Kh9KfOWOeGFuOoeu8WHK6c', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLlNJFICOnUkcetHbHf8zaEczBM3SPkWwWpGb3l4meCRUsW6v14Z8eicxtQI9nL019yh0Aia1t5NibNQ/132', 0, NULL, 1, '2019-08-13 10:14:16', '27.10.60.71', 1, '2019-08-13 10:14:16', '2019-08-13 10:14:16');
INSERT INTO `unimall_user` VALUES (168, NULL, NULL, 1, 'oiAuI5CK5aa4mNj-LZFOZS0z-jIg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/xicdwbibicicicEiabp7oUgiaNQ0oTTKL1ebsCtVmdXohKptS8icIJWIgGE6AWf7S8vhDs6YhMhLNMMqW3WUqmOEv0nSnw/132', 0, NULL, 1, '2019-08-13 10:29:56', '27.10.60.71', 1, '2019-08-13 10:29:56', '2019-08-13 10:29:54');
INSERT INTO `unimall_user` VALUES (169, NULL, NULL, 1, 'oiAuI5DmdB61WdtLB47-4g72HSzE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/YDnxFnvQiaEqzECh8hcC2PicxqVyOZJlibo4EVG9mWgJiasIiaHw68PoONURC8y4iblYjExbGiaZzmMAlaGUoWOXr41LQ/132', 0, NULL, 1, '2019-08-13 10:55:02', '27.10.60.71', 1, '2019-08-13 10:55:02', '2019-08-13 10:55:02');
INSERT INTO `unimall_user` VALUES (170, NULL, NULL, 1, 'oiAuI5NEQz10_IfuyOfwygB_LJto', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eooeQ6pDqQDMtlXotkbJficqnj99CKicTicZ8icyp8WkhiaHWjq4r4W4WuZBFJAjSILe4icIzsTdT165C5g/132', 0, NULL, 1, '2019-08-13 10:57:42', '27.10.60.71', 1, '2019-08-13 10:57:42', '2019-08-13 10:57:42');
INSERT INTO `unimall_user` VALUES (171, NULL, NULL, 1, 'oiAuI5I3zJfHnqjvj-FhFPHCzsWo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLUnaicnVnYoUILy7t7L3qsmx8pphibmic544OL2dkDTIoZJW1QrkH7BCpylBHfHnWOicanHdqiaYYPscw/132', 0, NULL, 1, '2019-08-14 16:20:50', '27.10.60.71', 1, '2019-08-14 16:20:51', '2019-08-13 11:36:37');
INSERT INTO `unimall_user` VALUES (172, NULL, NULL, 1, 'oiAuI5AVsEhhjU5gQsXYxmG1ra0c', NULL, 'https://wx.qlogo.cn/mmhead/DX1nQyXf4GTjCHopwWkMMuAfUwnW0fIPj15IxcHxPA8/132', 0, NULL, 2, '2019-08-13 11:49:39', '27.10.60.71', 1, '2019-08-13 11:51:00', '2019-08-13 11:49:39');
INSERT INTO `unimall_user` VALUES (173, NULL, NULL, 1, 'oiAuI5CVYqRJeYGPOOtlkh9BEU-s', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/noJKbw9WCqGZicicK7comWzomibubZSFbENVdldrHx00tHmXlmpGqKykYM8sThQJcMHI8u4ZOacvLvysThIHHBvbA/132', 0, NULL, 1, '2019-08-13 12:03:25', '27.10.60.71', 1, '2019-08-13 12:03:26', '2019-08-13 12:03:25');
INSERT INTO `unimall_user` VALUES (174, NULL, NULL, 1, 'oiAuI5CZnmUzpUVnr-5w0fQUIQk4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIRuA15kjYskbo5txHH2nntUAxwzU1r9BkEVoLWGeANphnfibnCElzic3ujhtNVIicpiaEKZ1S68hzkxw/132', 0, NULL, 1, '2019-08-13 13:12:48', '27.10.60.71', 1, '2019-08-13 13:12:48', '2019-08-13 13:12:48');
INSERT INTO `unimall_user` VALUES (175, '18661482845', '$1$1866148$YDpiEDY55tT3hEaY66Hux/', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-08-13 21:58:35', '27.10.60.71', 1, '2019-08-13 13:20:33', '2019-08-13 13:20:33');
INSERT INTO `unimall_user` VALUES (176, NULL, NULL, 1, 'oiAuI5G0OcKueCUcWiT7ho5R5Ajs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJ19AR9PJ3cEvfnkwlBia0gtaXpyfFC7l4ZiblhHLUHRTbGypwkXdcuh9Mfls9yG35C0nAupR4XCwRA/132', 0, NULL, 1, '2019-08-13 13:25:36', '27.10.60.71', 1, '2019-08-13 13:25:37', '2019-08-13 13:25:36');
INSERT INTO `unimall_user` VALUES (177, NULL, NULL, 1, 'oiAuI5Bjjx8rvqxnsjS5J8Fdned4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLyXh2DCqkOkrXbqpy3vlCmv2bSSASbdl2usX4PPrmNJYvwSSxneNliaxabVjqI2EGe21138iaIvWNA/132', 0, NULL, 1, '2019-08-13 14:02:06', '27.10.60.71', 1, '2019-08-13 14:02:06', '2019-08-13 14:02:06');
INSERT INTO `unimall_user` VALUES (178, NULL, NULL, 1, 'oiAuI5EqzhFoUTjsrgRPeJg4KW_M', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83ep2r1aUiaA0RfDaMXKIhed9iadI8TVHGuDicCAXCjGlGYYr8fdxGJmkBUFOUnoLLG5Qia7ickeF1A3r3Qg/132', 0, NULL, 1, '2019-08-13 14:17:01', '27.10.60.71', 1, '2019-08-13 14:17:01', '2019-08-13 14:17:01');
INSERT INTO `unimall_user` VALUES (179, NULL, NULL, 1, 'oiAuI5N6mxEeiY5VYj1kYcWhvkVQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIkQibcXZNOtOTWEhmgibampFX3uTbx4OICKw5R3UTu1s9XdCUyZKPgp7CTsNrKCx8IHjJ4k0YKtzZQ/132', 0, NULL, 1, '2019-08-13 14:28:47', '27.10.60.71', 1, '2019-08-13 14:28:48', '2019-08-13 14:28:47');
INSERT INTO `unimall_user` VALUES (180, NULL, NULL, 1, 'oiAuI5HwIsePi2ONMU87Msn2r4HQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJnryDfaYkQh2sJcaQ5o60WhVHRxgkcuzg8uoF3hkicmUw8OtRQVRmiaI0nNcXicQz6eCo1fwAzHLtPA/132', 0, NULL, 2, '2019-08-13 15:09:17', '27.10.60.71', 1, '2019-08-13 15:09:17', '2019-08-13 15:09:17');
INSERT INTO `unimall_user` VALUES (181, NULL, NULL, 1, 'oiAuI5EHG1sQqhCaNooOVQFqdbI0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/BSS6QN63z4nnQJic7BGwqo1vAlune4YeCLAJsb91ItkZBPj4bwFFiaTVibPic2s9Sw1wVCvIUeg6vk9sFyI5EzKE2w/132', 0, NULL, 1, '2019-08-13 15:30:44', '27.10.60.71', 1, '2019-08-13 15:30:44', '2019-08-13 15:30:44');
INSERT INTO `unimall_user` VALUES (182, NULL, NULL, 1, 'oiAuI5MD5stIFugvBfgKqVVzVGaQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLyXh2DCqkOkg5WgtIcyZSFWzich8NzIHvlVDjvPE31NwvfGyw29ibAVNWQjhP31ia8hgnxEN2tyicfSg/132', 0, NULL, 1, '2019-08-13 16:41:18', '27.10.60.71', 1, '2019-08-13 16:41:18', '2019-08-13 16:41:18');
INSERT INTO `unimall_user` VALUES (183, NULL, NULL, 1, 'oiAuI5MHTmfKzsxctL9sV1H13wyk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/9dWfsO0TlWpePxTo0AZicPic1htPibE31BPckVb9LhxCd0jgeFtlaX2JS9sdyia6rjMZNpdm2GQ5pvzYgG1vJ1k3vQ/132', 0, NULL, 1, '2019-08-13 17:35:48', '27.10.60.71', 1, '2019-08-13 17:35:48', '2019-08-13 17:35:48');
INSERT INTO `unimall_user` VALUES (184, NULL, NULL, 1, 'oiAuI5HsBzgbze7tEvTur2q75Cjc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoblFC8H7e9pfzNn6eZYnjA7kfYN0C4yWrnMfqJn8iapLVQvLb3xIAx30wd9nZibT0iayqpJ1Av5CRNg/132', 0, NULL, 1, '2019-08-13 17:47:46', '27.10.60.71', 1, '2019-08-13 17:47:46', '2019-08-13 17:47:46');
INSERT INTO `unimall_user` VALUES (185, NULL, NULL, 1, 'oiAuI5BXvt8Ve55-gIzR_ACv1e0I', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEIlQdVoxMCVuC3Q0NWJ1XxeibQq6yic9x5ib0OrTib9YhTIPxXtmT521xRfZSsrEWh5gLko798HkRArxg/132', 0, NULL, 1, '2019-08-13 18:10:08', '27.10.60.71', 1, '2019-08-13 18:10:08', '2019-08-13 18:10:08');
INSERT INTO `unimall_user` VALUES (186, NULL, NULL, 1, 'oiAuI5NvZ1jZG4lmqIcr1VIoGsaE', NULL, 'https://wx.qlogo.cn/mmhead/LfzQuia77veeojJpycDYPicflevWiaHwpKOzgx6E4bnNok/132', 0, NULL, 2, '2019-08-14 11:02:33', '27.10.60.71', 1, '2019-08-14 11:03:52', '2019-08-14 11:02:33');
INSERT INTO `unimall_user` VALUES (187, NULL, NULL, 1, 'oiAuI5Jj9B_DldPRk70_cz2w3_mc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoTbcLy18Xry1wicKS6SVAUI3h8NXGgsEjvxr3V6dEbSlg5obI3iaibNJC0uribHJbmRssibE9JhtMqAQA/132', 0, NULL, 1, '2019-08-14 11:25:38', '27.10.60.71', 1, '2019-08-14 11:25:38', '2019-08-14 11:25:38');
INSERT INTO `unimall_user` VALUES (188, NULL, NULL, 1, 'oiAuI5BGVcB-hWarMmtfk5BrGYso', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eozlUrKicenvYgPIusLGZvhhJQbg1via5DWxhtibia31rZGT5grtwFy2OV2ltnhr4f6HpIdOx77mtscjA/132', 0, NULL, 1, '2019-08-14 11:35:24', '27.10.60.71', 1, '2019-08-14 11:35:24', '2019-08-14 11:35:24');
INSERT INTO `unimall_user` VALUES (189, NULL, NULL, 1, 'oiAuI5LbYMHlsNngW1M2Gys09t2w', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eo5HP1ibenk8NvGKBduPbp4CiayGX0MZ6dOvcWc2kOl4gZbu7sKqO0O7EsGWjRzy7NZWyVrxdztlTHA/132', 0, NULL, 1, '2019-08-14 14:14:30', '27.10.60.71', 1, '2019-08-14 14:14:30', '2019-08-14 14:14:30');
INSERT INTO `unimall_user` VALUES (190, NULL, NULL, 2, 'osTQe6M2V_R5WhrntBx3EIgTxLTQ', '鱼小鱼', 'http://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83eocWYCsRSrNfCF4hIDTicwxXn1HulIOrmQ23bPuvnfSD5bxpwo8LGaMJGfIkavJga7zAp9SGdy8UDg/132', 0, NULL, 1, '2019-08-14 14:35:36', '27.10.60.71', 1, '2019-08-14 14:35:36', '2019-08-14 14:35:36');
INSERT INTO `unimall_user` VALUES (191, NULL, NULL, 1, 'oiAuI5BBS_Bcu41JvKj4qwD-a3Ac', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/cibteupBCW1AxfQCkiaNas83nQarglMthuiaLkLg0ecaIjibXY18bV0O1zG27fvbohQqlWkia6BVpyJ2X2gEFe3hnFA/132', 0, NULL, 1, '2019-08-14 14:52:10', '27.10.60.71', 1, '2019-08-14 14:52:11', '2019-08-14 14:52:10');
INSERT INTO `unimall_user` VALUES (192, NULL, NULL, 1, 'oiAuI5GShAP6SVYkoaBUwffaNW0E', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eprZkiagDicBT0Px8mAWAwKWKPOAw2TVwCxqOV33y8frSKthnwlsd6qnpywZp2ib5cp9M30tWaFt2PTA/132', 0, NULL, 1, '2019-08-14 15:58:09', '27.10.60.71', 1, '2019-08-14 15:58:09', '2019-08-14 15:58:09');
INSERT INTO `unimall_user` VALUES (193, NULL, NULL, 1, 'oiAuI5K9kCtFqWLPpErAUPOdFduE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTI39XReVrENhYK0icuibsk3y5QdwDsjNjicYzeKhJH37AOm0yByTjQ2iaic5wvbOlpHmScsrzibTARlndEA/132', 0, NULL, 1, '2019-08-14 16:44:40', '27.10.60.71', 1, '2019-08-14 16:44:40', '2019-08-14 16:44:40');
INSERT INTO `unimall_user` VALUES (194, NULL, NULL, 1, 'oiAuI5GY5rxkfWkjwX8jZXGLCm_M', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLZwicQJiby5pMNvynuictwMiblKLqAx18HibR7my7bg208Gvp94gKqlRxKhItkFz5iawyo3RxgITs9pwPA/132', 0, NULL, 1, '2019-08-14 18:31:36', '27.10.60.71', 1, '2019-08-14 18:31:37', '2019-08-14 18:31:36');
INSERT INTO `unimall_user` VALUES (195, NULL, NULL, 1, 'oiAuI5NT3FMfKIwGAnIRT8Oqz7w8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/R7GWPhB1Rjf5BlsNib9Jry98ltLT2YtzicoRtIBMiaiciav5GZVnElYmGIAKtwlviaYUCFmKa1iaZ0z7WAYe50vJsU00Q/132', 0, NULL, 1, '2019-08-30 23:38:59', '27.10.60.71', 1, '2019-08-30 23:39:00', '2019-08-15 04:19:14');
INSERT INTO `unimall_user` VALUES (196, NULL, NULL, 1, 'oiAuI5EAefe_h2JUMrmBro95aVso', NULL, NULL, 0, NULL, -1, '2019-08-15 16:48:32', '27.10.60.71', 1, '2019-08-15 16:48:32', '2019-08-15 16:48:32');
INSERT INTO `unimall_user` VALUES (197, NULL, NULL, 1, 'oiAuI5KRbQfMsg-1YccfcH8NX5LE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJzqGvQKictU9E03RgROooC3HVf99yM7eRb8oSo6TJVjTouibT7W2K1ZPw6lfDh6J6iatxQhKQfqHNwQ/132', 0, NULL, 1, '2019-08-21 18:54:16', '27.10.60.71', 1, '2019-08-21 18:54:17', '2019-08-15 17:05:43');
INSERT INTO `unimall_user` VALUES (198, NULL, NULL, 1, 'oiAuI5MbfPjj1JlNtmgEhhRjGNB0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/G7pgyw0Tn41OD0N4KrfWmmTDMslZTBP64VgVpKNoPsdgLEPZ1HaEUp4fTbUe6yomynLr06kC6EIVOd75oH3uBw/132', 0, NULL, 1, '2019-08-15 20:04:25', '27.10.60.71', 1, '2019-08-15 20:04:25', '2019-08-15 20:04:25');
INSERT INTO `unimall_user` VALUES (199, NULL, NULL, 1, 'oiAuI5HaNiatX6g_5V3dgw_b_WM4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKUqQficnsgtwiaCx1OgCxVTJO7Tic3LsOrtBmHRq03A1B5ODgxkENo0Vl1wkD4LGuRuoPnRpDQfAN1A/132', 0, NULL, 1, '2019-08-15 20:12:23', '27.10.60.71', 1, '2019-08-15 20:12:23', '2019-08-15 20:12:23');
INSERT INTO `unimall_user` VALUES (200, NULL, NULL, 1, 'oiAuI5HV4Mcnkvtj0L8zwTYl1Mfc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eo6WkTIkvH8DVf5C5L3UpsWpmzf2dUJ6ScGycibpCzcqbHwgwXCp5sXVE1SOnLibtb6xZLf4Aicdjqdw/132', 0, NULL, 1, '2019-08-15 20:41:50', '27.10.60.71', 1, '2019-08-15 20:41:51', '2019-08-15 20:41:50');
INSERT INTO `unimall_user` VALUES (201, NULL, NULL, 1, 'oiAuI5Lp7Z-Jrx0la-AfIEKm8CD0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIqKadiapSpUtdB5b6FiavMNAuEJORkJEo8gNUnZ5cq2x5D5DFcSDV8biauzkOwW3IDW5y5UIVmicxUIg/132', 0, NULL, 1, '2019-09-15 16:28:44', '27.10.60.71', 1, '2019-09-15 16:28:44', '2019-08-15 23:04:07');
INSERT INTO `unimall_user` VALUES (202, NULL, NULL, 1, 'oiAuI5AMwzSJd3qNHr-ldyLG6F40', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJTgNpkSibNiaDxbkRDiaN5clUIGFVCFOQYptBNoBzTmM3ehjvuwqOOZmdlbJaMPBKjML7hrZ3j3l4mA/132', 0, NULL, 1, '2019-08-15 23:24:11', '27.10.60.71', 1, '2019-08-15 23:24:11', '2019-08-15 23:24:11');
INSERT INTO `unimall_user` VALUES (203, NULL, NULL, 1, 'oiAuI5KxYUZAPozuOIWoE52HOLzo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLdJRI1tJBvFrko5xK5VSeJIMNxnewdDr3T47r7TdQ5UxPiaQPYkeKFK6t9SjRZLKHSzdlxF0hxcwg/132', 0, NULL, 1, '2019-08-21 14:32:12', '27.10.60.71', 1, '2019-08-21 14:32:12', '2019-08-16 08:19:15');
INSERT INTO `unimall_user` VALUES (204, NULL, NULL, 1, 'oiAuI5Peuohs0fih4fq0aSUg0b3k', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ajNVdqHZLLCYBbeznqibTdeuYo9RbQA8fIdz2icsmMzicJwia73kVkSb0pFMz0BWcQz1gGDAm52JfgdHp2NMlLibxyQ/132', 0, NULL, 1, '2019-08-16 10:58:34', '27.10.60.71', 1, '2019-08-16 10:58:35', '2019-08-16 10:58:34');
INSERT INTO `unimall_user` VALUES (205, NULL, NULL, 1, 'oiAuI5BWVbUUEjSu4xw_3_PqWp0Y', 'S', 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIT0yX4KniaW8ONIfiaNFPBR4nRpjEflzicUNLNzGr1b0oUZknOA3SbRoTwiclAoQXriaak7IRxgRnC6EQ/132', 0, NULL, 2, '2019-08-16 11:02:55', '27.10.60.71', 1, '2019-08-16 11:03:32', '2019-08-16 11:02:55');
INSERT INTO `unimall_user` VALUES (206, NULL, NULL, 1, 'oiAuI5LdvXLSuHhXFeRn7MY2KonE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eo9zHr9c3uxCwOz5CasdH9l8qmKKrQxm2RZ8atLMibJKD0blGhKbKMHiaicibkYDEyicgTWYJYxUt6gczA/132', 0, NULL, 1, '2019-08-16 11:36:06', '27.10.60.71', 1, '2019-08-16 11:36:06', '2019-08-16 11:36:06');
INSERT INTO `unimall_user` VALUES (207, NULL, NULL, 1, 'oiAuI5NOgC2PfdeaLxxr1i3Gw3a0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/iaSUDHup94R6jx7m9nJDzkeqsRmvdHn7icX8FzfIa5vHnic4LYQaPpedCffMkCMWrXicSX3duD7XDhcD8oWXA3AlBA/132', 0, NULL, 1, '2019-08-16 11:40:36', '27.10.60.71', 1, '2019-08-16 11:40:36', '2019-08-16 11:40:36');
INSERT INTO `unimall_user` VALUES (208, NULL, NULL, 1, 'oiAuI5PjKQ47YFe39zYXcvmLh8nw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epBk3f82qmiaJFrqJ2gk6zEKUUicSqLwBaMf3LJx5QNYOTTiaaZp6SCNanEBucmSAkLEiag2rXyyDzzfg/132', 0, NULL, 1, '2019-08-16 13:14:01', '27.10.60.71', 1, '2019-08-16 13:14:01', '2019-08-16 13:14:01');
INSERT INTO `unimall_user` VALUES (209, NULL, NULL, 1, 'oiAuI5L80qCZfU2HwFsyfV6trpUo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eo0gXWnxEwHMXCX7FHficHgHSN0ialWp4gSuGibicTJhmB4ZZYIp9OQYSQGH6csNEiczmH934sLhEG534w/132', 0, NULL, 1, '2019-09-07 18:11:55', '27.10.60.71', 1, '2019-09-07 18:11:55', '2019-08-16 13:14:32');
INSERT INTO `unimall_user` VALUES (210, NULL, NULL, 1, 'oiAuI5DkbzWFY_YfXcw_2orKFUck', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/1icMFIe8D2Mjg3Qbd9bCJYxqYwwyC6Obl6Ktrxvxa5SC7h34jskJhTNiaALlaGT2jt9Fj1OiceT14l1bp0fqV4oQg/132', 0, NULL, 1, '2019-08-16 13:15:41', '27.10.60.71', 1, '2019-08-16 13:15:41', '2019-08-16 13:15:41');
INSERT INTO `unimall_user` VALUES (211, NULL, NULL, 1, 'oiAuI5AweVjP6dzWDe_mobmut_Ns', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/0XibgeBOwhKhb2x6IjOYKwRdfvxQiaAjhz4P97wGfwn1zKntePW9icJEtW0GC7TykpvIViccMNTXtfBTJia6TicD6RPw/132', 0, NULL, 1, '2019-08-16 13:39:27', '27.10.60.71', 1, '2019-08-16 13:39:28', '2019-08-16 13:39:27');
INSERT INTO `unimall_user` VALUES (212, NULL, NULL, 1, 'oiAuI5HrDkT0b9swCHpvhK-ODtQY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ZdHZ8vlDjCppdjX5XjgmDTHe4DLq5ibTgo61F0tgfJQ1HaOvuqMtKibj9HmkZKfEIj66Wyt0FF9D0RTLvGeiaEGxw/132', 0, NULL, 1, '2019-08-16 13:58:47', '27.10.60.71', 1, '2019-08-16 13:58:48', '2019-08-16 13:58:47');
INSERT INTO `unimall_user` VALUES (213, NULL, NULL, 1, 'oiAuI5DPZH8MLb87vjMmNmQMn8i0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKsAVRZbzCtrOagDBAvJaAiaz4JgQeaiaY5c1EMbIHLgczPXPZj6nBO2eiau0QHl3JFBciaYCml1OczTg/132', 0, NULL, 1, '2019-08-16 14:04:15', '27.10.60.71', 1, '2019-08-16 14:04:15', '2019-08-16 14:04:15');
INSERT INTO `unimall_user` VALUES (214, NULL, NULL, 1, 'oiAuI5PpMggw5yOQBI2Y_KGJqOXM', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoibUyT6aTmlpfb0DEq3diaFduKJfIHcyUzbII2eGVvNGNNBoy7bNCbRpn0ZWusXmO8YMcLaB0PPf2w/132', 0, NULL, 1, '2019-08-20 11:07:22', '27.10.60.71', 1, '2019-08-20 11:07:22', '2019-08-16 14:44:59');
INSERT INTO `unimall_user` VALUES (215, NULL, NULL, 1, 'oiAuI5HO_T9jTxbkoNwW2zuLxeUc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/YEYfloe7S4BSnSARHqojtric6J1WnP2iaQ2ibQicl7Nr3aPz1d9ib3sGAjakC3YaRkTP60TJPFVKLia9tibUjB3gOwicdA/132', 0, NULL, 1, '2019-09-05 22:57:18', '27.10.60.71', 1, '2019-09-05 22:57:19', '2019-08-16 16:14:54');
INSERT INTO `unimall_user` VALUES (216, NULL, NULL, 1, 'oiAuI5PmNlPznA5dsIpk6swm8Xq8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ajNVdqHZLLBKQ06JWbUicWRsdxNEPAiaTGVUGBeTuVhWHp8HL0FpKBrwbGCaia1ibWGZNNubYPWgHjehIR20sEFWmA/132', 0, NULL, 1, '2019-09-17 14:43:45', '27.10.60.71', 1, '2019-09-17 14:43:46', '2019-08-16 16:35:52');
INSERT INTO `unimall_user` VALUES (217, NULL, NULL, 1, 'oiAuI5Bil896YB8-u_MO_3avVnBE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKmLlP4j7HgfM9TzAv1MTZeI1f21QqKys7wsMOes6PSbFhFhAIXlm8Inb3wToVtnsZAr3hJFaLP4w/132', 0, NULL, 1, '2019-08-16 16:37:10', '27.10.60.71', 1, '2019-08-16 16:37:11', '2019-08-16 16:37:10');
INSERT INTO `unimall_user` VALUES (218, NULL, NULL, 1, 'oiAuI5JefPQPs6yZv7pw3mieD4RU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIBC94guaFqiaTrpC1rQocDficoECiaQ4eVVa9aVBgsQQvNkEHcGfxRKdIvyIH68iaZkzXraD7jJe7ZaA/132', 0, NULL, 1, '2019-08-16 17:15:31', '27.10.60.71', 1, '2019-08-16 17:15:31', '2019-08-16 17:15:31');
INSERT INTO `unimall_user` VALUES (219, NULL, NULL, 1, 'oiAuI5NxpZreknXLsp5OuOpMGsZE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/LyZic27YhiaGYWUkic2QQ2WMuHO56xPQLanGicTt8b60iagw7jDibia46sk9U2UfWJdc61bic5mMTriaIkEuBMjiajaxoXEA/132', 0, NULL, 1, '2019-08-16 17:25:35', '27.10.60.71', 1, '2019-08-16 17:25:35', '2019-08-16 17:25:35');
INSERT INTO `unimall_user` VALUES (220, NULL, NULL, 1, 'oiAuI5NqhNvfh01l1_UmhW54LIEU', NULL, NULL, 0, NULL, -1, '2019-08-16 18:06:36', '27.10.60.71', 1, '2019-08-16 18:06:36', '2019-08-16 18:06:36');
INSERT INTO `unimall_user` VALUES (221, NULL, NULL, 1, 'oiAuI5GYnpQ0hO3vR4fhto3XVKwY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/cb6tcs4tfPOETnuw5TZa2sM8M1SJZibTzGhB2IvuLbaGYiblz9icJ1Tvwx8mSEk20xHsaT33wSecY2Odkk9l9ZWiaw/132', 0, NULL, 1, '2019-08-16 19:23:29', '27.10.60.71', 1, '2019-08-16 19:23:29', '2019-08-16 19:23:29');
INSERT INTO `unimall_user` VALUES (222, NULL, NULL, 1, 'oiAuI5NrNUbULrdixfMNO1-EYeMQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/WlHqRUJ4EaZhCic3gDha5RicNDwkGX38q5SkzkAsLHhbhkdQ399ibe7kGiaB3xwzpCtMc1PY3TP7mFBRiazDBDGJb1Q/132', 0, NULL, 1, '2019-08-16 20:49:00', '27.10.60.71', 1, '2019-08-16 20:49:00', '2019-08-16 20:49:00');
INSERT INTO `unimall_user` VALUES (223, NULL, NULL, 1, 'oiAuI5Jh2Gmh-uITqaDxJU077Crk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKe3zMdArrlt2cz6qVo0CmPAMafTjjZKja4qB6uiaickBMn0y6zrZaRKn0Tib6n4KicNLQZicPMIv1BL5A/132', 0, NULL, 1, '2019-08-17 11:57:17', '27.10.60.71', 1, '2019-08-17 11:57:17', '2019-08-17 11:57:17');
INSERT INTO `unimall_user` VALUES (224, NULL, NULL, 1, 'oiAuI5Ld8pQMfFIyhZ-pZ9dqqgNo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoq7m8RwcAXytcJ7ng4YHfialOn75SPmHrVnfPJiaeH3sj8JzjVOibc2aczyE4oj6GeLb21ddguBkKicw/132', 0, NULL, 1, '2019-09-09 16:22:29', '27.10.60.71', 1, '2019-09-09 16:22:29', '2019-08-17 12:00:04');
INSERT INTO `unimall_user` VALUES (225, '15208554142', '$1$1520855$Vl6Mj0Mp0d/plHAlWiFUt0', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-08-17 12:15:13', '27.10.60.71', 1, '2019-08-17 12:14:52', '2019-08-17 12:14:52');
INSERT INTO `unimall_user` VALUES (226, NULL, NULL, 1, 'oiAuI5CBzr9OX6rl903xvxB2doE0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIfEVwcGQd8VF6UIyLvbJI61zzoGPtWpf4MOrCKdTULiatR1icTZEqH6ScHSO6C893T7aFEZviahlQaw/132', 0, NULL, 1, '2019-08-17 19:40:11', '27.10.60.71', 1, '2019-08-17 19:40:11', '2019-08-17 12:32:34');
INSERT INTO `unimall_user` VALUES (227, NULL, NULL, 1, 'oiAuI5EWCtkXueUKAkScpzXDPa1w', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/mPYePe5UoZTicmia3k4Wpht3l9Pq6zx0ePic7EQdO3mvuXDeqvjTOZn3WRsb5mAWlticYJK89QurmIpDt14QJUHPHg/132', 0, NULL, 1, '2019-08-17 13:26:14', '27.10.60.71', 1, '2019-08-17 13:26:14', '2019-08-17 13:26:14');
INSERT INTO `unimall_user` VALUES (228, NULL, NULL, 1, 'oiAuI5CfF4lQ1f4-ddtpxYMQzCFg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Xgm9g9tBXyWRlT7WlcvMB9rsIGib3Y2pDyyn7nudzWHscZx3jcbAnOQ25iawBsnjnQ6twzu7ktNcXTlPmlM8mZew/132', 0, NULL, 1, '2019-08-20 12:17:50', '27.10.60.71', 1, '2019-08-20 12:17:50', '2019-08-17 13:45:20');
INSERT INTO `unimall_user` VALUES (229, NULL, NULL, 1, 'oiAuI5ASFJ-2bBH0l6tE_7UJDkJ4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJ947XOoIWPCZM7CtsENNvI1B3pz3SwFibbtpicmvjy2Wkq2PCq07HiaiazzlGg7ialvH2icUIuEOUE5tXA/132', 0, NULL, 1, '2019-08-22 10:49:33', '27.10.60.71', 1, '2019-08-22 10:49:34', '2019-08-17 14:34:13');
INSERT INTO `unimall_user` VALUES (230, NULL, NULL, 1, 'oiAuI5Ov1vmOWrriIX3y-HkfZKlk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DvEufIvl0FHFBISPhXuVbbzZGzmpRe1qMUNMpMupXFmwtxFBpg7vpX8zibRnCFZMNNfNm20IfmoUlia1vVkQPeZg/132', 0, NULL, 1, '2019-08-17 15:00:12', '27.10.60.71', 1, '2019-08-17 15:00:13', '2019-08-17 15:00:12');
INSERT INTO `unimall_user` VALUES (231, NULL, NULL, 1, 'oiAuI5MYpeMPc8fUnR9_NBv187FQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eq4QQ4grZf88hcIHnQeQtnOC4xUetvZ6L3Y3Bmp57Yx9bN4B85pJwibsDoCpjcb4T5urM8r2z4g7icA/132', 0, NULL, 1, '2019-08-20 10:36:32', '27.10.60.71', 1, '2019-08-20 10:36:32', '2019-08-17 15:51:38');
INSERT INTO `unimall_user` VALUES (232, NULL, NULL, 1, 'oiAuI5FCvgzpKHFnVQM92WVE5bF4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/7vDSZ8ibRgXBSFcIW4n9A9Dfwx9h1ByulHibCznZcjh21RsmHIhyN87zFhvZ7JtVh1KH7SZBibUtDI8YMydUJt86A/132', 0, NULL, 1, '2019-08-17 16:07:20', '27.10.60.71', 1, '2019-08-17 16:07:21', '2019-08-17 16:07:20');
INSERT INTO `unimall_user` VALUES (233, NULL, NULL, 1, 'oiAuI5J9MYQBo8iB7945xG8wlJXE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/zP0hUKFyB2SzHdvSMv0OLoTfph4mHva0Efn1phKkFZv9P9OUFBE8jwFMynP9DUrPpvUliclEpZ99VzxQfGUDBOg/132', 0, NULL, 1, '2019-08-17 17:33:35', '27.10.60.71', 1, '2019-08-17 17:33:36', '2019-08-17 17:33:34');
INSERT INTO `unimall_user` VALUES (234, NULL, NULL, 1, 'oiAuI5Py-FsbQqUMtcl5uGi_nxlw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqQzsPhicSPCqFibYwibbERBg1F0jseJsgSmBaYQgEKPerSdSW9EmCpAGt710ABz3Qp8b90WBegfIt7w/132', 0, NULL, 1, '2019-08-17 17:50:16', '27.10.60.71', 1, '2019-08-17 17:50:16', '2019-08-17 17:50:16');
INSERT INTO `unimall_user` VALUES (235, NULL, NULL, 1, 'oiAuI5EvW3MCL78g-Kp0TDUCEAxE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83er2BibpcIRrkrdlVoib084wLTGtR67xnGFYD080Sqtbrtd9cad3rtqvC7VicSU8ibrfZIADxx0Fj9Q7Fw/132', 0, NULL, 1, '2019-08-17 19:39:17', '27.10.60.71', 1, '2019-08-17 19:39:17', '2019-08-17 19:39:17');
INSERT INTO `unimall_user` VALUES (236, NULL, NULL, 1, 'oiAuI5M81UmexkJuhKw4Cg-SLNg4', '哈哈', 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKAyfsLlZkYjbiar4icJfRGBHwzSS0iagWwyYiayg8fnfV4EfRZicNlxe5pxYEMic3O8gSQ4HOREBcoe7vQ/132', 0, NULL, 2, '2019-08-17 23:35:25', '27.10.60.71', 1, '2019-08-17 23:35:38', '2019-08-17 23:31:27');
INSERT INTO `unimall_user` VALUES (237, NULL, NULL, 1, 'oiAuI5DviE8y3YjwYKx8xvdRtRmo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKibGtIdiaibXCvCM3wKHsOqqiavSnztAKvpzMAqbMOTWKkyE8Syg5YJxmPW09urots1LC2ibSgYrygg3A/132', 0, NULL, 1, '2019-08-19 14:25:25', '27.10.60.71', 1, '2019-08-19 14:25:25', '2019-08-18 08:32:26');
INSERT INTO `unimall_user` VALUES (238, NULL, NULL, 1, 'oiAuI5HvAFIgU9rPZWZ7Cm2FOyrA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLdJRI1tJBvFoca1FL5KOHiburvicm2fy2pSFBwrSfiaybAlVLXwag4hR1ckpibJctaEDC01DajiaxHdAQ/132', 0, NULL, 1, '2019-08-18 09:56:31', '27.10.60.71', 1, '2019-08-18 09:56:32', '2019-08-18 09:56:31');
INSERT INTO `unimall_user` VALUES (239, NULL, NULL, 1, 'oiAuI5N72g4MGTHVBti6ekcstDsE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/EcGGlpicPY9dicsTLzX0H78QcXgREFOPRSosCzrDVnFibe26eK1YS4A80fCjYNHe0zjOnfHtJpOetPfhH3hiaY2ZhA/132', 0, NULL, 1, '2019-08-18 10:18:56', '27.10.60.71', 1, '2019-08-18 10:18:56', '2019-08-18 10:18:56');
INSERT INTO `unimall_user` VALUES (240, NULL, NULL, 1, 'oiAuI5CChsEdm_CUFEicQ0kMNoTk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epNVjeMoibVTGaTqibaXOMhmJbDwiaIp8zicvre5zW4qkdXWF1GktPDVU1PSF1icPWeiaP0nbs0vUn7QNWw/132', 0, NULL, 1, '2019-08-18 16:12:08', '27.10.60.71', 1, '2019-08-18 16:12:08', '2019-08-18 16:12:08');
INSERT INTO `unimall_user` VALUES (241, NULL, NULL, 1, 'oiAuI5JmkiI1t9LvSrJHGnuKpDjU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epzC7O4jAY8R4NCYcDEtYTQzqEcTRyYiawuo3xrRI2vAXACtAqlPIYB7yBvFS2UOpnzXQjQa9SYHaA/132', 0, NULL, 1, '2019-08-19 11:33:51', '27.10.60.71', 1, '2019-08-19 11:33:51', '2019-08-19 10:08:53');
INSERT INTO `unimall_user` VALUES (242, '13787797262', '$1$1378779$8WOotQD6MHQ63Yp9nTNmG0', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-08-19 11:48:40', '27.10.60.71', 1, '2019-08-19 11:48:40', '2019-08-19 11:48:40');
INSERT INTO `unimall_user` VALUES (243, '17628068372', '$1$1762806$a.pB0YOb5cQvRI7oghduh0', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-08-19 12:01:11', '27.10.60.71', 1, '2019-08-19 12:01:11', '2019-08-19 12:01:11');
INSERT INTO `unimall_user` VALUES (244, NULL, NULL, 1, 'oiAuI5NCCG-MNoCMicRSp-n2iyvE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKwQZP8iblibztpLoKwuYXm62TtKh8tmy7aV7UZbIyKKySfQkZX0tvXliaxLTart7hqesvJqpjfMRibQw/132', 0, NULL, 1, '2019-08-19 17:33:36', '27.10.60.71', 1, '2019-08-19 17:33:36', '2019-08-19 16:52:21');
INSERT INTO `unimall_user` VALUES (245, NULL, NULL, 1, 'oiAuI5CxL45OLFt9CPdJYfcyRqqo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/JG0Mw8gJUYZGBP7fv0Ep2DtIJDK3CdiavwqUiat7wL1Ax2kG8MWsyeZBRaib4hBbW7Jia54p5nFzz7ibdIeTeTkHh7g/132', 0, NULL, 1, '2019-08-19 17:34:18', '27.10.60.71', 1, '2019-08-19 17:34:18', '2019-08-19 17:34:18');
INSERT INTO `unimall_user` VALUES (246, NULL, NULL, 1, 'oiAuI5D3w5__26cdkvLIIt-BSNMc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLsThiaOiaRYUOTia5x6ibsFho9Cfia7uxDgBAibfAURib0LynqDzWhNnMbAYQHJH6fEcX2opmcSBOEXUkxg/132', 0, NULL, 1, '2019-08-19 21:48:39', '27.10.60.71', 1, '2019-08-19 21:48:39', '2019-08-19 21:48:39');
INSERT INTO `unimall_user` VALUES (247, NULL, NULL, 1, 'oiAuI5DJS5KgYqMbAwhyPCV2azE0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJ9OkEE4hRbaWO81Y4icyP28sX9H5TpR751iazTSgrT01jxlPsVzNXFcW4d9InDELibLqMycBXwlEulQ/132', 0, NULL, 1, '2019-08-19 21:53:01', '27.10.60.71', 1, '2019-08-19 21:53:01', '2019-08-19 21:53:01');
INSERT INTO `unimall_user` VALUES (248, NULL, NULL, 1, 'oiAuI5H6PXsIbS1Hmu9Y1Vl3Pa7E', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJrLGicyVXia0WHAnU160AiabAhwLE4c4DrMw7x2rQYdQ2sskU8YKNfRzIlho4CzYW0NQFAxR48kAbicQ/132', 0, NULL, 1, '2019-08-19 23:15:29', '27.10.60.71', 1, '2019-08-19 23:15:30', '2019-08-19 23:15:29');
INSERT INTO `unimall_user` VALUES (249, NULL, NULL, 1, 'oiAuI5DfntQWC5SZ_euWB2poWk5U', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaELJHZxSR7s46eqE7LqF1GvtfevticsCOkLBkddKVkf9FT0unolDNGuic5wqhHicDnVFtucStKTmLSYjQ/132', 0, NULL, 1, '2019-08-20 10:35:32', '27.10.60.71', 1, '2019-08-20 10:35:32', '2019-08-20 10:35:32');
INSERT INTO `unimall_user` VALUES (250, NULL, NULL, 1, 'oiAuI5OVfLuYVZcIjP6IaGIoHjt0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKOiciah00cnjKok2OKaFMdlcguUZmWspGalNibz80H3klJ1x5ibXa77Fopt5aibO6ibz1iauyctrHdkfh5w/132', 0, NULL, 1, '2019-08-20 15:57:34', '27.10.60.71', 1, '2019-08-20 15:57:34', '2019-08-20 15:57:34');
INSERT INTO `unimall_user` VALUES (251, '17779152309', '$1$1777915$neGBC9KwMoFMA0VxzgJn70', 0, NULL, '康康', NULL, 0, NULL, 1, '2019-08-20 18:51:40', '27.10.60.71', 1, '2019-08-20 18:52:49', '2019-08-20 18:51:24');
INSERT INTO `unimall_user` VALUES (252, NULL, NULL, 1, 'oiAuI5JATeDID5KdCJy8piDDtOds', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/iaadC5T6yx7bd4wVRdaySs0iaD8zUBFBYUMKvTgZEdCZmZ7wicgEsvncOcZoWQpDjaTP90l5QT0LBiavibrlye4Um9A/132', 0, NULL, 1, '2019-08-20 19:00:50', '27.10.60.71', 1, '2019-08-20 19:00:50', '2019-08-20 19:00:50');
INSERT INTO `unimall_user` VALUES (253, NULL, NULL, 1, 'oiAuI5Fu5VmKPtyPTHojyhDeXVMI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLne5ySsv7slUytIPs3AyS41niaFhpXwic0P1NhlJJFDjbIIcL9Cc0CtmVTY6ocTgycDUn1Via0hveeQ/132', 0, NULL, 1, '2019-08-21 05:27:51', '27.10.60.71', 1, '2019-08-21 05:27:51', '2019-08-21 05:27:51');
INSERT INTO `unimall_user` VALUES (254, NULL, NULL, 1, 'oiAuI5I9_Y6ZOOIv0EINaBtll2rs', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erzokP3SdGQz9QgStgQM06icrKicmiaJfj2HOIgvKeX6fjMiczfNgB7oXwFeSRAUfHwPgCI0x8hqTgibAQ/132', 0, NULL, 1, '2019-08-21 10:51:01', '27.10.60.71', 1, '2019-08-21 10:51:02', '2019-08-21 10:51:01');
INSERT INTO `unimall_user` VALUES (255, NULL, NULL, 1, 'oiAuI5K433leGM31Cs1CgtcPXv00', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epoucTYIjUiaspgYJcWHRJudyxF5srXrp887gVy7bF6A4hudzYf1hG6kX4rNBuSVkpHdDTjspvYXRQ/132', 0, NULL, 1, '2019-08-21 11:42:46', '27.10.60.71', 1, '2019-08-21 11:42:46', '2019-08-21 11:42:46');
INSERT INTO `unimall_user` VALUES (256, NULL, NULL, 1, 'oiAuI5MmcJLDw2pNCcRUgOd48xhY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/oMWNuowMHMHStpvEyJ27OB3WM8FZe2hxqvUJQTibNw75vATcBf1C0q6Dox8maKRpKSQv7981s3ibgOcuhibJgEgtw/132', 0, NULL, 1, '2019-08-21 14:00:37', '27.10.60.71', 1, '2019-08-21 14:00:37', '2019-08-21 14:00:37');
INSERT INTO `unimall_user` VALUES (257, NULL, NULL, 1, 'oiAuI5BLqRn1dN1HY8ksLkxvjvNA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqM9jPTDf48bcLXAOicuwQiar7jzibmwAoHJlVJFiboicxImDXDjKz9pmRpxicU2lb9wnlaMU1TmntNN7vA/132', 0, NULL, 1, '2019-08-21 17:04:41', '27.10.60.71', 1, '2019-08-21 17:04:42', '2019-08-21 17:04:41');
INSERT INTO `unimall_user` VALUES (258, NULL, NULL, 1, 'oiAuI5GjV8S-0oNkGqXfCYapPUXw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/TibX0QdYzyCerUWMmhibq2TiatKO0Bu5LnibK7YznOTnXquB1rVdeJ2RVjNzSJ5WricbjIWW9NW7RXMOIEbF6kaymIA/132', 0, NULL, 1, '2019-08-22 07:09:37', '27.10.60.71', 1, '2019-08-22 07:09:38', '2019-08-22 07:09:37');
INSERT INTO `unimall_user` VALUES (259, NULL, NULL, 2, 'osTQe6G3Lpq7JkkiaKvzkyy1nQZ8', 'Sam', 'http://thirdwx.qlogo.cn/mmopen/vi_32/uYDia5NALT0GwswIqLia3EL1JXe7BcqUjKWMblpGg0ib51ib50pSljH6XhDfe3ROTzrF2uL87B3Yh8U2WiaV7tWibE8g/132', 0, NULL, 1, '2019-09-09 05:56:24', '27.10.60.71', 1, '2019-09-09 05:56:26', '2019-08-22 07:15:37');
INSERT INTO `unimall_user` VALUES (260, NULL, NULL, 1, 'oiAuI5N5Cg8TT32IFvjFvRYNVR3c', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKC8icZH2kuZicY7ap39l8tZgdcWhL3pjPiap7FTSUnoddJicgf6b4qlJoOb1dhx0nFz0uJzibC0av8MHQ/132', 0, NULL, 1, '2019-08-25 14:17:45', '27.10.60.71', 1, '2019-08-25 14:17:45', '2019-08-22 09:15:43');
INSERT INTO `unimall_user` VALUES (261, NULL, NULL, 1, 'oiAuI5OoeZ_3LzLrkOkBoBAkh9dc', NULL, NULL, 0, NULL, -1, '2019-08-22 10:30:40', '27.10.60.71', 1, '2019-08-22 10:30:40', '2019-08-22 10:30:40');
INSERT INTO `unimall_user` VALUES (262, NULL, NULL, 1, 'oiAuI5KWUahVTLwcazhZE9fVpJtA', NULL, NULL, 0, NULL, -1, '2019-08-22 12:06:07', '27.10.60.71', 1, '2019-08-22 12:06:07', '2019-08-22 12:06:07');
INSERT INTO `unimall_user` VALUES (263, NULL, NULL, 1, 'oiAuI5PKreov9lBfiDhXxxHpJumw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/lMb6Utz93o4UOL7Jy4mQGyRv9IMYIMvR52DnibWnbKYcxJAGt7lH6XbuM07xhmdQkRZ9jEyNxpSXgiaq6uJ28PDQ/132', 0, NULL, 1, '2019-08-22 13:18:26', '27.10.60.71', 1, '2019-08-22 13:18:26', '2019-08-22 13:18:26');
INSERT INTO `unimall_user` VALUES (264, NULL, NULL, 1, 'oiAuI5Llkp7LjSNXswIgVXt6RF_U', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epZQAuoQsiaibRE9ia5ug0icTI6yuIvMWbPk3ezf8SlBzzpD40kYxe2JicUOENoWglZ9SibftH9CbslE3icQ/132', 0, NULL, 2, '2019-08-23 16:22:06', '27.10.60.71', 1, '2019-08-23 16:22:06', '2019-08-22 13:43:11');
INSERT INTO `unimall_user` VALUES (265, NULL, NULL, 1, 'oiAuI5CNipINQTU_AUAOri7iJHJk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIf8Yq0R40bdA8hNhRiarSHwcUHru55ibASmiaZMRrAygGA6cTGMWnHxu9YnCWxLMb7bHmfHrGickOiabg/132', 0, NULL, 1, '2019-08-22 13:55:07', '27.10.60.71', 1, '2019-08-22 13:55:07', '2019-08-22 13:55:07');
INSERT INTO `unimall_user` VALUES (266, NULL, NULL, 1, 'oiAuI5LbicydiVDUCOHeRNxA8yVA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIRjMGoKU3yAjmZNzlYIgwvWTXWOvpnjokaC8uQhoEMQGia4cibjLCRaoqvbI42PAtX54aCfFHXblkQ/132', 0, NULL, 1, '2019-08-22 15:18:27', '27.10.60.71', 1, '2019-08-22 15:18:27', '2019-08-22 15:18:27');
INSERT INTO `unimall_user` VALUES (267, NULL, NULL, 2, 'osTQe6A_JnHtzBWEnctwUjJWZT00', 'tengq', 'http://thirdwx.qlogo.cn/mmopen/vi_32/6gyzWSSAGG3FetWd2beJgtHlJTFANORK4z5Z7aeOUZGgvZ2jkF48YNib4VzUC6Cfg3xGduscEPrkDLTGTicus4GQ/132', 0, NULL, 0, '2019-08-22 16:43:33', '27.10.60.71', 1, '2019-08-22 16:43:34', '2019-08-22 16:43:33');
INSERT INTO `unimall_user` VALUES (268, '13011846130', '$1$1301184$w3Es18qLcH42kBEq7owNu/', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-08-22 17:05:32', '27.10.60.71', 1, '2019-08-22 17:05:14', '2019-08-22 17:05:14');
INSERT INTO `unimall_user` VALUES (269, NULL, NULL, 1, 'oiAuI5IQTiQlJQdubghi05Tv6rGc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/BL7ic7uQTibM2gJSkFUhODiceHl0h3eQJGMJpEOibOzIWgHxV7gcpMtUro7iafK9ffDictNyCsaCgjOROOTLCKrHlZDg/132', 0, NULL, 1, '2019-08-22 18:37:36', '27.10.60.71', 1, '2019-08-22 18:37:36', '2019-08-22 18:37:36');
INSERT INTO `unimall_user` VALUES (270, NULL, NULL, 1, 'oiAuI5Dc-lifSGJ56hjdXoEU4-dc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/EKagrrV6YQUdfmC7KTK0iagW5hAiarQaLfJjE3wTSKVTXddiajIsZsk6D9J8YKxFibvyja2j5iazsVxA6U6Ak8fsQgQ/132', 0, NULL, 1, '2019-08-22 21:58:43', '27.10.60.71', 1, '2019-08-22 21:58:43', '2019-08-22 21:58:43');
INSERT INTO `unimall_user` VALUES (271, NULL, NULL, 1, 'oiAuI5Dc-lifSGJ56hjdXoEU4-dc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/EKagrrV6YQUdfmC7KTK0iagW5hAiarQaLfJjE3wTSKVTXddiajIsZsk6D9J8YKxFibvyja2j5iazsVxA6U6Ak8fsQgQ/132', 0, NULL, 1, '2019-08-22 21:58:43', '27.10.60.71', 1, '2019-08-22 21:58:43', '2019-08-22 21:58:43');
INSERT INTO `unimall_user` VALUES (272, NULL, NULL, 1, 'oiAuI5Kc7xuOKKZa9PqORrkQjkK4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83er5SNsSoiaZw4Szfl31FT5pv2PHrmGCRtyHbiam0Idm0vvticwzBQFhpW4RYdWyicmibZcICfhAjv1YhoA/132', 0, NULL, 1, '2019-08-23 05:16:48', '27.10.60.71', 1, '2019-08-23 05:16:49', '2019-08-23 05:16:48');
INSERT INTO `unimall_user` VALUES (273, '13277068145', '$1$1327706$tTQ7PQQdUOi8AbZJCf/NC.', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-08-23 11:21:50', '27.10.60.71', 1, '2019-08-23 11:21:33', '2019-08-23 11:21:33');
INSERT INTO `unimall_user` VALUES (274, NULL, NULL, 1, 'oiAuI5G4bg1EV4PXTgl0Uo5u6F2E', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKhHKtAqF1r5JuEBSvX7Qj6hplqTZeIgwYiaicAQ1cB4muFNrJDt7nNgr3QPZicfp2IHfuHzSNedIsrQ/132', 0, NULL, 1, '2019-08-24 14:14:45', '27.10.60.71', 1, '2019-08-24 14:14:46', '2019-08-23 13:03:46');
INSERT INTO `unimall_user` VALUES (275, NULL, NULL, 1, 'oiAuI5F7hotd2QBTsnh-Jcd3TN8A', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/UXlW7deXDI02vdxtWaIYjUHP2zdkaS9JibqbceSpiaMgiamy7aHLw74YNf6Gjv0zI6xnFgaHtfric34J3UHTYANLjQ/132', 0, NULL, 1, '2019-08-26 20:48:04', '27.10.60.71', 1, '2019-08-26 20:48:04', '2019-08-23 13:12:38');
INSERT INTO `unimall_user` VALUES (276, NULL, NULL, 2, 'osTQe6J4YF2lHmWiI68iSASAXTgA', '天', 'http://thirdwx.qlogo.cn/mmopen/vi_32/sm0F9h4CoTSjSRapmicPt9uicia5nBTiaOGz8IAgHENTJx1xeoaiaooMvRvVowib9icDqZHadIL0Eib8cqQDyxmKWoEDicA/132', 0, NULL, 1, '2019-08-23 13:36:33', '27.10.60.71', 1, '2019-08-23 13:36:34', '2019-08-23 13:36:33');
INSERT INTO `unimall_user` VALUES (277, NULL, NULL, 1, 'oiAuI5KSE4TFExmuKSNRCWmYKuJk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/4zKLZ8AJ5h2X8tyZ6hU8yq4oggdRDukZGbOBbfueZ2y9gsgkRibo9a6F8ibeJCEX8G33NUJqqx18KicOfLFhsCCPQ/132', 0, NULL, 1, '2019-08-29 13:24:10', '27.10.60.71', 1, '2019-08-29 13:24:11', '2019-08-23 15:35:42');
INSERT INTO `unimall_user` VALUES (278, NULL, NULL, 1, 'oiAuI5EF5jCIAWDSga3YJbjLtQAk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJSbibQr2mLmWprmKIyk25FszFNwZ6FXzFmbFwEh1c7u7IzBrs8sI1q2TcyFvF3ny0jX8T2RvBicT0A/132', 0, NULL, 1, '2019-08-23 15:43:50', '27.10.60.71', 1, '2019-08-23 15:43:50', '2019-08-23 15:43:50');
INSERT INTO `unimall_user` VALUES (279, NULL, NULL, 1, 'oiAuI5M6LQdCiERAsGd_Kl3S89x4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIavBvxZz8M4ZSR3y2sGiaicbWQib0ljHX5VfFnM1iaOr0ExFa6UdiaYtNnTe0xR9E3pyHKBh0XCFX6qHA/132', 0, NULL, 1, '2019-08-23 17:02:55', '27.10.60.71', 1, '2019-08-23 17:02:55', '2019-08-23 17:02:55');
INSERT INTO `unimall_user` VALUES (280, NULL, NULL, 1, 'oiAuI5KyuZZMQU9GK8AxdxnXTSL4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epx777icgUsGOQVc9DxvFibj7U6Ovr3F9EjstEmFGPjaAc2MmUbkpO0mneuMIQoxNggg979XRw1bnBg/132', 0, NULL, 1, '2019-08-24 13:07:31', '27.10.60.71', 1, '2019-08-24 13:07:31', '2019-08-24 13:07:31');
INSERT INTO `unimall_user` VALUES (281, NULL, NULL, 1, 'oiAuI5HtVtsU3KXmtFpCJuNSSkao', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83ephJrSCSKhvz3LjsH2ibUTC8eP3kdSFx6LH3TQnLRiat6ZoyOtHbseZ56joWs2eEGLqLVxS4vehIvUA/132', 0, NULL, 1, '2019-08-25 23:26:09', '27.10.60.71', 1, '2019-08-25 23:26:09', '2019-08-24 16:36:45');
INSERT INTO `unimall_user` VALUES (282, NULL, NULL, 1, 'oiAuI5HX_jdWe-wrbHKiFE80zgpM', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83ep8q1Kf0I8r68eAKjEAg0cTAzdPib9RiceQY611C4oWibPa9ZDkzrhYzsNYpzQx8ject0IFnyKG3eJAA/132', 0, NULL, 1, '2019-08-24 22:54:36', '27.10.60.71', 1, '2019-08-24 22:54:36', '2019-08-24 22:54:36');
INSERT INTO `unimall_user` VALUES (283, NULL, NULL, 1, 'oiAuI5Oo1cKShOcb-hOo5nfkUB4M', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83ep67Qd1IcI0XQNpf0T3RGsctb8uGicic3qiaOxGBz3zSiaa3dCM3fkS995LfEibctJuo8jacBuy1ib30Faw/132', 0, NULL, 1, '2019-08-25 00:25:02', '27.10.60.71', 1, '2019-08-25 00:25:03', '2019-08-25 00:25:02');
INSERT INTO `unimall_user` VALUES (284, NULL, NULL, 2, 'osTQe6NWRJhEte7VTEom2ay7VdMk', 'Miv', 'http://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83eq8mWHcUrvRkac14zxt5oILVFD9sCaZu7Nl4Pmr3WiccVia3BLu8NHdic8E1oURkG4ia2BT4VQ2yCbq6A/132', 0, NULL, 1, '2019-08-25 02:21:15', '27.10.60.71', 1, '2019-08-25 02:21:16', '2019-08-25 02:21:15');
INSERT INTO `unimall_user` VALUES (285, '13810819020', '$1$1381081$Yvq2u4nzCFdUF4DfKqNE3.', 0, NULL, 'lee', NULL, 0, NULL, 1, '2019-08-31 09:25:32', '27.10.60.71', 1, '2019-08-31 08:47:11', '2019-08-25 07:45:19');
INSERT INTO `unimall_user` VALUES (286, NULL, NULL, 1, 'oiAuI5Kz2CwZ6u_dUd5APXPe_zn8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ZdHZ8vlDjCppdjX5XjgmDS5RT0knyEIqnMTqDIgssTu16QPkU5RApcMoeXL8zQSicB0kTVsuY3bywZz9V5CalgQ/132', 0, NULL, 1, '2019-08-25 15:54:38', '27.10.60.71', 1, '2019-08-25 15:54:38', '2019-08-25 15:54:38');
INSERT INTO `unimall_user` VALUES (287, NULL, NULL, 1, 'oiAuI5PW14tW9FcvlnWBlvFArx0k', '法师', 'https://wx.qlogo.cn/mmopen/vi_32/t5WJ9oHH88hukicgCAMWib7qkgxQ5Wfg7b3sdicXp6ULyZb4XNoFjshVDtGxwMfic4vk66tvQ0YG16YPK1zaEwUMOQ/132', 0, NULL, 1, '2019-09-07 23:23:45', '27.10.60.71', 1, '2019-09-07 23:23:45', '2019-08-26 10:37:15');
INSERT INTO `unimall_user` VALUES (288, NULL, NULL, 1, 'oiAuI5M-tNAZLWHcecmNl838SzEg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/9K3iaJmNFk5ZUgnBs52YrxcE3nRnIm5eAib6cLEzSkkmPOqjCy5wDucg9PnodCzEtS4tePMW3LvQgmjbGNHFWIoQ/132', 0, NULL, 1, '2019-09-09 08:43:29', '27.10.60.71', 1, '2019-09-09 08:43:29', '2019-08-26 11:52:11');
INSERT INTO `unimall_user` VALUES (289, NULL, NULL, 1, 'oiAuI5HA9nTz_88ugOSSPJhNkurg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLCbnGYOhwYmDyBHQZcN6UibufTa7STrGno8mz3FNy2IvR5IicFia0GIbfRXcb6stZkT2jic7wR4aHCrg/132', 0, NULL, 1, '2019-08-26 14:45:45', '27.10.60.71', 1, '2019-08-26 14:45:45', '2019-08-26 14:06:50');
INSERT INTO `unimall_user` VALUES (290, NULL, NULL, 1, 'oiAuI5Ap1QfKvdJ0lFiAP316cFrA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/WlHqRUJ4EaZmPzO9ia4A03N7zyWb4u3YUXNZAJkodhKHNGzmuEGb0TZGjXJyZ1y13Sw5JhMjAGFiaGFfdQQKsibcA/132', 0, NULL, 1, '2019-08-26 15:20:35', '27.10.60.71', 1, '2019-08-26 15:20:36', '2019-08-26 15:20:35');
INSERT INTO `unimall_user` VALUES (291, NULL, NULL, 1, 'oiAuI5Kwwi3h2Sk4I-hir31jQZzU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/SLyfSBr698OwFacNricibmq9VsvPeusSxEkdf9Trqjmef2kSVxqTPWo4FaNkcXE3En9kXiba6CIedNn0OuM78EcoQ/132', 0, NULL, 1, '2019-08-26 15:26:14', '27.10.60.71', 1, '2019-08-26 15:26:14', '2019-08-26 15:26:14');
INSERT INTO `unimall_user` VALUES (292, NULL, NULL, 1, 'oiAuI5NzD3MdCDstJPnvqZMOUIGE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIZxvAEgGnt0ibOQeSiaaR8dic0VaP4V5hgfBibX62YAJhQomdHK0wUI4qZwYw8S82XL5as2jc35jZ2qw/132', 0, NULL, 2, '2019-08-26 15:29:56', '27.10.60.71', 1, '2019-08-26 15:29:56', '2019-08-26 15:29:56');
INSERT INTO `unimall_user` VALUES (293, NULL, NULL, 1, 'oiAuI5BN_PARmlsrdQLVgVvbHXrQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKR40G4hjeiceFnjsoueWGFGx0Gic1hEBTkAd9icBW5IaoBY1ua9VWQA9CJjXrdoIC6JGga26jW5nA7w/132', 0, NULL, 1, '2019-08-26 17:05:24', '27.10.60.71', 1, '2019-08-26 17:05:24', '2019-08-26 17:05:24');
INSERT INTO `unimall_user` VALUES (294, NULL, NULL, 1, 'oiAuI5FFa6qZH0bRJ5xbE-S9UrI8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaELGMmIsicyClxxqdINqlgGibkgzsqSJedvaNOic5S4lbicUXdhr0Xtjtciam1Uo5T7Bdic0lTIgf6TE9eyA/132', 0, NULL, 1, '2019-08-26 17:08:12', '27.10.60.71', 1, '2019-08-26 17:08:12', '2019-08-26 17:08:12');
INSERT INTO `unimall_user` VALUES (295, NULL, NULL, 1, 'oiAuI5Cf8-Cvhky9QY_0mctvsYxo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/KjQwgJXsbgXEhOPLuX9UttLUARwWjjEdq6Uc1cKjGRdKsaMBPfU0fMGicw2SAW9YDZsBovx2pYmMocWlfz6APPg/132', 0, NULL, 1, '2019-08-26 23:14:57', '27.10.60.71', 1, '2019-08-26 23:14:57', '2019-08-26 23:14:57');
INSERT INTO `unimall_user` VALUES (296, NULL, NULL, 1, 'oiAuI5CMj5zRXOv9G0ke28-PzvXg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTI39XReVrENhWYFVYH5WXcqkOXsnCBrsgEInHah7h6l6eTUeSGGIkPxuCWAFIoLdPwWuxIZwCTXmQ/132', 0, NULL, 1, '2019-08-27 13:33:14', '27.10.60.71', 1, '2019-08-27 13:33:15', '2019-08-27 13:33:14');
INSERT INTO `unimall_user` VALUES (297, NULL, NULL, 1, 'oiAuI5CN3uELGBG0Jnb7d6wcwzWg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erD62pY9jlickrOX7rcicSH5shNu5XB6qnP79ft75IZoN5YZNoJpicGicVbQTDdicRdMuh4W3NElP5XekA/132', 0, NULL, 1, '2019-08-27 16:32:08', '27.10.60.71', 1, '2019-08-27 16:32:08', '2019-08-27 16:32:08');
INSERT INTO `unimall_user` VALUES (298, NULL, NULL, 1, 'oiAuI5JCwqNz58pNS9LUthHNlY64', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erRMKuRPmiauNlXHzHibyyiaxke0OyM4IR2DwSw9WsZ0QyeOWvGlFhic5g36S9XllfNSBTX6xzgUibvXOA/132', 0, NULL, 1, '2019-08-27 17:32:01', '27.10.60.71', 1, '2019-08-27 17:32:02', '2019-08-27 17:32:01');
INSERT INTO `unimall_user` VALUES (299, NULL, NULL, 1, 'oiAuI5M1oEvDa55U0HnvDK89Vj64', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/l3N0kle8FBseHdrqGquaicvTqvv9D4YD1hkdJIcbicicfyWYia8hoIoZeZ4ujsoCspA86P2nmmZNbSTcL7QGRthwag/132', 0, NULL, 1, '2019-08-27 17:58:31', '27.10.60.71', 1, '2019-08-27 17:58:31', '2019-08-27 17:58:31');
INSERT INTO `unimall_user` VALUES (300, NULL, NULL, 1, 'oiAuI5NqwW63zYWJOULP8Fmbhdwk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLbswPFgMWmExWnBRAAqBqkrg1XlKrDKuULianqzbTXMHbC5hN9Q8FB7eTLuwyY2ajEN33rmKVXkTQ/132', 0, NULL, 1, '2019-08-27 18:24:03', '27.10.60.71', 1, '2019-08-27 18:24:03', '2019-08-27 18:24:03');
INSERT INTO `unimall_user` VALUES (301, NULL, NULL, 1, 'oiAuI5FI15swsZ3nqT62iMf2WRJI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/dwP3oJmQJsDhfbV1Tt3epeTmrPHyUcT7NVdZmrXmic8cehUnFjER1IibPlH4AgMsBxAXKQc4eck2pdPA5ZFI3aZg/132', 0, NULL, 1, '2019-08-27 19:41:06', '27.10.60.71', 1, '2019-08-27 19:41:06', '2019-08-27 19:41:06');
INSERT INTO `unimall_user` VALUES (302, NULL, NULL, 1, 'oiAuI5FHvEgSyLQpaEJy12hQaSlo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoThvnXzvKicuBAJ6fXiaCeiaqngxPoFVgT8lEQqKGINQPLkErleIuGKer2CN08ktJnPpEGXL2ayFiaIg/132', 0, NULL, 1, '2019-09-05 14:36:06', '27.10.60.71', 1, '2019-09-05 14:36:07', '2019-08-27 23:04:37');
INSERT INTO `unimall_user` VALUES (303, NULL, NULL, 1, 'oiAuI5IcsVM1gm81xAuu2sMRoDNY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKUOdXYUhEIvicB3b5PIVj4piaicBIryznF9q5R6Bzx7E4aamlCcDGUd2Mlhnn0usicRicoZF2yjeweGJA/132', 0, NULL, 1, '2019-08-29 13:53:49', '27.10.60.71', 1, '2019-08-29 13:53:49', '2019-08-28 16:12:44');
INSERT INTO `unimall_user` VALUES (304, NULL, NULL, 1, 'oiAuI5OgqkRKlPAesIQYYxcaRcNM', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epKMx3tL6bsCC6UTXRNRCha8HLKV4qDT7hkibct5O040ZGibONLib6pQODqF2HdhpfXbibVxMtOXSYiaQg/132', 0, NULL, 1, '2019-09-16 16:04:37', '27.10.60.71', 1, '2019-09-16 16:04:37', '2019-08-28 16:14:15');
INSERT INTO `unimall_user` VALUES (305, NULL, NULL, 2, 'oRrdQt_prKrfsn7uKn6K0TVCbbc0', '云中漫步', 'http://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83erjNiapEcib2arrmdoPianhGKROVk47FEsD6cEXpLLokd1zd7vBs3bb3a1q5BhaLMJDHuLonUib6NQUEw/132', 0, NULL, 1, '2019-09-18 21:24:31', '27.10.60.71', 1, '2019-09-18 21:24:31', '2019-08-28 21:36:35');
INSERT INTO `unimall_user` VALUES (306, NULL, NULL, 1, 'oiAuI5DUrnK7MoHoorjuqOqzVcZ0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ajNVdqHZLLCFSJ4Lkfdib7DoHoJW25UWfDOguI1qiaUYeJasJr6T4eCJuK9ICs2ujO98zecWTfFtgRlEpxrQ6G5w/132', 0, NULL, 1, '2019-08-28 22:04:17', '27.10.60.71', 1, '2019-08-28 22:04:17', '2019-08-28 22:04:17');
INSERT INTO `unimall_user` VALUES (307, NULL, NULL, 1, 'oiAuI5Jp_CGzXvnnRd2LDg90zopc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLbGP6MsLzkIe8mIMI70zdjn7pUaJ3X1kd9QIibEMZEgjNYWVcNBx3pYQJQxjkFF8F69QRKibWqbmSQ/132', 0, NULL, 1, '2019-08-28 23:46:18', '27.10.60.71', 1, '2019-08-28 23:46:19', '2019-08-28 23:46:18');
INSERT INTO `unimall_user` VALUES (308, '18316842740', '$1$1831684$y4yEzpa6RP77fBVjKKhZ41', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-08-29 09:43:30', '27.10.60.71', 1, '2019-08-29 01:43:58', '2019-08-29 01:43:58');
INSERT INTO `unimall_user` VALUES (309, NULL, NULL, 1, 'oiAuI5AUHZGSNUBZx2649Of6h5Ag', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erBKCjpXnAKXYRBfuZ8H4OAzHTWG6n0IQTWj2HuYaibLGSctnR0oDBnYEP0lS1XG4ib5zqVLecWvVMQ/132', 0, NULL, 1, '2019-08-29 10:00:00', '27.10.60.71', 1, '2019-08-29 10:00:00', '2019-08-29 09:16:28');
INSERT INTO `unimall_user` VALUES (310, NULL, NULL, 1, 'oiAuI5Ay4NajqmxZVNaswbPN-NKc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Mr1d38hPHgyT2auBCtls8MhLqYfDdibib5yPjdEjF1jgs4vK0f78uvRGvYjxUFWSlIdVfJLuTRHIV2kG8HmaeIVQ/132', 0, NULL, 1, '2019-08-29 09:50:00', '27.10.60.71', 1, '2019-08-29 09:50:01', '2019-08-29 09:50:00');
INSERT INTO `unimall_user` VALUES (311, NULL, NULL, 2, 'oRrdQt4ytJRQF9NZ8arPHDoi8slU', 'Mr.L', 'http://thirdwx.qlogo.cn/mmopen/vi_32/DYAIOgq83ertT6oIhl9T0Htr5SIkb7CeHcoBH87oiaiaH7NOUuDWZpaTOZBnlfibXjKBULs92ZZJ4YzR4XleAagzw/132', 0, NULL, 1, '2019-08-29 17:55:38', '27.10.60.71', 1, '2019-08-29 17:55:39', '2019-08-29 10:19:24');
INSERT INTO `unimall_user` VALUES (312, NULL, NULL, 1, 'oiAuI5IJ0WHxmEZ035cMXrh240_U', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83errIS3m4y5RzWwq7uYJj5mhcvb3ekZr39dY9ia8IUh5G4tWyulBHLsLJE1vfRj2HL0KSBYcOLOb69A/132', 0, NULL, 1, '2019-08-29 10:22:07', '27.10.60.71', 1, '2019-08-29 10:22:07', '2019-08-29 10:22:07');
INSERT INTO `unimall_user` VALUES (313, NULL, NULL, 1, 'oiAuI5J4TwcvD0QJNA9TJ7AKK9_k', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/tdBGWN4uMXcljH5AcvS8LQSanEzVpVmvKQR6D7OiaL6lW7BcTXAsHByA0oO7VDbvD9yBa1TstfHAINHRKrbhd6w/132', 0, NULL, 1, '2019-08-29 11:44:18', '27.10.60.71', 1, '2019-08-29 11:44:19', '2019-08-29 11:44:18');
INSERT INTO `unimall_user` VALUES (314, NULL, NULL, 1, 'oiAuI5B_Q2ekGjgxAIB05o8e2Ec4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ew2kZafQCicU2197p2Gz1IPlcOEQAt5uTQial1uZghNLqR8RynJd5N8qwjjAfEsKJDicuPMicbLCpPepjhoqjLnPAw/132', 0, NULL, 1, '2019-08-29 16:08:56', '27.10.60.71', 1, '2019-08-29 16:08:57', '2019-08-29 16:08:56');
INSERT INTO `unimall_user` VALUES (315, NULL, NULL, 1, 'oiAuI5GEU19hUmiA9JJi_SAzsWsE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoarxYHRvibBn1IiaXyRsnHvGw4iaVoagiaqrBgFXb0SX49FdY4YnnO9hpgX6rQHmqNNuzzibNrD7ZCT9g/132', 0, NULL, 1, '2019-08-29 16:33:50', '27.10.60.71', 1, '2019-08-29 16:33:50', '2019-08-29 16:33:50');
INSERT INTO `unimall_user` VALUES (316, NULL, NULL, 1, 'oiAuI5AuM_VTHVS-WuAalo4N_YqI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJwdpfTn2EjeffoS1mfcxSXT8BzQ5R5zAtPHfZBcTjsKo1eNextvmRy6icQtvP3TYbics5p9nutC2pw/132', 0, NULL, 1, '2019-08-30 08:44:53', '27.10.60.71', 1, '2019-08-30 08:44:53', '2019-08-30 08:44:53');
INSERT INTO `unimall_user` VALUES (317, NULL, NULL, 1, 'oiAuI5B7uVs_W4lNGDchTeWyl2nQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIrrX8cxo1ISZVwYcDlodoic5DS2bPwIt6eVuTOBrtEZlhcW5bgv1w5ZTQzK4XPEbpOicR9Kjiav4wNA/132', 0, NULL, 1, '2019-09-08 22:14:41', '27.10.60.71', 1, '2019-09-08 22:14:42', '2019-08-30 14:41:03');
INSERT INTO `unimall_user` VALUES (318, NULL, NULL, 1, 'oiAuI5I2i4NXHBl28IYRRTGoMk2A', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eo8NMONgicic7pfbBCZ4rEUKNuG5CyKmahKgnKpGdBqiaZhweKiahs0qaDauOM4O8emwHicowic7MJkg2FQ/132', 0, NULL, 1, '2019-08-30 15:14:30', '27.10.60.71', 1, '2019-08-30 15:14:30', '2019-08-30 15:14:30');
INSERT INTO `unimall_user` VALUES (319, NULL, NULL, 1, 'oiAuI5I0a0ELQ8HuKoYgrbAVBxCw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqAQKRdr2GjYibkcskRFHwqDUrXH6R8yqiaMhSeuCgJCcTle9xUwiaURB5ERibKSnXCy58zEicfrNtSQ8Q/132', 0, NULL, 1, '2019-08-30 15:45:51', '27.10.60.71', 1, '2019-08-30 15:45:51', '2019-08-30 15:45:51');
INSERT INTO `unimall_user` VALUES (320, NULL, NULL, 1, 'oiAuI5LvKOKkadURcWbjDW-WGK3w', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/6ogCPmD6xicg97WUOJT8zG4gzzXic0lo7kKdYClibnh8xcFFaJAibHLdCxGxQ6wabLBSiaCLgSBGpawzbr4HX9JrLLA/132', 0, NULL, 1, '2019-08-30 20:20:45', '27.10.60.71', 1, '2019-08-30 20:20:47', '2019-08-30 20:20:45');
INSERT INTO `unimall_user` VALUES (321, NULL, NULL, 2, 'osTQe6DVv2UeIc7PRQWDFfMtAmmk', '小猛', 'http://thirdwx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEI3q2FaMIf2CXzH3AxnamiaSiaaSGD8OmiaajBz2GQpyQWKnjD8picXUhgEDyZmWKYj6o2vwHUZgjvXhQ/132', 0, NULL, 1, '2019-09-02 08:58:19', '27.10.60.71', 1, '2019-09-02 08:58:20', '2019-08-30 22:19:08');
INSERT INTO `unimall_user` VALUES (322, '13714216227', '$1$1371421$6RAcKNAOkb5I9KjibaLjf1', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-08-30 22:39:47', '27.10.60.71', 1, '2019-08-30 22:39:47', '2019-08-30 22:39:47');
INSERT INTO `unimall_user` VALUES (323, NULL, NULL, 1, 'oiAuI5PhJC7Nel2pGxt6TKrRsXug', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaELHtuC2spPYcvRg8Hese5yTfLg7YTia8Td5sSwQ2Ata2NVwelKcneRrMN3e4uwTJrjUBQQdplPoQoQ/132', 0, NULL, 1, '2019-09-03 08:48:41', '27.10.60.71', 1, '2019-09-03 08:48:42', '2019-08-30 22:48:03');
INSERT INTO `unimall_user` VALUES (324, NULL, NULL, 1, 'oiAuI5Nzwnpz3ZL_Jl8jUei6u1WU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83ersOibIibodHJFacORWianIiaQAxlMHRJ4lKDPic11dyxdaSU8XpQVtMFqIVO1DX9GR9KgT6Ze4zdX36lA/132', 0, NULL, 1, '2019-08-30 23:36:23', '27.10.60.71', 1, '2019-08-30 23:36:23', '2019-08-30 23:36:23');
INSERT INTO `unimall_user` VALUES (325, NULL, NULL, 1, 'oiAuI5OaTVv3dZRKRIQVxZvApL_Q', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTL3xC3su7xUBXju2I28Z1pNIjdhk1AJfzIia82SMSkwhp1Rq1e9N96iapwib6qIBLXHrxv43d8dpvSJQ/132', 0, NULL, 1, '2019-08-31 08:39:48', '27.10.60.71', 1, '2019-08-31 08:39:48', '2019-08-31 08:39:48');
INSERT INTO `unimall_user` VALUES (326, NULL, NULL, 1, 'oiAuI5DHnYTc_dbZjM-8scz71J3g', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/0ZIguuJjvM1ypZgTo3QXLia8oRIq93H9PWuUEB5IRP2uDTpOgTbJ5c2f8N7Ab6MGQyMsLeAt7lcSjWicBhjUo0lg/132', 0, NULL, 1, '2019-08-31 09:14:01', '27.10.60.71', 1, '2019-08-31 09:14:01', '2019-08-31 09:14:01');
INSERT INTO `unimall_user` VALUES (327, NULL, NULL, 1, 'oiAuI5O5w_IHlD5JiQxgx4KID2qk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKeY4HjTSJWiavqMEj5zCUq3YWsynAS4Eu4zOqiafqO16vVszT40YU27ojGMgpWNWYCsEhgTeKDBzaQ/132', 0, NULL, 1, '2019-08-31 10:01:32', '27.10.60.71', 1, '2019-08-31 10:01:32', '2019-08-31 10:01:32');
INSERT INTO `unimall_user` VALUES (328, NULL, NULL, 1, 'oiAuI5OelZ6ylqbnmHrHXCF8bqUQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/zPrayCW4wvykp7pn7QXZ9LIhtOvQ3MwC2a62A7iaJ4RusjZQQ03oa1tJkoynGBE4kcmT4RztBBoyPFBdZn8libMQ/132', 0, NULL, 1, '2019-08-31 14:30:16', '27.10.60.71', 1, '2019-08-31 14:30:16', '2019-08-31 14:30:16');
INSERT INTO `unimall_user` VALUES (329, NULL, NULL, 1, 'oiAuI5C_f1d7f5_tQ_Dn7rQAgxuo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/slNgAB7g27ib3iadK5EP0kXtF6HhjrrzgJTNdsx5UBcibeXZNZcsLy8nibPRJR5JbfBACecOKo7VLNzuElQLZZfPbQ/132', 0, NULL, 1, '2019-08-31 14:58:00', '27.10.60.71', 1, '2019-08-31 14:58:00', '2019-08-31 14:58:00');
INSERT INTO `unimall_user` VALUES (330, NULL, NULL, 1, 'oiAuI5Ha88wU8rX2xNiA1cnaU1P4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJax67vicpTYwQMP3Tp7eiaooZVROCYKTm4JICQ4yb68bwiaXX5cQ7OH3ku2jTiaocKrNtpB023car76A/132', 0, NULL, 1, '2019-08-31 16:55:35', '27.10.60.71', 1, '2019-08-31 16:55:35', '2019-08-31 16:55:35');
INSERT INTO `unimall_user` VALUES (331, NULL, NULL, 1, 'oiAuI5PS6vNhF6MDFCodROvl4vO8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erWcywV76l5Gs5SY3dBPExAQreAfBfQpjFCGhHBmo3erzLF7Aiac4bw6E9icvpXpVlwRtJGcibzBvUkA/132', 0, NULL, 1, '2019-08-31 18:57:37', '27.10.60.71', 1, '2019-08-31 18:57:37', '2019-08-31 18:57:37');
INSERT INTO `unimall_user` VALUES (332, NULL, NULL, 1, 'oiAuI5MooJTpW7sWG7WWZkXmXDhY', NULL, 'https://wx.qlogo.cn/mmhead/KGibZnZyTbMvia3vye6IMXy4QFhNp7xx0PtfzftmqsibvQ/132', 0, NULL, 2, '2019-09-01 06:05:37', '27.10.60.71', 1, '2019-09-01 06:06:57', '2019-09-01 06:05:37');
INSERT INTO `unimall_user` VALUES (333, NULL, NULL, 1, 'oiAuI5J4TEBstISYCyGXRe1v-OrA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIDqHQQByGiaXRkEvax4icQ9cgFkWUlQpNPatKVmbZ0A0dnKyIOEqYFWTjp8ypSh7AmxOXsmhDBKiatg/132', 0, NULL, 1, '2019-09-01 12:06:37', '27.10.60.71', 1, '2019-09-01 12:06:37', '2019-09-01 12:06:37');
INSERT INTO `unimall_user` VALUES (334, NULL, NULL, 1, 'oiAuI5HJ6yCyvr0oZXkmqHGCIcXc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKmyUF0MWNDUSZKchmDIuZjRRPFBMHBzZZzb7Mz8prnMjh6ofDpdPiaibUfUH8m8mfzfFGNxN6jEcvg/132', 0, NULL, 1, '2019-09-01 14:18:49', '27.10.60.71', 1, '2019-09-01 14:18:49', '2019-09-01 14:18:49');
INSERT INTO `unimall_user` VALUES (335, NULL, NULL, 1, 'oiAuI5KXRTJh24VA66OBrq8buVyY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epmm5lks3pj5N2kGEV6Fpc0zx8fvWj9WRaLwATSrIgp2w7XpAJY6WYmAwqia63sX0ficFGMibke6ZCWQ/132', 0, NULL, 1, '2019-09-01 20:05:42', '27.10.60.71', 1, '2019-09-01 20:05:42', '2019-09-01 20:05:42');
INSERT INTO `unimall_user` VALUES (336, NULL, NULL, 1, 'oiAuI5D44o1Dq18ErihwbssDQzso', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEJ04UXL8rYbQjwPIMuoQfH9WptTlMia3F9YFBZDJx43c4YrGMua2fgGMtvicdzA8unFtGBM1JOUqgicg/132', 0, NULL, 1, '2019-09-08 11:02:08', '27.10.60.71', 1, '2019-09-08 11:02:08', '2019-09-02 07:21:25');
INSERT INTO `unimall_user` VALUES (337, NULL, NULL, 1, 'oiAuI5Gch1MEinbQj56jhKzzOKek', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLwQEKO0zW4F45u1fCicSbJrMJdfc7ERv92ZuhwPApzHRhyDV8fS2bknfxh1CbGqrE3wiblx9zQeU1g/132', 0, NULL, 1, '2019-09-02 10:25:02', '27.10.60.71', 1, '2019-09-02 10:25:02', '2019-09-02 10:25:02');
INSERT INTO `unimall_user` VALUES (338, NULL, NULL, 1, 'oiAuI5NMhnPTjNg7p__6SmwBHLPU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIeTbiaxRAOWlMAHoHoy0TBI0SLfxrWBN2ibIXxUgAy8IYrmsxibeKvEWoZIgMu0Q9osVHzcVhSibQ9Ng/132', 0, NULL, 1, '2019-09-02 12:35:43', '27.10.60.71', 1, '2019-09-02 12:35:43', '2019-09-02 10:29:17');
INSERT INTO `unimall_user` VALUES (339, NULL, NULL, 1, 'oiAuI5ILudL12Li9oAY_FNf0V-RE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/0dzg4yTyEJc0ibGTyDRnYjXqQibiasylAfGmvgI4oHI4skGysGFVcp3cFDW6HhOHC2ojqYy2mfiaL4tMnlb7QUj7XQ/132', 0, NULL, 1, '2019-09-02 10:31:04', '27.10.60.71', 1, '2019-09-02 10:31:04', '2019-09-02 10:31:04');
INSERT INTO `unimall_user` VALUES (340, '15820006163', '$1$1582000$e89QLMdDhkyg7coEmR3YD1', 0, NULL, '666', NULL, 0, NULL, 1, '2019-09-11 09:14:02', '27.10.60.71', 1, '2019-09-02 10:43:32', '2019-09-02 10:43:07');
INSERT INTO `unimall_user` VALUES (341, NULL, NULL, 1, 'oiAuI5INPQ4Z9lrb-s4F65VHi-OQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTK40cFN9aJ7Vyjp38nUgkJAGPpXAtH3CKv8lADKeaxg1eaHZibSYohadPPZahvFunHzlVGgvt8WnPA/132', 0, NULL, 1, '2019-09-02 11:42:00', '27.10.60.71', 1, '2019-09-02 11:42:00', '2019-09-02 11:42:00');
INSERT INTO `unimall_user` VALUES (342, NULL, NULL, 1, 'oiAuI5InjGB-W4Wr5d12X_V9aCsY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLsicicIm0AoZtWhB3uVHjAhr2EGqBTSCDzjEYkaicyMTBQvxmPPOs6eWempVT2wIAUkyBicBcEzT5sKQ/132', 0, NULL, 1, '2019-09-02 13:13:19', '27.10.60.71', 1, '2019-09-02 13:13:19', '2019-09-02 13:13:19');
INSERT INTO `unimall_user` VALUES (343, NULL, NULL, 1, 'oiAuI5JGshlyOm8F6s7avUU5yu8I', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eprCUrlTgJeNpqlsQ8rxwwfhZ0S05B1B8EY31mNvsNyODVDhB0nHhlfrpS7Smnv4tkfD4rHS0u1iaw/132', 0, NULL, 2, '2019-09-02 14:05:04', '27.10.60.71', 1, '2019-09-02 14:05:04', '2019-09-02 14:05:04');
INSERT INTO `unimall_user` VALUES (344, NULL, NULL, 1, 'oiAuI5PYzfE2ZLB-NC4o6VvS3Rb4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLygZkPHuOuic54J75h4ia9F7MuicJgtytzoXWkxnycGM2CuOWeWy3ickHmuf474fWQ3iaUDumWfpQDaxQ/132', 0, NULL, 1, '2019-09-02 16:44:16', '27.10.60.71', 1, '2019-09-02 16:44:17', '2019-09-02 16:44:16');
INSERT INTO `unimall_user` VALUES (345, NULL, NULL, 1, 'oiAuI5BRnf4oEdelRx80voP5BwXY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/BKiaib4tNuibBhLZllDoTIBQNwlF7HtRnysaTxSUcvxke9IzmKYKWckyXKZKeeKib9nXQQmib3A8C6VF9kiayqDzsWPQ/132', 0, NULL, 1, '2019-09-03 03:46:55', '27.10.60.71', 1, '2019-09-03 03:46:55', '2019-09-03 03:46:55');
INSERT INTO `unimall_user` VALUES (346, NULL, NULL, 1, 'oiAuI5LCt4ENAr_Wt3Qd3FoFxH7I', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIhXCp4ta9tKqvtBEbKL4LUtSrnU73JVjnDynFYwEGtP8ZWA5qfVAKjNHbOOgvrZmZoBxap1rRBgw/132', 0, NULL, 1, '2019-09-03 11:02:14', '27.10.60.71', 1, '2019-09-03 11:02:14', '2019-09-03 11:02:14');
INSERT INTO `unimall_user` VALUES (347, NULL, NULL, 1, 'oiAuI5CuOIg1G_8DTwFhQBSp8MLk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJjmm55tEEf3m4t9UPZibewmKF8sewSDdAlgVOq8rBkjedpB2PzG3lhl9A5P2twUxURpwib1HK22CPQ/132', 0, NULL, 1, '2019-09-03 11:11:57', '27.10.60.71', 1, '2019-09-03 11:11:57', '2019-09-03 11:11:57');
INSERT INTO `unimall_user` VALUES (348, NULL, NULL, 1, 'oiAuI5PzyWImmvIMfBSJ8MPT88GU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJOntKGNt1fvUgy6AVZVXXX4sXQvgvIvWR4UPuCCIKSsKD3I3oOHoVbgibPf7iakeaChwc5picWG79kQ/132', 0, NULL, 1, '2019-09-03 14:15:31', '27.10.60.71', 1, '2019-09-03 14:15:31', '2019-09-03 14:15:31');
INSERT INTO `unimall_user` VALUES (349, NULL, NULL, 1, 'oiAuI5MNPHZQqYnQepa4DTbYjCdw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKbUic06Aibsg0GqGQzbxVicic9ch4p86BPAXCQXiaymlnNgkgAXDKh2Eib2W5yzmxa2d4cBroibZDs28ickw/132', 0, NULL, 1, '2019-09-03 14:20:32', '27.10.60.71', 1, '2019-09-03 14:20:32', '2019-09-03 14:20:32');
INSERT INTO `unimall_user` VALUES (350, NULL, NULL, 1, 'oiAuI5CQfYOfAk5vlV6oES9hakRw', NULL, NULL, 0, NULL, -1, '2019-09-03 14:51:28', '27.10.60.71', 1, '2019-09-03 14:51:28', '2019-09-03 14:51:28');
INSERT INTO `unimall_user` VALUES (351, NULL, NULL, 1, 'oiAuI5HBJjiC7CW2zArsY5jiPVv4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/wkEn6344kLxIu29mCazEkmricvftpNMu6tPQOpydav9lgia3U3IiaYms72Bk4NZ0AiaMfFERx9YgghnE04dteNJ85A/132', 0, NULL, 1, '2019-09-03 15:00:36', '27.10.60.71', 1, '2019-09-03 15:00:37', '2019-09-03 15:00:36');
INSERT INTO `unimall_user` VALUES (352, NULL, NULL, 1, 'oiAuI5DbOw-eFYlKAe4sTBmC5fMA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqLjJrgib5wN0uIoNerOxqqwhsCPtAowTQ320nk52lh1VbB71Nwj0LicGfFkia4BmCVicKlA7KWVndVBA/132', 0, NULL, 1, '2019-09-03 16:56:58', '27.10.60.71', 1, '2019-09-03 16:56:59', '2019-09-03 16:56:58');
INSERT INTO `unimall_user` VALUES (353, NULL, NULL, 1, 'oiAuI5LhDZpf-10uizR6BeMAQm-M', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKIMTKCP4Cz12UULAGOY21sB3RpUWQibBogG8GmwOzl4EJm51RhN3XTDibcFrDwImzeibYl58bHMCS9A/132', 0, NULL, 1, '2019-09-03 17:02:30', '27.10.60.71', 1, '2019-09-03 17:02:30', '2019-09-03 17:02:30');
INSERT INTO `unimall_user` VALUES (354, NULL, NULL, 1, 'oiAuI5CRAtbRcsQMs3zrSX8cLoDI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/umjkN6lcc1smgN2ibtwurQlJE9wYXQiansatMPl64goPwqo7bKPPQQMA8Pr9atgTdpia0fbDSEKvab9pFichAiak7Ig/132', 0, NULL, 1, '2019-09-04 08:49:39', '27.10.60.71', 1, '2019-09-04 08:49:40', '2019-09-04 08:49:39');
INSERT INTO `unimall_user` VALUES (355, NULL, NULL, 1, 'oiAuI5GlF__rJSSlOGKKLjBDnpbM', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/oUicWDFmZmf8TRvFPAkDYcSALs8eAiby6iakPlnjicjRhP13Kpxaiam60KJdrPAF1XynVpVTNaia3XgQdp3gXEwyzrIA/132', 0, NULL, 1, '2019-09-11 17:47:45', '27.10.60.71', 1, '2019-09-11 17:47:45', '2019-09-04 10:10:42');
INSERT INTO `unimall_user` VALUES (356, NULL, NULL, 1, 'oiAuI5Alib_6udRo6FuyEpBa66Zk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/zBOJHoNowqbvP0uwd6KdDD3dWRLYiaqenN0eAbDpSzsAATB3y35icx0GmWh95XKYVVs1MDjKHy23iaxRPpe6avib6A/132', 0, NULL, 1, '2019-09-04 15:30:16', '27.10.60.71', 1, '2019-09-04 15:30:16', '2019-09-04 15:30:16');
INSERT INTO `unimall_user` VALUES (357, NULL, NULL, 1, 'oiAuI5DFMbndnx4_4H_AzSW8WxdI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/NJiaS2TRoQAvRKj4N5KqSuvfjWDCloYAgeY9POQKFtk8zuZEu8CGENHhZCE25UibMUKHdpm5RcVJzYuy9ucickk0w/132', 0, NULL, 0, '2019-09-18 21:16:24', '27.10.60.71', 1, '2019-09-18 21:16:25', '2019-09-04 17:28:10');
INSERT INTO `unimall_user` VALUES (358, NULL, NULL, 1, 'oiAuI5EdcswqFxS86A4XUGcqiHcw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erPMtAfnQdpx013jcPibGZkNnRLYFN6lwPuCVdIibP5pPv3uKQaISAkgUTUUJZcciaLzwrF8VlylGhfQ/132', 0, NULL, 1, '2019-09-05 14:59:43', '27.10.60.71', 1, '2019-09-05 14:59:43', '2019-09-05 14:59:43');
INSERT INTO `unimall_user` VALUES (359, NULL, NULL, 1, 'oiAuI5Nb0MtSN2e-RE90MW5-cGeA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJ1bf1wUGI2KnKRANSrdicPp4mvQLxeRA8LgstmMqaHeYqNicqSGOD0wLIjWbXSszmgicjyV0WZETfAQ/132', 0, NULL, 1, '2019-09-06 15:10:48', '27.10.60.71', 1, '2019-09-06 15:10:49', '2019-09-05 15:40:54');
INSERT INTO `unimall_user` VALUES (360, NULL, NULL, 1, 'oiAuI5LIflV040G55q5G14iatOXM', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLpSwG8Qg23TSAhKT2UdhOI62eJDKzxYFh1QR6zgWaleAakGWbWVqKsXLtIwq7D7lkuXSiaiatR2MSw/132', 0, NULL, 1, '2019-09-05 17:38:34', '27.10.60.71', 1, '2019-09-05 17:38:34', '2019-09-05 17:38:34');
INSERT INTO `unimall_user` VALUES (361, NULL, NULL, 1, 'oiAuI5PxTTC7qYPq-bE8K6DeabU4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEK06hv5DrA8p1ibWWyycpPm9qrUvclqjqX1054reVJV630UTbAgqHou8Fh1ldtkSN1K0pqzgOiaCIicg/132', 0, NULL, 1, '2019-09-05 19:18:26', '27.10.60.71', 1, '2019-09-05 19:18:27', '2019-09-05 19:18:26');
INSERT INTO `unimall_user` VALUES (362, NULL, NULL, 1, 'oiAuI5BYebRW4uexCLQqBp3VlkDQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoPnhonGHcvaRrQRv1lsQHVzybXTBGbp7dLS1eaOeD5kDvhkHwMQCicvscSFp65ibqkWhFsHW5ThnIg/132', 0, NULL, 1, '2019-09-05 22:51:56', '27.10.60.71', 1, '2019-09-05 22:51:56', '2019-09-05 22:51:56');
INSERT INTO `unimall_user` VALUES (363, NULL, NULL, 1, 'oiAuI5CujGe_PaIPu5TxRSPEbc3c', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIlhicoqtARrNj6T62Zaksv2ibicoQwq4eVyibIPz78ibmA1ajGrhFmBVKBtPbT3l238hFB2rGTMxib6Bug/132', 0, NULL, 1, '2019-09-06 09:46:56', '27.10.60.71', 1, '2019-09-06 09:46:56', '2019-09-06 09:46:56');
INSERT INTO `unimall_user` VALUES (364, NULL, NULL, 1, 'oiAuI5KkvO3PxfjinCBqf5JFYfVw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKiaqdojQuvn9udUhribmut3ynT3dB87kdGbhQya3BKdCycez2he1nAdEeEOuPIibQ2VmVIMPbOeibh3A/132', 0, NULL, 1, '2019-09-06 10:50:01', '27.10.60.71', 1, '2019-09-06 10:50:01', '2019-09-06 10:50:01');
INSERT INTO `unimall_user` VALUES (365, NULL, NULL, 1, 'oiAuI5FNBqq6vDyRfuBx0lxmb4Yg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLsicicIm0AoZtSrUciak1yXj3y1gvwT1ic9s7p4GYwibCEN8Wzw9ibRLoeJHs1cHia6t3Fggw7viaiaKIXX9Q/132', 0, NULL, 1, '2019-09-06 10:53:12', '27.10.60.71', 1, '2019-09-06 10:53:58', '2019-09-06 10:53:12');
INSERT INTO `unimall_user` VALUES (366, NULL, NULL, 1, 'oiAuI5MfMOoY7kiBg-TshDZAjg08', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTI6kdVK5dNmVwANxvyVwQnoCLvJgscNaz6CiagbUMibBjjzRbCeSm16rCkJUUakaXp7E63Qwtlnl68g/132', 0, NULL, 1, '2019-09-06 11:07:38', '27.10.60.71', 1, '2019-09-06 11:07:38', '2019-09-06 11:07:38');
INSERT INTO `unimall_user` VALUES (367, NULL, NULL, 2, 'oRrdQt3wSh7tLaAkGTYaT_XoYdG0', 'Soul-Type', 'http://thirdwx.qlogo.cn/mmopen/vi_32/JRsX9GSGiaPfbzk8eeq0icWqrjt4xt3zzIJJrYJfUtw1wlAVI7dibhvGXUS5PgfZgBu3WUr3CpteaibVzqhOrMGkiaw/132', 0, NULL, 1, '2019-09-18 20:44:59', '27.10.60.71', 1, '2019-09-18 20:44:59', '2019-09-06 11:52:29');
INSERT INTO `unimall_user` VALUES (368, NULL, NULL, 1, 'oiAuI5FXOEUkfUtj3a0OWWXS_clA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/ZEd2yHgmdjBnt64ocwtqL2U2IhVjjmBpLH7fNvzLMVQryanedlVfibqg5uFth7Ave6ibfvJoLzjhF8qznwHUBEBg/132', 0, NULL, 1, '2019-09-06 13:09:43', '27.10.60.71', 1, '2019-09-06 13:09:43', '2019-09-06 13:09:43');
INSERT INTO `unimall_user` VALUES (369, NULL, NULL, 1, 'oiAuI5HqGWahNdfonxHzR59h3fn8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoz88bFEhWYuEFZ0zvYqhXjG7iatPXZbEIAyuwggBzwhAicTU9YkLEl7q0k2IxnqmoHhWibxSt9yt7KQ/132', 0, NULL, 1, '2019-09-06 14:53:50', '27.10.60.71', 1, '2019-09-06 14:53:51', '2019-09-06 14:53:50');
INSERT INTO `unimall_user` VALUES (370, NULL, NULL, 1, 'oiAuI5N3htCmDfh79hd5RnYACMos', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/LjlicotBRStJLtdQmv506KdiaJcywxI4sCmRvlwLe9qwlQErJwZfTibhIzcH5LZf9efgIufibAj8TuVEQ3OTcGib9Hg/132', 0, NULL, 1, '2019-09-06 15:50:29', '27.10.60.71', 1, '2019-09-06 15:50:29', '2019-09-06 15:50:29');
INSERT INTO `unimall_user` VALUES (371, NULL, NULL, 1, 'oiAuI5EH_S5VUhFBDHP1Hum96qKE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/K6v7bVicvYokEY7AAAGD0icIH0BdT29ALiczOvm1hVTpGLUzWibZQ8p7BKw4s3bqriaN9xtUy0aS9RK0KUDa47Uj6IQ/132', 0, NULL, 1, '2019-09-06 16:23:10', '27.10.60.71', 1, '2019-09-06 16:23:10', '2019-09-06 16:23:10');
INSERT INTO `unimall_user` VALUES (372, '18758186347', '$1$1875818$jykOFE2xuDDGsenXdVBd..', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-09-06 17:59:10', '27.10.60.71', 1, '2019-09-06 17:59:10', '2019-09-06 17:59:10');
INSERT INTO `unimall_user` VALUES (373, NULL, NULL, 1, 'oiAuI5J7fLtHoZlADXEg5uqVP704', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTI5na6qtIrtPekXDssqf4YNXuQomG1icV9XS6znhbg7RcKOvqXuHPtUWBua4icgPvRHpkVJxI8vbQqA/132', 0, NULL, 1, '2019-09-06 21:37:34', '27.10.60.71', 1, '2019-09-06 21:37:34', '2019-09-06 21:37:34');
INSERT INTO `unimall_user` VALUES (374, NULL, NULL, 1, 'oiAuI5IuSifGmVRqMouwPRJ-f2sc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJxNpWRCIaJib36Y8wmQfknsd4WcOOqZkKyOhXy7K9oMAdfqDe4gYOUTcJd7esufWdDU52a56ctrpQ/132', 0, NULL, 1, '2019-09-07 12:08:55', '27.10.60.71', 1, '2019-09-07 12:08:55', '2019-09-07 12:08:12');
INSERT INTO `unimall_user` VALUES (375, NULL, NULL, 1, 'oiAuI5MeNlifAlUNpq1_sGKr7g7Q', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/spNUJKUTzWVyKWvwTMqoQGicChpSM7k07oiaXZGcDALoTaqbyuXccibXXFBaEbQ6pK9wJ2EVmcFI81ogQSC3h6PGQ/132', 0, NULL, 1, '2019-09-07 16:11:25', '27.10.60.71', 1, '2019-09-07 16:11:26', '2019-09-07 16:11:25');
INSERT INTO `unimall_user` VALUES (376, NULL, NULL, 1, 'oiAuI5My3zuFfw9CZfnARyz852As', NULL, NULL, 0, NULL, -1, '2019-09-08 17:51:28', '27.10.60.71', 1, '2019-09-08 17:51:29', '2019-09-07 21:34:37');
INSERT INTO `unimall_user` VALUES (377, NULL, NULL, 1, 'oiAuI5BVDyr6msXSiF5WrgHwKuZg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erlbUoazL05oBRjz51dibl2nVLEVw0icNCOTQzhm9YwfbU8Xmfh8XnACr94BTsEvyNzAWvBqH4pVibuw/132', 0, NULL, 1, '2019-09-08 01:42:36', '27.10.60.71', 1, '2019-09-08 01:42:36', '2019-09-08 01:42:36');
INSERT INTO `unimall_user` VALUES (378, NULL, NULL, 1, 'oiAuI5KJCXRKctanXMgymOby4Ksw', '嗯', 'https://wx.qlogo.cn/mmopen/vi_32/agUicKIy7jpH0lc9E07NqaOa771TWxTHCa1ZjJ49RwWicESJVOKuDTTAiaF06KibUxyo9UuIoAaSRWzmRGIx2E1gAQ/132', 0, NULL, 1, '2019-09-08 11:20:42', '27.10.60.71', 1, '2019-09-08 11:20:42', '2019-09-08 10:10:48');
INSERT INTO `unimall_user` VALUES (379, NULL, NULL, 1, 'oiAuI5MRrojyr1AqzbKWln6kUiOo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqViaxic2E8N4icrLkQyWE4t5q0I7PPA5bKj1C0uzb36pDhAJuaGuA7CMYPqXtLa6JiaA83S3GibUXhOhA/132', 0, NULL, 1, '2019-09-08 15:00:21', '27.10.60.71', 1, '2019-09-08 15:00:21', '2019-09-08 15:00:21');
INSERT INTO `unimall_user` VALUES (380, NULL, NULL, 1, 'oiAuI5D665qKRGjHi8_AGZBXEkxY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/uWOy6rvJoEGAicibFLdUp7XHJYqsdtctbQRQM509CwrorcYeIBM224KiatYe5xrIxnql8oyfAVot7kfwLuapiceibmw/132', 0, NULL, 1, '2019-09-08 20:12:56', '27.10.60.71', 1, '2019-09-08 20:12:56', '2019-09-08 20:12:56');
INSERT INTO `unimall_user` VALUES (381, NULL, NULL, 1, 'oiAuI5F4cHt3xm9NGc4A2hXPQH_8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/VGbg1PhNF6YUXA3cBFQFM1qZianafEn0vn3r4oeh4BG35caiafiaEflB1icuCrnpoib49UnHBic4tiazcr2DTRiadpLH6A/132', 0, NULL, 0, '2019-09-09 16:46:13', '27.10.60.71', 1, '2019-09-09 16:46:13', '2019-09-09 16:46:13');
INSERT INTO `unimall_user` VALUES (382, NULL, NULL, 2, 'osTQe6OqkOcPXGfS8mn4tEddT7lo', '小金鱼', 'http://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLO39uBW4E1WyiarSayfXkVEHM53IBbTPULSJr6nW9pxUicDrLFKJldnmUXoXByic9yCfGVGLB75BdBQ/132', 0, NULL, 1, '2019-09-11 07:40:46', '27.10.60.71', 1, '2019-09-11 07:40:47', '2019-09-09 17:58:05');
INSERT INTO `unimall_user` VALUES (383, NULL, NULL, 1, 'oiAuI5ELrnviNqX7huxP_RGGl1GA', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIavBvxZz8M4SCGAkzMjbDS3JibStficwIwAGetaEZqmyW3tYZIEJROiau1A5ZZ7fwv2PjlOsqYJIEicQ/132', 0, NULL, 1, '2019-09-09 18:44:25', '27.10.60.71', 1, '2019-09-09 18:44:25', '2019-09-09 18:44:25');
INSERT INTO `unimall_user` VALUES (384, NULL, NULL, 1, 'oiAuI5H-k8pQ8_SXwdxs0bkS3pB8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqGTPGPZZQeljDxp2ut5kqf634TDeNneM4lWnZNSOnxVvgAWfP0JGWEibawKnTQfTibxup5Pqoaic5bA/132', 0, NULL, 1, '2019-09-09 19:03:02', '27.10.60.71', 1, '2019-09-09 19:03:02', '2019-09-09 19:03:02');
INSERT INTO `unimall_user` VALUES (385, NULL, NULL, 1, 'oiAuI5E9cNNN_Gs4g7M_xasTmGKE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIhXCp4ta9tKrsgibjb8cDOjTVjxdzePia04jA6ib43Ft0bZt1KZUr6Wq53SlWvjRCeiabS97bv50C6vg/132', 0, NULL, 1, '2019-09-09 19:05:12', '27.10.60.71', 1, '2019-09-09 19:05:12', '2019-09-09 19:05:12');
INSERT INTO `unimall_user` VALUES (386, NULL, NULL, 1, 'oiAuI5IMH2DP2MMzNcfvdVot2reI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epmiax6QzjpTmp2tlvCp9WxJOticDGmH6XEet8UR05Oic3nKjJ5icGicPNbnw8ib4PFAa1syDyGnek0JhlA/132', 0, NULL, 1, '2019-09-10 08:43:48', '27.10.60.71', 1, '2019-09-10 08:43:48', '2019-09-10 08:43:48');
INSERT INTO `unimall_user` VALUES (387, '13213552127', '$1$1321355$I6o/.Tf1aDRc4oZLeXQGV.', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-09-10 10:32:53', '27.10.60.71', 1, '2019-09-10 10:22:57', '2019-09-10 10:22:57');
INSERT INTO `unimall_user` VALUES (388, '15036326132', '$1$1503632$eF4Bm1V0LNCMUXMOH7JS1.', 0, NULL, '非凡', NULL, 0, NULL, -1, '2019-09-10 10:40:51', '27.10.60.71', 1, '2019-09-10 10:34:07', '2019-09-10 10:33:13');
INSERT INTO `unimall_user` VALUES (389, NULL, NULL, 1, 'oiAuI5BRWP7KntDNuVwg53__PyFo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLZwicQJiby5pMJKRKPgrnZSDB9s6azrC6H0picKqxmHn14iaiahNa6zNM1ia53Nh00RcrfEpibYGIgq2iaWg/132', 0, NULL, 1, '2019-09-10 10:49:52', '27.10.60.71', 1, '2019-09-10 10:49:52', '2019-09-10 10:49:52');
INSERT INTO `unimall_user` VALUES (390, NULL, NULL, 1, 'oiAuI5AQhNOG7KMFPRowSVdsPipI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epNUbhUcJN0ykJfx37vmzxsTIc2qoa27iaDXLF0Y4FjKQJYXYPIricGMYibTqC9B5k431LF2ozd7EQHQ/132', 0, NULL, 1, '2019-09-10 11:02:47', '27.10.60.71', 1, '2019-09-10 11:02:47', '2019-09-10 11:02:47');
INSERT INTO `unimall_user` VALUES (391, NULL, NULL, 1, 'oiAuI5ImwQz-EnHLTOCwatNKHtvo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKUWdGOkmDx6icSX38icNLmfiaOdbbH4CXxtWWUMEicwZ1a6DeicrQPSfPMCBA4IMicFQS1zKeTbvq7qhWA/132', 0, NULL, 1, '2019-09-10 11:05:38', '27.10.60.71', 1, '2019-09-10 11:05:38', '2019-09-10 11:05:38');
INSERT INTO `unimall_user` VALUES (392, NULL, NULL, 1, 'oiAuI5KdwoPMuGzQd5b_AH8jbzuc', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKb5BzdGZbSYKicoJibNWmcYobsibXfE8ficm60gGrfkDibrS6RPnkTHVVwr2THP9kFUq6Pd8icd7wIktfQ/132', 0, NULL, 1, '2019-09-10 15:29:14', '27.10.60.71', 1, '2019-09-10 15:29:14', '2019-09-10 15:29:14');
INSERT INTO `unimall_user` VALUES (393, NULL, NULL, 1, 'oiAuI5DZegOYdKKmLA353oX8sZH0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLWoErbcp4EfK5Zf5sygAkvjzGE2PeGooHD8wD0saHXvicFPOfGEreSk1DVRRQ06XkSbfEGia46J9bQ/132', 0, NULL, 1, '2019-09-11 13:59:37', '27.10.60.71', 1, '2019-09-11 13:59:38', '2019-09-10 16:33:18');
INSERT INTO `unimall_user` VALUES (394, NULL, NULL, 1, 'oiAuI5GZzo21HBaVq8Pe7MnnwI2c', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/AiarZyFyseFZ3nLmOMvBXLLjnhv3hcSN1Y2khwoia7msA2mxq0uwrlrjQVtpJib0jpvsd5l5Cic7haVzJ6WSjLuDOw/132', 0, NULL, 1, '2019-09-10 16:38:04', '27.10.60.71', 1, '2019-09-10 16:38:04', '2019-09-10 16:38:04');
INSERT INTO `unimall_user` VALUES (395, NULL, NULL, 1, 'oiAuI5LqrUSvkFvC2BHvCEyZ3G-E', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/zBOJHoNowqbvP0uwd6KdDGzhjGwKKIDRKEEEoESGClwoiazvQHCgjGw5oaQCtEacft4XmaA62hL3HZ8uYVl7ESA/132', 0, NULL, 1, '2019-09-10 17:09:45', '27.10.60.71', 1, '2019-09-10 17:09:45', '2019-09-10 17:09:45');
INSERT INTO `unimall_user` VALUES (396, NULL, NULL, 1, 'oiAuI5CsAM6sbhZ_iDSuwWjvudGg', NULL, NULL, 0, NULL, -1, '2019-09-10 17:45:35', '27.10.60.71', 1, '2019-09-10 17:45:35', '2019-09-10 17:45:35');
INSERT INTO `unimall_user` VALUES (397, NULL, NULL, 1, 'oiAuI5Ag8L-Fm4374Wbs_6tPRFKk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKmtBMS7f36dLP6H2sozkTkl6DZp6DwejUEMnp8Xy90rEZvgopzRKTH4jMSVWOljsS335TJPKdS6w/132', 0, NULL, 1, '2019-09-10 18:04:11', '27.10.60.71', 1, '2019-09-10 18:04:11', '2019-09-10 18:04:11');
INSERT INTO `unimall_user` VALUES (398, NULL, NULL, 1, 'oiAuI5Gf_opbXbY2v6fVOmmGkVII', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/umjkN6lcc1s3noWibNWmn2ZxXyiak2icPwhXOicJUth22njs8kvEVwKdP2fcR2WsMz25VnpGQoicbIsyMoCfRox83Xw/132', 0, NULL, 1, '2019-09-11 03:01:14', '27.10.60.71', 1, '2019-09-11 03:01:14', '2019-09-11 02:18:09');
INSERT INTO `unimall_user` VALUES (399, NULL, NULL, 1, 'oiAuI5Md__WLWpO4A6CakgXgyGvw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIicdpDquSgVaE17Bcq8mJRvjFyaYlXV95KoJX4uiaGyf6zwJjZ7EdJRbG7TZ363VtAKENTr27wlUMg/132', 0, NULL, 1, '2019-09-11 10:11:04', '27.10.60.71', 1, '2019-09-11 10:11:04', '2019-09-11 10:11:04');
INSERT INTO `unimall_user` VALUES (400, NULL, NULL, 1, 'oiAuI5Fwr19dLs9DNpQuKgXr9orI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLDKPNzVFAucypT15N2k5MeJmEgmKfkDlNzDRebUm8rOLH1hUPJpXicX0fSNyaXYjVu4Rk8n3ZfDrQ/132', 0, NULL, 1, '2019-09-11 11:46:12', '27.10.60.71', 1, '2019-09-11 11:46:12', '2019-09-11 11:46:12');
INSERT INTO `unimall_user` VALUES (401, NULL, NULL, 1, 'oiAuI5Em3q4N_9WbnCZFsm6tlt1s', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqIia4Df2GsiaJ5YZPPde4YDib7CmZpAgbMVlnCYknBMmWFuNcysB4AXt7ILarQb3oXHMWymsoVwMh0g/132', 0, NULL, 1, '2019-09-11 11:56:42', '27.10.60.71', 1, '2019-09-11 11:56:42', '2019-09-11 11:56:42');
INSERT INTO `unimall_user` VALUES (402, NULL, NULL, 1, 'oiAuI5D1BnNWf_GlDon4EF1ki0eo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqE7apAuEtFhQ0ulAm1b5yLKNe4NSbXaDzZLtuUAvpvJJwblzCaCFfGAicuRFvJ5TvsmU3Po7A8M2Q/132', 0, NULL, 1, '2019-09-16 11:57:08', '27.10.60.71', 1, '2019-09-16 11:57:08', '2019-09-11 15:49:17');
INSERT INTO `unimall_user` VALUES (403, NULL, NULL, 1, 'oiAuI5Hzg0-PoUMlZ_Q0r-3OlVIs', NULL, NULL, 0, NULL, -1, '2019-09-11 16:53:06', '27.10.60.71', 1, '2019-09-11 16:53:06', '2019-09-11 16:53:06');
INSERT INTO `unimall_user` VALUES (404, NULL, NULL, 1, 'oiAuI5CFldPvzca_YmGxmc-AQO3A', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqBYD3lFhbm50IYzO7ICV87ibbk3jOp7C9ib5QEjtV9ZeO3SHUXAaAJEpK4oHmcBDjC2XQl6lhTOyZA/132', 0, NULL, 1, '2019-09-11 19:44:26', '27.10.60.71', 1, '2019-09-11 19:44:27', '2019-09-11 19:44:26');
INSERT INTO `unimall_user` VALUES (405, NULL, NULL, 1, 'oiAuI5PS41U-eQoQbiAwE52kG9us', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/nOs9YyFciaKImp1oTUAqre6MW4HUTM0X5t4yy3DeC5KFwBpafmXficWjQsKnMSp8Ids4tXmYyEa5NicsnE7hmvHuQ/132', 0, NULL, 2, '2019-09-12 10:18:24', '27.10.60.71', 1, '2019-09-12 10:18:24', '2019-09-12 10:18:24');
INSERT INTO `unimall_user` VALUES (406, NULL, NULL, 1, 'oiAuI5Nq50TJn12S-wRaxwXjXdKI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIy8a7Qv45JvyyqJ7xcveoLsycKQShuB8wuOicjno4PltyGKEpgSAza3YtRcClOz8Xs0XLBdjB4zww/132', 0, NULL, 2, '2019-09-12 11:43:43', '27.10.60.71', 1, '2019-09-12 11:43:43', '2019-09-12 11:43:43');
INSERT INTO `unimall_user` VALUES (407, NULL, NULL, 1, 'oiAuI5OpCGC2-RDL3zkOotxH13bI', NULL, 'https://thirdwx.qlogo.cn/mmopen/vi_32/Q3auHgzwzM5iaqAGXvVh7HAGicZg8PkQzM4cAwOrMia1Sepkbyms2Nky80LG7udArD0XibDnMD48dIPeCgNyaQdjmA/132', 0, NULL, 1, '2019-09-12 13:12:07', '27.10.60.71', 1, '2019-09-12 13:12:08', '2019-09-12 13:12:07');
INSERT INTO `unimall_user` VALUES (408, NULL, NULL, 1, 'oiAuI5NL0PNkMXMyle2Hw0iNMqRM', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIfibOclEoPxw7r3hp2EZ4m3BnTXtvnmvt6mG6lI7k7c1E2fFpmlW51I9v4BRY1oJstK6bCd9p2RmA/132', 0, NULL, 1, '2019-09-12 13:46:29', '27.10.60.71', 1, '2019-09-12 13:46:29', '2019-09-12 13:46:29');
INSERT INTO `unimall_user` VALUES (409, NULL, NULL, 1, 'oiAuI5IQ6OnhiB8ROOcUQtKOxQu0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/KQX6TickePupty87TUpAISNdPkpBkfga2fZvA9mCZwKEIdK2ywR1FpicibMx4JaOBUkgcw57HJTg6VftUeow25LpA/132', 0, NULL, 1, '2019-09-12 16:51:09', '27.10.60.71', 1, '2019-09-12 16:51:09', '2019-09-12 16:51:09');
INSERT INTO `unimall_user` VALUES (410, NULL, NULL, 1, 'oiAuI5P0EbIP576ReZrjVSuuOjCY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epc44TEbOQZyrGdElulzypDStSBLOTSqib2rJosPWXhfxpXMOxGDyywu0ZCP1ic5ICKEJ00aWg0GXRg/132', 0, NULL, 1, '2019-09-12 17:09:17', '27.10.60.71', 1, '2019-09-12 17:09:17', '2019-09-12 17:09:17');
INSERT INTO `unimall_user` VALUES (411, NULL, NULL, 2, 'osTQe6CZx3BnLtoEDU-Vg9UcRRBE', '胡健-Jack.h', 'http://thirdwx.qlogo.cn/mmopen/vi_32/Mm2t9EHvYFmicU4b30GDupMeUHn6myfDibUHWFC78iaEH1ju0SKHjfU18VJtLeVlGCp81iaZribb5IURRpOA0hvJyNw/132', 0, NULL, 1, '2019-09-16 14:39:21', '27.10.60.71', 1, '2019-09-16 14:39:21', '2019-09-12 19:42:29');
INSERT INTO `unimall_user` VALUES (412, NULL, NULL, 1, 'oiAuI5DkGWFDgQHAhhz3Znh64tko', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/gZagmeUAqZuvpiadUP9k9vyjh3rmXibyYHswMcXXZpny2x4quWwzVNia1WABWFKVvuXpZ3Av56Yib9FmrWhgycsBibA/132', 0, NULL, 1, '2019-09-12 19:52:56', '27.10.60.71', 1, '2019-09-12 19:52:57', '2019-09-12 19:52:56');
INSERT INTO `unimall_user` VALUES (413, NULL, NULL, 1, 'oiAuI5PDGqnKVPrt9-Uj-GgFFrng', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/wJFzptJRadoiakRPdXGvB2R7aOicmNJAqiagBlMF7icA8GibRpJnIIAhXrdxgqBVrOUsFWMksF2HBjxzuIic72jKficyA/132', 0, NULL, 1, '2019-09-17 20:31:06', '27.10.60.71', 1, '2019-09-17 20:31:07', '2019-09-12 20:27:14');
INSERT INTO `unimall_user` VALUES (414, NULL, NULL, 1, 'oiAuI5BhukfPGM88hwH1UG-jhEKU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIBC94guaFqiaYff9g5pC1YFjdX4Y3JenGf61sBtJdVwmOjfZxpxmqJGavpOIlpN005eILxKr3y1mA/132', 0, NULL, 1, '2019-09-13 12:29:08', '27.10.60.71', 1, '2019-09-13 12:29:08', '2019-09-13 12:29:08');
INSERT INTO `unimall_user` VALUES (415, NULL, NULL, 1, 'oiAuI5PAtNHkMzQlFqDBSHiTTEUg', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqyM0p4eDsJJ9BALicRACFdzpEfwSXJNHsyAa69tRsKFv3ic5JJk4Pt9y9hhFwiblX1ZLI8lzSBW3tuw/132', 0, NULL, 1, '2019-09-13 15:03:34', '27.10.60.71', 1, '2019-09-13 15:03:35', '2019-09-13 15:03:34');
INSERT INTO `unimall_user` VALUES (416, NULL, NULL, 1, 'oiAuI5Azg7yBEqmbv5sUY7Fb95x4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/oUicWDFmZmf8TRvFPAkDYcYCibibQTicNlpp8a4icNPaSes1bQecoBH6snjNDm6ia1icmaKyU6x6fjicibibzoWFNqEoDW9g/132', 0, NULL, 1, '2019-09-13 21:02:13', '27.10.60.71', 1, '2019-09-13 21:02:14', '2019-09-13 21:02:13');
INSERT INTO `unimall_user` VALUES (417, NULL, NULL, 1, 'oiAuI5BRc9z5tKTkNzaOSsxj730Q', NULL, 'https://wx.qlogo.cn/mmhead/pwIibagokcTkKvibEvUSBEt8L7hxJvJfU73FGLY01VsoE/132', 0, NULL, 2, '2019-09-14 03:18:55', '27.10.60.71', 1, '2019-09-14 03:20:18', '2019-09-14 03:18:55');
INSERT INTO `unimall_user` VALUES (418, NULL, NULL, 1, 'oiAuI5DfoKkI7RbKkkLCCFcc06PY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83epBic2ZB2xibtJ4BBEj5z7ngRCmlCR4wJ6YHctw3m7dAia2Y2N861TXNSdtwWmo7xY3jk173OqCUTJoA/132', 0, NULL, 1, '2019-09-14 08:52:40', '27.10.60.71', 1, '2019-09-14 08:52:41', '2019-09-14 08:52:40');
INSERT INTO `unimall_user` VALUES (419, NULL, NULL, 1, 'oiAuI5AuWoBfJwXB8b_sBmi9buBw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTKTHX3FJS9ib6gBOrDokU8hA4ZIuvCibXWdjeq0mhB2EIibSOT3iauHfLpLo9oY7AZXicQzicbJkX8BIjvQ/132', 0, NULL, 1, '2019-09-14 16:10:03', '27.10.60.71', 1, '2019-09-14 16:10:03', '2019-09-14 16:10:03');
INSERT INTO `unimall_user` VALUES (420, NULL, NULL, 1, 'oiAuI5HHswmliN6ySU7p_iyydERk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoUtyltfgLJ4mLot65Fnzy6lH8MOAjeDAQlBJdMRmor5uAFTdYibXwsDOAiaUfhE4F0icvYRxXMGbH7Q/132', 0, NULL, 2, '2019-09-14 17:32:28', '27.10.60.71', 1, '2019-09-14 17:32:28', '2019-09-14 17:32:28');
INSERT INTO `unimall_user` VALUES (421, NULL, NULL, 1, 'oiAuI5PjYSDdZ7FlwmjIWUotHoY8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/P4TkR2pFqic9mialHZauictmPQ0ibdSzpEwfhZRuB6V130tANoNHfcHvkFOI2RiaYMhzNIUsRAfbucx84kBsiaPXn9Jw/132', 0, NULL, 1, '2019-09-14 20:11:49', '27.10.60.71', 1, '2019-09-14 20:11:50', '2019-09-14 20:11:49');
INSERT INTO `unimall_user` VALUES (422, NULL, NULL, 1, 'oiAuI5J5Wft-UmhusChlG0GXdw_A', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJYEXtfBhiblqibS6yr9SPlSiaQwaUD74OmrEI1tFicVcNp8Bsb5V9kZ3GaVM8UwcabGCYibtTSgA5vcew/132', 0, NULL, 1, '2019-09-15 09:42:39', '27.10.60.71', 1, '2019-09-15 09:42:39', '2019-09-15 09:42:39');
INSERT INTO `unimall_user` VALUES (423, NULL, NULL, 1, 'oiAuI5MYpAXgLnhGl_YsNdrSps6s', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJBiaicvTx0icMqM46el4taCOabHicuL8f92RanWP0S4E8ibs3qkT8erosNxA4mu4KdJIxp6BPyrB0wavw/132', 0, NULL, 1, '2019-09-15 10:43:58', '27.10.60.71', 1, '2019-09-15 10:43:58', '2019-09-15 10:43:58');
INSERT INTO `unimall_user` VALUES (424, NULL, NULL, 1, 'oiAuI5D3eCroD2s_CiUSac4973RQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eogibCalv30ibunJHB7acx6nLotQPkicnLlJ385tA9ImQsiclvMrkZMPyO8fJeTbrDUt7zicDxcct1ZYpw/132', 0, NULL, 1, '2019-09-15 14:14:45', '27.10.60.71', 1, '2019-09-15 14:14:45', '2019-09-15 14:14:45');
INSERT INTO `unimall_user` VALUES (425, NULL, NULL, 1, 'oiAuI5Axp5oJtLOTh8U74jo31T-I', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJnugUNWBtcsicMlJdLNOWZlU3QIeJkvO790DAyicmA3CYS7WcvH9AIaezKclqtHxxz0Pz2ICvIXR3A/132', 0, NULL, 1, '2019-09-15 14:21:43', '27.10.60.71', 1, '2019-09-15 14:21:43', '2019-09-15 14:21:43');
INSERT INTO `unimall_user` VALUES (426, NULL, NULL, 1, 'oiAuI5NhfaUZRcJEs3YExXYltfdw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eooHchHwuNUibkOGop0STDHEQ5arBlIuqyzC4eGUOqX9lcelh1DqX1EWkAbu3MdGh9jz6jFDbet8lQ/132', 0, NULL, 1, '2019-09-15 22:27:27', '27.10.60.71', 1, '2019-09-15 22:27:27', '2019-09-15 22:27:27');
INSERT INTO `unimall_user` VALUES (427, '18581599773', '$1$1858159$PhPwRVL8L/Iwb9gOEbWnS1', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-09-16 09:18:38', '27.10.60.71', 1, '2019-09-16 09:18:09', '2019-09-16 09:18:09');
INSERT INTO `unimall_user` VALUES (428, NULL, NULL, 1, 'oiAuI5BnEvVhMBM8yxBGVlF-auJU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIiaAhIgicZhNicl4KLNjowiclQQqkPy9sqzicgQ8YW1becZEasRIpRY4fFLJbwFj0sMpt8ju00c5gkCRA/132', 0, NULL, 1, '2019-09-16 10:20:08', '27.10.60.71', 1, '2019-09-16 10:20:08', '2019-09-16 10:20:08');
INSERT INTO `unimall_user` VALUES (429, NULL, NULL, 2, 'osTQe6B4B6IVaaNSvpUuEuvtIPoA', '潘伟℡¹⁸⁶⁵⁶⁵⁵³¹⁹⁸', 'http://thirdwx.qlogo.cn/mmopen/vi_32/PiajxSqBRaEJYjMg33dsWFJXEwqfrLib7azUdsxEsX2pzjHHYCQgbJp7klpOn0gMoibMhm9ZMIWFRSSoVPaCXO5tA/132', 0, NULL, 1, '2019-09-16 20:12:59', '27.10.60.71', 1, '2019-09-16 20:13:00', '2019-09-16 14:40:10');
INSERT INTO `unimall_user` VALUES (430, NULL, NULL, 1, 'oiAuI5G10ruwkbfTrejcFnKFw4XU', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/5gkAkgensNcfgL9kibROX8TxStyCoUS4ZRJkcD7gJH4wd6P8B0ReSL6PPqOdic4essXicNVYXppewRMLHmkbJdS5w/132', 0, NULL, 1, '2019-09-16 17:54:01', '27.10.60.71', 1, '2019-09-16 17:54:01', '2019-09-16 17:01:14');
INSERT INTO `unimall_user` VALUES (431, NULL, NULL, 1, 'oiAuI5PKRJNJNUJ04QZ8PG-COtro', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIkQibcXZNOtOZVjetP3D0O6lOoBibFibTE7OV9ickCicdjKPH8icVPWOZGQqK60YZ5bicAraFFztFkDIp4Q/132', 0, NULL, 1, '2019-09-16 17:26:37', '27.10.60.71', 1, '2019-09-16 17:26:38', '2019-09-16 17:26:37');
INSERT INTO `unimall_user` VALUES (432, NULL, NULL, 1, 'oiAuI5OGhJ5bEkJlpemfvtWFVPgo', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erzokP3SdGQzwoqvsjoyE4DnicMTpL0Bz1ShokqI1BNo0zseYE0qAPbicyROyKRQ1uLRxgos9K5zRkg/132', 0, NULL, 1, '2019-09-17 10:38:57', '27.10.60.71', 1, '2019-09-17 10:38:57', '2019-09-17 10:38:57');
INSERT INTO `unimall_user` VALUES (433, NULL, NULL, 1, 'oiAuI5AhtUUd3NHK8ZmkvhmIppxw', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83erz8QhS1dy2DpY3X3WnpmxYYfRZXvNicJmld2BarbRauon121QIOI9YnNh4aniaPraCAghlZAjE92BA/132', 0, NULL, 1, '2019-09-17 12:02:09', '27.10.60.71', 1, '2019-09-17 12:02:09', '2019-09-17 12:02:09');
INSERT INTO `unimall_user` VALUES (434, NULL, NULL, 1, 'oiAuI5GAYJQup9Kbw4t7I5OCb8rk', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLkichfwhtzkGyF0B14MRDQZZibb1FCuYm0wj9ErRicrHrqqxxO3IFHrjX6pYT1Rt6VDFAqe1K43LBxA/132', 0, NULL, 1, '2019-09-17 15:52:18', '27.10.60.71', 1, '2019-09-17 15:52:18', '2019-09-17 13:33:24');
INSERT INTO `unimall_user` VALUES (435, '18383171358', '$1$1838317$3BKwY19Euvyf66ryz07JE/', 0, NULL, '，，，', NULL, 0, NULL, -1, '2019-09-17 16:58:34', '27.10.60.71', 1, '2019-09-17 16:55:20', '2019-09-17 16:54:47');
INSERT INTO `unimall_user` VALUES (436, NULL, NULL, 1, 'oiAuI5DkerkbZbuwdRHqQ5kXRQT8', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJ96Ug9OkP4NbZe2zlttjvzV6n7aQ4hvkn0XAykvibRFaaNhZQ3YIgcIGj3iaLUypY1pzkOBXBFqrXw/132', 0, NULL, 1, '2019-09-17 17:01:43', '27.10.60.71', 1, '2019-09-17 17:01:43', '2019-09-17 16:56:14');
INSERT INTO `unimall_user` VALUES (437, NULL, NULL, 1, 'oiAuI5Hoab9fGL4wxJzxqz_0Pt_o', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIynHFEfUu56BddD8uwcJVOOgUy8YrCSwdlco6f1DfThicPoYDmVTDlnqmfUHgczxu0bE924AlyibMg/132', 0, NULL, 1, '2019-09-17 17:49:55', '27.10.60.71', 1, '2019-09-17 17:49:55', '2019-09-17 17:49:55');
INSERT INTO `unimall_user` VALUES (438, NULL, NULL, 1, 'oiAuI5JTTM2YyHWQDbgdovnEQBho', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eoMlana7vic327rqherELe9Eia43Oic4wku3BFktib9y4JiaB5h5KonSA458xMGxroJv3OxYdfb4u3rmxA/132', 0, NULL, 1, '2019-09-17 18:44:45', '27.10.60.71', 1, '2019-09-17 18:44:45', '2019-09-17 18:44:45');
INSERT INTO `unimall_user` VALUES (439, NULL, NULL, 1, 'oiAuI5C66-HWNkNAiD6wpZYl9N6s', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIwDsE0A0FKAmOibk2mYs1DgzJicJGmydQEIKUnVEbjxvz5WfhTdMT3WYorVAUWcxhToUicaRZgIo7jg/132', 0, NULL, 1, '2019-09-18 11:10:06', '27.10.60.71', 1, '2019-09-18 11:10:06', '2019-09-18 11:10:06');
INSERT INTO `unimall_user` VALUES (440, NULL, NULL, 2, 'osTQe6GNXdbLq1zmb0uTBFjowpow', 'null', 'http://thirdwx.qlogo.cn/mmopen/vi_32/vVnhVX8IHNDRnU96Nk6CLRUh0vPKDh7gYuA3SBwtBV3AAwozslp41FQUhGvtYy3EDyXuwGTt9T06abRrZ38rnQ/132', 0, NULL, 0, '2019-09-18 13:41:12', '27.10.60.71', 1, '2019-09-18 13:41:13', '2019-09-18 13:41:12');
INSERT INTO `unimall_user` VALUES (441, NULL, NULL, 1, 'oiAuI5FrFD3u0TQR4FqDLpjgWzP0', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLTc7AzUyqH2fvRZfn6pYv1iab2u4gEZ6qvLOPGg13EHmubmYpDONVLyGurZ5owvWdWxEu8o99iaoEA/132', 0, NULL, 1, '2019-09-18 17:51:10', '27.10.60.71', 1, '2019-09-18 17:51:11', '2019-09-18 13:53:45');
INSERT INTO `unimall_user` VALUES (442, NULL, NULL, 1, 'oiAuI5KrKvJUVfy0Ug7MrVQc_OJ4', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJp5yxOicJU1yw8ic6N2FECxDHficvXJicCfU8MhOGYp67byn7mGByas1jTUPkRzU0FxZxBXvIYwW7icTg/132', 0, NULL, 1, '2019-09-18 13:56:49', '27.10.60.71', 1, '2019-09-18 13:56:49', '2019-09-18 13:56:49');
INSERT INTO `unimall_user` VALUES (443, NULL, NULL, 1, 'oiAuI5OvQdAN9oNWytsr6ZZpvYNI', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eqTET3ia211ZZXbqsG6NQTv1iaRFlSwtHib3hicULIvDicnSUj1aajiaic3X4CFCfib6ziaVKuL4a4o664N4wQ/132', 0, NULL, 1, '2019-09-18 14:25:45', '27.10.60.71', 1, '2019-09-18 14:25:45', '2019-09-18 14:25:45');
INSERT INTO `unimall_user` VALUES (444, NULL, NULL, 1, 'oiAuI5Mk0Lt-42WuZA6uDiBE2dzQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTLLcrOHsYImlH66VvsYVOYFxJlKQKubVpUTYY1r51vVA1gjWRX8Xccia6Oyic4Xjtkcf7zCeZwWUUSw/132', 0, NULL, 1, '2019-09-18 14:43:06', '27.10.60.71', 1, '2019-09-18 14:43:06', '2019-09-18 14:43:06');
INSERT INTO `unimall_user` VALUES (445, NULL, NULL, 1, 'oiAuI5KhP6TCyiSPFfWTfV-DmwOE', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/GK5qHkXfibkKL0SQSduh5TOrh27gZyZBjMEvF2h9R5jeJKvdiaThxtaznfEHVMTUhuia0p6QvOzSSBoia6UPAsEklA/132', 0, NULL, 2, '2019-09-18 14:50:43', '27.10.60.71', 1, '2019-09-18 14:50:43', '2019-09-18 14:49:32');
INSERT INTO `unimall_user` VALUES (446, NULL, NULL, 1, 'oiAuI5IZAZDLg6UQqsNSOINNcV7c', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83eq0zXicZRuj8O1SdsMEQAiccftvb422ZeOhb0ObQYAWfY7PyNB4j4Rt4icgIxZZ4iciaXMR9WrNYic6KRLg/132', 0, NULL, 1, '2019-09-18 15:44:44', '27.10.60.71', 1, '2019-09-18 15:44:44', '2019-09-18 15:44:44');
INSERT INTO `unimall_user` VALUES (447, '18505518325', '$1$1850551$NfrzeNnCkPW4o9wUeo5dn0', 0, NULL, NULL, NULL, 0, NULL, -1, '2019-09-18 15:53:07', '27.10.60.71', 1, '2019-09-18 15:52:59', '2019-09-18 15:52:59');
INSERT INTO `unimall_user` VALUES (448, NULL, NULL, 1, 'oiAuI5AgkoDll3F3xJNM-GM2MRUQ', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/4oLIRNRBbC85WNDtticJkjdZt1OkwyCE5wN1r1LQndSNpzyu8dW5gf6zZ8tsQKSSbcN8p8YaPA9crmSicgbZOrQQ/132', 0, NULL, 1, '2019-09-18 16:06:20', '27.10.60.71', 1, '2019-09-18 16:06:20', '2019-09-18 16:06:20');
INSERT INTO `unimall_user` VALUES (449, NULL, NULL, 1, 'oiAuI5PpQ9VNxKZoRJ-_MSwr02gY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTJ4n1B0sQAQ6dLklfeMbFk1qyxSyibEEzhIGgmeA07YrQQIsic4CFwMHOKomcjykqU3qwYWmxEfot5g/132', 0, NULL, 1, '2019-09-18 16:10:05', '27.10.60.71', 1, '2019-09-18 16:10:06', '2019-09-18 16:10:05');
INSERT INTO `unimall_user` VALUES (450, NULL, NULL, 2, 'osTQe6DbvmrbNs7a7BQpErvbAKP4', 'momo', 'https://thirdwx.qlogo.cn/mmopen/vi_32/Q3auHgzwzM5g08Zc1VxdZbynnbaiamtJduFXuT8JeIGmhho7plEahnOkiatQt4YDTlZ06QzwiaHRMGhIYWyZnA2BQ/132', 0, NULL, 0, '2019-09-18 17:17:40', '27.10.60.71', 1, '2019-09-18 17:17:40', '2019-09-18 17:17:40');
INSERT INTO `unimall_user` VALUES (451, NULL, NULL, 1, 'oiAuI5Jv-hCUqRS8iC2oEY169B30', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/78vDM2vOOAhW6r8lQLUqYDf4cAunAfHCw3cEQSkPdkoxW5dO6tYyibolcnd7OJVQHC16QEj1uSItAukOVJCOqhA/132', 0, NULL, 1, '2019-09-18 19:26:54', '27.10.60.71', 1, '2019-09-18 19:26:54', '2019-09-18 19:26:54');
INSERT INTO `unimall_user` VALUES (452, NULL, NULL, 1, 'oiAuI5IO10rGrqGtT8QCGJ5LhWYY', NULL, 'https://wx.qlogo.cn/mmopen/vi_32/DYAIOgq83er10PIGJLOxgZYwhH9djwicknqVloXYj1wQvdKyWAtuIlshGicxD2z4Wb72Mib0dboqSdLgx1rnd8jWg/132', 0, NULL, 1, '2019-09-18 21:20:45', '27.10.60.71', 1, '2019-09-18 21:20:45', '2019-09-18 21:20:45');
INSERT INTO `unimall_user` VALUES (453, NULL, NULL, 1, 'oPeyA4g4vMSchl16Q8-7BLHpGEko', 'NullPointer', 'https://wx.qlogo.cn/mmopen/vi_32/C3gxEbUt9oR6xRgZPIibO7yA8GofTPd8TQJiaB3iaQIIiboNQdNx7uq2YypR89QicUKBLZCrNOq6s3WZsaib5duIbbDg/132', 0, NULL, 1, '2019-12-18 21:21:22', '27.10.60.71', 1, '2019-12-18 21:21:22', '2019-12-17 23:50:51');
COMMIT;

-- ----------------------------
-- Table structure for unimall_user_coupon
-- ----------------------------
DROP TABLE IF EXISTS `unimall_user_coupon`;
CREATE TABLE `unimall_user_coupon` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `coupon_id` bigint(20) NOT NULL,
  `order_id` bigint(20) DEFAULT NULL COMMENT '使用订单Id',
  `gmt_used` datetime DEFAULT NULL COMMENT '使用时间，若使用时间为空，表示未使用',
  `gmt_start` datetime NOT NULL COMMENT '领取优惠券时写入',
  `gmt_end` datetime NOT NULL COMMENT '领取优惠券根据策略计算',
  `gmt_update` datetime NOT NULL,
  `gmt_create` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='用户优惠卷表';

-- ----------------------------
-- Records of unimall_user_coupon
-- ----------------------------
BEGIN;
INSERT INTO `unimall_user_coupon` VALUES (3, 5, 3, 20, '2019-10-23 14:02:50', '2019-10-22 11:04:37', '2019-11-02 13:04:37', '2019-10-23 13:04:37', '2019-10-23 13:04:37');
INSERT INTO `unimall_user_coupon` VALUES (9, 5, 7, NULL, NULL, '2019-10-23 16:16:45', '2019-10-24 16:16:45', '2019-10-23 16:16:45', '2019-10-23 16:16:45');
INSERT INTO `unimall_user_coupon` VALUES (10, 5, 8, NULL, NULL, '2019-10-22 16:23:27', '2019-10-24 16:23:42', '2019-10-23 16:34:11', '2019-10-23 16:34:11');
INSERT INTO `unimall_user_coupon` VALUES (11, 5, 8, NULL, NULL, '2019-10-23 02:00:00', '2019-10-24 16:23:42', '2019-10-23 16:53:08', '2019-10-23 16:53:08');
INSERT INTO `unimall_user_coupon` VALUES (12, 5, 9, NULL, NULL, '2019-10-23 02:00:58', '2019-10-24 16:58:58', '2019-10-23 16:58:58', '2019-10-23 16:58:58');
INSERT INTO `unimall_user_coupon` VALUES (13, 5, 9, NULL, NULL, '2019-10-22 17:08:08', '2019-10-24 17:08:08', '2019-10-23 17:08:08', '2019-10-23 17:08:08');
INSERT INTO `unimall_user_coupon` VALUES (14, 5, 9, NULL, NULL, '2019-10-23 17:12:05', '2019-10-24 17:12:05', '2019-10-23 17:12:05', '2019-10-23 17:12:05');
INSERT INTO `unimall_user_coupon` VALUES (15, 5, 10, NULL, NULL, '2019-10-23 17:17:02', '2019-11-02 17:17:02', '2019-10-23 17:17:02', '2019-10-23 17:17:02');
COMMIT;

-- ----------------------------
-- Table structure for unimall_user_form_id
-- ----------------------------
DROP TABLE IF EXISTS `unimall_user_form_id`;
CREATE TABLE `unimall_user_form_id` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `openid` varchar(255) NOT NULL,
  `form_id` varchar(255) NOT NULL,
  `gmt_update` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP,
  `gmt_create` datetime NOT NULL ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4;

-- ----------------------------
-- Records of unimall_user_form_id
-- ----------------------------
BEGIN;
INSERT INTO `unimall_user_form_id` VALUES (5, 21, 'oiAuI5CW0p5YDegIPZEdklaSi4cM', 'wx06155539740854d985dd31791841788700', '2019-11-06 15:55:37', '2019-11-06 15:55:37');
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
